Getting Started

If you want to get up and running quickly, see the following topics:

Introduction--An overview of Pro Track's features and functionality.

Troubleshooting--Answers to some frequently asked questions.

Cakewalk
http://www.cakewalk.com
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Introduction

Pro Tracks is a tool for creating sound and music on your desktop computer. It lets you record digital audio and MIDI; edit, rearrange, and refine your recordings; and play back the result. Use it to create MP3, Wave, RealAudio, Windows Media Format and other popular file types. You can also use ACIDized wave files to create remixes.

It doesn't matter what style of music you want to create--Pro Tracks is at your command as you give your music driving rhythms, soaring melodies, rich harmonies, or whatever the music needs. Whether you're learning about music or you're a musician creating demo tapes and lead sheets, Pro Tracks is ready to help you.See the following topics:

Pro Tracks Basics

Windows Taskbar Indicators

Screen Colors and Wallpaper

Cakewalk


About Pro Tracks

Pro Tracks lets you work with music on your own level. Here are some of the ways you can make music with Pro Tracks:

Listen

Arrange and Reorchestrate

Compose

Jam, Practice, and Perform


Listen

Music is the audible art form -- it's meant to be listened to, and listening helps you learn about it. With Pro Tracks, you can listen while you look at the music, so you can see how the music is put together. Pro Tracks can open music files that you download from the Internet, too, so there's a world of musical styles to choose from.


Arrange and Reorchestrate

For centuries, composers have taken music composed for one set of instruments and rearranged it for other instruments. Pro Tracks makes that process easy, and you can listen to different combinations as you go. The music is on the computer, so it's never final!

You can start with a piece of sheet music, such as a piano piece or a song that you really like, and record the parts in Pro Tracks. Or, you can start with the sample files that come with Pro Tracks or a music file that you got on-line. You can assign different instrument sounds to each part and find out what combinations sound good.


Compose

There are many reasons to create original music. You might want to write songs, or symphonies. You might need musical snippets or sound effects for your computer or your web site. Pro Tracks can be your musical sketchpad or your canvas for a fully orchestrated music creation. Cakewalk can help you make a cassette for friends, or a master for your next CD.


Jam, Practice, and Perform

Musicians like to -- some would say they need to -- play with other musicians. But sometimes, there's no one around, or you want to practice in private to get ready. Pro Tracks can take the place of the other musicians. You might record the piano accompaniment for a classical solo or a jazz combo, minus the lead. Then while Pro Tracks plays, you play along. You can change the tempo or transpose the song to another key. Pro Tracks can help you develop your improvising and performing skills -- and it never loses patience!

Pro Tracks doesn't have to stay in your private music studio, either. You can take Pro Tracks on stage with you to play backup tracks for your band.


What is Pro Tracks?

Pro Tracks is a recording studio in your computer. It records and plays music, and has tools for fine-tuning each phrase, so that you can express the music you hear in your head. Pro Tracks plays sounds using the sound card in your PC or a synthesizer attached to your computer. It records and stores your music on your computer's hard disk.

Pro Tracks has tools to enhance your music. You can fix wrong notes. You can tighten or relax the rhythm. You can add sound effects like reverb. You can change the balance between parts and enhance the stereo effect. You can add nuances that make you sound like a master instrumentalist.

Because your music is stored in a file on a computer, you can go back to music you've created and change it whenever you want. You can transpose the music to another key. You can choose different instruments for a track. You can cut and paste whole sections of the music to rebuild the song with a new form.

You don't need any musical training to use Pro Tracks. Pro Tracks comes with song files that you can remix and rearrange, and you can get files containing all kinds of music from friends, music catalogs, and the Internet.

If you want to create your own music, Pro Tracks is ready to help. You can record a part using the sounds in the computer or you can record your voice or an instrument using a microphone. You can record several parts and play them together.

If you're an experienced musician, but new to computers, Pro Tracks will remind you of a recording studio with tracks and a mixer, and even an on-screen piano keyboard. You'll find it's even better than a studio with tape recorders -- you can see the music you want to edit. Pro Tracks provides lots of ways to edit individual notes and musical phrases.


Computers, Sound, and Music

This section provides some background on the different ways that computers store and play sound and music. Computers work with sound and music in two different forms: MIDI and digital audio.

Next topic: MIDI.


MIDI

MIDI (short for Musical Instrument Digital Interface) is the way computers communicate with most sound cards, keyboards, and other electronic instruments. MIDI refers to both the type of cables and plugs used to connect the computers and instruments, and to the language those computers and instruments use to talk to each other. The MIDI standard is accepted and used worldwide. Almost any electronic instrument you buy today will have MIDI connectors and can be used with other MIDI instruments and with your computer's MIDI interface.

The MIDI language conveys information and instructions, both from the computer to the instrument and from the instrument to the computer. For example, if your computer wants your keyboard to play a note, it sends a MIDI "Note On" message and tells the keyboard which note to play. When your computer wants the keyboard to stop playing that note, it sends another message that stops the note from playing.

The MIDI language has many other instructions, such as messages to change the sound that is used to play the notes (the bank and patch), messages used to work the sustain pedal and the pitch-bend wheel, and others. By sending the right messages at the right times, your computer can control your electronic instrument and make it play music.

MIDI information can be sent on 16 different channels. You can set up your MIDI equipment to listen for messages on all channels or on only a few.

MIDI files contain all the MIDI messages and timing information that are needed to play a song. MIDI files can be read and played by many different programs, including Pro Tracks, and can even be played by programs on other types of computers. MIDI files have the extension .mid.

There are several important advantages of the MIDI format:

  • Large amounts of music can be stored in a very compact form
  • Different parts of a piece can easily be assigned to any instrument you can imagine
  • The music contains information on notes, tempos, and key signatures that makes it possible to display and edit the piece using standard musical notation

The primary disadvantage of MIDI is that the quality of the music a listener hears will vary depending on the MIDI equipment the listener is using. For example, MIDI usually sounds much better on an expensive synthesizer than it does on an inexpensive sound card.

Next topic: Digital Audio.


Digital Audio

Digital audio is a simple way to record and play sounds of any type. It works like a tape recorder--you record something, then later play it back. Digital audio stores the sound as a long series of numbers.

Sound Waves

Sound waves are vibrations in the air. Sound waves are generated by anything that vibrates; a vibrating object causes the air next to it to vibrate, and the vibration is passed through the air in all directions. When the vibrating air enters your ear, it makes your eardrum vibrate, and you hear a sound. Likewise, if the vibrating air hits a microphone, it causes the microphone to vibrate and send electrical signals to whatever it's connected to.

These vibrations are very fast. The slowest vibration frequency you can hear is about 20 vibrations per second, and the fastest is around 16,000 to 20,000 vibrations per second.

Recording Digital Audio

To record digital audio, your computer monitors the electrical signal generated by a microphone, an electric guitar, or another source. At equal intervals of time (for CD-quality sound, this means 44,100 times a second), the computer measures and saves the strength of the electrical signal from the microphone, on a scale from 0 to 65,535.

That's it. Digital audio data is just a long series of numbers. The computer sends these numbers, in the form of electrical signals, to a speaker. The speaker then vibrates and generates the same sound that was recorded.

The primary advantage of digital audio is the quality of the sound. Unlike MIDI, a digital audio recording is very rich, capturing all the nuances, overtones, and other characteristics of the sound exactly as performed. The main drawback of digital audio is that it takes up a lot of disk space. To record a 1-minute segment of stereo, CD-quality digital audio, you need about 10 megabytes of disk space.

On the PC, digital audio is usually stored in Wave files (extension .wav). There are many programs available that let you create, play, and edit these files. Pro Tracks reads, writes, and lets you edit Wave files.

More information about digital audio can be found in Editing Audio.

Next topic: Setup.


Setup

You can install Pro Tracks on any computer that runs Windows 98, 2000, ME, or XP and has a sound card or built-in sound module. If you want to hook up other devices, like a MIDI keyboard, an electric guitar, or a microphone, you need the right cables, and you need to find the right connectors on your computer.

To connect a MIDI keyboard to your computer, you need standard MIDI cables or a MIDI adapter cable, such as the one available in Cakewalk's PC Music Pack. One end of the adapter cable should have two 5-pin DIN connectors that connect to your keyboard or other MIDI device. At the other end, you need a 15-pin connector to connect to a sound card through its MIDI/joystick port.

If you have a dedicated MIDI interface, lots of electronic music gear, or work with many different music software packages, you should read Hardware Setup.

Before you attach or detach any cables from your computer, you should shut down your computer and turn off the power to all your equipment. This greatly reduces the chance of electrical damage to your equipment while plugging and unplugging cables.

To Connect a MIDI Keyboard to Your Computer

  1. One of the 5-pin connectors on the MIDI cable is labeled Out. Plug this connector into the MIDI In jack on your electronic keyboard.
  2. The other 5-pin connector on the MIDI cable is labeled In. Plug this connector into the MIDI Out jack on your electronic keyboard.
  3. If you are using a MIDI adaptor cable, plug the 15-pin connector on the MIDI cable into the MIDI/joystick port on your sound card. If you have a joystick, unplug it, plug in the MIDI cable, and plug the joystick into the pass-through connector on the MIDI cable.
OR
If you are using standard MIDI cables, plug the cable connected to the MIDI Out on your MIDI instrument into the MIDI In of your sound card or MIDI interface. Plug the cable connected to the MIDI In on your MIDI instrument into the MIDI Out of your sound card or MIDI interface.

To Connect an Electric Guitar to Your Computer

  1. Plug your 1/4" mono guitar cable into a 1/8" stereo adapter.
  2. Plug the 1/8" adapter into the microphone input or line input jack on your computer sound card.

To Connect a Microphone to Your Computer

  1. If your microphone does not have a 1/8" mono or stereo plug, plug the microphone into a 1/8" adapter.
  2. Plug the 1/8" adapter into the microphone input jack on your computer sound card.

That's it! Now that your instruments are all set to go, you can restart your computer and turn on your keyboard, guitar, and microphone.


Starting Pro Tracks

There are many different ways to start Pro Tracks. Here are a few:

  • Click on the Pro Tracks icon on your desktop.
  • Click the Start button, point to Documents, and choose a Pro Tracks project from the menu.

When you start Pro Tracks, you see the Quick Start dialog box.

The Quick Start dialog box has several options:

Option... | How to use it...
Open a Project | Choose a project from the Open File dialog box to open it
Open a Recent Project | Select a project from the list, and click this button to open it
Create a New Project | Click here to create a new project.
Getting Started | Click here to view the Getting Started topic in the help file. This topic has links to a glossary of terms, as well as some basic procedures.

If you don't want to see the Quick Start dialog box in the future, uncheck the box at the bottom of the dialog box, and click Close. You can see the Quick Start dialog box later by choosing Help-Quick Start.

Running Wave Profiler

The first time you start Pro Tracks, it automatically runs the Wave Profiler utility. Wave Profiler determines the proper MIDI and Audio timings for your sound card and writes them to a file that Pro Tracks refers to when using the card. Wave Profiler does not change the sound card's DMA, IRQ, or port address settings.

Wave Profiler detects the make and model of your sound card, which determine the card's audio characteristics. If Wave Profiler finds a card that has a WDM driver, it only profiles that card.For more information about Wave Profiler, WDM, and MME, see The Wave Profiler When Wave Profiler determines the kind of card you have, always accept the default settings.

Note:

You can run the Wave Profiler again at a later time (for example, if you install a new sound card or driver) by choosing the Options-Audio General tab command and clicking Wave Profiler.

Setting Up the MIDI In and MIDI Out Devices

When you start Pro Tracks for the first time, it checks your computer to find all the MIDI input and output devices you have installed (such as sound cards and MIDI interfaces). However, sometimes you need to tell Pro Tracks exactly which devices you want it to use. If you're not getting sound from your sound card or MIDI keyboard, or if you just want to change the MIDI outputs and devices that you are using, follow the steps in this section.

Choose Options-MIDI Devices to open a dialog box in which you select the MIDI In and MIDI Out devices that Pro Tracks will use. Each item in the list is a MIDI Input or MIDI Output from drivers installed using the Windows Control Panel.

  1. Select Options-MIDI Devices. You will see the MIDI Devices dialog box, which lets you choose instruments on MIDI inputs and outputs.
  2. Look at the left window. Notice that it shows devices on MIDI Inputs; make sure that all devices in this window are highlighted. If a device isn't highlighted, click on it once to select it for MIDI Input.
  3. Look at the window on the right. Notice that it shows devices on MIDI Outputs. Pro Tracks numbers its MIDI Outputs by the order of the devices in this window. The device on top is on Output 1, the one below it is on Output 2, and so on.
  4. Highlight one device at a time in the Outputs window and click Move Selected Devices to Top to change its order. Then highlight all the devices that appear in the window to select them for output.

Tip!

Be sure to choose MIDI output devices from Options-MIDI Devices. If you don't do this, you won't hear any of your MIDI instruments when you play songs in Pro Tracks

See MIDI Devices dialog.

Using MIDI Devices After Making Driver Changes

If you later add or remove drivers using the Drivers icon of the Windows Control Panel, Pro Tracks reacts in the following way:

  • If you remove a Control Panel driver, Pro Tracks will not use the device it belongs to the next time you run the program. Any other devices you had selected using the Options-MIDI Devices command will remain selected.
  • If you add a driver through the Control Panel, Pro Tracks does not automatically use it. You must use the Options-MIDI Devices command to enable the new driver in Pro Tracks's list.

Note:

After you add or remove a driver with the Drivers icon in the Windows Control Panel, you must restart Windows for the change to take effect.


Pro Tracks Basics

Pro Tracks looks and acts like many other Microsoft Windows programs. The menus and toolbars give you quick access to all the features of Pro Tracks. Some menu choices and tools display dialog boxes that let you choose among various options, or type in the values you want. If you click in most views, in time rulers, or on certain other items with the right mouse button, you see a popup menu that provides quick access to many common operations.

The project is the center of your work in Pro Tracks. If you're a musician, a project might contain a song, a jingle, or a movement of a symphony. If you're a post-production engineer, a project might contain a 30-second radio commercial or a lengthy soundtrack for a film or videotape production. By default, every project is stored in a file (known as a project file). The normal file extension for a Pro Tracks work file is .cwp.

Pro Tracks organizes the sound and music in your project into tracks, clips, and events.

Tracks are used to store the sound or music made by each instrument or voice in a project. For example, a song that is arranged for four instruments and one vocalist may have 5 tracks--one for each instrument and one for the vocals. Each project can have an unlimited number of tracks. Some of these tracks may be used in your finished project, while others can hold alternate takes, backup tracks, and variations that you might want to keep for future use. Each track can be made up of one or many clips.

Clips are the pieces of sound and music that make up your tracks. A clip might contain a horn solo, a drum break, a bass or guitar riff, a voice-over, a sound effect like the hoot of an owl, or an entire keyboard performance. A track can contain a single clip or dozens of different clips, and you can easily move clips from one track to another.

Groove clips are audio clips which have tempo and pitch information embedded within them, allowing them to follow changes to the project tempo or project pitch. You can click on either edge of a Groove clip and drag out repetitions in the track.

Events are MIDI data (in MIDI tracks) or automation data.


Pro Tracks File Types

Projects in Pro Tracks can be saved as a project file with the extension .cwp or as a Bundle file with the extension .cwb.

For a complete description of the differences between project files and bundle files, see Project Files and Bundle Files.

Other Types of Files

Pro Tracks lets you create and work with several other types of files, in addition to the work files that store your projects:
File type... | Description...
MIDI files (extension .mid) | Standard MIDI files.
OMF | Open Media Framework format files.


Opening a File

Use the following procedure to open a file.

To Open a File in

  1. If you haven't already done so, start .
  2. Choose File-Open.
  3. In the Open dialog box, navigate to the directory where the project you want to open is located and select it.
  4. Click the Open button.
  5. If you are opening an OMF file, the Unpack OMF dialog appears. Set the initial tempo and specify the directory where you want to save the file and its audio. For more information about opening OMF files, see Unpack OMF dialog.

loads the project.


Views

Pro Tracks displays your project in windows on the screen that are known as views. You can have many views open at once, all showing the same project. When you edit a project in one view, the other related views are updated automatically.

The Track View

The Track view is the main window that you use to create, display, and work with a project. When you open a project file, displays the Track view for the project. When you close the Track view for a project, closes the file.

The Track view is divided into three sections: the Track pane, the Clips pane, and the Bus pane. You can change the size of each of the three panes by dragging the splitter bars that separate them.

The Track pane lets you see and change the initial settings for each track. By default, the current track is displayed in gold. To change the current track, move the highlight using the mouse or the keyboard as follows:

Key... | What it does...
Left/Right Arrow | Moves the highlight to the next or previous control.
Up/Down Arrow | Moves to the same control in the adjacent track, or the next track of the same type if the control only applies to a specific track type (for example, the Patch control only applies to MIDI tracks).
Page Down | Displays the next page of tracks.
Page Up | Displays the previous page of tracks.
Home | Moves the highlight to the first track.
End | Moves the highlight to the last track.

The Clips pane shows the clips in your project on a horizontal timeline called the Time Ruler that helps you visualize how your project is organized. Clips contain markings that indicate their contents. The Clips pane lets you select, move, cut and copy clips from place to place to change the arrangement of music and sound in your project.

The Bus pane shows the main bus and aux buses in the project. The Show/Hide Mains and Aux Buses button [image] allows you to show or hide the Bus pane at the bottom of the Track view.

The Track view makes it easy to select tracks, clips, and ranges of time in a project. These are the most common selection methods:

To... | Do this...
Select tracks | Click on the track number, or drag over several track numbers
Select clips | Click on the clip, or drag a rectangle around several clips
Select time ranges | Drag in the Time Ruler, or click between two markers
Select partial clips | Hold down the Alt key while dragging over a clip

As with most other Windows programs, you can also use the Shift-click and Ctrl-click combinations when selecting tracks and clips. Holding the Shift key while you click adds tracks or clips to the current selection. Holding the Ctrl key while you click lets you toggle the selection status of tracks or clips. For more information, see Track View.

The Console View

The Console view is a place where you can mix the sounds on all the different tracks to create the final mix of your project. While the Track view provides the same controls, you may want to use the more familiar interface of the Console view for mixing.

You use the Console view to adjust the levels of sound for the different tracks in your project, to change the stereo panning, and to apply real-time effects to an individual track, combinations of tracks, or the final mix.

The Console view contains several groups of controls. There is one module for each track in your project. You can use auxiliary sends (or aux sends) to direct certain tracks to special modules that are known as aux buses.

As in the Track view, you can change track settings or record new music or sound in the Console view. You may choose to use one view or the other, or the choice you make may depend on which project you are working on. For more information, see Console View.

Other Views

Pro Tracks has a number of other views you can use to display and work on your project. To display these views, select one or more tracks, by Ctrl-clicking their track numbers and:

  • Click the icon for the view in the Views toolbar
OR
  • Choose the view you want from the View menu

The Piano Roll view [image] : shows the notes from a MIDI track or track as they would appear on a player-piano roll. You can move the notes around, make them longer or shorter, and change their pitches by just dragging them with the mouse. You can also use the Piano Roll view to display and edit MIDI velocity, controllers, and other types of information. The Piano Roll view also contains the Drum Editor, which allows you to "paint" drum patterns using the Pattern Brush tool and play different drum modules from a single track. For more information, see Piano Roll View.

The Loop Construction view [image] : allows you to create and edit Groove clips (Pro Tracks loops that "know" the tempo and key in which they were recorded), and export these clips as ACIDized files. For more information, see Loop Construction view.

The Event List view [image] : displays the events in a project individually, so that you can make changes at a very detailed level. For more information, see Event List View.

Pro Tracks has several other views that are used for very specific purposes:
View... | How you use it...
Tempo | To view and edit the project's tempo changes. For more information, see Tempo View.

Zoom Controls

Many of the views contain Zoom tools that let you change the horizontal and vertical scale of the view:

The zoom tools are used as described in the following table:

Tool... | How you use it...
Zoom out | Click to zoom out incrementally, or press Shift and click to zoom all the way out
Zoom in | Click to zoom in incrementally, or press Shift and click to zoom all the way in
Zoom fader | Click and drag to zoom continuously
Zoom tool | Click to arm, then click and drag in the view to select the zoom area

The Zoom tool is automatically disarmed after use. Double-click the Zoom tool to make the selection stick. You can also zoom with the keyboard:

Key... | What it does...
Ctrl+up arrow | Zoom out vertically
Ctrl+down arrow | Zoom in vertically
Ctrl+right arrow | Zoom in horizontally
Ctrl+left arrow | Zoom out horizontally
G | Go to (center) the Now time, without zooming
Z | Arm the Zoom tool
U | Undo the current zoom
F | Fit tracks to window
A | Show all tracks
Shift+F | Fit project to window
Shift+Double Click | Maximize track height

Locking Views

By default Pro Tracks allows only one instance of each view, but you can lock the contents of most views, preserving the current view by forcing a new instance of the view to appear if necessary. Locking views is the only way you can have multiple instances of the same view open. Only the Track and Console views cannot be locked.

To lock a view, just click the lock button at the top right of the view. An unlocked view looks like this [image] , and a locked view looks like this [image] . A view can be locked automatically by pressing the Ctrl key when opening the view.

Layouts

You may spend a lot of time making sure that all the views are laid out on the screen just the way you want. When you save your work, you can save the screen layout along with it. You can also save the layout by itself and then use the layout with other projects. See Layouts.

Next topic: Working on a Project.


Working on a Project

Much of your time in Pro Tracks is spent recording and listening to your project as it develops. The Transport toolbar, shown below, contains the most important tools and other pieces of information you'll need to record and play back your project.

Every project has a current time, known as the Now time (see: The Now Time and How to Use It). As you record or play back a project, the Now time shows your current location in the project. When you create a project, the Now time is set to the beginning of the project. The current Now time is saved with your project.

You control recording and playback using tools on the Transport toolbar, which work a lot like the ones on your tape deck or CD player:

As you work with a project, you can use Pro Tracks's mute and solo features to choose which tracks are played, or you can create loops to play a particular section over and over again. You can also create markers, which are named time points you add to your project to make it easy to jump to a particular location.

Next topic: Windows Taskbar Indicators.

See Also:

Transport toolbar


Windows Taskbar Indicators

When Pro Tracks is running, you'll normally see two indicators in your Windows Taskbar, right next to the clock:

The MIDI activity monitor contains two lights that indicate MIDI input and output. When you play your MIDI keyboard, the first light flashes when each note is pressed, and it flashes again when each note is released. When you play back a project that contains MIDI, the second indicator lights up.

The volume control is used to control the playback and record volumes on your sound card. Double-click on this indicator to open a dialog box that lets you control the levels for audio, MIDI, CD playback, and record.

The volume control is available only if your sound card is using a native Windows driver. If your sound card does not use a native Windows driver, no volume control will be displayed in the taskbar. In this case, your sound card probably came with a separate program to control input and output levels. See your sound card documentation for more information.


Screen Colors and Wallpaper

Pro Tracks lets you customize the colors that are used for virtually all parts of the program using the Options-Colors command. This command also lets you change the background bitmap that is displayed in the Pro Tracks window.

For any Pro Tracks screen element, you can assign a color in two ways:

  • Choose one of the colors that is part of your Windows color scheme.
  • Assign a custom color.

To Assign Custom Colors

  1. Choose Options-Colors to display the Colors dialog box.
  2. Choose the screen element whose color you want to change from the Screen Element list.
  3. Assign a color to the screen element in one of two ways:
    • To use a color from the Windows color scheme, choose one of the options in the Follow System Color list
    • To use a custom color, check Use Specific Color, click the Choose Color button, and select the color you want
  4. To save these changes from session to session, check the Save Changes for Next Session box.
  5. Click OK when you are done.

Pro Tracks uses the colors you have chosen.

To Restore the Default Colors

  1. Choose Options-Colors to display the Colors dialog box.
  2. Click the Defaults button.
  3. Click OK.

Pro Tracks uses the default colors for all screen elements.

To Change the Wallpaper

  1. Choose Options-Colors to display the Colors dialog box.
  2. Choose the desired wallpaper according to the table:
    To do this...

    Do this...
    Use the default wallpaper

    Check Default in the Wallpaper list
    Not use any wallpaper

    Check None in the Wallpaper list
    Use a custom bitmap

    Check Custom, choose a bitmap, and click Open
  3. Click OK when you are done.

Pro TracksRead through Controlling Playback to learn the details of how you can use Pro Tracks to create your projects. When you've finished there, move on to Recording and Using Loops.


Controlling Playback

Controlling playback is simple with Pro Tracks. When you play your project, you have full control over the tempo or speed of playback, which tracks are played, which sound cards or other devices are used to produce the sound, and what the tracks sound like.

Note: Pro Tracks has a button called the Audio Engine button [image] in the Transport toolbar which you click to stop any feedback you may experience if there is a loop somewhere in your mixer setup. Whenever you play a project, Pro Tracks automatically enables the audio engine, which you can tell by watching the Status bar--whenever the audio engine is running, the Audio Running indicator in the Status bar lights up. If you enable Input Monitoring you can use the Audio Engine button to turn Input Monitoring on or off. See Input Monitoring

See:

The Now Time and How to Use It

Controlling Playback

Track-by-Track Playback

Changing Track Settings

Locating Missing Audio

Locating Missing Audio


The Now Time and How to Use It

Every project has a current time, known as the Now time, which keeps track of where you are in a project. The Now time is displayed in both the Large Transport toolbar and the Position toolbar, in two formats: The measure, beat, and tick number (MBT) identifies the Now time in musical time units. Ticks are subdivisions of quarter notes.

Here are some examples of times expressed in measure, beat, and tick (MBT) format:

Time... | What it means...
1:01:000 | First beat of the first measure
9:04:000 | Fourth beat of the ninth measure
4:02:060 | The 60th tick of the second beat of the fourth measure

The second time format is commonly referred to as the SMPTE time. SMPTE is the acronym for the Society of Motion Picture and Television Engineers. In this format, time is measured in hours, minutes, seconds, and frames. It's not necessary for a project to begin at time zero in this format--any time can be used to represent the start of a project.

Here are some examples of times expressed in this format (assuming that zero is the start time):

Time... | What it means...
00:00:00:00 | The beginning of the project
00:05:10:00 | Five minutes and ten seconds from the beginning of the project
01:30:00:00 | One hour and thirty minutes into the project
00:00:00:05 | Five frames into the project

Pro Tracks provides many ways to set the Now time. Here are just a few:

To Change the Now Time

  • Click the desired time on Time Ruler in the Track view or Piano Roll view
  • Click on the Now time in the Large Transport toolbar, enter the desired time, and press Enter
  • Choose Go-Time or press F5, enter the desired time, and click OK
  • Click on an event in the Event List view

You can also set the Now Time by right-clicking in the Clips pane if you enable the Right Click Sets Now option in the Track View Properties dialog. Right-click a clip and select View Options from the menu that appears to open the Track View Properties dialog.

When entering a time in MBT format, the beat and tick values are optional. You can use a colon, space, decimal point, or vertical bar to separate the parts of the Now time:

You enter... | The Now time is set to...
2 | 2:00:000
2|1 | 2:01:000
4 2 0 | 4:02:000
9:1 | 9:01:000
5|1:30 | 5:01:030

When entering a time in SMPTE format, you can enter a single number (hour), two numbers (hour and minutes), three numbers (hour, minutes, and seconds), or all four numbers.

If you click in Time Ruler while the snap grid is enabled, the Now time will be snapped to the nearest point in the grid. By setting the grid size to a whole note or quarter note, you can easily set the Now time to a measure or beat boundary.

You can also use the buttons and the scroll bar in either the Transport toolbar or Large Transport toolbar to adjust the time.

The Large Transport toolbar differs from the Transport toolbar because it displays the Now time (which you can set by entering numbers into the display fields in either MBT or SMPTE time) and the Meter/Key Signature display. The Meter/Key Signature display shows the current meter and key signature, which you can edit by clicking the display to open the Meter/Key Signature dialog box. You can display the Large Transport toolbar by selecting the View-Toolbars command to open the Toolbars dialog box, and checking Transport (Large).

See:

Other Ways to Set the Now Time


Displaying the Now Time in Large Print

Pro Tracks can display the Now time in large print so that it's easier to see when you are far from your monitor (for example, when you're at your keyboard or another instrument) or when several people need to read the Now time from a distance. Here's how:

To Display the Big Time View

  1. Choose View-Big Time to display the Big Time view.
  2. Change the settings according to the table:
    To do this...

    Do this...
    Switch time format

    Click on the view to toggle between MBT and SMPTE time
    Change font or color

    Right-click on the view, choose the font and color you want, and click OK
    Change the size of the view

    Drag any corner of the view to change its size

Note that Pro Tracks ignores font styles and effects such as strikeout and underline.


Other Ways to Set the Now Time

There are a variety of commands and keyboard shortcuts you can use to set the Now time:

Command... | Shortcut... | What it does...
Go-Time | F5 | Lets you enter the Now time in the Position toolbar or in a dialog box
Go-From | F7 | Sets the Now time to the From time (the start time of the current time selection)
Go-Thru | F8 | Sets the Now time to the Thru time (the end time of the current time selection)
Go-Beginning | Ctrl+Home | Sets the Now time to the beginning of the project
Go-End | Ctrl+End | Sets the Now time to the end of the project
Go-Previous Measure | Ctrl+PgUp | Sets the Now time to the start of the current measure if the Now time is not on a barline, or to the start of the previous measure if the Now time is on a barline.
Go-Next Measure | Ctrl+PgDn | Sets the Now time to the start of the next measure

If your project has markers, you can use the Marker toolbar to set the Now time:

To do this... | Do this...
Skip to the next marker | Click [image] on the Markers toolbar (or press Ctrl+Shift+PgDn).
Skip to the previous marker | Click [image] on the Markers toolbar (or press Ctrl+Shift+PgUp).

For more information about markers, see Creating and Using Markers.


Time Ruler

The Time Ruler appears in the Track view, Tempo view and Piano Roll view. It has several functions, including:

  • Making a Time Selection
The Time Ruler follows the Snap to Grid settings, if enabled. For more information about using the Snap to Grid, see Defining and Using the Snap Grid.
  • Changing the Now time
For more information about the Now time, see The Now Time and How to Use It.
  • Adding loop, punch, and pitch markers
You can right-click in the Time Ruler to add markers. For more information, see Creating and Using Markers and Using Pitch Markers in the Track View.

In the Track view, the Time Ruler has the following time display options or formats:

  • Measures, Beats and Ticks (M:B:T)
  • Hours, Minutes, Seconds and Frames (H:M:S:F--also called SMPTE)
  • Samples

The M:B:T setting follows your Meter and Key settings. If you project is set to 4/4 time, you have four beats in the Time Ruler for each measure. If your project is set to 6/8 time, you have six beats in the Time Ruler for each measure.

To Set the Time Ruler Format to M:B:T

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-M:B:T.

To Set the Time Ruler Format to H:M:S:F (SMPTE)

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-H:M:S:F.

To Set the Time Ruler Format to Samples

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-Samples.

Note:

The Display All Times as SMPTE checkbox in the General tab of the Global Options dialog forces all times in the project to be displayed in SMPTE time, regardless of your setting in the Time Ruler.


Controlling Playback

To control playback, you have your choice of tools, menu commands, and shortcut keys for most common operations.

When you start playback, the Now time updates continuously to show the current time. When you stop playback, the Now time stops at the time you stopped. When you start playback again, it continues from the same point.

If the Now time is advancing but you don't hear any sound, see Troubleshooting. Note: If your Windows setup uses any system sounds that are associated with any typical activity, such as minimizing a window, etc., you should disable these sounds. They can sound extremely loud through your monitors, and also interrupt playback and recording, if you open any dialog boxes or do anything that has a system sound attached to it while a project plays. The quickest way to disable all system sounds is to open the Control Panel (Start-Settings-Control Panel), double-click the Sounds icon to open the Sounds Properties dialog box, and in the Schemes field select No Sounds. Click Apply, and then click OK.

To Start and Stop Playback

To do this... | Do this...
Start playback | Press the Spacebar, click , or choose Transport-Play
Stop playback | Press the Spacebar, click , or choose Transport-Stop
Rewind to the start of the project | Click , press the w key, or choose Transport-Rewind
Skip to the end of the project | Click


Handling Stuck Notes

Under MIDI, the events that turn notes on are separate from the events that stop notes from playing. Normally, when you stop playback, Pro Tracks attempts to turn off all notes that are still playing. Depending on how your equipment is configured, it's possible for notes to get stuck in the "on" position. The Transport-Reset command is used to stop all notes from playing. The Transport-Reset command also stops feedback from input monitoring.

Note:

You can control the MIDI messages that are sent by the Transport-Reset command. See Initialization Files for more information.

To Clear Stuck Notes

  • Choose Transport-Reset, or click [image] on the Large Transport toolbar.

See:

The Transport-Reset command

See also:

Transport toolbar toolbar


Looping

Sometimes you want to listen to one portion of a project over and over, either so you can play along and rehearse or because you want to edit that section of the project while it is playing and hear the results as you make changes. Pro Tracks has a playback looping feature that makes this simple.

Looping is defined in the Loop/Auto Shuttle toolbar, as shown here:

To set up a loop, you do three things:

  • Set the start time of the loop
  • Set the end time of the loop
  • Enable looping

That's all there is to it. From then on, Pro Tracks will automatically jump back to the start of the loop when it reaches the end.

When looping is enabled, the loop times are indicated by special markers in the Time Ruler.

The Loop/Auto Shuttle dialog box, which appears when you use the Transport-Loop and Auto Shuttle command or click the Loop and Auto Shuttle button [image] in the Loop toolbar, contains three additional settings that affect the details of how looping operates:
Option... | How it works...
Rewind to start time on stop | Whenever you stop playback for any reason, Pro Tracks rewinds immediately to the start of the loop (this option is off by default)
Stop at the end time | Playback does not proceed beyond the end of the loop
Loop continuously | When playback reaches the end of the loop and rewinds to the start, playback continues automatically (this option is on by default)

With the default option settings, Pro Tracks will play the loop over and over again, continuously. You can stop and resume playback at any point during the loop.

If you start playback before the loop start time, Pro Tracks will play until the loop end time is reached, then jump back to the loop start time. If you start playback after the loop end time, the loop is ignored.

The Rewind command operates slightly differently when looping is in effect. The first time you rewind, the Now time is set to the start of the loop. If the Now time is already at the start of the loop, Rewind takes you to the beginning of the project. From then on, Rewind switches back and forth between the loop start time and the start of measure 1.

To Set Up a Playback Loop

  1. Set the loop start and end times in one of the following ways:
    • Drag the mouse between two points in the Time Ruler of the Track view or Piano Roll view to select a range of times, then click [image] in the Loop/Auto Shuttle toolbar to copy the selection time to the loop time.
    • Click between two markers in the Track or Piano Roll view to select a range of times, then click [image] in the Loop/Auto Shuttle toolbar to copy the selection time to the loop time.
    • Type the loop start and end times directly into the toolbar.
    • Select a range of times, then right-click in the Time Ruler and choose Set Loop Points (this method makes the second option unnecessary).

Looping is automatically turned on when you use the Set Loop to Selection command.

To Change the Loop Settings

  1. Click [image] , or choose Transport-Loop and Auto Shuttle to display the Loop/Auto Shuttle dialog box.
  2. Check the options you want to use.
  3. Click OK.

To Cancel a Playback Loop

  • Click [image] on the toolbar to disable looping.

See:

Loop toolbar

Transport toolbar


Track-by-Track Playback

Pro Tracks lets you play back any combination of tracks at one time by changing each track's status. You can control the status of each track with the individual controls that are on every track, or with the global controls on the Playback State toolbar or the Status bar that's at the bottom of the Pro Tracks window. For more information on the Status bar, see Status Bar/CPU Meter/Disk Meter. For more information on the Playback State toolbar, see The Playback State Toolbar.

There are several different status settings for each track:

Status... | What it means...
Normal | The track plays unless one or more of your other tracks is soloed.
Muted | The track is not played, but you can turn it on while playback is in progress.
Archived | The track is not played, and you must stop playback to re-enable it. Archived tracks do not tax your CPU during playback so they can be used to store alternate takes.
Soloed | Only those tracks that are designated as solo tracks are played; all others are muted.
Armed | The track is armed for recording.
Mono/Stereo | The track plays back in either mono or stereo, depending on what the individual track setting is, and whether the Play in Mono button in the Playback State toolbar is depressed.
Phase normal or inverted | If a track was accidentally recorded out of phase with another track, the Phase button lets you reverse the phase of a track.

While playback is in progress, you can mute and unmute tracks in any combination, which means you can hear only the tracks that you want. You can change the status of a track in the Track view, the Console view, the Track menu, the Playback State toolbar, or the Status bar.

If a track is both muted and soloed, it does not play. Mute has precedence.

The track status is saved with the Pro Tracks project file. If you save a Pro Tracks project as a standard MIDI file, however, all tracks are saved without mute, solo, or archive indicators.

See:

The Playback State Toolbar

Silencing Tracks

Soloing Tracks

Inverting the Phase of a Track

Changing Tracks' Mono/Stereo Status


The Playback State Toolbar

To display the Playback State toolbar, use the View-Toolbars command to open the Toolbars dialog box, and make sure Playback State is checked. The Playback State toolbar is a global control that allows you to mute or unmute, solo or unsolo, arm or disarm, and play in mono all tracks in a project.

See:

Silencing Tracks

Soloing Tracks


Silencing Tracks

When a track is muted, Pro Tracks processes the track while playback is in progress so that you can unmute the track without stopping playback. If you have lots of muted tracks, this can place a heavy load on your computer. Archived tracks, on the other hand, don't place any load on your computer. Therefore, if there are tracks you want to keep but don't need to play, you should archive them instead. Archived tracks are indicated by the letter A in the Mute button that is displayed in the Track and Console views.

When you mute or unmute a track while playback is in progress, there may be a slight delay before you hear the effect of the change. This is to be expected and does not indicate a hardware or software problem.

To Mute or Unmute Individual Tracks

  • To mute or unmute a track, click its M button in the Track or Console view.
  • To mute or unmute several tracks at once, select the tracks and choose Track-Mute, or select the tracks, right-click, and choose Mute from the popup menu.

To Unmute All Tracks

  • Click the M button in the Playback State toolbar or the Mute label in the Status bar.

To Mute All Tracks

  • If no tracks are currently muted, click the M button in the Playback State toolbar.

To Archive or Unarchive Tracks

  1. Select one or more tracks in the Track view.
  2. Choose Track-Archive, or right-click and choose Archive from the menu to toggle the archive status of the selected tracks.


Soloing Tracks

Sometimes you want to hear a single track, or a few tracks at once, without having to mute all the other tracks. You can do this by soloing the tracks you want to hear.

As soon as any track is marked as a solo track, Pro Tracks ignores all mute settings and plays only the track or tracks that are set to solo. Any number of tracks at one time can be marked as solo. All these tracks will play together. As soon as the solo status of the final solo track is turned off, Pro Tracks once again plays back tracks based on their mute settings.

To Solo or Unsolo Individual Tracks

  • To solo or unsolo a track, click the Solo button in the Track or Console view
  • To solo or unsolo several tracks at once, select the tracks and choose Track-Solo, or right-click, and choose Solo from the popup menu.

To Unsolo All Tracks

  • Click the S button in the Playback State toolbar or the Solo label in the Status bar.

To Solo All Tracks

  • If no tracks are currently soloed, click the S button in the Playback State toolbar.


Inverting the Phase of a Track

A waveform's exact opposite is called an inversion. It is a shift of 180 degrees. A waveform and its inversion cancel each other out completely, so it is usually not desirable to have two track recordings of the same source if one is phase inverted. It can lead to reduced volume, lowered or distorted response in certain frequencies, or even silence in the case of two tracks which are exactly identical (i.e. cloned tracks).

Occasionally, for example when recording a source using two microphones, one of the microphones may be recording an inversion of the other, the resulting tracks may, to some degree, be cancelling each other out. Pro Tracks allows you to invert the phase of a track to match another.

To Invert the Phase of a Track

  1. Open the Track view or Console view.
  2. In the track you want to invert the phase, click the phase inversion button [image] .


Changing Tracks' Mono/Stereo Status

Pro Tracks has a mono/stereo button in each track module in the Track and Console views, and a global Play in Mono button in the Playback State toolbar. The buttons in the track modules force each track to play in either stereo or mono, but preserve the tracks' pan positions in the stereo mix. The Play in Mono button in the Playback State toolbar flips all the mono/stereo buttons in the virtual main buses to either mono or stereo, which, if you choose mono, causes Pro Tracks to ignore any panning you may have done. If you use more than one virtual main, you can then manually change some of the virtual mains' mono/stereo buttons, if you want.

The Mono/Stereo button in each track forces the track's audio signal to enter any patched plug-ins as either mono or stereo, whether or not the tracks are mono or stereo. This allows you to use either mono effects on a stereo track or stereo effects on a mono track. There is also an Auto setting which lets Pro Tracks automatically send audio to the first plug-in in the required format.

Note: You may lose important stereo data by using mono effects with stereo tracks because your stereo tracks are summed to mono in order to pass through the effect. If you never want your stereo data to be summed to mono, select stereo.

To Use a Track's Stereo/Mono Button

  1. Display the Track view or Console view.
  2. In the track you want to force to either mono or stereo for processing effects, click the Stereo/Mono button [image] to the desired position:
    • A--This choice lets Pro Tracks auto-select either stereo or mono, depending on what kind of data Pro Tracks finds in the track.
    • Speaker icon pointing left--This choice means that you manually selected mono for this track.
    • Speaker icon pointing left and right--This choice means that you manually selected stereo for this track.


Changing Track Settings

Each track in a project contains MIDI or audio information and has a variety of settings that determine how the track sounds. By changing these settings, you can change the sound of your project. For audio tracks, you control the volume, the stereo panning, and the output device that is used to produce the sound. For MIDI tracks, you control many additional settings, including the type of instrument sound that is used to play the notes stored in the track.

Here is a summary table of the different track parameters and how they are used. For more information on any setting, click on its link.

Audio Track Parameters

The following parameters apply to audio tracks:

Setting... | What it means...
Number | A sequential track number used only for reference
Name | A name that you assign the track for easy reference. Please note that if you do not assign a track a name to a track, the default name is the track number. This track number will change if you change the order of your tracks.
In | The input source for the track, used in recording
Out | The output bus through which the track is played
Vol (volume) | The starting volume level for the track, ranging from -INF (silent) to +6 dB (maximum volume).
Pan | The stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right); a value of "C" indicates sound that is centered left-to-right. On stereo tracks, pan acts as balance.
Trim (volume trim) | Volume Trim is a pre-fader control which allows the fine tuning of a single track's volume. For example, let's say you have four tracks, three tracks have their volume fader set to 0 dB while the fourth track's fader is set to +10 dB. You want to group the faders and do a slow fade out, but the slightly higher level of the fourth track causes its volume to be higher in relation to the other tracks towards the end of the fade out. To balance the fader levels, reduce the fader level for the fourth track to 0 dB and raise the Volume Trim value for that track to +10 dB. The resulting volume levels for the project are the same, but now you can group the faders and perform a fade out with no track standing out disproportionately at the end of the fade out.
Aux Enable | Allows the track to be sent to the aux bus.
Aux Send Level | Each track has an Aux Send Level for each Aux Bus in the project. The default number of Aux Buses for a new project is 2.
Aux Send Pan | Each track has an Aux Send Pan for each Aux Bus in the project. The Aux Send Pan adjusts the send pan setting.
Aux Pre/Post | Each track has an Aux Send Pre/Post for each Aux Bus in the project. Pre (pre-fader) means that the signal goes to the aux bus prior to the track's volume fader.
Mono/Stereo | A switch that determines whether a track's signal enters an effect or chain of effects as mono or stereo, regardless of the nature of the track.
Phase In/Out | A switch that inverts the phase of the track.
Effects bin | The patch point for a track's DirectX plug-ins or DXi soft synths.
Meters | The recording and playback levels are displayed in the Playback and Record meters.

MIDI Track Parameters

The following parameters apply to MIDI tracks:
Setting... | What it means...
Number | A sequential track number used only for reference
Name | A name that you assign the track for easy reference. Please note that if you do not assign a track a name, the default name is the track number. This track number will change if you change the order of your tracks.
In | The input source for the track, used in recording
Out | The output device through which the track is played
Vol (volume) | The starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume).
Pan | The stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right); a value of "C" indicates sound that is centered left-to-right.
Ch (channel) | The MIDI channel through which the notes will be played
Bnk (bank) | The set of patch names available for the track
Pch (patch) | The instrument sound that will be used for playback.
Vel+ | The change in velocity (volume) that will be applied to notes in this track on playback; ranges from -127 to +127
Key+ | The number of steps by which the notes in the track are transposed on playback (e.g., 12 to transpose up one octave)
Time+ | An offset applied to the start time of the events in the track

To Change a Track Name

  1. Double-click on the current track name.
  2. Enter the new track name.
  3. Click Enter.

The default track names (Track 1, Track 2, etc.) are not actually names, but placeholders until you name a track. If you reorder the tracks these placeholders change.

You can rearrange and resize the panes in the Track view as shown in the following table:

To do this... | Do this...
Change the size of the Track pane | Drag to the left or right the divider that separates the Track and Clips panes
Change the Size of the Mains/Buses pane | Drag up or down the divider that separates the Track and Clip panes from the Bus pane

You can customize which tracks are displayed or not displayed, and enlarge or maximize individual tracks while other tracks remain minimized. You can also manually set the exact size of a track's display. The following table shows how to customize the appearance of tracks in the Track pane:

To do this... | Do this...
Maximize a track | Click the Maximize button in the track
Restore a track to its default size | Click the Restore button in the track
Minimize a track | Click the Minimize button in the track
Change the default size of a track using splitter bars | Move the cursor over the gap below a track until the cursor looks like this [image] . Click and drag until the track is the size you want.

You can display subsets of the Track pane's controls by selecting one of the tabs located at the bottom of the Track view. The following table lists the controls displayed when each tab is selected:

Tab

Controls displayed when selected
All

  • All controls are displayed
Mix

  • Volume
  • Pan
  • Volume Trim
  • Phase (audio tracks only)
  • Key+ (MIDI tracks only)
  • Time+ (MIDI tracks only)
FX

  • FX
  • Aux enable/disable (audio tracks only)
  • Aux Send Level (audio tracks only)
  • Aux Send Pan (audio tracks only)
  • Aux Pre/Post Fader (audio tracks only)
  • Mono/Stereo (audio tracks only)
  • Chorus (MIDI tracks only)
  • Reverb (MIDI tracks only)
I/O

  • In
  • Output
  • Channel (MIDI tracks only)
  • Bank (MIDI tracks only)
  • Patch (MIDI tracks only)

Changing Audio Track Settings in the Track Pane

You can change the values in the Track pane in a number of ways:

Control | How to change the setting
Volume, Pan, Volume Trim, Aux Send Level, and Aux Send Pan | Click on the control and move your cursor left or right to adjust values, or press Enter and type a value.
Input and Output | Click on the black arrow on the right of the control and select a driver from the menu that appears, or double-click on the control and select a driver from the menu.

Changing MIDI Track Settings in the Track Pane

Control | How to change the value
Channel | Click on the black arrow on the right of the control and select a channel from the menu that appears, or double-click on the control and enter a value.
Bank | Click on the black arrow on the right of the control and select a bank from the menu that appears, or double-click on the control and enter a value.
Patch | Click on the black arrow on the right of the control and select a patch from the menu that appears, or double-click on the control and enter a value.
Volume, Pan, Volume Trim, Chorus and Reverb | Click on control and move your cursor left or right to adjust values, or double-click on the control and enter a value.
Key+ and Time+ | Double-click the control or click on the black arrow on the right of the control and enter a new value, or double-click on the control and enter a value.
Input | Click on the black arrow on the right of the control and select a MIDI channel from the menu that appears, or double-click on the control and select a driver from the menu.
Output | Click on the black arrow on the right of the control and select a driver from the menu that appears, or double-click on the control and select a driver from the menu.

You can change numeric values in MIDI tracks as shown in the following table:

To do this... | Do this...
Change the value by 1 | Press the - or + key on your numeric keypad, or click on the spinner control
Change the value by 10 (for Key+, by 12) | Press the [ or ] key, or right-click on the spinner control
Enter a new value | Press Enter and type the new value using the keyboard, and press Enter

For numeric fields, you can press and hold both mouse buttons to change the value by increments of 10 (12, a full octave, for Key+).

You can also edit Track properties in the Track Properties dialog box. To open this dialog box, right-click on the Track bar and select Track Properties.

You can change the value of a track parameter for several tracks at once using commands on the Track-Property menu. For example, to assign a group of tracks to the same output, select the tracks you want to assign, then choose Track-Property-Output. These menu commands can also be used to change the settings for individual tracks.

All track parameters are saved with a Pro Tracks project. However, if you export a project to a standard MIDI file, several of the parameters (Key+, Vel+, Time+, and Chan) are applied to the MIDI data as the file is being exported. Other parameters, including Input, Output, Mute, Solo, and Archive, are lost when you export the project to a MIDI file.

The following sections contain more information about many of the parameters in the Track view. For more information on the track inputs and the track Arm button, see Preparing to Record.


Setting Up Output Devices

The output setting for a track determines which piece of hardware will be used to produce the sound stored in your project. In a very simple equipment setup, you might have only a computer equipped with a basic sound card. In this case, you want to play all MIDI and audio output through the sound card on your computer.

If your equipment setup also includes a MIDI keyboard attached to the MIDI port on your sound card, you can choose to route MIDI data directly to the sound card or through the sound card MIDI port to the keyboard. If you choose the former, the music will play from your computer speakers. If you choose the latter, the sound will play from the speaker attached to your keyboard. You can even choose to send some MIDI information to each of these devices so that they both play at once.

You can purchase MIDI interfaces that plug into your parallel, serial, or USB port to add MIDI ports to your computer. For more information on complex system configurations, see Hardware Setup.

If your computer has several MIDI outs, choose the ones you want to use and put them in a particular order using the Options-MIDI Devices command. The order in which your MIDI devices appear in the Output menus in the Track and Console views is based solely on the order in which the selected outs appear in the MIDI Devices dialog box. As a result, the order in which your devices appear in a track's output control may not match the port numbers that appear on your external multiport MIDI device.

When you first run Pro Tracks it asks you to select MIDI devices. You may want to change these selections in the future. You can do so by selecting different devices in the MIDI Devices dialog box.

Your computer is usually equipped with at least one audio device--your computer sound card. Your setup may have several different audio output devices, or you may have a multichannel sound card that presents itself to your computer as though it were several different devices, one for each stereo pair. Pro Tracks, you choose one audio device for all your audio output.

To Choose MIDI Devices

  1. Choose Options-MIDI Devices to display the MIDI Devices dialog box.
  2. Click on any MIDI device in the Outputs list.
  3. To move any device to the top of the list, deselect all other devices and click Move to Top to move the selected device to the top of the list.
  4. When all devices are selected in the order you want, click OK.

See:

MIDI Devices dialog


Assigning Tracks to Outputs

You assign each track to a MIDI or an audio output using the Output dropdown in the Track view. From then on, material on that track will be sent to the appropriate output device

Note:

If you rearrange your MIDI output devices after making output assignments, you may find MIDI information being sent to different instruments than you expect. Also, Pro Tracks allows you to define instruments that are associated with certain outputs and channels. If you use this feature, the name of the Channel changes to reflect the instrument you have chosen. For more information about instrument definitions, see Using Instrument Definitions.

To Assign a Track to an Output

  1. Click the Output dropdown of the track you want to assign.
  2. Select the output you want to use.

To change the output setting for more than one track at a time, select the tracks you want to change and choose Track-Property-Output.


Choosing the Instrument Sound (Bank and Patch)

Electronic keyboards and synthesizers often contain hundreds or thousands of different sounds. Each sound is known as a patch. The name comes from the early days of synthesizers, for which you physically rewired (using patch cords) the oscillators and modulators to produce different sounds. Patches are normally organized into groups of 128, called banks. Most instruments have between 1 and 8 banks, but MIDI supports up to 16,384 banks of 128 patches each (that's over 2 million patches).

The bank and patch settings in the Track view control the initial bank and patch of a track during playback. Every time Pro Tracks starts playback at the beginning of a project, the bank and patch settings for the track are set to these initial values. If you are using an instrument that supports General MIDI, your patch list will contain the 128 sounds that are defined by the General MIDI specification.

Tip:

If your bank name is too long to fit in the bank field, hold your cursor over the bank name. A tooltip appears with the complete bank name.

Note to Experts:

Different MIDI instruments use different types of commands to change banks. Pro Tracks supports four common methods for changing banks. For information about the bank selection method you should use with your MIDI gear, see your MIDI equipment's documentation.

Note that a single MIDI channel can only play one patch at a time on each instrument assigned to that channel. Therefore, if two or more MIDI tracks are set to the same output and channel but have different bank and patch settings, the patch of the highest-numbered track will be used for all the tracks.

In some projects you want the sound played by a track to change while playback is in progress. You can accomplish this using the Insert-Bank/Patch Change command. When you start playback in the middle of a project, Pro Tracks searches back through the track to find the correct patch to use--either the initial bank and patch or the most recent bank/patch change. Note that the Track view only shows the initial bank and patch, even while a different bank and patch are being played back. The only way to see and edit a bank/patch change is in the Event List view. For more information, see The Event List View.

To Assign an Initial Bank and Patch to a Track

  1. Right-click on the Track titlebar (the top of the track which contains the track name) and select Track Properties.
The Track Properties dialog box appears.
  2. In the Track Properties dialog box, choose the desired bank and patch from the dropdown lists.
  3. To search for a patch containing specific text, click the Patch Browser button to the right of the dropdown lists. You can also open the Patch Browser by right-clicking a bank or patch control in the Track or Console views.
  4. Click OK.

Another Way to Assign a Patch to a Track

  1. Select the patch you want from the Patch dropdown.

To change the bank and patch settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Bank or Track-Property-Patch.

To Insert a Bank/Patch Change

  1. Highlight the track whose bank and patch you want to change by clicking on the track number.
  2. Set the Now time to the time at which you want the change to occur.
  3. Choose Insert-Bank/Patch Change to display the Bank/Patch Change dialog box.
  4. Choose a bank and patch from the lists.
  5. Click OK.

Pro Tracks inserts a change in bank and patch. When you play back the project, the initial bank and patch shown in the Track view will be used to the point at which the bank/patch change takes place. You can remove a bank/patch change in the Event List view.

To Choose Patches with the Patch Browser

  1. In the Track view or Console view, right-click the patch name in the track module you want to change patches in.
The Patch browser dialog box appears, displaying a list of all the Instrument patch names that have been installed.
  2. Search for a patch name, if desired, by filling in text in the search field at the top of the dialog box.
  3. When you find the right patch, click its name and click OK.
Pro Tracks changes the patch of the track you selected.

See:

Patch Browser dialog


Adding Effects

You can add both MIDI and audio effects directly from the Track view. Pro Tracks adds these effects in real-time, preserving your track's original data.

To Add an Audio Effect in the Track Pane

  1. In an audio track, right-click in the FX field, choose Audio Effects-Cakewalk, and select an effect from the menu that appears.

See:

Audio Effects (Audio Plug-ins)


Adjusting Volume and Pan

The Volume and Pan settings control the initial volume and pan of a track during playback. Every time Pro Tracks starts playback, the Volume and Pan settings for the track are set to these initial levels.

In some projects you want the volume or panning of a track to change while playback is in progress. You can accomplish this by drawing a volume or pan envelope in the Track view, or by recording automation. For more information, see Using Automation, Mixing and Effects Patching, and Editing MIDI Events and Controllers.

Note to Experts:

Pro Tracks processes the volume and pan settings by transmitting MIDI volume and pan events (controllers 7 and 10, respectively) when playback starts. If two or more MIDI tracks are set to the same output and channel but have different volume or pan settings, the settings for the highest-numbered track will prevail.

Note also that not all keyboards and synthesizers respond to these events. Check your instrument's manual for more information.

To Set the Initial Volume Setting

  1. Move your cursor to the Volume control of the track you want to change.
  2. Click and drag to the left to lower the volume or the right to raise the volume.

You can also change the volume settings in a variety of other ways. To change the volume settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Volume.

To Set the Initial Pan Setting

  1. Move your cursor to the Pan control of the track you want to change.
  2. Click and drag to the left to adjust the pan to the left or to the right to adjust the pan to the right.
Hard left is 100% left. Hard right is 100% right. Pan is centered at C.

You can also change the pan and volume settings in a variety of other ways. To change the pan settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Pan.


Adjusting Volume Trim

Volume Trim acts like the trim control on a mixer, raising or lower the level prior to the volume fader. Volume Trim is useful for calibrating your faders to match a dB reference level or for aligning your faders for grouping. The Volume Trim control has a range of -18dB to +18dB. Raising or lowering the Volume Trim raises or lowers the apparent volume of the track by that amount without affecting the actual fader level.

To Set the Volume Trim Level

  1. Move your cursor to the Volume Trim control of the track you want to change.
  2. Click and drag to the left to lower Volume Trim level or to the right to raise Volume Trim level.


Assigning a MIDI Channel (Chn)

MIDI transmits information on 16 channels, numbered 1 through 16. Every MIDI event is assigned to a particular channel. Some MIDI equipment can accept MIDI information on only a single channel. This channel may be preassigned, or you may be able to change it. Other MIDI equipment, including many electronic keyboards and synthesizers, can accept information on several different MIDI channels at once. Usually, these devices use a different instrument sound for each channel.

On playback, the channel number is used to direct the MIDI information to a particular piece of equipment.

The Chn parameter in the Track view redirects all events in the track to the specified channel, ignoring the channel number stored with each event. If this parameter is left blank, all events in the track are sent to their original channels.

This parameter does not affect the channel information that is stored with each MIDI event. When the track is displayed in other views, like the Piano Roll or Event List view, you will see the original channel that is stored in the file. You can edit the channel values in those views.

To Set the Channel for a Track

  1. In the track you want to change, click on the black arrow to the right of the Chn field and select the channel you want to use.

You can also change the channel setting in a variety of other ways. To change the channel assignment for more than one track at a time, select the tracks you want to change and choose Track-Property-Channel.


Adjusting the Key/Transposing a Track (Key+)

Each MIDI note event has a key number, or pitch. On playback, the key offset (Key+) parameter transposes all notes in the track by the designated number of half-steps. The value can range from -127 to +127. A value of 12 indicates that notes will be played back one octave higher than they are written.

This parameter does not affect the note number that is stored for each note event. When the clip is displayed in other views, like the Piano Roll or Event List view, you will see the original notes as they are stored in the file. To permanently change the pitches, you can edit them individually or use the Process-Transpose command.

If the key offset value transposes the key number (MIDI note) outside the allowable MIDI range (0-127), the key number will be transposed to the lowest or highest octave within that range.

When you edit the Key+ parameter, pressing [ or ] changes the value by 12 instead of by 10. This makes it easy to transpose by octaves.

To Set the Key Offset for a Track

  1. In the track you want to change, click on the Key+ control.
  2. Enter a value (1 = a semitone), or press the + or - key to change the key by a single semitone. Use the [ or ] key to change the key by 12 semitones (one octave).

You can also change the key offset in a variety of other ways. To change the key offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Key+.


Adjusting the Note Velocity (Vel+)

Each MIDI note event has a velocity, which represents how fast the key was struck when the track was recorded. On playback, the velocity offset parameter adjusts the velocity data for all notes in the track by the designated amount. The value can range from -127 to +127. The effect of changing velocities depends on the synthesizer. Some synthesizers do not respond to velocity information. For others, the effect varies depending on the sound or patch you have chosen. Normally, higher velocities result in louder and/or brighter-sounding notes.

This parameter does not affect the velocity that is stored for each note event. When the clip is displayed in other views, like the Piano Roll view or Event List view, you will see the original velocities as they are stored in the file. You can edit the velocity values in those views.

Velocity is different from volume in that it is an attribute of each event, rather than a controller that affects an entire MIDI channel. Here's an example of where this distinction might be important. Suppose you have several tracks containing different drum parts. All of these parts would probably be assigned to MIDI channel 10 (that's the default channel for percussion in General MIDI). If you change the volume setting for any track that uses channel 10, all the different drum parts--regardless of what track they're in--would be affected. If you change the note velocity for one drum track, it will be the only one whose volume is affected.

To Set the Velocity Offset for a Track

  • In the track you want to change, click and drag the Vel+ control to the desired setting.

You can also change the velocity offset in a variety of other ways. To change the velocity offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Vel+.


Adjusting the Time Alignment of a MIDI Track (Time+)

Each event takes place at a known point in the project. On playback, the time offset (Time+) parameter adjusts the times for MIDI events in the track by the designated amount. The value can be as small as a single clock tick or as large as you want.

This parameter can be used to make a part play behind the beat or in front of it or to compensate for tracks that sound rushed or late. The time shift can be used to create a chorus or slap-back echo effect by making a copy of a track and then applying a small offset to the copy. You can use larger time offsets to shift a track earlier or later by several beats or measures.

Note that you cannot shift any event earlier than 1:01:000. For example, if the first event in the track starts at 2:01:000, you cannot shift its start time earlier by more than one measure.

This parameter does not affect the time that is stored for each note event. When the clip is displayed in other views, like the Piano Roll or Event List view, you will see the original times as they are stored in the file.

To Set the Time Offset for a Track

  1. In the track you want to change, click on the Time+ control.
  2. Enter a value, or press the + or - key until you reach the value you want.

You can also change the time offset in a variety of other ways. To change the time offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Time+.


Other MIDI Playback Settings

Two other MIDI settings can affect what happens when you play back your project, as described in the following table:

Option... | How it works...
Zero Controllers When Play Stops | If this option is enabled, Pro Tracks zeroes (resets) the pitch wheel, the pedal Controller, and the modulation wheel Controller on all 16 MIDI channels whenever playback is stopped. It also sends a "Zero All Continuous Controllers" MIDI message, which turns off other continuous Controllers on newer synthesizers. If you experience frequent stuck notes when playback stops, try checking this option.
Patch/Controller Searchback Before Play Starts | If this option is enabled, Pro Tracks searches for and sends the most recent patch change, wheel, and pedal events on each output and MIDI channel before starting playback. This ensures that all these settings are correct, even if you start playback at an arbitrary point in your project.

To set these options, choose Options-Project and click the MIDI Out tab. If you have set up a playback loop, enabling either of these options can cause an audible delay when the loop is restarted.


Locating Missing Audio

If you try to open a project and Pro Tracks is unable to locate all the audio files that the project references, the Find Missing Audio dialog appears. The Find Missing Audio dialog helps you find any missing audio in your project.

See:

The Find Missing Audio File Dialog

Restoring Missing Audio Files

Managing Shared and External Files


The Find Missing Audio File Dialog

Use the Locate Missing Audio File dialog to find missing audio in your project. The following is a brief description of the options you have in this dialog:

  • Open--Click this button once you have searched for and found the missing audio file.
  • Skip--Click this button to move to the next missing file. When you skip and audio file your project opens without that piece of missing audio.
  • Skip All--Click this button to skip all missing audio files. When you skip all missing audio files, you project opens without those pieces of missing audio
  • Search--Click this button to begin a search of all available hard drives for your missing audio file.
  • After locating the file Options--You can choose to either move an audio file to the project's audio data folder, copy an audio file to the project's audio data folder, or leave an audio file in its current folder.

For more information, see Find Missing Audio File dialog.


Restoring Missing Audio Files

When you open a project file that references audio files which Pro Tracks can not find, the Locate Missing Audio dialog appears. Use the following procedure to restore the missing audio files to your project.

To Restore Missing Audio Files

  1. In the Locate Missing Audio dialog, click the Search button.
The Search for Missing Audio dialog appears and Pro Tracks begins searching all available hard drives for the missing file or files.
  2. When Pro Tracks is finished searching, the files that it has found appear in the dialog.
  3. Select the file or files that Pro Tracks has found and click OK.
The Locate Missing Audio dialog appears.
  4. Select one of the following options:
    • Move file to Project Audio Folder--Use this option if you are sure that no other projects are referencing this file in its present location.
    • Copy file to Project Audio Folder--Use this option if the missing file is shared with another project and you want to keep all of your project's audio files together.
    • Reference file from present location--Use this option if you want to leave the missing file in its current location now that Pro Tracks knows where it is.
  5. Click Open.

Pro Tracks moves, copies or references the missing file or files as you instructed.


Managing Shared and External Files

You may want to share files between projects. The files you want to share may be frequently used sound effects or drum loops. allows you to choose whether to copy imported audio files to your project's audio data directory or to link to them in their current (external) location.

Note: External files are defined as any file not in the project's audio data folder (or a subfolder within the project's audio data folder).

To Configure Pro Tracks to Always Copy Files to the Project Audio Data Folder

Use this procedure if you want to keep all of your project's audio in one folder (your project's audio data directory).

  1. Select Options-Global and click on the Audio Data tab.
  2. In the All Projects section, click the Always Copy Imported Audio Files option.

To Configure Pro Tracks to Share External Files

Pro Tracks allows you to share external files (files not in the project's audio data directory). There are some exceptions, however. Files that have a different sampling rate or bit depth are always copied to the project's audio data directory. Also, if the Always Copy Imported Audio Files option in the Audio Data tab of the Global Options dialog is checked, imported audio is always copied to your project's audio data directory.

Do the following to ensure that you are sharing files:

  1. Uncheck the Always Copy Imported Audio Files option in the Global Options dialog.
  2. In the Open dialog, when importing audio, make sure the Copy Audio to Project Folder option is unchecked.


Recording

You can add sound or music to a Pro Tracks project in many different ways. You can record your own material using a MIDI-equipped instrument, use a microphone or another audio input to record digital audio information, or import sound or music data from an existing digital data file. With the input monitoring feature, you can hear your audio instruments exactly the way Pro Tracks records them, including any plug-in effects.

You can also input new material using your computer keyboard or mouse using the Piano Roll view. .

For more information on entering music using the Piano Roll view, see The Piano Roll View. For more information on using the Event List view, see The Event List View.See:

Creating a New Project

Preparing to Record

Recording Music from a MIDI Instrument

Recording Audio

Input Monitoring

Loop Recording

Punch Recording

Step Recording

Recording Channel by Channel

Importing Music and Sound

Saving Your Work

MIDI Input and Echo Controls


Creating a New Project

You can add music and sound to an existing project or to a new project. Just as in any Windows program, you open an existing project file using the File-Open command, and create a new project file using the File-New command.

When you create a new Pro Tracks project, there are some additional parameters you can set to make it easier to work on your project. These include:

  • Meter and key signature
  • Metronome and tempo settings
  • Audio sampling rate

See:

Creating a New Project

Setting the Meter and Key Signatures

Setting the Metronome and Tempo Settings

Setting the Audio Sampling Rate


Using Per-Project Audio Folders

For ease of backing up your audio files in a project, Pro Tracks allows you to use a separate audio folder for each project. This feature is off by default.

To Enable Per-Project Audio

Use the following procedure to enable the use of per-project audio folders:

  1. Select Options-Global.
The Global Options dialog appears.
  2. Click the Audio Data tab.
  3. In the Audio Data tab, click the Use Per-Project Audio Folders option.
  4. Click OK.

Note: If you use the default project that is created when you open Pro Tracks, you are not using per-project audio. You must use the Copy All Audio with Project option in the Save As dialog to create a per-project audio folder. For more information, see Per-project Audio Folders.


Creating a New Project File

When you create a new project you are asked to choose a template to use for your new file. If you have per-project audio folders enabled (for more information, see Using Per-Project Audio Folders), you are also asked to specify a file name, the folder where you want to store the file, and the folder where you want to store the file's audio. You can override per-project audio by unchecking the Store Project Audio in its Own Folder option.

Pro Tracks includes a set of templates you can use to create a new project. These templates include common types of ensembles, such as rock quartets, jazz trios, and classical full orchestras. When you create a new project using one of these templates, Pro Tracks creates a project that has MIDI settings predefined so that one track is set up for each of the instruments in the ensemble. Pro Tracks also includes a template with two MIDI and two audio tracks (called the Normal template). If you are creating a new project that will contain only audio material, use the Audio Only template. If you are creating a new project that will contain only MIDI material, use the MIDI Only template.

You can create your own template files and use them as the basis for other new projects. For more information, see Templates.

To Create a New Project File

  1. Choose File-New to display the New Project File dialog box.
  2. If you have the per-project audio folders option enabled, enter a file name, set the folder where you want to store the new file, and set the folder where you want to store the new file's audio.
  3. Choose a template from the list.
  4. Click OK.

Pro Tracks creates the new project file and displays it with the Track view open.


Setting the Meter and Key Signatures

By default, a new Pro Tracks project is in 4/4 time and the key of C major. You can change these settings to any desired meter or key. These settings apply to all the tracks in a project. You cannot set different meter or key signatures for different tracks.

The meter or key signature of a project can change at any measure boundary. To insert changes in the meter or key signature, use the the Insert-Meter/Key Change command.

If you are creating a new project that will contain only audio material (no MIDI material), you do not need to set the meter and key signature.

The key signature controls how Pro Tracks displays notes in the the Event view, and elsewhere. The meter, tells Pro Tracks the number of beats per measure and the note value of each beat. Common meters include:

  • 2/4 (two beats per measure, each quarter note gets a beat)
  • 4/4 (four beats per measure, each quarter note gets a beat)
  • 3/4 (three beats per measure, each quarter note gets a beat)
  • 6/8 (six beats per measure, each eighth note gets a beat)

The top number of a meter, the number of beats per measure, can be from 1 through 99. The bottom number of a meter is the value of each beat. You can pick from a list of values ranging from a whole note to a thirty-second note.

The meter determines the following:

  • Where the metronome accents are placed
  • How the Now time is displayed
  • How grid lines are displayed in the Piano Roll view

To Set the Meter and Key Signature

  1. Select Insert-Meter/Key Change.
The Meter/Key Signature dialog appears.
  2. Enter the top and bottom meter values in the Beats per Measure and Beat Value fields.
  3. Choose the key signature from the Key Signature list.
  4. Click OK.

You can also set the meter and key signature in the Large Transport toolbar display.


Setting the Metronome and Tempo Settings

The metronome counts off each beat in a measure, so you can hear the tempo of your project. You can choose to have the metronome sound during recording, during playback, or both. When you start recording, Pro Tracks can play any number of beats or measures of metronome clicks before recording begins. This can help you "get in the groove" before you start performing. These beats or measures are called the count-in.

When you create a new project, you should set the metronome to play during the count-in and while recording. If you are adding material to an existing project, you might only need the metronome for the count-in.

You can customize the metronome sound to use your PC speaker or any note on a MIDI instrument. By default, Pro Tracks uses a hi-hat cymbal sound from a General MIDI drum kit for the metronome, but you can change this setting to anything you like by changing the MIDI output, MIDI channel, and duration. You can also choose the note and velocity (volume) to use for the first beat of each measure and for all other beats. The metronome settings are stored separately with each project, so you can use different settings for each one.

Most metronome options can be set in the Metronome toolbar:

If you don't see the Metronome toolbar, use the View-Toolbars command to open the Toolbars dialog box, and check the Metronome checkbox. The metronome MIDI note parameters must be set in the Metronome Settings dialog box.

To Set the Tempo and Metronome for a New Project

  1. In the Metronome toolbar, select the Metronome during Recording [image] and Metronome during Playback [image] options.
  2. If you want to hear a count-in before recording begins, set the count-in to 1 or more. Select Count-in Measures [image] or Count-in Beats [image] .
  3. Select Use PC Speaker [image] and/or Use MIDI Metronome [image] .
  4. Arm at least one track.
  5. Press r or click [image] to start recording. The count-in will play, and the Now time will start to advance.
  6. If necessary, stop playback and adjust the tempo using the tempo controls in the toolbar and restart playback. Repeat until the metronome plays the tempo you want.
  7. Press the Spacebar or click [image] to stop recording.
  8. Press w, or click [image] to rewind to the beginning of the piece.

Your tempo and metronome settings are now ready. When you save the project file, the metronome and tempo settings will be saved as well.

To Change Your Metronome Settings

  1. Open the Metronome Settings dialog box in one of the following ways:
    • Click Metronome Settings [image] in the Metronome toolbar.
    • Choose Options-Project and click the Metronome tab.
  2. Change the metronome settings as indicated in the following table:
    To do this...

    Do this...
    Enable the metronome during playback

    Check Playback
    Enable the metronome during recording

    Check Recording
    Enable the count-in

    Enter the number of clicks for the count-in in the Count-in box, and select Measures or Beats
    Accent the first beat of each measure

    Check Accent First Beat
    Use the PC Speaker sound

    Check Use PC Speaker
    Use a MIDI note as the sound

    Check Use MIDI Note and choose the output, channel, and other settings
  3. Click OK.

Your metronome settings will be saved with the project file.

To Set the MIDI Metronome Sounds from your MIDI Instrument

  1. Select a track in the Track view that is assigned to the MIDI device you want to use for the metronome sound.
  2. Click Metronome Settings [image] in the Metronome toolbar to open the Project Options dialog box.
  3. Make sure that the settings in the Output and Channel fields match those for the track in the Track view.
  4. Click on the Key box in the First Beat or the Other Beats section.
  5. Play a note on your MIDI instrument. The note number is entered automatically. The velocity is not updated.
  6. Click OK.

Your metronome settings will be saved with the project file.


Setting the Audio Sampling Rate

Each Pro Tracks project has an audio sampling rate that indicate the level of accuracy with which audio data are sampled and processed. The same sampling rate is used for all the digital audio in a project. When you create a new project, if you do not want to use the default setting, you must choose a sampling rate before you start recording audio.

Pro Tracks lets you choose from four different sampling rates: 11025 Hz, 22050 Hz, 44100 Hz, and 48000 Hz. The default is 44100 Hz, the same rate as audio CDs. A higher sampling rate produces better quality sound. However, a higher sampling rate also means that each audio clip takes up more memory and disk space and requires more intensive processing by your computer. If you have an older computer, or a slow hard drive, you might be better off with a lower sampling rate. For more information, see Improving Performance with Digital Audio.

If you are creating a new project that will contain only MIDI material (no audio), you do not need to set the audio sampling rate. If you import audio from a Wave file or another digital audio file, the sampling rate and audio driver bit depth of the wave file are converted to your default setting, if necessary.

Note for Experts:

If you are planning to move your project to a Digital Audio Tape (DAT) or to some other media via a digital transfer, set your sampling rate and bit depth to match the target unit. For example, use 44100Hz/16 bit for a project that will be mastered to a CD, so that no sample rate conversion is required.

To Set the Sampling Rate for New Projects

  1. Choose Options-Audio to display the Audio Options dialog box.
  2. In the Default Settings for New Projects section, select a value in the from the Sampling Rate dropdown menu.
  3. If you choose an audio driver bit depth of 16, also choose 16 in the File Bit Depth field. If you choose an audio driver bit depth higher than 16, choose a File Bit Depth of 24.
  4. Click OK.

The sampling rate and audio driver bit depth are saved with the project file.


Preparing to Record

To prepare for recording, you need to do the following:

  • Set the recording mode.
  • Choose your input(s).
  • Arm one or more tracks for recording.
  • Check your recording levels (audio only).
  • Tune your instrument if necessary (audio only).
  • Set the Now time to the point where recording should start.
  • Start recording.

After you record, you can use the Edit-Undo command to erase the most recently recorded material. You can use the Edit-Redo command to restore the recording and toggle between Undo and Redo as many times as you like.

See:

Recording Modes

Choosing an Input

Arming Tracks for Recording

Auto Arming


Recording Modes

Any material you record is stored in a new clip. If you record into several tracks at once, one clip is created in each track. If you record into a track that already contains clips, you can choose one of three recording modes to determine what happens to those clips. When you save your project, you also save whatever recording mode you choose together with that project:

Recording mode... | How it works...
Sound on Sound | The new material is merged with any existing material. This means that any existing clips on the track are left unchanged and all newly recorded material is stored in new clips. While recording, you will be able to hear material from existing clips.
Overwrite | The new material replaces (overwrites) any existing material. This means that portions of existing clips may be "wiped clean" to make room for newly recorded material. While recording, you will not be able to hear material from existing clips.
Auto Punch | Recording only takes place between the punch-in and punch-out times. The new material replaces (overwrites) any existing material.

To Choose a Recording Mode

  • Select a mode from the dropdown list in the Record toolbar.
OR
  • Choose Transport-Record Options or click [image] to display the Record Options dialog box, then select the desired mode.

Pro Tracks saves your recording options with each project, so you can save a different recording mode with each of your projects.


Choosing an Input

To record into a track, you must choose an input for the music or sound to be recorded. Usually, you choose MIDI Omni to record material from a MIDI instrument, or the left or right channel of a digital audio device (such as a sound card) to record audio material, or stereo if you want to record stereo audio in a single track. The input for each track is displayed in the track's In field and at the bottom of each module in the Console view.

When you choose MIDI Omni as the input for a track, Pro Tracks merges material from all MIDI inputs and instruments. This means you don't have to worry about input, channel, or other MIDI settings. Sometimes, you may want to record different MIDI channels into different tracks. To learn how to do this, see Recording Channel by Channel.

While each track can have a different input, it is also possible for several tracks to have the same input. If you record the same material into several different tracks at once, the resulting material will be stored in linked clips. For more information about linked clips, see Splitting and Combining Clips.

To Choose a MIDI Input in the Track View

  1. Click the dropdown arrow of an In field of a MIDI track.
A dropdown menu of MIDI channels appears.
  2. Choose an input from the following:
    • None--This is not really a valid choice. As soon as you arm a track that has None as an input, the In field changes to MIDI Omni.
    • MIDI Omni--This is the most common choice. If you select MIDI Omni, Pro Tracks records any incoming MIDI data on any MIDI track that is armed and has MIDI Omni as an input.
    • MIDI Ch. (1-16)--If you select a specific MIDI channel for a track, Pro Tracks only records MIDI data on the track if your MIDI instrument is sending it on the channel you selected for that track.

To Choose an Audio Input in the Track View

  1. Click the dropdown arrow of the In field of an audio track.
A dropdown menu of audio drivers appears.
  2. Select the audio driver for the sound card you want to record with from these options:
    • None--This choice ensures that you do not record to the track in question. It also turns off input monitoring for this track.
    • Left (name of your sound card)--Choose this if you want to record a mono signal on the left channel of your sound card.
    • Right (name of your sound card)--Choose this if you want to record a mono signal on the right channel of your sound card.
    • Stereo (name of your sound card)--Choose this if you want to record a stereo signal.

To Choose an Audio Input in the Console View

  1. At the bottom of an audio track module, click the Input button.
A popup menu of audio drivers appears.
  2. Select the audio driver for the sound card you want to record with from these options:
    • None--This choice ensures that you do not record to the track in question. It also turns off input monitoring for this track.
    • Left (name of your sound card)--Choose this if you want to record a mono signal on the left channel of your sound card.
    • Right (name of your sound card)--Choose this if you want to record a mono signal on the right channel of your sound card.
    • Stereo (name of your sound card)--Choose this if you want to record a stereo signal.

To Choose a MIDI Input in the Console View

  1. At the bottom of a MIDI track module, click the Input button.
A popup menu of MIDI channels appears.
  2. Choose an input from the following:
    • None--This is not really a valid choice. As soon as you arm a track that has None as an input, the input changes to MIDI Omni.
    • MIDI Omni--This is the most common choice. If you select MIDI Omni, Pro Tracks records any incoming MIDI data on any MIDI track that is armed and has MIDI Omni as an input.
    • MIDI Ch. (1-16)--If you select a specific MIDI channel for a track input, Pro Tracks only records MIDI data on the track if your MIDI instrument is sending it on the channel you selected as an input for that track.


Arming Tracks for Recording

Pro Tracks lets you record any number of tracks at one time. You indicate the tracks you want to record by arming the tracks. You can arm a single track or several tracks at one time. Each track records material received though its selected input.

To Arm One or More Tracks for Recording

  • To arm a track in the Track view, click [image] .
OR
  • To arm a track in the Console view, click [image] .
OR
  • To arm several tracks at the same time, select one or more tracks in the Track view, then right-click and choose Arm from the popup menu.

The Track Arm buttons in the Track view and Console view are displayed in red to indicate that the track is armed for recording.

To Disarm All Tracks at Once

  • Click the red Arm label that's located in the Status bar at the bottom of the Pro Tracks window.
OR
  • Click the red Arm button in the Playback State toolbar, which you can display by using the View-Toolbars command and checking Playback State in the Toolbars dialog box.


Auto Arming

You must arm tracks in order to record. To safeguard your data, there is no automatic arming of any tracks.

If you want to record MIDI tracks without arming a track, choose Options-Global, and select the General tab. Click the Allow MIDI Recording without an Armed Track checkbox.

This feature lets you start recording a new track simply by making it the current track and pressing R or clicking the Record button in the toolbar. Auto-arming makes it possible to inadvertently record over existing material in the current track, however.


Recording Music from a MIDI Instrument

Once you have set your tempo, metronome, and armed one or more tracks, you are ready to start recording.

To Record MIDI

  1. Set the Now time to the point in the project where you want to start recording.
  2. Click [image] , press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in.
  3. Play or perform the material you want to record.
  4. Click [image] , press the Spacebar, or choose Transport-Stop to stop recording.

Pro Tracks displays a clip containing the new material in the Clips pane. To listen to the new material, set the Now time to the start of the clip and press the Spacebar or click [image] . If you're not happy with the recording, use Edit-Undo or press Ctrl+Z to erase the new material.

If you do not see a new clip in the Clips pane, you may have a problem with MIDI input. See Troubleshooting for more information.


Recording Audio

Before you record audio, you should check your input levels. If the levels are too low, you may end up with too much hiss and background noise in your recording. If the levels are too high, your recording will be inaccurate or distorted. To check your audio levels, use the audio meters in the either the Track view or Console view. To adjust the input levels, you must use your sound card's software mixer program (or the Windows 98, Me, or 2000 mixer) or an external hardware mixer for certain sound cards.

The audio meters indicate the volume at which the audio will be recorded, in units called decibels (dB). The meter values range from -INF (silent) to 0dB (maximum volume). You can change many options in the way Pro Tracks's meters display data: see Metering. To maximize the dynamic range of your recording, you want to set the levels as high as possible without clipping.

When the audio level exceeds 0dB, some of the audio information is lost. This is known as overload. Many sound cards use clipping to deal with an overloaded signal, but clipping can distort the audio signal. As a result, you should avoid letting the meter level exceed 0dB.

Note to Experts:

Because Pro Tracks is a digital recorder, a level of 0dB indicates digital zero. Digital distortion will occur at 0dB. You will not get analog compression or warmth from pushing the input levels. If you are transferring data from a DAT or another device, you may want to calibrate the input levels of your sound card with the output levels of other devices in your studio. This will ensure that 0dB on one unit will appear as 0dB in Pro Tracks.

To Check the Input Levels

  1. In the Track view, choose the inputs for the tracks you want to record, and arm the tracks for recording. Make sure that the Show Record VU Meter button at the top of the Track view is enabled.
  2. The default meter range is from 0 dB to -60 dB. To change the range, right-click on the meter and choose a new range from the menu.
  3. Perform at the loudest level at which you plan to record.
Watch the meters respond. Increase the input volume as high as possible without ever letting the meters move all the way to 0dB, even for an instant, or letting the Clipping indicator turn red. If either of these things happen, reduce the input volume just enough to avoid them during the entire performance. Note that some kinds of audio, such as percussive or plucked musical instruments, can produce very short, high-level "transients" when struck or plucked aggressively, which can lead to clipping if the input volume is set too high. Consider the possibility of these transients when examining the meters and setting your record level.
Note: If the Clipping indicator is illuminated, click on it to reset.

Once you have set your sampling rate and input levels, you are ready to start recording. If the meters do not move, check your sound card software's mixer program and make sure that you have the proper input enabled for recording.

When you record audio, Pro Tracks stores each audio clip in a separate file. These files have the same format as a Wave (.wav) file, but they have special names and are stored in a separate directory on your hard disk. Pro Tracks automatically manages these audio files for you, making it easier for you to manage your projects. If you want to work with these files directly, or to learn more about how Pro Tracks stores audio data, see Audio File Management.

To Record Audio

  1. Choose the audio inputs for the track(s) you want to record.
  2. Arm the tracks for recording.
  3. Set the Now time to the point in the project where you want to start recording.
  4. Click [image] , press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures or beats.
  5. Play or perform the material you want to record.
  6. Click [image] , press the Spacebar, or choose Transport-Stop to stop recording.
Pro Tracks displays a clip containing the new material in the Track window. To listen to the new material, set the Now time to the start of the clip and press the Spacebar or click [image] . If you're not happy with the recording, use Edit-Undo to erase the new material.
If you do not see a new clip in the Clips pane, you may have a problem with audio input. See Troubleshooting for more information.
Important: Make sure you have enough space on your hard disk when recording digital audio. Running out of hard disk space when recording can lead to unpredictable results.


Input Monitoring

Being able to hear plug-in audio effects applied to a live signal is one of the most exciting features in Pro Tracks. However, there are two issues that users commonly stumble upon when using the input monitoring feature. The first is that the monitored signal seems to have an echo associated with it. The second is that live input monitoring can lead to nasty feedback problems, particularly if you have an outboard audio mixer, or you record from a different sound card from the one you are playing back with. Pro Tracks has a button to turn input monitoring on and off called the Audio Engine button [image] , which is located in the Transport toolbar. If you hear feedback, click this button to turn off input monitoring.

Note: Input monitoring is not available when you record in Overwrite mode. Use Auto Punch or Sound on Sound instead.

Note: When you use input monitoring, make sure that the track you're playing through uses the same audio interface (sound card) for both input and output. Using different audio interfaces for a track's input and output can produce distortion during input monitoring.

To understand the echo and feedback problems, let's look at how audio signals travel through your sound card, the drivers, and Pro Tracks. .

The bottom block of the picture represents the sound card. The shaded area above it represents the audio drivers. The unshaded area at the top represents the main environment of the operating system.

As the diagram shows, analog audio flows into the card's line input (on the left), and is immediately split in two. One branch goes up through the analog-to-digital converter (ADC), where the audio is digitized, buffered and fed to the driver (labeled Wave In in the diagram).

The digital audio data buffers are read by Pro Tracks from the Wave In driver, processed, and then sent out to the Wave Out driver. The driver passes the digital audio buffers through a digital-to-analog converter (DAC), where the audio data is converted back to an analog signal.

Finally, this analog output signal is mixed with the original branch of the input analog signal, and the summed result is presented to the sound card's line output.

With this information in hand, let's follow a simple audio signal through the system to understand how echoes get introduced into the input monitor path.

Suppose you are counting "1, 2, 3" into your sound card very quickly. When you say the first "1," this sound immediately appears in all the places indicated in the illustration above. In other words, the analog audio signal is pure electrical signal traveling at the speed of light, so it is immediately present across all analog audio paths inside the sound card.

Next, you say "2." In the time it takes you do that, the ADC has converted the "1" to digital form and the Wave In driver has fed it to Pro Tracks for processing. Pro Tracks processes the buffer right away and passes the processed data right back to the Wave Out driver.

Finally, you say "3." By this time the original "1" has been converted back to analog audio by the DAC, and that analog signal is mixed in with the "3" you have just said. The ultimate result is that you hear a "1" and "3" mixed together at the line output of card--seemingly sounding like an echo, but actually just an artifact of the signal flow through the system.

You can eliminate the echo by muting the line-in from playing back (see To Eliminate the Echo from Input Monitoring); you'll send only the processed signal to the sound card outputs. This technique introduces a little extra latency to what you hear coming out of your sound card, but if you use WDM or ASIO drivers with your sound cards, the latency is negligible.

The feedback problem results whenever you have a loop in your mixer path: the output of your mixer is patched into the input of your sound card. Feedback can happen with or without input monitoring, but since input monitoring can add several levels of gain to the signal flow, it's of greater concern when you have input monitoring enabled. Input monitoring is disabled by default when you install Pro Tracks, and you enable it with the following procedure.

To Enable Input Monitoring

  1. Turn your speakers down, in case you have a loop in your mixer path.
  2. Arm the track you want to play through.
  3. Use the Options-Audio command to open the Audio Options dialog box.
  4. On the Input Monitoring tab, highlight the name(s) of the sound card(s) that you want to use for input monitoring. Sound cards with WDM or ASIO drivers work best because of their lower latency.
  5. Click OK.
  6. Make sure that the Audio Engine button [image] is depressed (it's in the Transport toolbar). Notice that when the button is depressed the Audio Running indicator appears in the Status Bar at the bottom of the Pro Tracks window. If you hear feedback, click the button [image] to turn off input monitoring, turn your amp off, and repatch your cables so that your mixer output is not patched into your sound card input.
  7. Play an audio instrument that's patched through an audio track that uses the same input monitoring sound card for both input and output. Using different cards for input and output can produce distortion.
  8. Gradually turn your speakers up to a reasonable level. If you hear feedback, turn your amp off and repatch your cables so that your mixer output is not patched into your sound card input.

Now you can hear your instrument in real time with any plug-in effects that you want to patch into the current track. You might also hear an echo, because the dry signal is coming out of your sound card slightly ahead of the processed signal. To eliminate the dry signal, see the next procedure.

To Eliminate the Echo from Input Monitoring

  1. Open the software mixer that controls your sound card. If your sound card uses the Windows mixer, open the mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command, or double-clicking the speaker icon on the Windows taskbar.
  2. In the Play Control window of the mixer, check the Mute checkbox in the Line-In column, or in the column of whatever jack your instrument is plugged into, and close the mixer window.

Now you can hear only the processed sound when you use input monitoring. Using WDM or ASIO drivers for your sound card keeps latency to a negligible amount.

Note: This procedure does not eliminate feedback from you system, only the echo. If you experience feedback, you have a feedback loop somewhere in your mixer setup.


The Audio Engine Button

Pro Tracks has a button in the Transport toolbar called the Audio Engine button [image] . This button lets you turn on Pro Tracks's audio engine when the transport is stopped. This makes input monitoring possible when playback or recording are stopped (provided that input monitoring is already enabled in the Audio Options dialog), and also makes it possible to play DXi soft synths when playback or recording are stopped. When playback or recording are in progress, Pro Tracks enables the button automatically--however, the button appears greyed-out during playback or recording because you can't control the button at that time. Whenever the button is enabled, the Audio Running message lights up on the Status bar that's at the bottom of the Pro Tracks window.

If you experience feedback during input monitoring, you can click the Audio Engine button to turn off the audio engine. However, if playback or recording are in progress, the button is unavailable, and you should click the Reset button [image] that's just to the right of it instead, or else stop recording or playback first and then click the Audio Engine button.

You may experience slightly better playback and recording performance by turning the Audio Engine button off before you press the Play or Record buttons. This happens if your computer's resources are already stretched to the limit. When you start recording or playback with the audio engine already functioning, there is still some processing that Pro Tracks has to do that's left over when you start the transport. This places an extra load on your system that can cause dropouts if your system is already stretched thin. A more effective solution than disabling the audio engine before starting the transport is to reduce the load on your system by hiding some meters, increasing latency slightly, reducing the number of plug-ins and/or tracks, etc.


Loop Recording

When recording a vocal or an instrumental section, you might want to record several different takes so that you can choose the one you like best. You might even want to record several takes to double a part or merge the best parts of each.

Normally, to record each take you would have to arm a track, start recording, perform the take, and then stop recording. You can record multiple takes more easily using a feature called loop recording. Loop recording lets you start recording and record as many takes as you like, all in a single step.

Pro Tracks loops between the loop start and loop end time, allowing you to record one take on each pass. Pro Tracks creates a clip for each take. You have three choices for where these clips are stored:

  • All clips can be recorded in Sound on Sound mode and stored in a single track, where they are stacked on top of one another.
  • All clips can be recorded in Overwrite mode in a single track, where each take overwrites the previous one.
  • Each clip can be recorded to a different track. Pro Tracks automatically places each take into a new, empty track. No existing tracks are changed in any way.

When you stack takes, using the Sound on Sound record mode, you hear all the previous takes as you record each new take. When you store takes in different tracks, each take is automatically muted as you record the next one. You choose the option you want from the Record Options dialog.

When you finish recording, you can use the Edit-Undo command to erase all your takes in a single step.

To Use Loop Recording

  1. Choose the input for the track(s) you want to record, and arm the track(s) for recording.
  2. Set the loop start and end times in either the Loop/Auto Shuttle dialog box or in the Loop toolbar.
  3. Choose Transport-Record Options, or click [image] on the Record toolbar, to display the Record Options dialog box.
  4. Choose to stack all takes in a single track or to store them in separate tracks.
  5. If you choose to stack all takes in a single track, choose either Sound on Sound or Overwrite mode.
  6. Click OK to close the Record Options dialog, and set the Now time to the point in the project where you want to start recording.
  7. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measure.
  8. Play or perform the material you want to record. At the end of the loop, Pro Tracks will return to the start of the loop and you can record the next take.
  9. If you want to erase the most recent take while loop recording is underway, choose Transport-Reject Loop Take or press Ctrl+Spacebar.
  10. Click [image] , or press the Spacebar, or choose Transport-Stop when you want to stop recording.

The takes are stored in the manner you requested.


Punch Recording

Suppose you are happy with most of a track but want to replace one small section--perhaps as small as a couple of notes. This is where punch recording comes in handy, because it lets you record new material only within a specified range of times.

For example, suppose you recorded a 32-bar keyboard solo but made some mistakes in the 24th and 25th bars. With punch recording, you can play the entire solo again, so you make sure you can get the feel you want. However, only the bars you want to correct are actually recorded. That way, you don't have to worry about introducing new mistakes elsewhere in the recording. When you use punch recording, Pro Tracks deletes any pre-existing material between the start and end times of the punch.

To use punch recording, follow these steps:

  • Enable punch recording.
  • Set the start and end times of the punch.
  • Start recording by pressing r or clicking the [image] button on the Transport toolbar.

When punch recording is enabled, the punch times are indicated by special markers in the Time Ruler, which is at the top of the Clips pane:

After you punch record, choosing Edit-Undo both discards any new material you recorded and restores the original material that had been deleted.

You can also combine loop and punch recording to record several takes of a punch. Say you are working on that perfect take of a guitar solo and you need to hear a couple of bars of the project as "pre-roll" before you punch in. By combining looping with punch, you can have each take begin before you start to play and still have the solo cut in at the appropriate instant.

In the example mentioned previously, you could loop from bar 17 to bar 26 but record only bars 24 and 25.

To Punch Record

  1. Choose the input(s) for the track(s) you want to record, and arm the track(s) for recording.
  2. Select Auto Punch from the Record Mode dropdown list in the Record toolbar.
  3. Set the start and end times in one of the following ways:
    • Enter the times directly on the toolbar
    • Select a range of time and click [image] on the Record toolbar
    • Select a range of time, then right-click in the Time Ruler and choose Set Punch Points
  4. Set the Now time to a point where you want to start playback.
  5. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures or beats.
  6. Play or perform the material you want to record.
  7. Click [image] , or press the Spacebar, or choose Transport-Stop to stop recording.

The material you play during the punch time is recorded in the chosen track, replacing any existing material.

To Use Punch While Looping

  1. Choose the input for the track(s) you want to record, and arm the track(s) for recording.
  2. Set the loop start and end times.
  3. Set the punch start and end times, as described previously.
  4. Choose Transport-Record Options, or click [image] on the Record toolbar, to display the Record Options dialog box.
  5. Choose to stack all takes in a single track or to store them in separate tracks.
  6. Set the Now time to the beginning of the loop.
  7. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures.
  8. Play or perform the material you want to record. At the end of the loop, Pro Tracks will return to the start of the loop and you can record the next take.
  9. If you want to erase the most recent take while loop recording is underway, choose Transport-Reject Loop Take or press Ctrl+Spacebar.
  10. Click [image] , or press the Spacebar, or choose Transport-Stop when you want to stop recording.

The takes are stored in the manner you requested.


Step Recording

Sometimes you may want to record MIDI material that is too difficult to play. One way to make this easier is to slow the tempo of the project while you are recording until it is slow enough to play. Step recording is another method that lets you record from a MIDI instrument without having to worry at all about your timing.

To use step recording, you set a step size, such as a quarter note. Then, you simply record one step at a time, taking as much time as you need to play each step. You can also set a note duration that is independent of the step size. If the duration is shorter than the step size, rests will be inserted between each note and the next step. If the duration is longer than the step size, the notes will overlap with the notes recorded at the next step.

MIDI data is recorded using Step Record even if the track is not armed, loop markers are ignored, and Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

The step size and the duration can each be set to one of three things:

Setting... | How to use it...
A particular note value | Simply choose the note value from the list
A dotted note value | Choose the note value and check the Dotted option
A number of MIDI ticks | Click Other, enter the number of MIDI ticks, and click OK

The Auto Advance option automatically advances recording to the next step when all MIDI input stops. For example, if you press the three keys that make up a C major chord, as soon as you release all three keys, Pro Tracks automatically advances to the next step. This makes it very easy to record a series of chords that are spaced at regular intervals.

With Auto Advance disabled, you must click Advance each time you want to advance to the next step. While this requires more effort, it also provides you with more flexibility. For example, with Auto Advance disabled, you do not even need to play the notes at a single step at the same time! You can play any number of notes one at a time, and they will all be recorded at the same step until you click the Advance button. You can even record notes of different durations at the same step - simply record the notes of one duration, change the duration, and play more notes, without clicking Advance.

You can click Delete to erase the notes you recorded in a single step. If Auto Advance is enabled, the Delete button deletes the notes played at the prior step, and it also backs up a step so you can rerecord the notes at that step. With Auto Advance disabled, the Delete button erases any notes you have recorded at the current step.

To Use Step Recording

  1. Choose the input for the track you want to record.
  2. Click in the Track pane in the track you want to record. You can only step record in the current track--the track that has the focus.
  3. Set the Now time to the point in the project where you want to start recording.
  4. Choose Transport-Step Record, or click [image] in the Record toolbar to display the Step Record dialog box.
  5. Follow the instructions in the following table:
    To do this...

    Do this...
    Record the next step

    Play the note(s) you want on your MIDI instrument
    Erase the most recent step

    Click Delete
    Skip a step (add rests)

    Click Advance without playing any notes
    Move forward or backward one step

    Click the scroll arrows in the scroll bar
    Move forward or backward one measure

    Drag the indicator in the scroll bar
    Jump to a particular Now time

    Enter the measure, beat, and tick number next to the scroll bar
    Change the step size

    Pick the step size you want from the Step Size list
    Change the note duration

    Pick the duration you want from the Duration list
    Stop recording and save your work

    Click Keep or press Enter
    Stop recording and discard your work

    Click Close or press Esc
    Advance to the next step

    With Auto Advance disabled, click the Advance button
  6. Click OK.

As always, you can use the Edit-Undo and Edit-Redo commands after you have finished recording. Note that these commands erase or restore all the material you recorded while in step record mode. Remember that Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

See:

Step Pattern Recording


Step Pattern Recording

The Pattern option lets you define a repeating rhythmic pattern of notes and rests so that you can use step recording more efficiently. For example, suppose your project is in 4/4 time, and one track has a pattern that is two measures long: quarter notes in the first measure and on the first two beats of the second measure, followed by a half-note rest on the last two beats. This pattern has six quarter notes followed by two quarter-note rests.

When you use step recording with Auto Advance, you can play the six quarter notes and Pro Tracks will automatically advance to the next step. However, to skip over the rests, you need to click the Advance button two times.

With pattern recording, you define a pattern that indicates where the rests appear in the pattern. Pro Tracks will then skip over the rests automatically, so you don't need to click the Advance button at all.

Pro Tracks displays patterns as a combination of digits (which represent beats that contain notes) and dots (which represent beats that contain rests). The pattern described previously looks like this:

1 2 3 4 5 6 . .

Here is another example:

1 2 . 4

This pattern automatically skips over every third beat; Pro Tracks interprets this pattern as "one, two, rest, four."

Here is one final example based on 4/4 time, with a step size of eighth-note triplets (twelve steps per measure):

1 2 3 4 . 6 7 . 9 0 . 2

No matter how you enter a pattern, Pro Tracks displays the digits in sequence, with periods replacing digits at each step where a rest would occur. You can create patterns with up to 64 steps.

To Use Pattern-Based Step Recording

  1. Choose the input for the track(s) you want to record.
  2. Set the Now time to the point in the project where you want to start recording.
  3. Choose Transport-Step Record to display the Step Record dialog box.
  4. Click in the Pattern box.
  5. Press any number key to indicate a beat at which notes will be played.
  6. Press the Spacebar, period, or the letter r to indicate a beat on which there is a rest.
  7. When the pattern is complete, click elsewhere in the dialog box.
  8. Step record as before.

From now on, after you record each step, Pro Tracks automatically advances past all rests to the next step on which notes will be played. To stop pattern-based step recording, simply delete the pattern from the Pattern box.


Recording Channel by Channel

Most MIDI instruments are capable of sending information on several different channels at once. When you choose MIDI Omni as the input for a track, Pro Tracks records into that one track MIDI data from all the different MIDI devices and channels that are hooked up to your computer. However, you have the option to be more selective, recording material from different MIDI channels into different tracks. You can even group some of the channels or record some channels in several different tracks at once.

Here are some examples of when this feature might be useful:

  • There are several performers, each playing a different MIDI instrument. By setting each instrument to transmit MIDI on a different channel, you can record each player's performance into a separate track, even though they are all playing at the same time.
  • You are using a MIDI guitar controller and want to record the notes played on each string on a separate track.
  • Your electronic keyboard has a built-in auto accompaniment feature that plays a drum part and an accompaniment while you play lead. You want to record each of these three parts into a different track in a Pro Tracks project.
  • You have a MIDI sequence stored on your synthesizer's built-in sequencer, and you want to record each channel onto a different track.

The Track Inputs dialog box is used to set individual MIDI channels or groups of channels as the inputs for one or more tracks. Once you have set specific channels as the input for a track, you can change back to MIDI Omni or some other input using the + and - keys in the Track view or by using the Track Inputs dialog box.

To Assign Channels to Different Tracks

  1. Use the Track-Property-Inputs command to display the Track Inputs dialog box.
  2. In the Track column, select a track or tracks that you want to choose inputs for. Set the input for each track as follows:
    To do this...

    Do this...
    Choose None as an audio input

    In the Audio field in the lower half of the dialog box, check the None box.
    Use MIDI Omni as the input

    Check the Omni box.
    Choose an audio input

    In the Audio field in the lower half of the dialog box, select either Left (name of your sound card), Right (name of your sound card), or Stereo (name of your sound card).
    Use one or more MIDI channels as the input

    Check as many MIDI channels as you want to record on the selected track(s).
  3. Click OK.

Pro Tracks shows new track inputs in the Input control in the Track pane.


Importing Music and Sound

While recording is perhaps the most common way of adding material to a Pro Tracks project, there are several other methods you can also use. Pro Tracks lets you import music into a project from several different types of digital data files, including audio files in Wave, MP3, AIFF, and other formats;and other Pro Tracks project files.

See:

Importing Audio Files


Importing Audio Files

Pro Tracks lets you insert digital audio information into any track of a project. If the audio file you are importing is in stereo, then it can be imported into a single stereo track, a pair of mono tracks or a single mono track.

The File-Import-Audio command supports the following digital audio file types:

  • Wave (extension .wav)
  • MPEG (extensions .mpeg, .mpg, .mp2, and .mp3)
  • Apple AIFF (extensions .aif and .aiff)
  • Active Streaming (extension .asf)
  • Next/Sun (extensions .au and .snd)

The sampling rate and bit depth for a project is set based on your default settings in the Audio Options dialog. If the sampling rate from the Wave file does not match the sampling rate in your project, then it will be converted to the current project's sampling rate and bit depth.

To Import an Audio File

  1. Set the Now time and current track to indicate where the audio should be placed.
  2. Choose File-Import-Audio to display the Open dialog box.
  3. Choose the audio file you want to import. Pro Tracks displays information about the file at the bottom of the dialog box.
  4. Click Play to listen to the audio file before importing.
  5. If the new file is stereo, check the Stereo Split option if you want to insert the file into two separate tracks.
  6. Click Open.

Pro Tracks loads the audio data from the audio file and places it in the selected track at the Now time.

To Import a Broadcast Wave File

Broadcast Wave files are wave files with some additional information stored in them. Broadcast Wave files have the following information:

  • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
  • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
  • Originator Reference--A unique reference identifier created by Pro Tracks.
  • Origination Date--The date the file was created.
  • Origination Time--The time the file was created.
  • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.
  • If you want Pro Tracks to import Broadcast Wave files always at their timestamped location, select Options-Global, click the Audio Data tab and check the Always Import Broadcast Waves At Their Timestamp option. Otherwise, set the Now Time and current track to indicate where the audio should be placed.
  • Choose File-Import-Audio to display the Open dialog box.
  • Choose the audio file you want to import. Pro Tracks displays information about the file at the bottom of the dialog box.
  • Click Play to listen to the audio file before importing.
  • If the new file is stereo, check the Stereo Split option if you want to insert the file into two separate tracks.
  • Click Open.

If the Always Import Broadcast Waves At Their Timestamp option is selected in the Global Options dialog, the imported Broadcast Wave file appears at its timestamp on the selected track. Otherwise, the file appears at the Now Time on the selected track.


Saving Your Work

Like most Windows programs, you use the File-Save and File-Save As commands to save your work. Normally, you save your projects in the standard project file format, with a file extension of .cwp. This file contains all your MIDI data and all your project settings. Any digital audio that is part of your project is stored in a separate file, as described in Audio File Management.

Pro Tracks also lets you save files in several other formats, as described in the table:
File type... | Format... | Explanation...
Standard MIDI | .mid | Used to transfer MIDI-only projects to other software products that support Standard MIDI files.
Bundle | .cwb | A single file that includes all the material in your project: MIDI data, project settings, and audio data. This format is used for projects that contain digital audio, when you want to back up your work or transfer a project to a different computer. See Backing Up Projects with Digital Audio for more information.
Template | . | A file that is used as a pattern to create another. Templates make it easy to create and configure new projects. Layouts and Templates and Key Bindings

If you have made changes to a project and then attempt to close the project, either by closing the Track view or by choosing File-Close, Pro Tracks asks if you want to save the changes you have made. This prevents you from accidentally losing your work. You can tell whether changes have been made to a project by looking for an asterisk (*) after the project name in the Pro Tracks title bar.

Pro Tracks has an Auto Save feature that periodically saves your work into a special backup file. You can request automatic backups at fixed time intervals or every time a certain number of changes have been made to the file. When the limit is reached, the file is saved automatically. If your original project is called myproject.cwp, the Auto Save version is called auto save version of myproject.cwp.

If there is a power failure or if you make a significant mistake, you can recover the last-saved version of your project by opening this file. You should then save your project under a different name by using the File-Save As command.

To Save a Project

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose the type of file you want to save from the Save as Type list.
  3. Enter a file name and click Save.

Pro Tracks saves the file.

To Change the Auto Save Settings

  1. Choose Options-Global and click the General tab.
  2. To enable Auto Save, set either the number of minutes or the number of changes between saves.
  3. To disable Auto Save, set both values to zero.
  4. Click OK.

From now on, your projects are saved automatically according to the settings you entered.


Labeling Your Projects

Pro Tracks lets you attach subtitles, composer credits, copyright, and other information to your projects, as shown in the following table:

Title | The title for your project.
Subtitle | For a subtitle or dedication.
Instructions | Use for performance instructions.
Author | Put your name here if you are the composer.
Copyright | Copyright information.
Keywords | Put keywords describing the project here for future reference.
Comments | Free text comments. Type as much as you like. You can enter approximately the same amount of text as you can in Windows Notepad.

This information is shown in the File Info dialog box, which is displayed using the File-Info command. If the File Info window is open when you save a file, then this window is displayed automatically the next time the file is opened. This is useful if you:

  • Share files with others and want them to see special instructions when they open the file
  • Want your copyright information to be displayed automatically

If the File Info window is closed when you save the file, it will not be automatically displayed the next time the file is opened.

Although you cannot use Edit menu commands while working in the File Info window, standard Windows hot keys like Ctrl+X, Ctrl+C, and Ctrl+V can be used to cut, copy, and paste text.

To Display and Edit Project Information

  1. Choose File-Info to display the File Info window.
  2. Edit the information as desired.
  3. If you want the File Info window to display automatically, save the file.
  4. Click Stats to see statistics about the contents of the file.
  5. Choose File-Print Preview if you want to print the project information
  6. Close the File Info window.


File Statistics

The File Statistics dialog box displays the following information about the contents of the project file:
Statistic... | What it means...
Created | The date the project was first saved.
Editing time | The total time you've had the project open, from the time it was created to the last time it was saved. This does not include time spent editing the project since you last saved it. If you want to update this value, save the project.
Revision | Each time you save a file that has been changed, this number is incremented. If you open a project, make no changes, then save it, the revision number is not changed.
Events | The total number of events in the project.
Sample rate | The sample rate for digital audio.
Bit depth | The audio driver bit depth of digital audio.
File version | The Pro Tracks version number.


MIDI Input and Echo Controls

Pro Tracks gives you fine control over a variety of MIDI settings. You can filter out MIDI input information to eliminate information you don't want to record, and you can control the way Pro Tracks echoes MIDI input to any connected output devices.

See:

Input Filtering

MIDI Echo

Local Control


Input Filtering

Pro Tracks lets you filter out specific types of MIDI messages or filter the MIDI input stream channel by channel. Any MIDI information that is filtered out is neither recorded nor echoed to any other MIDI devices.

You can use the message type filter to screen out resource-intensive MIDI messages like key and channel aftertouch. By default, Pro Tracks records all types of events except these two.

You can use message-type filtering to record short System Exclusive (Sysx) messages in real-time. These will end up in the track as Sysx data events, which can hold System Exclusive messages up to 255 bytes. Leave the Buffers setting at 128 unless you experience data not being recorded.

To Filter Event Types

  1. Choose Options-Global and click the MIDI tab.
  2. Check the message types you want recorded.
  3. Click OK.

From now on, Pro Tracks records only the types of events you have chosen.

To Filter by Channel

  1. Choose Options-Project and click the MIDI Input tab.
  2. Check the channel numbers from which you want to record.
  3. Click OK.

Pro Tracks records events from the channels you have chosen and excludes events from the other channels.


MIDI Echo

Pro Tracks lets you control the echo of MIDI data from your MIDI inputs to your MIDI outputs--that is, from your master keyboard to one or more of your sound modules. This function is known as MIDI thru and is configured using the Project Options dialog box.

There are three different echo modes, as shown in the following table:

To Configure MIDI Echo

  1. Choose Options-Project and click the MIDI Input tab.
  2. Choose the echo mode you want (None, Manual, or Auto) from the Echo Mode list.
  3. If you chose the Manual echo mode, configure the mapping the way you want.
  4. Click OK.

From now on, Pro Tracks echoes MIDI according to these settings.

Note: By default, MIDI input from a DXi's interface (for example when you move one of its faders), is not echoed, but can be recorded in any track that uses the DXi as an output. To echo input from an DXi to any MIDI track that has the focus, use the Options-Global command to open the Global Options dialog, and in the MIDI tab, check the Echo DXi Input to All MIDI Tracks option.


Local Control

You should normally disable the Local Control setting on your master keyboard to prevent notes from being doubled. If you disable Local Control, your keyboard sends notes that you play to Pro Tracks, which echoes them to the synthesizer, which plays them only once.

When Pro Tracks starts, it sends a special MIDI message that attempts to disable Local Control automatically. Most modern synthesizers respond to this message. If yours does not, you will need to disable Local Control every time you turn it on for use with Pro Tracks.

If your synthesizer does not let you disable Local Control (this is rare), you can use the Local On Port setting in the Input tab of the Project Options dialog box to indicate the number of the output port connected to your synthesizer. Pro Tracks will then refrain from sending MIDI echo data to that port. In this configuration, you may need to turn your synthesizer's volume control up and down from time to time to avoid hearing it play along with your other modules. If this situation doesn't apply to you, the Local On Port should be set to 0.

Note: You can set Pro Tracks to automatically disable Local Control on all connected MIDI devices when you launch Pro Tracks. You can also set Pro Tracks to automatically re-enable Local Control when you close Pro Tracks. You control both functions by changing the values of the SendLocalOff and/or SendLocalOn lines in the ttseq.ini initialization file (see following procedures).

To Automatically Disable All Local Control Whenever You Launch Pro Tracks

  1. In the directory where Pro Tracks is installed, double-click on the ttseq.ini file to open it.
  2. In the Options section, add the line:
SendLocalOff=1
  3. Save the file and close it.
  4. When you launch Pro Tracks, it automatically sends a Local Off message to your keyboard.
Note: Not all keyboards respond to this message.


Arranging Tracks and Clips

Arranging Tracks and
Clips

The Track view makes it easy to arrange and mix your projects from a single view. From one location, you can select, copy, move, mix, and rearrange the parts of your project, using menu commands or drag-and-drop tools. You can add real-time audio and MIDI effects from the Effects bin and buses. Markers provide easy-to-use reference points and labels for the different parts of your project, and the snap grid makes it easy to align your clips to the desired time points. Slip Editing allows you to non-destructively change the start and/or end time of a clip, just by dragging its borders. With slip editing, you can easily create repetitions of your audio clips using your mouse (see Slip Editing (Non-Destructive Editing)). The Track view has a full set of record and playback meters, which you can configure in several ways. Pro Tracks also has a variety of tools and commands for changing the tempo of your project.


Arranging Tracks

Pro Tracks provides a variety of commands that let you work with the tracks in your project. Here are some of the things you can do:

You can... | Here's why...
Rearrange the tracks in the Track view so that they appear in a different order | This makes it easier to see and work with a subset of tracks, like the rhythm section, or the vocals and vocal backing tracks, or all muted tracks.
Hide individual tracks | This makes it easier to work in a large project. You can display only the tracks you want to see at a given time.
Make copies of a track | Copying a track and then adding a time offset or changing the patch is an easy way to double a part. You can also copy and then transpose a track to add harmony.
Erase or delete a track | Tracks and clips that you are no longer using in your project are distracting and take up space in your project file.

All the commands you use to arrange tracks work on selected tracks. The current track (the one containing the highlight) is always selected. You can select additional tracks as shown in the table:

To do this... | Do this...
Select a track | Click the track number in the Track view. The track is selected, and all other tracks--except the current track--are deselected.
Select several adjacent tracks | Click the track number for the first track in the group, drag the mouse to the last track in the group, and release the mouse button.
Select/deselect all tracks | Click the Select All Tracks button that's located in the top left corner of the Track pane.
Add or remove a single track from the selection | Hold the Shift key and click the track number to add it to the selection; hold the Ctrl key and click the track number to toggle its selection status.

Changing the Order of Tracks

Copying Tracks

Erasing Tracks


Changing the Order of Tracks

There are several ways you can change the order of tracks in the Track view:

  • Drag a track to a new position in the Track view.
  • Use the Track-Sort command to rearrange the tracks in order based on the track name, status, or other setting.
  • Insert new, blank tracks between existing tracks.

To Drag a Track to a New Position

  1. Position the mouse just to the right of the track number, over the track icon of the track you want to move.
The cursor changes to an up/down arrow.
  2. Drag the track to its new location, and release the mouse button.

Pro Tracks rearranges and renumbers the tracks.

You can sort the tracks in a project based on several parameters, in either ascending or descending order:

Sort by... | What happens...
Name | Ascending puts track in alphabetic order, descending puts them in reverse order
Size, output, or channel | Ascending puts them in increasing numeric order, descending puts them in decreasing numeric order
Muted, archived, selected | Ascending puts qualifying tracks at the end, descending puts them at the beginning

No matter how you sort, blank tracks always go to the end of the list.

Note that track numbers are used for reference only. When you re-arrange the order of tracks, they are automatically assigned sequential numbers based on the order in which they are displayed in the Track view.

To Sort the Tracks

  1. Choose Track-Sort to display the Sort Tracks dialog box.
  2. Choose the attribute by which to sort from the Sort By list:
    Attribute...

    How it works...
    Name

    If you choose this attribute, Pro Tracks puts the tracks into alphabetical order, either ascending or descending, depending on what you choose in the Order list.
    Muted

    If you choose this attribute, Pro Tracks puts all the muted tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Archived

    If you choose this attribute, Pro Tracks puts all the archived tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Selected

    If you choose this attribute, Pro Tracks puts all the selected tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Size

    If you choose this attribute, Pro Tracks puts the tracks in order by size, either in descending or ascending order.
    Output

    If you choose this attribute, Pro Tracks sorts the tracks by output number, either in descending or ascending order. Pro Tracks considers non-numbered outputs to have lower numbers than numbered outputs.
    Channel

    If you choose this attribute, Pro Tracks sorts the tracks by channel number, either in descending or ascending order:
    • If you choose ascending order, Pro Tracks puts all MIDI tracks at the bottom of the Tracks window, with the lower channel numbers first.
    • If you choose descending order, Pro Tracks puts all MIDI tracks at the top of the Tracks window, with the higher channel numbers first.
  3. Choose the order in which to sort from the Order list.
  4. Click OK.

Pro Tracks sorts the tracks according to the settings you chose.

To Insert a Blank Track

  1. Right-click in the Track pane at the place where you want to insert a track, and select Insert Audio Track to add an audio track or Insert MIDI Track to add a MIDI track.
OR
  1. Press Insert to add a track of the same type (audio or MIDI) as the current track.

Pro Tracks shifts the current track and all tracks below it down by one, and inserts a blank, new track at the location of the highlight.

Command... | Description... | Shortcut...
Show and Fit Selection | This command hides all tracks which are not selected. The remaining tracks are adjusted in size vertically and horizontally to fit in the Track view, without scrolling if possible. All tracks selections are lost after this command is executed. | Shift+S
Fit Tracks to Window | All currently displayed tracks are adjusted in size vertically to fit in the Track view, without scrolling if possible. | F
Fit Project to Window | This command resizes all tracks both vertically and horizontally to fit in the Tracks view. | Shift+F
Show Only Selected Tracks | This command hides all tracks which are not selected. The remaining tracks are adjusted in size vertically. | H
Hide Selected Tracks | Hides all selected tracks. | Shift+H
Show All Tracks | Shows all tracks in your project, including these hidden using the Track Manager. | A
Track Manager | Opens the Track manager dialog. For more information about the Track Manager dialog, see Track Manager dialog. | M
Undo View Change | This command restores the view to its previous state. There are up to 16 levels of undo. | U
Redo View Change | This command restores the view to the state prior to the Undo View Change command. | Shift+U

To Hide Tracks in the Track View

  1. Click the Track Manager button [image] in the Track view toolbar.
The Track Manager dialog appears.
  2. Uncheck the tracks you want to hide and click OK.


Copying Tracks

When you copy a track using the Track-Clone command, you can choose any of the following options:

  • Events
  • Properties
  • FX
  • Link to Original Clip(s)

By default, Pro Tracks copies the entire track to the next blank track, which is usually below the last track in the Track view. For more information on linked clips, see Working with Linked Clips.

To Copy a Track

  1. Select a track. You can only clone one track at a time.
  2. Choose Track-Clone to display the Clone dialog box.
  3. Check the Events, Properties, and/or FX boxes to indicate which items you want to copy.
  4. Click OK.

Pro Tracks copies the entire track to the next blank track, which is usually below the last track in the Track view.


Erasing Tracks

You can easily delete an entire track, including all of the track properties and all of its clips and events. Sometimes, you only want to erase, or wipe, the contents of a track, leaving the track properties as they are. If you delete or wipe a track by mistake, you can use Edit-Undo to restore the deleted material.

When you delete or wipe a track, the track information is not placed on the Pro Tracks clipboard. To remove material from a track and place it on the clipboard, use the Edit-Cut command instead.

To Delete Tracks

  1. Select the tracks you want to delete.
  2. Choose Track-Delete.

Pro Tracks deletes the selected tracks. You can also right-click individual tracks and choose Delete Track from the popup menu.

To Wipe Tracks

  1. Select the tracks you want to wipe.
  2. Choose Track-Wipe.

Pro Tracks deletes all clips and events from the selected tracks, but leaves the track properties intact.


Arranging Clips

The Track view provides many ways for you to rearrange, copy, and paste clips to arrange your music the way you want. The easiest is to select the clips or portions of clips you want to arrange and then drag and drop them wherever you want. You can drag and drop clips in the Track view even while playback is in progress. You can also arrange clips via the clipboard using the Edit-Cut, Edit-Copy, and Edit-Paste commands, which work like those in almost all Windows programs.

The Snap Grid enables you to move clips to or by an exact amount of time, such as a quarter note or whole measure. See To Change the Snap Options .

Displaying Clips

Double-Clicking Clips

Selecting Clips

Moving and Copying Clips


Displaying Clips

Clips are displayed as rectangles in the Clips pane. Their position and length show you at a glance their starting times and lengths. You can control four aspects of their appearance:

  • Color--By default, each successive clip is drawn in a different color. The clip colors restart at the tenth track. You can customize the default colors of clips in the Colors dialog or change the color of any individual clip in the Clip Properties dialog.
Note: In audio clips, the waveform changes color, unless no clip contents are displayed. In MIDI clips, the clip background changes color.
  • Name--You can also assign each clip a descriptive name, which is displayed in the upper-left corner of the clip.
  • Contents--At your option, clips can be displayed with a graphical representation of the events in the clip. The effect is slightly different for MIDI and audio information.

To inspect the clip contents more closely, use the zoom tools to increase the size in which clips are displayed. Note that displaying the contents of each clip makes your computer work a little harder. As a result, if your computer has an older, slower CPU you may want to turn off the display of clip contents.

To Zoom Horizontally

  • Click the horizontal zoom buttons to zoom in or out by a fixed percentage each time you click.
OR
  • Drag the horizontal zoom slider to zoom in or out by the amount you drag.
OR
  • Hold down the Ctrl key and press the right arrow key (to zoom in) or the left arrow key (to zoom out).

To Zoom Vertically

  • Click the vertical zoom buttons to zoom in or out by a fixed percentage each time you click.
OR
  • Drag the vertical zoom slider to zoom in or out by the amount you drag.
OR
  • Hold down the Ctrl key and press the up arrow key (to zoom out) or the down arrow key (to zoom in).

To Zoom into a Selected Area

  • Use the Zoom tool to drag-select an area of a clip or clips that you want to zoom to. When you release the mouse, the area you selected expands to fill the Clips pane window.

Zoom command keyboard shortcuts:

To do this... | Use this shortcut...
Zoom in vertically | Ctrl+down arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out vertically | Ctrl+up arrow
Zoom out horizontally | Ctrl+left arrow
Undo Zoom | U
Redo Zoom | Shift+U
Turn On Zoom tool (use the Zoom tool to select the area to zoom to) | Z
Turn Off Zoom tool | Z
Display Now Time in Center of Clips Pane | G

To Display Clip Names and Contents

  1. Right-click in the Clips pane, and choose View Options from the menu.
  2. Check the Display Clip Names option to show clip names, or leave it unchecked to hide them.
  3. Check the Display Clip Contents option to show clip contents, or leave it unchecked to hide them.
  4. Click OK.

Pro Tracks modifies the clips pane to show the information you want.

To Change Clip Names

  1. Select the clips you want to rename.
  2. Right-click on one of the selected clips and choose Clip Properties. Pro Tracks opens the Clip Properties dialog box.
  3. Enter a name for the selected clips, and click OK.

Pro Tracks renames the selected clips.

To Change Clip Colors

  1. Select the clips whose color you want to change.
  2. Right-click on one of the selected clips and choose Clip Properties. Pro Tracks opens the Clip Properties dialog box.
  3. Choose a color as follows:
    To do this...

    Do this...
    Use the default color

    Check the Default Color box
    Use a custom color

    Click the Choose Color button and pick a color from the Color dialog box
  4. Click OK.

Pro Tracks changes the color of the selected clips.


Double-Clicking Clips

By default, double-clicking a MIDI clip in the Clips pane opens a Piano Roll view for that track, and double-clicking an Audio clip opens the Loop Construction view for that track. You can set the type of view opened when a clip is double-clicked.

To Set the View Opened by Double-Clicking

  1. Right-click in the Clips pane and choose View Options.
  2. Select the types of view opened by double-clicking MIDI and audio clips.
  3. Click OK.


Selecting Clips

Before you move, copy, edit, or delete clips you need to select them. There are several ways to select whole clips, as shown in the table:

To do this... | Do this...
Select a single clip | Click on the clip in the Clips pane.
Select several clips at once | Drag a rectangle around the clips.
Select all the clips in a track | Click on the track number in the Track view.
Select a portion of one or more clips | Press and hold the Alt key and drag across the clips. The Snap to Grid setting determines the size portion you can select.
Add clips to the selection | Hold the Shift key and either click on the clips or drag a rectangle around the clips.
Add or remove clips from the selection | Hold the Ctrl key and either click on the clips or drag a rectangle around the clips.
Add or remove all clips in a track from the selection | Hold the Ctrl key and click on the track number.


Moving and Copying Clips

You can copy or move clips using drag-and-drop editing or the Cut, Copy, and Paste commands. If you copy or move clips into tracks that contain existing material, you need to let Pro Tracks know how to combine the two.

You have these options:
Option... | How it works...
Blend Old and New | Events in the copied or moved clip are placed into a new clip that overlaps with the existing clip. This is the same effect as sound-on-sound recording.
Replace Old with New | Events in the copied or moved clip are placed into a new clip, and any overlapping events in the existing clip are erased. This is the same effect as overwrite recording.
Slide Over to Make Room | The existing clips are shifted in time to make room for the new clips, so they will not overlap. If you check the Align to Measures option, shifted clips are always aligned to measure boundaries; otherwise, the clips are placed end to end.

When you use the Edit-Paste command to add information to a track that contains existing material, there is one final option you can choose.

Option... | What it means...
Paste as New Clips | New clips are created containing the events on the clipboard, exactly as described in the preceding table.
Paste into Existing Clips (MIDI clips only) | The events on the clipboard are merged into any existing clips that occupy the same region of time. This means you will never end up with clips that overlap.

Note that if you copy or move clips to new, empty tracks, you don't have to worry about these settings. In this case, the track properties that go with the clips are automatically applied to the new track.

When you use drag-and-drop editing:

  • You can set the above options every time you perform an edit, or you can set them once and have the same settings carry over automatically. Check or uncheck the Ask This Every Time box in the Drag and Drop Options dialog to indicate your preference. Open the Drag and Drop Options dialog by right-clicking in the Clips pane and choosing Drag and Drop Options from the popup menu.
  • If you drag to the edge of the Clips pane, it will scroll automatically in the direction you drag.
  • If you change your mind while dragging clips, press the Escape key to cancel the operation.

Pro Tracks also lets you move and copy clips between projects.

To Move Clips Using Drag and Drop

  1. Select the clips you want to move.
  2. If you want to move the clips by an exact amount of time, enable the Snap Grid (see To Change the Snap Options).
  3. Position the mouse over one of the selected clips.
  4. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  5. Drag the clips to their new location, and release the mouse button.
  6. If necessary, choose the options you want from the Drag and Drop Options dialog box (use Options-Global and open the Editing tab, or right-click in the Clips Pane and select Drag & Drop Options from the menu that appears), and click OK

Pro Tracks moves the clips to their new location.

Note:

Moving an audio clip (other than a Groove clip) to a part of your project that has a different tempo changes the size of the clip.

To Move Clips Using Cut and Paste

  1. Select the clips you want to move.
  2. Choose Edit-Cut to display the Cut dialog box
  3. Choose the options you want and click OK. Pro Tracks cuts the clips from the project and places them on the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time at which the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box
  7. Choose the options you want and click OK.

Pro Tracks places the clips in their new location.

To Move a Clip to a Specific Start Time

  1. Select the clip you want to move.
  2. Right-click on the selected clip and choose Clip Properties. Pro Tracks opens the Clip Properties dialog box.
  3. Enter a new start time, or use the spinners or keyboard to change the start time.
  4. Click OK when you are done.

Pro Tracks moves the clip to the start time you chose.

To Copy Clips Using Drag and Drop

  1. Select the clips you want to copy.
  2. Enable the Snap Grid, if desired.
  3. Position the mouse over one of the selected clips.
  4. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  5. Drag the clips to the new location, and release the mouse button.
  6. If necessary, choose the options you want from the Drag and Drop Options dialog box, and click OK.

Pro Tracks copies the clips to their new location.

To Copy Clips Using Copy and Paste

  1. Select the clips you want to copy.
  2. Choose Edit-Copy to display the Copy dialog box.
  3. Choose the options you want and click OK. Pro Tracks copies the clips to the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box.
  7. Choose the options you want and click OK.

Pro Tracks copies the clips to their new location.

To Delete Clips

  1. Select the clips you want to delete.
  2. Do one of the following:
    • Choose Edit-Delete, which brings up a dialog box--choose options and click OK.
    • Press the Delete key.

Pro Tracks deletes the selected clips.

See:

Splitting and Combining Clips

Working with Partial Clips

Working with Linked Clips


Working with Partial Clips

Pro Tracks lets you select, copy, move, and delete portions of a project even if they do not match clip boundaries. There are two ways to do this:

  • Directly select portions of one or more clips.
  • Select a range of times and one or more tracks. Pro Tracks automatically selects the portions of clips that are in both the selected time range and the selected tracks.

You can then copy, move, or delete the material the same way you do with whole clips.

When you select portions of a clip, Pro Tracks may round off the start and end times of your selection based on the Snap Grid. For more information, see Defining and Using the Snap Grid.

To Select a Portion of a Clip

  1. Press and hold the Alt key.
  2. Drag the mouse across part of a clip.

Pro Tracks highlights the selected portion of the clip. You can edit this portion of the clip using all the normal editing commands.

To Select a Portion of Several Clips

  1. Press and hold the Alt key.
  2. Drag the mouse across part of several clips in adjacent tracks.

Pro Tracks highlights the selected portions of all the clips. You can edit these portions of clips using all the normal editing commands.

To Select Partial Clips Using Time Ranges and Tracks

  1. Select a range of time in one of the following ways:
    • Drag the mouse in the Time Ruler.
    • Click between two markers to select the time between the markers.
    • Use the F9 and F10 keys to set the beginning and end selection times.
    • Select a clip (Pro Tracks selects the range of time covered by the clip).
    • Choose Edit-Select-By Time, enter the start and end time, and click OK.
  2. Select one or more tracks by clicking, Shift-clicking, or Ctrl-clicking on the track numbers in the Track view.
  3. To adjust the start and end time of the selection, hold the Shift key while clicking on the Time Ruler.

The relevant portions of clips in the selected tracks are highlighted. You can edit these portions of clips using all the normal editing commands.

To Clear the Partial Clip Selection

You can clear the time-restricted selection in any of the following ways:

  • Click in an empty area of the Clips pane to completely clear the selection.
  • Choose Edit-Select-None or press Ctrl+Shift+A to completely clear the selection.
  • Click on a single clip in the Clips pane to clear the time selection and select the clip.


Markers and the Snap Grid

Pro Tracks has a collection of features you can use to simplify and speed the work you do arranging your projects. Here are a few of the most important things you can do:

  • Show gridlines on measure boundaries in the Track view.
  • Define and use the Snap Grid to make drag-and-drop editing more accurate.
  • Create markers to identify and work with key time points in your project.

See:

Showing Gridlines

Defining and Using the Snap Grid

Creating and Using Markers


Showing Gridlines

Displaying gridlines, or vertical rules, in the Clips pane of the Track view makes it easy to see at a glance how clips align with each other, how they align with measure boundaries, and when they start and end.

To Show or Hide Gridlines

  1. Right-click in the Clips pane and choose View-Options from the popup menu.
  2. To show gridlines, check the Display Vertical Rules box. To hide gridlines, make sure the Display Vertical Rules box is not checked.
  3. Click OK.

Pro Tracks displays the Track view as you requested.


Defining and Using the Snap Grid

Pro Tracks lets you define a snap grid that makes it easier to arrange clips and select time ranges. To use the Snap Grid, enable the snap feature and set an interval, such as a whole note, half note, or quarter note; a marker; an event; the start or end of a clip; or a user-defined number of frames, seconds or samples. From then on, when you move or copy clips or markers, items will be snapped to the nearest point on the Snap Grid. The Musical Time and Absolute Time options also apply when you perform a selection using the Time Ruler,

You can also use the Snap Grid to move clips by a certain interval, rather than snap them to the interval. Moving by an interval can be useful during drag-and-drop operations, if your events are not exactly aligned with measure or note boundaries.

The Snap Grid in each view is independent. For example, you can enable the Snap Grid in the Track view without enabling it in the Piano Roll view. You can also enable the Snap Grid in several different views, with different grid intervals in each one.

To Enable or Disable the Snap Grid

  1. To enable the Snap to Grid, click the Snap to Grid combo button [image] in the Track view toolbar.
  2. To disable the Snap to Grid, click the Snap to Grid combo button [image] once again.
OR
  1. Press N to toggle the Snap to Grid on or off.

To Change the Snap Options

  1. Click the down arrow in the Snap to Grid combo buttonRight-click the Snap to Grid button [image] or right-click on the Time Ruler and select Snap Properties from the popup menu to display the Snap to Grid dialog box.
  2. Select one of the following options:
    • Musical Time--note intervals (whole, half, etc.)
    • Events--any data in a clip
    • Markers--any marker in a project
    • Clip Boundaries--the start or end of any clip
    • Absolute Time--a number of samples, frames, or seconds set by you
  3. If you selected Musical Time or Absolute Time, select Move To to align selections and clips to the grid, or Move By to move clips by the grid interval.
  4. Click OK.

All time selections and drag-and-drop editing operations use the new Snap Grid interval.

Note: You cannot set a snap offset for a Groove clip.


Creating and Using Markers

Markers are a way of associating a name with a time point in your project. You use markers to name sections of a project, to mark hit points in a film score, or simply to provide a shortcut for working with any time point in a project. Markers make it easy to:

  • Jump to a specific time point in a project
  • Select a portion of a project
  • Enter a time in any dialog box, by pressing F5 and choosing the marker you want

You can see and work with markers in four ways:

  • They are displayed in the Time Ruler at the top of the Track and Piano Roll view.
  • The Markers toolbar lets you add markers and jump to specific marker locations.
  • You can press F11 while playback is in progress to add a marker on the fly.

The time associated with a marker can be expressed in musical time or as a locked SMPTE time. If a marker has a musical time (measures, beats, and ticks), the marker stays at that musical time regardless of changes in tempo. If a marker has a locked SMPTE time (hours, minutes, seconds, and frames), the marker stays at the same time even when the tempo is changed.

Pro Tracks takes the current Snap Grid settings into account when you move or copy markers. For example, if the Snap Grid is set to even measure boundaries, any time you move or copy a marker, the marker will be snapped to the beginning of the nearest measure. You are allowed to have any number of markers at a single time point.

To Add a Marker

  1. Open the Markers dialog in one of the following ways:
    • Click [image] in the Markers toolbar.
    • Press F11.
    • Choose Insert-Marker.
    • Ctrl-click in the marker section of the Time Ruler.
    • Right-click in the Time Ruler and select Insert Marker.
Pro Tracks displays the Marker dialog box.
  2. Enter a name for the marker in the Name box.
  3. The time is set to the Now time. If you want, use the spinners to change the time or type in a new marker time.
  4. Check the Locked to SMPTE box if you want to lock the marker to the SMPTE time.
  5. Click OK.

Pro Tracks adds the marker and displays it in the Time Ruler, and the Markers toolbar.

To Add a Marker on the Fly

  • Click [image] in the Markers toolbar, or Press F11.

Pro Tracks adds a marker at the Now time and displays it in the Time Ruler, and the Markers toolbar.

To Edit a Marker

  1. Right-click on the marker in the Time Ruler. Pro Tracks displays the Marker dialog box.
  2. Change the marker name, time, or other settings as desired.
  3. Click OK.

Pro Tracks updates the marker in the Time Ruler.

To Copy a Marker

  1. Press and hold the Ctrl key.
  2. Drag a marker in the Time Ruler of the Track view, Tempo view, or Piano Roll view. Pro Tracksdisplays the Marker dialog box.
  3. Enter the desired marker settings and click OK.

Pro Tracks copies the marker and displays it in the Time Ruler. You can also cut and paste markers directly from the Markers view.

To Delete a Marker

  1. Press and hold the left mouse button while pointing to a marker in the Time Ruler.
  2. Press Delete, and release the mouse button.

Pro Tracks deletes the marker. You can use Edit-Undo if you make a mistake.

To Jump to a Marker

There are many different ways to jump to a specific marker:

  • Choose a marker from the dropdown list in the Markers toolbar to jump to that marker.
  • Click the Now time in the Position toolbar, press F5 to display a list of markers, choose the marker you want, and click OK.
  • Press F5 twice to display a list of markers, choose the marker you want, and click OK.
  • Click [image] or [image] in the Markers toolbar to jump to the next or previous marker.
  • Choose Go-Next Marker or Go-Previous Marker to jump to the next or previous marker.

To Select a Time Range Using Markers

You can select a range of times by clicking in the marker section of the Time Ruler:

  • Click to the left of the first marker to select the time between the start of the project and the first marker.
  • Click to the right of the last marker to select the time between the marker and the end of the project.
  • Click between two markers to select the time between the markers.
  • If looping is enabled, click to the right of the Loop Start marker to select the loop region
  • If punch recording is enabled, click to the right of the Punch In marker to select the punch region


Working with Linked Clips

Pro Tracks makes it easy to repeat a pattern over and over using a feature called linked clips. Linked clips always have the same contents, name, and display color. Any change you make to the internal contents of one of the clips, such as adding or editing notes or effects, automatically applies to all of them. Any number of clips may be linked with each other.

To create linked clips, copy the clips and when pasting, check the linked clips option in the Paste dialog box or the Drag and Drop Options dialog box. Linked clips are displayed with a dotted border, so they are easy to spot. You can also identify linked clips using the Clip Properties dialog box or the Select All Siblings (available in the Clips pane popup menu) command.You can easily unlink linked clips, and then edit them individually. You have two options when unlinking linked clips:

Option... | How it works...
New linked group | The clips you selected will still be linked to each other, but won't be linked to any clips that are not selected
Independent | Every selected clip will be completely independent

Once you have unlinked linked clips, you cannot re-link them except by using Edit-Undo.

If you attempt to copy only a portion of a linked clip, the copy will not be linked to the original. Copies of a clip can be linked to the original only when you select and copy the entire clip.

To Make Linked Copies of a Clip Using Drag and Drop

  1. Right-click in the Clips pane and choose Drag & Drop Options to display the Drag and Drop Options dialog box.
  2. Check the option labeled Copy Entire Clips as Linked Clips.
  3. Click OK.
  4. Select the clips you want to copy.
  5. Position the mouse over one of the selected clips.
  6. Press and hold down the Ctrl key.
  7. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  8. Drag the clips to their new location, and release the mouse button.
  9. If necessary, confirm the options in the Drag and Drop Options dialog box, and click OK.

Pro Tracks creates copies of the selected clips that are linked to the originals. Any change you make to one of the clips is applied to all linked clips, including the original clip.

To Make Linked Copies of a Clip Using Copy and Paste

  1. Select the clips you want to copy.
  2. Choose Edit-Copy to display the Copy dialog box.
  3. Choose options as desired and click OK. Pro Tracks copies the clips to the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time at which the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box.
  7. In the Paste dialog, choose one of two options:
    • Linked Repetitions--If you choose this option, only the new copies of the original clip are linked together. Edits you make to the new copies do not affect the original, and vice versa.
    • Link to Original Clip(s)--If you choose this option, the new copies and the original clip are linked together. Edits you make to any of the linked clips, including the original, affect all other linked clips in the group.
  8. Choose the other options you want and click OK.

Pro Tracks creates copies of the selected clips that are linked in the way you chose.

To Unlink Linked Clips

  1. In the Clips pane, select the clips you want to unlink.
  2. Right-click on any selected clip and choose Unlink from the popup menu. Pro Tracks displays the Unlink Clips dialog box.
  3. Choose the unlink option you want, and click OK.

Pro Tracks unlinks the clips and updates the Clips pane accordingly. From now on, any changes you make to one of the clips are applied only to remaining linked clips, if any.

To Select the Clips That Are Linked to Another Clip

  1. Select one or more clips in the Track view.
  2. Right-click on any selected clip and choose Select All Siblings from the popup menu.

Pro Tracks selects any clip that is linked to one of the currently selected clips.


Splitting and Combining Clips

Pro Tracks provides several commands that are used to split and combine clips. Specifically, you can:

  • Split a clip into several smaller clips
  • Create a new clip from a selected portion of an existing clip
  • Combine adjacent or overlapping clips into a single, longer clip

The following table summarizes the commands you can use:

To do this... | Use this command... | Notes...
Split clips into parts | Edit-Split | Works on all selected clips. You can also press the s key to split all selected clips at the Now Time.
Combine several clips into one | Edit-Bounce to Clip(s) | If the selected clips are in separate tracks, one clip is created for each track. All clip automation is applied destructively to the new clip.

Note:

Combining a stereo and mono clip always produces a stereo clip.

The Split command lets you split clips four different ways:

Option... | How it works...
Split at Time | Splits selected clips at a specific point in time. By default, the split occurs at the Now time, but you can choose any time you want.
Split Repeatedly | Splits selected clips at regular intervals, beginning at a specified time, with a specified duration. For example, you could split a long clip into 4-bar clips starting at measure 5.
Split at Markers | Splits selected clips at any marker location. This option is available only if your project has markers.
Split when Silent | Removes "silent" stretches of one measure or more from selected clips. The presence in a measure of any event--including those that make no sound, such as a patch change or lyric event--will cause that measure to be retained.

While the Split command works for both MIDI and audio clips, for audio clips, the Split command provides sample accurate editing and snap-to-zero capability.

Note that the Edit-Undo and Edit-Redo commands work with all three of these editing commands.

To Split Clips into Smaller Clips

  1. Select the clips you want to split.
  2. Right-click on any selected clip, and choose Split from the popup menu. Pro Tracks shows the Split dialog box or press the S key to split the clip(s) at the Now Time.
  3. Choose the Split option you want to use, and enter the settings you want to use.
  4. Click OK.
OR
  1. Select the clips you want to split.
  2. Set the Now Time to the time you want to split the clips.
  3. Press the s key.

Pro Tracks splits the selected clips according to your instructions.

To Combine Clips

  1. Select the clips you want to combine (the clips must be on the same track).
  2. Select Bounce to Clip(s) from the popup menu.

Pro Tracks combines the selected clips into a single, new clip.


Adding Effects in the Track View

You can add both MIDI and audio effects directly from the Track view. Pro Tracks adds these effects in real-time, preserving your track's original data.

To Add Effects in the Track View

  1. Right-click in the Effects bin of the track you want to add effects to.
An effects popup menu appears. Pro Tracks displays MIDI effects if you are editing a MIDI track, and audio effects for an audio track.
  2. Select an effect from the menu.
The name of the effect appears in the Effects bin and the effect's property page appears. To delete the effect, right-click the effect name and choose Delete from the popup menu.
  3. Set the effects parameters or choose a preset.

Play your track and listen to the effect(s).Note:

If you use the same effects for more than one track, it's more efficient to add the effects to an aux or main bus. See To Patch a Track Through an Aux Bus.


Changing Tempos

Your project can incorporate all kinds of tempo changes, including step changes from one tempo to another, gradual increases (accelerandos) or decreases (ritardandos), and almost any other type of change you can imagine. The tempo changes you add to your project become part of the project and are saved with the project file.

You can add tempo changes to your project in the following ways:

  • Using the Tempo toolbar
  • Using the Insert-Tempo Change command
  • By drawing tempo changes graphically in the Tempo view
  • Inserting tempo changes in the Tempo view's Tempo List pane

When you change the tempo of a project that contains audio, Pro Tracks allows you to stretch or shrink audio clips when you have converted them to Groove clips and have enabled the Follow Project Pitch option in the Loop Construction view. Otherwise, the MIDI tracks will speed up or slow down while the audio tracks will play at the same speed. For more information about Groove clips, see Working with Groove Clips. Audio clips that are not Groove clips change in size when moved to a part of your project that has a different tempo.

Sometimes you don't want to adjust the speed of your audio. Here are some examples:

  • If your project contains background music and a voice-over, you might want to change the tempo of the background music without altering the voice-over.
  • If you're trying to modify the speed of some MIDI tracks to match a sampled drum groove, you want to leave the audio unchanged.

When you change the tempo of your project, clips having stretching enabled change tempo along with the project, while those that do not have stretching enabled do not. For more information on stretch enabling clips, see Enable Stretching.

See:

Using the Tempo Toolbar

Using the Tempo Commands

Using the Tempo View


Using the Tempo Toolbar

The Tempo toolbar displays the current tempo and lets you change the tempo as shown below:

When you enter a new tempo directly in the toolbar, you change the most recent tempo setting in the project.

To Change the Current Tempo in the Tempo Toolbar

  1. Enable Groove clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip Looping on any selected clip that has Groove clip Looping enabled.
  2. Click the current tempo in the Tempo toolbar.
  3. Type a new value and press Enter, or use the spinners to change the tempo value.

Pro Tracks changes the current tempo to the desired value.


Using the Tempo Commands

The Insert-Tempo Change command can be used to change the existing tempo of a project or to introduce a tempo change at any point in a project.

To Insert a Tempo Change

  1. Enable Groove clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip Looping on any selected clip that has Groove clip Looping enabled.
  2. Click [image] in the toolbar or choose Insert-Tempo Change to display the Tempo dialog box.
  3. Check the Insert a New Tempo box.
  4. Enter a new tempo in one of the following ways:
    • Type a value in the Tempo field.
    • Click the arrows to change the value.
    • Tap a new tempo in the space indicated in the dialog box.
  5. Enter a starting time for the new tempo.
  6. Click OK.

Pro Tracks inserts a tempo change at the designated time.

To Modify the Most Recent Tempo Change

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Choose Insert-Tempo Change to display the Tempo dialog box.
  3. Check the Change the Most Recent Tempo box.
  4. Enter a new tempo in one of the following ways:
    • Type a value in the Tempo field.
    • Click the arrows to change the value.
    • Tap a new tempo in the space indicated in the dialog box.
  5. Click OK.

Pro TracksPro Tracks changes the most recent tempo to the new value.


Using the Tempo View

The Tempo view provides a graphic display of the tempo. In the Tempo view you can use your mouse to draw tempo changes directly onto the graph. Choose View-Tempo or click [image] on the toolbar to display the Tempo view

If an entire project has a single tempo, the Tempo view shows a straight horizontal line.

The Tempo view has several tools you can use to add or modify tempo changes:

Tool... | Name... | What it's for...
 | Select | Drat the Select tool in either the Tempo list or graphic display to select tempos to edit
 | Draw | Draw a custom curve indicating changes in tempo
 | Line | Draw a straight line indicating a steady increase or decrease in tempo
 | Erase | Eliminate tempo changes already in place for some portion of a project
 | Snap Grid | Controls how often you can insert tempo changes--for example, every measure, every eighth note, every 3 samples, etc.

If you make a mistake using any of these tools, you can use Edit-Undo to correct the error. When you use the Draw tool, the speed with which you drag the mouse determines the density of tempo events. To insert a larger number of relatively small tempo changes, move the mouse slowly. To insert a smaller number of relatively large tempo changes, drag the mouse quickly.

The Tempo List Pane has its own tools for editing tempo changes:

Tool... | Name... | What it's for...
 | Insert Tempo | Insert a new tempo change
 | Delete Tempo | Delete a tempo change
 | Tempo Properties | Edit a tempo change

To Insert a Tempo Change in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] or the [image] tool.
  3. Click in the Tempo view at any desired time point and tempo level.

Pro Tracks introduces a tempo change at the indicated point.

To Steadily Increase or Decrease the Tempo in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag a line in the Tempo view from the starting time and tempo to the ending time and tempo.

Pro Tracks introduces a linear series of tempo changes.

To Draw a Series of Tempo Changes in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag the cursor across the Tempo view, adjusting the tempo level as you move left to right.

Pro Tracks introduces a series of tempo changes.

To Erase Tempo Changes in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag the mouse over the desired region to highlight the region you want to erase.
  4. Release the mouse button.

Pro Tracks deletes all tempo changes in the area you marked. The last tempo setting prior to the erased region is now in effect in that region.

To Insert a Tempo Change in the Tempo List in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button to display or hide the tempo list.
  3. Select any tempo change in the list.
  4. Click Insert Tempo [image] to open the Tempo dialog box.
  5. Set the tempo, time, and other properties.
  6. Click OK.

Pro Tracks inserts the new tempo into the list.

To Edit a Tempo Change in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button to display or hide the tempo list.
  3. In the tempo list, select the tempo change to be edited.
  4. Click Tempo Properties [image] or double-click the tempo change to open the Tempo dialog box.
  5. Edit the tempo properties as desired.
  6. Click OK.

To Delete a Tempo Change from the Tempo List in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button to display or hide the tempo list.
  3. In the tempo list, select the tempo change to be deleted.
  4. Click Delete Tempo [image] , or press Delete.

deletes the selected tempo change. You cannot delete the first tempo in the list.


Undo, Redo, and the Undo History

Pro Tracks provides very powerful Undo and Redo commands that let you move forward or backward through any portion of an editing session. Every project has its own independent undo history. This means you can return to any open project and use the Undo and Redo commands, even if you've spent the last hour working on a different project. The undo history of a project is lost when you close the project.

Remembering everything that is necessary to undo the changes you have made can use a lot of memory. If a change you are about to make requires too much memory and cannot be undone, you will be advised that the operation is too big to undo later and asked if you want to go ahead anyway. If you do choose to perform the operation, you will not be able to undo it. Therefore, you may want to save your project first.

The Edit-History command displays a complete history of the commands and actions you can undo for the current project. The Undo History dialog box looks like this:

The History command is grayed out until you make a change to the current project that can be undone.

The History list is updated every time you make a change to a project. For example, if you insert a new note into a project using the Piano Roll view, that action is added to the History list. This entry remains on the list--even if you undo the change--so that you can redo the change later on. If you use the Erase tool to delete the note, this change is added to the History list.

You can click the Clear button in the Undo History dialog box to erase the undo history for the current project and free up some memory. If Pro Tracks is low on memory, it may offer to erase the History list.

To revert to an earlier version of a project, highlight the entry in the History list that represents the point to which you'd like to return, and click OK. Pro Tracks performs the necessary undo or redo actions to take you to that point. Once you edit the project (for example, by inserting a note), the History list is truncated at that point. Then, as you do further work, the History list grows again. Any events occurring before the event you highlighted remain on the list.

By default, Pro Tracks keeps a history of up to 128 editing actions for each open project. Once that limit is reached, each new action pushes out the oldest item from the History list. You can raise or lower that number in the Undo History dialog box.


Using Loops

Loops are short digital audio clips which are often designed to be repeated over and over or "looped," although some loops, called one-shots, are intended to play just once. Groove clips, often used as loops, are digital audio clips that "know" their tempo and pitch information. Groove clips automatically respond to changes in a project's tempo and can have their root note pitch adjusted using pitch markers. In Pro Tracks, you can import ACIDTM loops, or digital audio clips and convert them to Groove clips. You can also record your own audio and create Groove clips.

Note:

Groove clips and ACIDized loops are loaded into RAM, and can take up a lot of memory. Copying them does not increase the amount of memory they take up, but loading the initial copy does.

The Loop Construction View

The Loop Explorer View

Working with Loops

Working with Groove Clips


The Loop Construction View

The Loop Construction view is where you create and edit Groove clips.

The Loop Construction view toolbar has tools for editing slicing markers and controls for previewing loops.

See:

Loop Construction Controls

See also:

Working with Loops

Working with Groove Clips

Loop Construction view


Loop Construction Controls

The following is a list of the tools and controls in the Loop Construction view, followed by a description:

Control...

Description...
Save Loop as WAV

This button opens the Save As dialog. The clip in the Loop Construction view is saved as a Riff Wave file. Riff Wave files are ACIDized files which can be opened in Pro Tracks or ACIDTM. For more information, see Saving Groove Clips as a Riff Wave File/ACIDized Wave Files.
Enable Looping

The Enable Looping button allows a clip to be looped by dragging in the Track view. Loop enabled clips follow changes in the project tempo. For more information, see Enable Looping.
Enable Stretching

Allows a clip to be stretched or compressed to match the changes in the project tempo. For more information, see Enable Stretching.
Follow Project Pitch

Allows a clip to follow the project pitch. For more information, see Follow Project Pitch.
Basic Slices

Creates slicing markers at note length intervals, whole note (one slice per measure) being the coarsest and 64th note (64 slices per measure) being the finest. For more information, see Basic Slicing Slider. For more information about slicing markers, see Slicing Markers.
Transient Detection

Creates slicing markers according to the detection of transients in a waveform. The slider detects smaller transients as you move the slider towards 100%. For more information, see Transient Detection Slider. For more information about slicing markers, see Slicing Markers.
Stop Preview

Stops loop preview playback.
Preview Loops

Plays the current loop repeatedly. Use the Stop Preview control to stop playback.
Preview Bus

Select the virtual main through which you want to listen to the clip.
Select

Use the Select tool to move markers in the Markers bar.
Erase

Use the Erase tool to delete markers in the Markers bar.
Default All Markers

The Default All Markers tool restores all automatically generated markers to the original position and enables all those that were disabled. Manually created markers remain as is.
Orig. BPM

The tempo at which the clip was recorded.
Root Note

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.
Pitch (Coarse and Fine)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.
The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semi-tone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semi-tone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Enable Looping

Click the Enable Looping button to loop clips in the Track view by dragging the left or right side of a clip with your mouse. When you loop-enable a clip it automatically snaps to the nearest beat boundary (at 1, 2, 4, 8, 16 etc. beats). Pro Tracks calculates the appropriate beat number. Change the number in the Beats in Clip field if you want to change the total number of beats in the clip.

Enable Stretching

Instructs Pro Tracks to stretch or shrink the clip to fit the project's tempo. Pro Tracks uses the Original BPM parameters to make the change.

Beats in Clip

The number of beats in the clip.

Original BPM

The tempo at which the clip was recorded.

Follow Project Pitch

The Follow Project Pitch option transposes the loop, if necessary, to the project pitch which you can set in the Markers toolbar. A loop recorded in the key of C, used in a project with a default project pitch of A, would be transposed down three semitones if the Follow Project Pitch checkbox was checked. You can also insert markers in the Time Ruler which change the project pitch. These markers, called pitch markers affect only Groove clips with Follow Project Pitch enabled.

Root Note

The Root Note represents the key in which the loop was originally recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's default project pitch and pitch markers.

Pitch (coarse)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (Coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch is enabled, the clip is transposed down by two semitones. A value entered into the Pitch (coarse) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semi tone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not enabled, and a value of "-2" is entered in the Pitch (coarse) field, the clip is transposed down two semitones to D from the original pitch of E.

Pitch (fine)

The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semi tone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semi tone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Basic Slicing Slider

The Slicing slider sets the resolution for the creation of markers, or the "slicing" of the looped clip. The automatic markers appear at the note resolutions according to the slider setting. At the eighth note setting, there are eight markers per measure if the Transient Detection slider is set to 0.

The Basic Slicing slider works well for slicing audio that has more subtle changes in volume with few dramatic transients.

The markers in a loop clip preserve the timing of the audio at that moment. Too few or too many markers can cause unwanted "artifacts" when a loop clip is stretched.

Transient Detection Slider

The Transient Detection Slider senses transients in your audio clip and assigns a marker at the beginning and end of each one it finds. As the sensitivity is increased (moving the slider to the right) smaller transients are detected and the number of markers increases.

Slicing Markers

There are two types of slicing markers in the Loop Construction view: automatic and manual. Automatic markers appear in red and are automatically generated by Pro Tracks when you loop enable a clip. The one exception to this is if you import an ACIDized wave file into Pro Tracks. ACIDized files always appear with manual slicing markers. Manual markers appear in blue. If you add a marker or move an automatic marker, it turns blue to show you that it has been edited. For information on editing slicing markers, see To Edit the Slicing Markers in a Groove Clip.


The Loop Explorer View

Pro Tracks's Loop Explorer view allows you to preview your Wave files before you drag and drop them into the Track view. If you preview a Groove clip, it plays back at tempo and in the key of your current project.

You can open the Loop Explorer view in any of the following methods:

  • Select View-Loop Explorer from the menu.
  • Click the Loop Explorer icon [image] on the Views toolbar.
  • Press Alt+1

The Loop Explorer view toolbar has the following controls:

Tool...

Name...

What It Does...

Move Up

Opens the folder one level above the active folder.

Refresh

Refreshes the active folder.

Windows Explorer

Opens Windows Explorer at the same directory being viewed in the Loop Explorer view.

Play

Plays the selected media file.

Stop

Stops the playback of the selected file.

Auto Preview

Automatically preview files when you click on them in the Loop Explorer view. If the selected file is a Groove clip, it plays back in the project tempo and key.

Views

Allows you to change the way the files are viewed in the list view:
  • Tree view--displays all of the available drives and folders that you may choose from to find files.
  • Summary view--displays a short description of the selected media file at the bottom of the Loop Explorer view.
  • Details--displays the file size, date and when the file was created and last modified.
  • All Files--displays all file types in the active folder.

Preview Bus

Select the virtual main output through which you want to listen to the loop.


Tree View Pane

The Tree view pane shows all of the available files and folders in the selected drive.

See also:

To Preview a Groove Clip


Contents List Pane

The Contents List pane displays the folders and files contained in the active folder.

To Preview a Groove Clip

  1. Click the Auto-preview button in the Loop Explorer toolbar.
  2. Click on a Wave file in the Content List pane.
Each successive Wave file you select is previewed. You can also select multiple files and play them simultaneously.
OR
  1. Select a Wave file in the Content List pane.
  2. Click the Play button in the Loop Explorer toolbar.
  3. Click the Stop button to stop playing the selected Wave file.

When you preview a Groove clip in the Loop Explorer view, the clip plays in the project key and at the project tempo.

To Drag a Loop into a Project

  1. In the Track view, select a track.
  2. Click and drag the Wave file from the Loop Explorer view to the Track view.
  3. Drop the Wave file in the track and at the time in which you want it in your project. If you drop the file after the last track in your project, a new track is created for the file.

To Drag Multiple Loops into a Project

  1. Select a Wave file and select additional by holding down the Ctrl key and selecting them.
  2. Drag the Wave files from the Loop Explorer view to the Track view.
  3. Drop the Wave files into the Track view at the time in which you want them in your project.
The Wave files appear on consecutive tracks in the Track view at the time selected.


Working with Loops

You can make any audio clip into a loop by checking the Enable Looping checkbox in the Clip Properties dialog. Once looping is enabled, you can drag out loops to create multiple repetitions. There are several other ways to enable looping:

To Enable or Disable a Clip for Looping

  1. Double-click on the clip you want to loop.
The Loop Construction view appears.
  2. In the Loop Construction view, click the Enable Looping button [image] .
OR
In the Track view, select a clip and press Ctrl+L or select Edit-Groove Clip Looping.

To Create Repetitions of a Loop

  1. Move the cursor over the end of the loop enabled clip until the cursor looks like this [image] .
  2. When the cursor changes, click the end or beginning of the clip and drag it to the right (if you are dragging out from the end) or left (if you are dragging from the beginning).
The clip repeats itself until you stop dragging.

To Create Partial Repetitions of a Loop

  1. Move the cursor over the end of the loop enabled clip until the cursor looks like this [image] .
  2. When the cursor changes, click the end or beginning of the clip and drag it to the right (if you are dragging out from the end) or left (if you are dragging from the beginning).
If the Snap to Grid button is on, you can create a partial loop as small as the Snap to Grid setting allows. For example, if your Snap to Grid setting is set to quarter notes, you can create partial repetitions as small as a quarter of a measure.


Working with Groove Clips

Groove clips are .wav files that behave similarly to Sonic Foundry's ACIDized loops. Groove clips contain information about the audio content, including the original tempo, original reference pitch, number of beats in the loop, and audio transient information.

See:

How Groove Clips Work in Pro Tracks

Using Groove Clips

Creating and Editing Groove Clips

Using Pitch Markers in the Track View


How Groove Clips Work in Pro Tracks

Groove clips have information saved within them which allow them to adjust to changes in tempo and pitch. Groove clips can read a project's tempo and tempo changes, and can adjust their root note pitch when they read pitch markers. You can add pitch markers in the Track view's Time Ruler to transpose the Groove clip. As your project passes over a pitch marker, Pro Tracks transposes your Groove clips based on the clip's root note reference pitch. If you insert no pitch markers in your project, there are no pitch changes in your Groove clips. The default project pitch is C.

Note:

When working with Groove clips, it is important to know the difference between key and pitch. Your project's key signature has no effect on Groove clips. The pitch of your Follow Project Pitch-enabled Groove clips is dictated by pitch markers in the Time Ruler. If there are no pitch markers in your project, Groove clips play at the pitch set in the Markers toolbar (the default is C).

Note:

Groove clips must be at least one beat in length. If you try to loop enable a clip of a shorter duration you may experience distortion or artifacts.

See also:

Working with Groove Clips

Using Groove Clips

Creating and Editing Groove Clips


Using Groove Clips

Groove clips are easy to use because they automatically adjust to your project's pitch markers and tempo. You can import existing loops or create your own, using the Loop Construction view.

To Import a Groove Clip into Your Project

  1. Select a Track in the Track view.
  2. Set the Now Time to the place you want the clip to begin.
  3. Select File-Import-Audio from the menu.
The Open dialog appears.
  4. Navigate to a directory that contains Groove clips and select one.
  5. Click Open.

By default, Groove clips are loop enabled and transposed to match the project's pitch.

Setting the Default Project Pitch

  1. If necessary display the Markers toolbar by selecting View-Toolbars to open the Toolbars dialog. In the toolbar dialog click Markers and OK.
  2. In the Markers toolbar, click the Default Project Pitch dropdown menu and select a pitch.

Your project now uses the root note of your clips to transpose to the project pitch. Use Pitch markers at different points in your project to change the pitch. For more information on Pitch markers, see Using Pitch Markers in the Track View.


Creating and Editing Groove Clips

Any audio clip can be converted to a Groove clip. Groove clips contain tempo, beat, and pitch information which Pro Tracks uses to stretch and transpose the clips to match the project. Most Groove clips are loop-enabled, meaning that you can use the mouse to drag clip repetitions in the Track view. Groove clips can be either loop-enabled or not, although they usually are. When a Groove clip is loop-enabled, its edges appear beveled. It is sometimes desirable to create clips that follow the project's tempo and key, but are not intended to loop. The following is a list of the attributes contained in a Groove clip:

  • Beats in clip--The number of quarter notes in a clip. A four measure clip in 4/4 time should have 16 beats. When you enable looping for a clip, Pro Tracks calculates the number of beats in the clip using an algorithm. This calculation is very often accurate, but in some cases, for instance when the clip has a very slow or very fast tempo or if the clip has an unusual number of beats, then the number of beats in a clip may have to be edited manually in the Beats in clip field.
  • Original tempo--The original tempo of the recording. Pro Tracks uses the original tempo to adjust to your project's tempo. The original tempo must be specified for stretching clips.
Note: When you loop-enable a clip, Pro Tracks calculates the original tempo of the clip, and unless the clip's length is in exact beat or measure increments, the original tempo that Pro Tracks calculates may vary from the recorded tempo. These fluctuations are usually quite small and do not affect the quality of the Groove clip you create.
  • Reference note--The original key of the recorded clip. Pro Tracks uses the Reference note when it transposes Groove clips to match your project's pitch.

These attributes can be edited in the Loop Construction view.

To Set the Number of Beats in a Groove Clip

When you open a clip in the Loop Construction view, Pro Tracks determines the number of beats in the clip. In some cases the beat value may not be correct. The beats in clip value can only be changed if the clip is loop enabled.

Do the following to change value in the Beats in Clip field.

  • Click the plus or minus button to the right of the Beats in clip field until the correct value is displayed.

To Set the Tempo of a Groove Clip

When creating a new Groove clip, Pro Tracks sets the clip's tempo to the current project tempo. To ensure proper stretching behavior you must set the value in the Original BPM field to the tempo at which you recorded the clip. The tempo value of a clip can only be changed if the clip is stretch enabled.

Do the following to change the value in the Original BPM field.

  • Click the plus or minus button to the right of the Original BPM field until the correct value is displayed. For more precise tempos you can double-click in the Original BPM field and enter a tempo.

To Slice a Clip

  1. Double-click on a clip in the Clips pane.
The clip appears in the Loop Construction view.
  2. Slice the clip using one or all of the following methods:
    To do this...

    Do this...
    Slice the clip on note divisions

    Move the Basic Slicing slider to the note resolution you want. The Basic Slicing slider's settings range from whole notes to 64th notes. Selecting quarter notes, for example, would create four markers per measure.
    Slice the clip at transient peaks

    Move the Transient Detection slider to the right until the larger transients in the clip are flanked by markers.
    Slice the clip manually

    Move your mouse to the space above the Time Ruler and double-click to add a marker. Click and drag the marker, if necessary, so it aligns with the beginning or end of a transient.
  3. Play your project and adjust the slicing of your clip as necessary.

Note: You can use any or all of these methods to slice a clip. If you use both the Basic Slicing and Transient Detection sliders, two markers may be placed right next to each other. If these markers are too close, the markers will automatically merge. Manual markers will not automatically merge.

To Transpose a Groove Clip to Match Your Project's Pitch

Follow this procedure to force the Groove clip to follow the project's default pitch.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. Click the Follow Project Pitch button.

To Transpose a Groove Clip by Semitones

Follow this procedure to transpose a Groove clip by any number of semitones.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. If the Follow Project Pitch button is enabled, click it to disable it.
  3. In the Pitch (semitones) field, enter the number of semitones you want to transpose the clip by. A negative number in the Pitch (semitones) field transposes a clip down. A positive number in the Pitch (semitones) field transposes the clip up.

To "Fine Tune" a Groove Clip

Follow this procedure to make slight pitch changes to a clip.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. In the Fine Pitch (cents) field, enter the number of cents you want to adjust the pitch. You can enter a number from -50 (transpose the pitch down by a quarter tone) to 50 (transpose the pitch up by a quarter tone).

To Edit the Slicing Markers in a Groove Clip

The table below describes how to create and edit the slicing markers in the Loop Construction view.

To do this... | Do this...
Add a slicing marker | Move the mouse cursor to the Markers bar, at the beginning of a transient and double-click.
Delete a slicing marker | Select the Eraser tool [image] and click on a marker.
Move a slicing marker | Click and drag a marker
Reset slicing markers to original positions | Click the Default All Markers button [image] .

For more information on slicing markers, see Slicing Markers.


Saving Groove Clips as a Riff Wave File/ACIDized Wave Files

Once you have created a Groove clip in Pro Tracks, you can save the clip as a Riff Wave file, compatible with ACIDized wave files.

To Save a Groove Clip as a Riff Wave File/ACIDized Wave Files

Use the following procedure to save a Groove clip as a Riff Wave file:

  1. If you have not already done so, create a Groove clip. See Creating and Editing Groove Clips.
  2. In the Loop Construction view, click the Save icon.
The Save As dialog appears.
  2. Use the toolbar in the Save As dialog to navigate to the location where you want to save the file.
  3. In the File name field, enter a name for the file.
  4. Click the Save button.

To Drag and Drop a Groove Clip Into Another Application

You can drag and drop clips from Pro Tracks to another application or to a directory in Windows. When you drag a file from Pro Tracks, the file source file is copied and the copy is placed in the new directory or application.


Using Pitch Markers in the Track View

Pitch markers change the pitch at which Groove clips sound. All Groove clips in Pro Tracks that have the Follow Project Pitch option enabled adjust their pitch as they encounter pitch markers in Pro Tracks. If there are no pitch markers, all Groove clips play at the default project pitch, unless the Follow Project Pitch parameter is disabled.

To Create a Pitch Marker

  1. In the Track view, right-click in the Time Ruler.
  2. Select Create a Marker from the menu that appears.
  3. The Marker dialog appears.
  4. In the Groove clip Pitch Change dropdown, select a pitch.
  5. Click OK.

To Move a Pitch Marker

  • Click and drag a pitch marker to a new location on the Time Ruler.


Editing MIDI Events and Controllers

Editing MIDI Events and
Controllers

Pro Tracks lets you edit the events in your projects in dozens of different ways. The Piano Roll view lets you add and edit notes, controllers, and automation data interactively, using a graphic display. Pro Tracks's many editing commands can improve the quality of recorded performances, filter out certain types of events, and modify the tempos and dynamics of your projects. The Event List view lets you see and modify every detail of your project. Finally, you can apply a variety of effects and filters to enhance your MIDI data.

Pro Tracks has many additional commands and features for working with audio. For more information, see Editing Audio.

See:

The Piano Roll View

Selecting and Editing Events

Changing the Timing of a Recording

Controllers, RPNs, NRPNs, and Automation Data

Controllers, RPNs, NRPNs, and Automation Data

The Event List View

MIDI Effects (MIDI Plug-ins)


Event Inspector Toolbar

The Event Inspector toolbar is available from the View menu by selecting View-Toolbars and checking Event Inspector in the Toolbars dialog. The Event Inspector has the following:

  • Time
  • Pitch
  • Velocity
  • Duration
  • Channel

To Display a Note's Properties in the Event Inspector Toolbar

  • Select a note.
If you select multiple notes, the Event Inspector toolbar displays the a note value if all selected note values are the same. If the note values are different, the Event Inspector does not display anything.

To Change a Note's Properties Using the Event Inspector Toolbar

  1. Select a note.
  2. In the appropriate Event Inspector toolbar field, change the value. See the table below for a description of valid value entries for each field in the Event Inspector toolbar.
    Event Inspector Field...

    Valid Values...
    Time

    Any valid M:B:T time value. Separate values with a colon. For example, measure 2, Beat 3, Tick 720 would be written as 2:3:720.
    Pitch

    Note names (C0 through G10) and note numbers (0 through 127) are valid in this field. Also, you can use a modifier to raise or lower the value by a number of half-steps. To raise the pitch by 2 half-steps, type +2 and press enter. To lower the pitch by 2 half-steps, type -2 and press enter.
    Velocity

    A velocity value or modifier value are valid in this field. Valid velocity values are 0 through 127. Valid modifier values are +/- 0 through 127.
    Duration

    A PPQ value.
    Channel

    1 through 16.


The Piano Roll View

The Piano Roll view displays all notes and other events from one or more MIDI tracks in a grid format that looks much like a player piano roll. Notes are displayed as horizontal bars, and drum notes as diamonds. Pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries. The Piano Roll view makes it easy to add, edit, and delete notes from a track.

The Piano Roll view consists of the Note Map pane, the Drum Grid pane, the Note pane, the Controllers pane, and the Track List pane.

See:

Note Map Pane

Drum Grid Pane

Note Pane

Controllers Pane

Track List Pane

Opening the View

Selecting and Editing Notes

Working with Multiple Tracks in the Piano Roll View


Note Map Pane

In this pane displays your drum map settings, mute or solo an individual pitch, and preview individual pitch sounds. For more information about the Note Map Pane, see The Note Map Pane.

See also:

Drum Maps and the Drum Grid Pane


Drum Grid Pane

In the Drum Grid pane you can add, delete and edit notes and note properties in any MIDI track(s) assigned to a drum map. For more information, see The Drum Grid Pane.

See also:

Drum Maps and the Drum Grid Pane


Note Pane

In this pane you can add, edit, and delete notes in any MIDI track(s) not assigned to a drum map.

See also:

Selecting and Editing Notes


Controllers Pane

In this pane you can edit controllers, RPNs, NRPNs, velocity, pitch wheel, and aftertouch data, during playback or recording, in real time. Select the controller you want to edit from the Controller dropdown list at the top of the Piano Roll view. For more information, see Controllers, RPNs, NRPNs, and Automation Data.


Track List Pane

The Track List pane is home to a list of all tracks currently displayed in the Piano Roll view. In this pane you can enable and disable editing of a track's data; mute, solo and arm a track; and show or hide the track's data in the Note pane or Drum Grid pane. Track numbers, names and output ports appear in the Track List pane. You can show or hide the Track List pane by clicking the Show/hide track pane button [image] in the Piano Roll view toolbar.

See also:

Selecting and Editing Notes

Working with Multiple Tracks in the Piano Roll View


Opening the View

There are several ways to open the Piano Roll view:

  • In the Track view, select the track you want to see, then choose View-Piano Roll or press Alt+5
  • In the Track view, right-click on a track and choose View-Piano Roll from the popup menu
  • Double-click on a MIDI clip in the Clips pane

Each selected track is displayed. You can always switch to a different track or tracks--simply click the [image] button (or press T) and choose the track you want.

The Piano Roll view lets you edit notes and controllers during playback or recording, in real time. This means you can loop over a portion of your project and hear any change you make on the next loop. The Piano Roll view also shows notes on-screen as you record them.

Like the Track view, the Piano Roll view includes zoom tools that let you change the vertical and horizontal scale of the view. The Piano Roll view also has a Snap to Grid [image] button. For more information on this feature, see Defining and Using the Snap Grid.


Selecting and Editing Notes

The Piano Roll view is a very convenient place to select, edit, and copy notes within a track or tracks. You must make the track you want to edit the current track. The current track appears with a dotted line around it in the Track List pane. To display the Track List pane in the Piano Roll view, click the Show/Hide Track List pane button [image] . The following shows three tracks in the Track List pane:

To make the a track the current track in the Track List pane, click on the track. When a thin dotted line surrounds the track, it is the current track.

There are several ways to select notes in the Piano Roll view:

  • Click and drag in the Time Ruler to select notes (and other MIDI events) that start playing within the time range
  • Use the Select tool [image] to select notes
  • Click or drag the piano keys to the left of the Note pane or the drum map rows in Note Map pane to select all notes of the given pitch(es)

You can use Shift-click to add notes to the selection and Ctrl-click to toggle between adding to or removing from the selection.

You can add notes to a clip simply by clicking in the Note pane or Drum Grid pane with the pencil tool. You can use the Resolution buttons to set the duration for new notes you enter. You can edit notes freely, using the mouse to change the start time, pitch, or duration. You can also right-click any note to edit the start time, pitch, duration, velocity, and channel of that note. You can move and copy notes beyond the boundary of the clip in which they are located. When you move the notes, the clip will be extended as needed, unless the notes are moved to a section that includes a slip-edited clip, in which case a new clip may be created.

The Piano Roll view also lets you scrub the tracks that are currently displayed. The Scrub command lets you drag a vertical bar over the view so that you can hear the notes in the track(s). You can scrub forward or backward at any speed. Scrubbing can be handy when you want to locate a bad note or listen to the effects of changes you have made without playing back at normal speed.

To Select Notes with the Selection Tool

  1. Click [image] to select the Select tool.
  2. Select notes as shown in the table:
    To do this...

    Do this...
    Select a single note

    Click on the note
    Select several notes at once

    Drag a rectangle around the notes you want to select
    Add to the selection

    Hold the Shift key while selecting notes
    Toggle the selection

    Hold the Ctrl key while selecting notes

    Selected notes are highlighted (50% gray mask) in the Piano Roll view, and the time selection is set to the range of note start times.

To Select All Notes of Certain Pitches

Click the piano keys on the left side of the Note pane or the drum map rows in the Note Map pane as shown in the table:

  • To do this...

    Do this...
    Select all notes of a single pitch

    Click on the piano key or map row
    Select all notes of several pitches

    Drag across the keys or map rows
    Add to the selection

    Hold the Shift key while clicking on a piano key or map row
    Toggle the selection

    Hold the Ctrl key while clicking on a piano key or map row

To Edit a Note

  1. Click [image] to select the Draw Line tool (or the Draw tool [image] , if you have do not have Auto Erase enabled).
  2. Edit notes as described in the table:
    To do this...

    Do this...
    Change the start time

    Drag the left edge of the note in either direction.
    The start time of the note is moved to the new location.
    Change the pitch

    Drag the middle of the note up or down [image] .
    Change the duration

    Drag the right edge of the note in either direction.

If the snap grid is enabled and set to Snap To, the start time of each note is restricted to points on the snap grid, and the length of each note is restricted to an even multiple of the snap increment. For example, if the snap resolution is set to a quarter note, you can move notes only to quarter-note boundaries, and you can increase or decrease the duration only by quarter notes. If the snap grid is set to Move By, notes can only be moved by multiples of the snap resolution.

To Change Note Velocity or Channel

  1. Right-click a single note to display the Note Properties dialog box.
  2. Edit the desired start time, pitch, duration, velocity, or channel.
  3. Click OK when you are done.

Pro Tracks updates the note event accordingly. Note that you can also edit note velocity in the Controllers pane and the Note Properties toolbar. For information on changing note velocities in the Drum Grid Editor, see "Editing Note Velocities" on page 175. For more information, see Velocity, Pitch Wheel, and Aftertouch.

To Move Notes

  1. Click [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Drag the selected notes to a new location.
The Drag and Drop Options dialog appears. If you have unchecked the Ask This Every Time checkbox in the Drag and Drop Options dialog, Pro Tracks uses that last option you set in that dialog. To change the option, right-click in the Clips pane of the Track view and select Drag and Drop Options from the popup menu.
  4. Select an option and click OK.

Pro Tracks moves the selected notes.

To Copy Notes

  1. Click [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Press Ctrl+C.
The Copy dialog appears.
  4. Click OK in the Copy dialog.
  5. Change the Now time to the place you want to paste the note(s).
  6. Press Ctrl+V.
The Drag and Drop Options dialog appears.
  7. Select an option in the Drag and Drop Options dialog and click OK.

Pro Tracks copies the selected notes.

To Add a Note

  1. Click the Draw tool button [image] or press D to select the Draw tool and select a note duration
  2. Press and hold the left mouse button in the Piano Roll view. Pro Tracks adds a new note.
  3. Drag the note to the desired pitch and time.
  4. Release the left mouse button.

To Erase a Note

  1. Click the Erase button [image] or press E to select the Erase tool.
  2. Click on any note to delete it.

To Erase Several Notes

  1. Click the Erase button [image] or press E to select the Erase tool.
  2. Drag the cursor across notes to delete them.
  3. Release the mouse button when you are done.

To Select and Erase Notes

  1. Click the Select button [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Press Delete to delete the notes.

To Erase Notes Using Auto Erase

The Auto-Erase feature makes the Draw tool into an eraser as well as a drawing tool. When the Auto-Erase feature is on, the Draw tool creates a note if used where there are no existing notes, but deletes notes that you click on.

  1. Click the arrow on the right side of the Draw tool [image] and select Auto Erase if it is not already checked.
  2. Click on the note you want to erase.
When the Auto Erase option is enabled, clicking in the Note pane or the Drum Grid pane creates a note if there is no note present and deletes any note you click on.

To Temporarily Turn off Auto-Erase

If you want to edit a note's start time or duration, you must turn off Auto-Erase. You can do so by unchecking the menu item in the Draw tool menu. You can also temporarily turn off Auto-Erase.

  1. Hold down the Alt key.
  2. Make edits in the Drum Grid Editor or the Note pane.
  3. Release the Alt key.

To Scrub the Project

  1. Click [image] or press B to select the Scrub tool.
  2. Press and hold the left mouse button in the Piano Roll view. Pro Tracks displays a vertical line and plays any notes that are underneath the line.
  3. Drag the line to the left or right, at any desired speed.

Note that the Mute, Solo and Arm buttons do not affect Scrub. If the track is hidden, however, you do not hear notes in that track.


Working with Multiple Tracks in the Piano Roll View

You can simultaneously edit as many tracks as you want in the Piano Roll view. When you display several tracks at the same time in the Piano Roll view, you control which track(s) you can see and/or edit by using the buttons in the Track List pane. You can show or hide the Track List pane by clicking the Show/hide track pane button [image] in the Piano Roll view toolbar.

The following is a list of ways to optimize the multiple track functionality in the Piano Roll view.

Selecting Tracks

Use the Pick Tracks combo button [image] to assign tracks to the Track List pane. Click on the left side of the Pick Tracks combo button to open the Pick Tracks dialog box. Click on a track name to select it. Hold down the Ctrl key and click more track names to select additional tracks. Click on the right side of the Pick Tracks combo button to show the Down/Up popup menu. Selecting Down moves the track or range of tracks down by one. Selecting Up moves the track or range of tracks up by one. For example, if you have tracks 2, 3 and 7 displayed in the Track List pane and you select Down, the Track List pane displays tracks 1, 2, and 6.

Display

If the notes of two tracks overlap, the notes of the topmost track in the Track List pane appear over the notes of the other track. You can move a track up or down by in the Track List pane by clicking and holding on the track and moving the track to the desired position.

All tracks ending in the same digit (2, 12, 22, etc.) share the same color. The default colors can be changed using Options-Colors.

The Enable/Disable Track Editing Button

The Enable/Disable Track Editing button [image] sets whether or not you can edit the notes of a track in the Piano Roll view. When the button appears white, editing is enabled and the track appears in color. When the button appears gray, editing is disabled and the track appears in gray.

Note: The Enable/Disable Track Editing button only disables the Piano Roll view tools; other editing commands are still operational.

The Show/Hide Track Button

The Show/Hide Track button [image] controls whether or not a track appears in the Note pane. The button appears in color when toggled on, white when off.

The Invert Tracks Button

If you use the Show/Hide Track button to hide any tracks in the Track List pane, you can show all these tracks and hide the ones that are currently displayed by clicking the Invert Tracks button [image] .


Selecting and Editing Events

Pro Tracks has many other editing commands that you can use to modify the events that make up your project. Here are some of the things you can do:

  • Transpose events, clips, tracks, or an entire project to a different key
  • Shift events to an earlier or later time
  • Stretch or shrink material to a different length
  • Modify the note velocities

The following sections describe these editing commands and how to use them. Pro Tracks also has some special commands you can use to modify or clean up a performance or to search for or select events that meet certain criteria.


Transposing

The Process-Transpose command transposes the pitches of selected note events up or down by a fixed number of steps. It does so by changing the MIDI key numbers of note events. Simply enter the number of half-steps--a negative number to transpose down, a positive number to transpose up.

Pro Tracks can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. Pro Tracks uses pitch-shifting (a plug in for changing audio pitch) to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.

To Transpose Selected Events

  1. Select the tracks, clips, or events you want to transpose.
  2. Choose Process-Transpose to display the Transpose dialog box.
  3. Use the spinners or enter the number of semi-tones to transpose.
OR
Use the + and - keys on your keypad to go up or down by one or [ and ] to go up or down by octaves.
  4. Check Diatonic Math if you want to transpose along the major scale of the current key.
  5. Choose Transpose Audio if you want to pitch-shift selected audio clips.
  6. Click OK when you are done.

Pro Tracks transposes the selected events.


Shifting Events in Time

The Track view lets you move entire clips forward or backward in time by using drag and drop editing or by changing the start time of selected clips. The Process-Slide command is slightly more flexible--you can use it to shift individual events and markers (or selected events and markers) either forward or backward in time. This has an effect that is similar to the Time+ parameter in the Track view. However, the Process-Slide command modifies the time stored with each event, while the Time+ parameter simply applies a temporary change during playback.

You can also use the Process-Slide command to move markers located within the selection. If you have selected any locked markers, Pro Tracks will ask whether they should slide, too.

To Shift Events in Time

  1. Select the events and/or markers you want to shift.
  2. Choose Process-Slide to display the Slide dialog box.
  3. Check the types of event you want to slide (events and/or
    markers).
  4. Enter the number of measures, ticks, seconds, frames or samples to slide. Enter a negative number to shift material earlier. Note that you cannot slide any event earlier than 1:01:000. For example, if the current selection starts at 2:01:000, you cannot slide events earlier by more than one measure.
  5. Click OK when you are done.

Pro Tracks shifts the selected events and/or markers.


Inserting Time or Measures into a Project

The Insert-Time/Measures command lets you insert any number of blank measures, ticks, seconds, or frames into a project. You can insert the blank measures (or other period of time) into all tracks or into one or more selected tracks. If you insert the blank time into the entire project, all events in each track--markers, meter and key settings, and tempo changes--are shifted automatically by default. If you insert the blank time into one or more selected tracks, only the events in those tracks are shifted by default. You can always choose which types of events should be shifted.

To Insert a Single Blank Measure into a Project

  1. Press Ctrl+Shift+A or select Edit-Select-None to make sure that no track or time range is selected.
  2. Set the Now time to the place where you want to insert the measure.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. Verify that the settings are correct and click OK.

Pro Tracks inserts a blank measure at the Now time.

To Insert Blank Time or Measures into a Project

  1. Press the 5 key on the numeric keypad (Num Lock must be off) or select Edit-Select-None to make sure that no track or time range is selected.
  2. Select the range of time you want to insert by dragging in the Time Ruler.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. If necessary, adjust the time at which blank space will be inserted.
  5. If necessary, change the length of time to insert by entering a number and choosing the units you want from the list.
  6. Choose the types of events that should be shifted automatically from the Slide list.
  7. Click OK when you are done.

Pro Tracks inserts the desired amount of blank time into the project.

To Insert Blank Time or Measures into Selected Tracks

  1. Select the range of time you want to insert by dragging in the Time Ruler.
  2. Select one or more tracks by Ctrl-clicking on the track numbers.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. If necessary, adjust the time at which blank space will be inserted.
  5. If necessary, change the length of time to insert by entering a number and choosing the units you want from the list.
  6. Choose the types of events that should be shifted automatically from the Slide list.
  7. Click OK when you are done.

Pro Tracks inserts the desired amount of blank time into the project.

Deleting Measures or Time from One or More Tracks

There are two methods for deleting time or measures:

  • If there is any audio or MIDI data in the area you want to delete, you can use the Edit-Delete command to delete the area that you select. Portions of MIDI clips may have no data in them: they have boundaries but no dark lines inside--if that's the case, use the following method.
  • If there is no data in the area you want to delete, you can simply drag any clips that come after the empty area to their proper destinations. You can also use this method if there is data in the area you want to delete--you just have to choose whether you want to replace the data in the deleted area, blend it with the data you're moving, or slide it over to make room.

To delete time when there is audio or MIDI data in the area you want to delete:

  1. In the Track view, select the track(s) you want to delete measures or time from by doing one of the following:
    • Select a single track by clicking the track number.
    • Select multiple tracks by Ctrl-clicking the track numbers.
    • Select all tracks by clicking the Select All Tracks button [image] that's in the Track view toolbar.
  2. Set the Snap to Grid value to the unit of time you want to delete. For example, if you want to delete whole measures, set the Snap to Grid value to a whole measure.
  3. In the Clips pane, select the measures or time you want to delete by dragging in the Time Ruler located just above the first track.
  4. Select Edit-Delete.
The Delete dialog box appears.
  5. Click the following checkboxes:
    • Events in Tracks
    • Delete Hole--if you want the data that comes after the hole to retain its same placement in a measure, check the Shift by Whole Measures option.
  6. Click any of the other options you want to delete.
  7. Click OK.

Pro Tracks deletes the time or measures you selected.

To delete time when there is no audio or MIDI data in the area you want to delete (or if there is data, but you like to drag and drop):

  1. Set the Snap to Grid value to the unit of time you want to delete. For example, if you want to delete whole measures, set the Snap to Grid value to a whole measure.
  2. In the Track view, select the clips you want to move.
  3. Drag one of the selected clips to its proper destination--the Drag and Drop Options dialog box appears.
  4. Choose options and click OK.

All the selected clips move by the amount that you dragged the mouse.


Stretching and Shrinking Events

The Process-Length command can be used to stretch or shrink a portion of a project. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

This command offer the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio.

Here are some examples:

  • If your project contains background music and a voice-over, you might want to change the tempo of the background music without altering the voice-over
  • If you're trying to modify the speed of some MIDI tracks to match a sampled drum groove, you want to leave the audio unchanged
  • If your audio consists solely of sound effects, you most likely do not want to adjust them

Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

You can also use the Process-Length command to alter only the start times or the durations of notes. For example, changing the durations of notes to 50 percent of their original length can create a staccato effect.

To Stretch or Shrink Using Percentages

  1. Select the events you want to change.
  2. Choose Process-Length to display the Length dialog box.
  3. Choose to change the Start Times and/or Durations of selected notes by checking the boxes.
  4. If you want to stretch selected audio clips, check the Stretch Audio box.
  5. Use the spinners or type in the desired percent change in length.
  6. Click OK when you are done.

Pro Tracks modifies the length of selected events.


Changing the Timing of a Recording

When you record a performance, there may be problems you'd like to correct. For example, the note timing may not have been as accurate as you would like. Or, you may have recorded without using a metronome and strayed from the tempo in one direction or another. The Quantize command alter the timing of the notes in your recording so that they fit a time grid.

See:

Quantizing


Quantizing

The Quantize command has quite a few settings, making very flexible and powerful. In addition, this command let you create, save, and re-use presets. This means that once you find the settings you like, you can save them and then apply them to other projects in a consistent way.

Resolution

The resolution indicates the spacing of the grid. You can use any value from a whole note down to a thirty-second note triplet. You can also specify resolution in clock ticks. A rule of thumb is to select a resolution that matches the smallest note in the region you are quantizing. If you are quantizing a run of sixteenth notes, use a sixteenth note as the resolution. If you are quantizing a mix of sixteenth and eighth notes, you should still use a sixteenth note.

Offset

Normally, the resolution grid is aligned evenly with the start of measures and beats. As an option, you can shift the grid earlier or later by any desired number of clock ticks. If the resolution is a quarter note and you've set the offset to +3 ticks, then a note that is originally near 1:01:000 would be moved to 1:01:003--three ticks beyond the beat boundary.

Duration

As an option, Pro Tracks can adjust the duration of note events so that each note ends one clock tick before the start of the nearest resolution-sized note. This ensures that the notes do not overlap, which can cause problems on some synthesizers. The adjustment may lengthen the duration of some notes and shorten the duration of others.

Strength

The human ear is tuned to the slight "imperfections" we hear from most musicians. If you quantize a project so that all notes are perfectly in position, it may end up sounding mechanical or rigid. To avoid this, Pro Tracks lets you adjust the strength of the adjustment. A strength of 100 percent indicates that all notes are moved so that they are in perfect time, while a strength of 50 percent means that all notes are moved half-way towards the desired position. This lets you "tighten up" the timing as much as you want, without going too far.

Swing

Many projects do not have notes positioned on a perfectly even time grid. For example, projects with a swing feel, though they may be written entirely in eighth notes, are often played more like eighth-note triplets, with the first note extended and the second one shortened. The swing option lets you distort the timing grid so each pair of notes is spaced unevenly, giving the quantized material a swing feel.

A swing value of 50 percent (the default) means that the grid points are spaced evenly. A value of 66 percent means that the time between the first and second grid points is twice as long as the time between the second and third points.

Window

When you quantize some portion of a project, you might not want to adjust notes that are very far from the grid. The window, or sensitivity, setting lets you choose how close to the resolution grid a note must be located for quantize to move it.

A window of 100 percent includes all notes and guarantees that all notes will be shifted to lie exactly on the grid. The window extends half the resolution distance before and after the quantization point. A window of 50 percent extends only a quarter of the way toward the adjacent quantization points.

Other Settings

If you want, you can restrict the types of events that are affected by the Quantize command to only notes, lyrics, and audio clips. If you choose this option, Pro Tracks will not modify other events, like controllers.

To Use the Quantize Command

  1. Select the material you want to quantize using any of the selection tools and commands.
  2. Choose Process-Quantize to display the Quantize dialog box.
  3. Choose one of your own presets from the list, or enter the settings you want according to the table:
    Setting...

    What to do...
    Resolution

    Choose a note size or enter the number of clock ticks
    Change

    Check the event types and characteristics you want to change
    Options

    Enter values for Strength, Swing, Window, and Offset
  4. Click Audition if you want to hear how the quantization will sound; press Stop to stop auditioning the change.
  5. Make adjustments as necessary.
  6. Click OK when you are done.

Pro Tracks quantizes the selected MIDI information and audio clips. You can use Undo to restore the material to its original state.


Controllers, RPNs, NRPNs, and Automation Data

Controllers, RPNs, NRPNs, and
Automation Data

Pro Tracks projects contain a lot more information than the notes and digital audio files that are at the heart of your work. Controllers, RPNs, and NRPNs (xRPNs, for short) are special types of events used by MIDI software and hardware to control the details of how MIDI music is played. Automation data are used to adjust volume, pan, and other parameters of MIDI and audio tracks on the fly while playback is in progress.

Pro Tracks lets you enter or edit controller, xRPN, and automation data in several ways:

  • Using envelopes in the Track view (see Using Automation)
  • Using the Controllers pane in the Piano Roll view
  • Event by event in the Event List view

Editing data in the Track view's Clips pane or the Piano Roll view's Controllers pane gives you great flexibility. You can examine the controllers in graphical form and edit them even while recording or playback is in progress. This means you can loop over a portion of your project and hear any change you make on the next loop.

Note: MIDI envelopes you create in the Piano Roll Controllers pane and MIDI envelopes you create in the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

For more information on automation, see Using Automation, and Mixing and Effects Patching. For more information about the Event List view, see The Event List View.

See also:

Using the Controllers Pane

Controllers

Controllers are the MIDI events such as volume, sustain pedal, and pan that you use to change the sound while you're playing. You can enter controller data from within Pro Tracks, or record them from external devices such as MIDI keyboards.

Controllers let you control the detail and character of your music. Say you're playing a guitar sound on your synthesizer, but it sounds lifeless and dull. That's partly because a guitar player doesn't just play notes one after another--he often bends or slides on the strings to put emotion into his playing. You can use controllers in the same way, creating bends, volume swells, and other effects that make sounds more realistic and more fun to listen to.

Your computer can work the controllers on your electronic instrument by sending MIDI Controller messages. The MIDI specification allows for 128 different types of controllers, many of which are used for standard purposes. For example, controller 7 is normally used for volume events, and controller 10 is normally used for pan. Every controller can take on a value ranging from 0 to 127.

The Piano Roll toolbar contains several dropdown lists that let you choose the controller you want to see and edit. The contents of these lists depend on the output and channel settings and on the instrument assigned to that output and channel. Different instruments use controllers in different ways. See .

Note:

Pro Tracks has automatic searchback for all continuous controller data to ensure that the correct controller values are in effect regardless of where you start playback. Suppose you start playback halfway through a project. Pro Tracks searches back from that point to find any earlier controllervalues that should still apply.

RPNs and NRPNs

RPNs (Registered Parameter Numbers) and NRPNs (Non-Registered Parameter Numbers) are similar to controllers, except that both the parameter number and data value can be any number between 0 and 16,383.

When RPNs and NRPNs are transmitted via MIDI or stored in a standard MIDI file, they are converted into four separate controller messages. Pro Tracks detects incoming xRPN messages from MIDI inputs or files and reassembles them into a single RPN or NRPN event. This provides the convenience of single RPN or NRPN events in Pro Tracks plus compatibility with existing files, equipment, and software. The following table shows the controller numbers Pro Tracks uses for RPN and NRPN events:

Message... | Parameter number MSB Controller... | Parameter number LSB Controller... | Data value MSB Controller... | Data value LSB Controller...
RPN | 101 | 100 | 6 | 38
NRPN | 99 | 98 | 6 | 38

Automation Data

The Track and Console views allow you to record automation data that define changes in volume, pan and many other parameters throughout a project. The automation data can include step changes recorded using the snapshot button or continuous changes recorded while using the knobs, faders, and buttons.

The Track view allows you to create envelopes to adjust several parameters. For more about automation, see Using Automation.

Velocity, Pitch Wheel, and Aftertouch

Pro Tracks lets you display and edit several other types of data the same way you do controller data. These data include:

  • MIDI note velocities
  • MIDI pitch wheel or pitch-bend messages
  • MIDI channel aftertouch (ChanAft) values
  • MIDI key aftertouch (KeyAft) values

Remember that note velocity is an attribute of each note and not a completely separate event. You cannot add or remove velocity events in the Controllers pane, but you can use the line and draw tools to adjust the velocity values for existing notes.


Using the Controllers Pane

The Controllers pane is the lower half of the Piano Roll view. The Controllers pane looks like a graph; the horizontal axis represents time, and the vertical axis represents the event values. Each event appears as a single vertical line, and the height of this line shows the value of the event. The Controllers pane shows events for all the clips in a track or multiple tracks. You can only see one type of controller at a time, and you must select All Channels from the Channel dropdown list to view more than a single MIDI channel. The exception is velocity data, which are not channel specific. You can zoom in and out on the Controllers pane using the zoom and unzoom buttons on the toolbar. To zoom all the way in or out in a single step, hold the Shift key while you click on the tool.

Selection methods in the Controllers pane are similar to those in other views. Here is a summary:

  • Click on a controller to select it
  • Shift-click to add other controllers to the selection
  • Ctrl-click to toggle the selection state of a controller
  • Drag a rectangle around several controllers to select them
  • Click and drag in the Time Ruler to select all controllers in a time range
  • Click between two markers to select the controllers that lie between the markers

The Controllers pane has several tools you can use to add or modify events. The following tools apply only to the track that is selected in the Track List pane:
Tool... | Name... | What it's for...
 | Select | Select controller events, so you can delete them
 | Draw Line | Draw a straight line indicating a steady increase or decrease in controller value
 | Draw | Draw a custom curve indicating changes in controller value. Draw a straight line by holding down the Shift key while using the Draw tool.
 | Erase | Erase controller changes already in place

If you make a mistake using any of these tools or commands, you can use Undo to correct the error.

When you use the Draw tool, the speed with which you drag the mouse determines the density of controller events. To insert a larger number of controller events with relatively small changes in value, move the mouse slowly. To insert a smaller number of controller events with relatively large changes in value, drag the mouse quickly.

Creating a change that sounds smooth does not always require making the value change by one on each tick. Bigger jumps may sound very gradual if the tempo is fast. Also, many devices round off the controller values. For example, many instruments respond to volume controller values of 100 and 101 with exactly the same loudness. Using too high a density of controller events can backfire by making the computer work so hard during playback that it is unable to keep up. This will usually cause hiccups or poor timing during playback

Important:

Adding controller data beyond the slip-edited boundaries of a slip-edited clip in the Piano Roll view results in the slip-edited data being displayed in the Piano Roll view. To avoid this, you can use the Edit-Apply Trimming command to destructively edit the clip before adding the controller data.

To Display Controller, RPN, NRPN, Velocity, Pitch-Bend, or Aftertouch Data

  1. Select the track whose controller or xRPN data you want to see by clicking on the track number in the Track view.
  2. Choose View-Piano Roll to display the Piano Roll view.
  3. Click the Show/Hide Controller Pane button [image] .
  4. Choose the data you want to see according to the table:
    To see this...

    Do this...
    Controller data

    Choose Control from the first dropdown list in the toolbar, and then choose the controller and channel from the second and third dropdown lists
    RPN or NRPN data

    Choose RPN or NRPN from the first dropdown list in the toolbar, choose which RPN or NRPN you want from the second dropdown list, and choose the channel from the third dropdown list
    Velocity data

    Choose Velocity from the first dropdown list
    Pitch-bend data

    Choose Wheel from the first dropdown list, and the MIDI channel from the third dropdown list
    Aftertouch data

    Choose ChanAft from the first dropdown list, and the MIDI channel from the third dropdown list

Pro Tracks displays the data in the controllers pane.

To Insert a Controller Value

  1. In the Controllers pane, choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Draw tool [image] or the Draw Line tool [image] .
  3. Click in the Controllers pane view at any desired time point and value.

Pro Tracks adds a controller at the indicated point.

To Draw a Linear Series of Controllers

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the [image] tool.
  3. Drag a line in the Controllers pane from the starting time and value to the ending time and value.

Pro Tracks adds a series of controllers and erases any existing controller values in the same time interval.

To Draw a Series of Controller Value Changes

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Draw tool [image] .
  3. Drag the cursor across the Controllers pane, adjusting the value as you move left to right.

Pro Tracks adds a series of controllers and erases any existing controller values in the same time interval.

Tip:

When using the Draw tool [image] , you can press and hold the Shift key to draw a straight line.

To Remove or Erase Controllers

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Eraser tool [image] .
  3. Drag the mouse over the desired region to highlight the region you want to erase.
  4. Release the mouse button when you have highlighted the desired region.

Pro Tracks deletes all controllers of the selected type. (Note that you cannot delete velocity events in the Controllers pane. You must delete the notes that have those velocities.)

To Convert MIDI Controller Envelopes to Shapes

  1. In the Clips pane, select the time range and track(s) that contain the controller data you want to convert.
  2. Use the Edit-Convert MIDI To Shapes command.
The Convert MIDI To Shapes dialog box appears.
  3. In the Type field, select the type of controller you want to convert.
  4. In the Value field, select the controller number of the controller you want to convert. For example, if you're converting a volume envelope to a shape, select 7.
  5. In the Channel field, select the channel of the controller you want to convert, and click OK.

Pro Tracks converts the Piano Roll view controller envelope you selected to a Track view shape that controls the same parameter.

Note: If two clips overlap, the Edit-Convert MIDI To Shapes command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.


The Event List View

The Event List view shows events in a list format. You can insert, delete, or modify any kind of event, including notes, pitch-wheel data, velocity, MIDI controllers, patch changes, Wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.

There are three ways to open the Event List view:

  • Select one or more tracks and choose View-Event List
  • Select one or more tracks and click [image] in the Views toolbar
  • Right-click a track in the Track view and choose Views-Event List from the popup menu

The events in the selected tracks are listed one per line, from top to bottom. As you move the highlight through the event list, Pro Tracks updates the Now marker (time display). During playback, the event list scrolls to display the events at the current time. The current event is centered in the Event List during playback, and the highlight is on the correct event when playback stops. Any time you change the Now time, the event list is updated and the highlight is moved to the event that will be played next.

When the Event List view includes more than one track, events are mixed together in chronological order. For example, if you select tracks 1 and 3 when you open the Event List view, you see a single list of intermingled events from tracks 1 and 3. You can have any number of Event List views, each containing any number of tracks, open at the same time. You can change the tracks shown in the Event List view by clicking the [image] button and choosing the tracks you want.

See:

Event List Buttons and Overview

Editing Events and Event Parameters

Additional Event Information


Event List Buttons and Overview

Each line of the Event List view shows a single event along with all of its parameters. There are many different types of events. All share the following parameters:

  • The time of the event, displayed in SMPTE (hours:minutes:seconds:frames) format
  • The time of the event, displayed in MBT (measures:beats:ticks) format
  • The event type, or kind of event

The remaining parameters vary by event type. You can hide or show each kind of event by clicking its button in the Event List toolbar or by checking its checkbox in the Event Manager dialog box. Here is a summary listing of the parameters that apply to each type of event.
Short name and display button... | Type of event... | Parameters...
Note | MIDI note | Pitch (MIDI key number), velocity (0-127), duration (beats:ticks or simply ticks), MIDI channel (1-16)
KeyAft | MIDI key aftertouch | Pitch (MIDI key number), pressure amount (0-127), MIDI channel (1-16)
Control | MIDI controller change | Controller number (0-127), controller value (0-127), MIDI channel (1-16)
Patch | MIDI patch change | Bank select method, bank number, number or name of the patch, MIDI channel (1-16)
ChanAft | MIDI channel aftertouch | Pressure amount (0-127), MIDI channel (1-16)
Wheel | MIDI pitch wheel position | Wheel position (-8192 to 8191, where the center is 0)
RPN | Registered Parameter Number | Parameter number (0-16383), parameter value (0-16383), MIDI channel (1-16)
NRPN | Non-registered Parameter Number | Parameter number (0-16383), parameter value (0-16383), MIDI channel (1-16)
Sysx Bank | System Exclusive data bank | Sysx bank number (0-8191)
Sysx Data | System Exclusive data message | Sysx message up to 255 bytes long
Text | Text | Text
Lyric | Lyric | Text (a single word or syllable)
MCIcmd | Windows Media Control Interface (MCI) command | MCI command text
Wave Audio | Digital audio wave | Name, velocity (0-127), and number of samples
Shape Events | Automation graph segments made up of a solid line between two nodes | Change in values, kind of shape, and length in MBT format. Note: Shape events cannot be edited, only deleted.
Event List Manager | Opens Event Manager dialog box | Shows or hides various kinds of events
Events Out of Slip Edit Boundaries | Events that are outside of slip-edited boundaries | Note, audio, or controller data
Insert Event | Inserts a copy of highlighted event--double-click the event's Kind parameter to change it to the kind of event you want | Whatever the highlighted event's parameters are
Delete Event | Deletes the highlighted event | Whatever the highlighted event's parameters are
Pick Tracks and Show Next/Previous Track | Left side of button opens Pick Tracks dialog; right side of button opens Next Track/Previous Track dropdown menu | Allows you to pick what tracks the Event List shows events for

Here are some notes about events and their parameters:

  • The Channel parameter in the Track view can force an event to play on a different MIDI channel from the one shown in the event list.
  • Many keyboards do not support key aftertouch and channel aftertouch. Consult the User's Guide for your keyboard for more information.
  • When you double-click the value of a patch event, Pro Tracks displays the Bank/Patch Change dialog box. For more information about bank and patch changes, To Insert a Bank/Patch Change.
  • See , for more information about System Exclusive banks.
  • See Editing Audio, for more information about audio clips.


Selecting Events in the Event List View

The following table describes how to select events in the Event List view:

To do this... | Do this...
Select a single event | Click on the event.
Select multiple, contiguous events | Select the first event, hold the Shift key down and click the last event.
Select multiple, contiguous events using the arrow keys | Hold down the Ctrl and Shift keys while pressing the up or down arrows.
Select multiple, non-contiguous events | Select an event, hold the Ctrl key while selecting additional events


Editing Events and Event Parameters

The Event List view lets you add, delete, or change events one by one. You can also print the list of events or audition the events one at a time to see how they sound.

You can change the parameters of any event by moving the rectangular highlight to the cell you want to change and doing one of the following:

  • Type a new value and then press Enter
  • Press the - and + keys on the numeric keypad to decrease or increase values by a small amount
  • Press the [ and ] keys to decrease or increase values by a larger amount
  • Click and hold the mouse button, and then drag the mouse up or down to change the value by a small amount
  • Click and hold both mouse buttons, and then drag the mouse up or down to change the value by a larger amount
  • Double-click a cell, and then enter or choose a new value

If you change the time of an event, it may also change its position in the event list. The Event List view follows that event to its new location.

If you try to change the event type (kind of event), Pro Tracks lets you choose the kind of event you want from a dialog box. When you change one kind of MIDI event into another kind of MIDI event, Pro Tracks preserves the parameters as fully as possible.

Note: Shape events cannot be edited, only deleted.

To Insert a New Event

  1. Move the highlight (use the mouse or arrow keys) to the point at which you want to insert an event.
  2. Press Insert, or click [image] . Pro Tracks makes a copy of the highlighted event.
  3. Change the event to the kind of event you need by double-clicking the name of the event that's listed in the Kind column. The Kind of Event dialog box appears.
  4. Choose what kind of event you want and click OK. Pro Tracks changes the highlighted event to the kind you chose.
  5. Edit the event time and other parameter values as required.

If the Event List is initially empty, pressing the Insert key creates a default note event.

To Delete an Event

  1. Move the highlight (use the mouse or arrow keys) to the event you want to delete.
  2. Press Delete, or click [image] .

Pro Tracks deletes the event.

To Delete Several Events

  1. Select the events you want to delete by clicking, dragging, or Ctrl or Shift-clicking in the first column of the Event List view.
  2. Choose Edit-Cut.

Pro Tracks deletes the selected events.

To Print the Event List

  1. Choose File-Print Preview to display a preview of the printed event listing.
  2. Click the Zoom button (or just click the page) to zoom in and out, and use the Page Up and Page Down keys to review the pages.
  3. Click Print to print the event list, or click Close to close the Preview window without printing.

To Play Events Step by Step

  1. Using the keyboard, hold the Shift key and press the Spacebar to play the currently highlighted event. If the event is a note event, it plays until you release the Spacebar.
  2. When you release the Spacebar, the highlight moves to the next event.
  3. Continue pressing the Spacebar to play events one by one.
  4. To edit the last event you heard, release the Shift key.

The highlight moves back to the last event you heard, so you can make changes. You can also audition a single event using the mouse. Ctrl-click on an event to play the event. If the event is a note or Wave event, it plays until you release the mouse button.


Additional Event Information

Note Events--There are three values parameters for note events:

  • A pitch, which represents the MIDI key number as a note and an octave.
  • A velocity (0-127), which is how fast the key is struck. Some keyboards don't transmit or receive velocity messages.
  • A duration, which is how long the note lasts. This amount is shown in beats:ticks format. (If the note lasts less then one beat, then only the number of ticks is shown.)

Note names may also represent percussion instruments, and lists of such note names are sometimes associated with a particular percussion patch. The note C3, for example, may really be "kick drum." If a patch is associated with a percussion note name list, the name of the percussion instrument appears in Event List view rather than a note and an octave from the piano keyboard.

Pro Tracks uses the following notation to display flats and sharps in this and other views:

Character... | Meaning...
b | flat
# | sharp
" | double flat
x | double sharp

MCIcmd Events

Media Control Interface (MCI) commands are special events that let you control other multimedia hardware and software (e.g., CD-ROM drives, laserdiscs, sound cards, animations, video) during playback. MCI commands are part of the multimedia extensions in Windows. MCIcmd events have one parameter--the command line text of the MCI command. Here are some examples:

This command... | Does this...
PLAY C:\TRAIN.WAV | Plays the Wave file train.wav
SET CDAUDIO TIME FORMAT TMSF PLAY CDAUDIO 3 | Plays a specific track from the CD drive
STOP CDAUDIO | Stops the CD from playing

While MCI commands can be used to play Wave files, these files are played at their normal speed and are not necessarily synchronized with MIDI or other audio data. By contrast, Wave audio clips are played in lock-step synchronization with MIDI and other audio data.

For complete documentation of Windows MCI commands, search for MCI on the Microsoft World Wide Web site (www.microsoft.com).


MIDI Effects (MIDI Plug-ins)

Pro Tracks provides the ability to use plug-in MIDI effects. Using plug-in effects is similar to using the MIDI processing commands off-line. The overall procedure is as follows:

  • Select the MIDI data to be affected.
  • Choose the effect you want from the Process-MIDI Effects menu or from the popup menu's MIDI Effects menu.
  • Set effect parameters (or select a preset if you've made one for this purpose).
  • Click Audition to preview the music with the effect applied.
  • Click OK to apply the effect to the selected MIDI data.

If you're not happy with the result, choose Edit-Undo before doing any additional work.

MIDI effects can be applied to whole or partial clips. For example, you can apply an echo to just one note.

MIDI effects can also be applied to MIDI tracks in real time (during playback) in the Track and Console views. Unlike any of the processing described so far, using effects in real time is non-destructive. This means that the MIDI data itself is not modified. See Mixing and Effects Patching for more information on real-time effects.

Note:

Offline effects may cause your MIDI events to grow in size. For example, when you apply echo, the clip may need to grow to accommodate the tail end of the echo.

Adding Arpeggio


Presets

The MIDI effects dialog boxes support the use of presets. Presets are a way to store dialog box settings so that you can apply the exact same processing or effect again in the future. The following table tells you how to use presets:

To do this... | Do this...
Save the current settings as a preset | Enter a preset name and click the Save button
Use a preset | Select the preset from the dropdown list
Delete a preset | Select the preset, then click the Delete button


Quantizing

The Quantize command moves events to (or towards) an evenly-spaced timing grid. The Quantize effect is similar to the Process-MIDI Effects-Cakewalk FX-Quantize command. For more information, see Other Settings.

The quantize effect parameters are as follows:

Parameter/Option... | Meaning...
Start Times | Quantize event start times.
Durations | Quantize event durations.
Resolution | The spacing of the grid used for quantization.
Tuplet | Specify the resolution as a tuplet note, for example 5 notes in the time of 4.
Strength (%) | The strength of the adjustments. 100% indicates perfect quantization; otherwise, the command moves the notes only part way towards the desired position.
Swing (%) | The distortion of timing used to produce a swing feel. A value of 50% indicates a straight rendition; negative and positive values produce distortion of the timing grid.For more information about swing, see Swing.
Window (%) | The sensitivity of quantization. A value of 100% causes all notes to be quantized. Lower values cause the effect not to quantize notes that are far from the timing grid.
Offset (Ticks) | The offset of the quantization grid from the start of measure boundaries. A value of 0 indicates perfect alignment. Values less than 0 shift the grid points earlier; values greater than 0 shift the grid later.
Randomize | Causes a random time offset to be added to or subtracted from each new event time. You must also specify the maximum offset, as a percentage of the quantization resolution.

To Quantize MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Quantize from the Process menu or from the popup menu to open the Quantize dialog box.
  3. Set the quantization parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the specified quantization to the selected data.


Adding Echo/Delay

The Echo Delay command creates a series of repeating echoes of each note. The echo notes can decrease or increase in velocity, and can be transposed from the original by regular intervals.

The parameters used to specify the echo/delay effect are as follows:

Parameter/Option... | Meaning...
Decay (%) | The reduction in velocity with each echo. A value greater than 100% indicates an increase in velocity.
No. Echoes | The number of echo notes for each original note. If the velocity reaches 0 before the specified number of echoes, the effect generates no more echo notes.
Delay | The delay between successive echo notes.
Delay Units | The units used to specify the delay. You may specify delay in ticks, in milliseconds, or as a note duration.
Tap | The delay you specify by tapping the control with the mouse.
Swing (%) | The distortion of timing used to produce a swing feel to the echo. A value of 0% indicates a straight rendition; negative and positive values produce distortion of the timing grid. For more information about swing, see Swing.
Transpose (Steps) | The number of steps to transpose each echo note from the previous. You can specify a Diatonic or Chromatic scale.

To Apply Echo/Delay to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Echo Delay from the Process menu or from the popup menu to open the Echo Delay dialog box.
  3. Set the echo/delay parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the specified echo effect to the selected data.

To Apply an Event Filter to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Event Filter from the Process menu or from the popup menu to open the Event Filter dialog box.
  3. Set the event filter parameters.
  4. Click OK.

Pro Tracks applies the specified event filter to the selected data, removing all those events that do not meet the filter criteria.


Adding Arpeggio

The Arpeggiator command applies an arpeggio to its input and plays it back in real time. You can make it arpeggiate with a swing feel, or straight and staccato or legato, vary its speed and direction, and specify its range.

The parameters used to specify the arpeggiator effect are as follows:

Parameter/Option... | Meaning...
Swing (%) | The distortion of timing used to produce a swing feel. A value of 0% indicates a straight rendition; negative and positive values produce distortion of the timing grid. For more information on swing, see Swing.
Rate | The delay between successive notes.
Units | The units used to specify the delay. You may specify delay in ticks, in milliseconds, or as a note duration.
Legato (%) | The smoothness of the notes of the arpeggio. 1 percent plays each notes and releases it instantly. 99 percent plays each note up to the start of the next note.
Path | The direction of the arpeggio. Options are Up, Up (arpeggios go up), Up, Down (arpeggios go up, then down), Down, Down (arpeggios go down), Down, Up (arpeggios go down, then up).
Play thru | The disposition of the notes you play to specify the arpeggio. Checked plays the original notes. Unchecked filters out the original notes.
Specify output range | The range over which the arpeggio plays. Checked specifies that the arpeggiator repeats notes at each octave over the entire specified range. Unchecked specifies that the arpeggiator includes only the notes you actually play.
Lowest note | The MIDI number of the lowest note of the arpeggio. Numbers run from 0 to 127.
Span (Notes) | The number of half-steps in the range. Numbers run from 12 to 127.
Use chord control | The chord you specify. Checked specifies that the arpeggiator infers the chord from the notes played in the range. It identifies the chord in the Chord recognized box and uses it to play arpeggios for notes outside the range.
Lowest note | The MIDI number of the lowest note the arpeggiator uses for chord recognition (0 to 126).
Span (Notes) | The number of half-steps in the range. Numbers run from 1 to 127.
Chord recognized | The chord the Arpeggiator recognizes and plays.

To Apply the Arpeggiator to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Arpeggiator from the Process menu or from the popup menu to open the Arpeggiator dialog box.
  3. Set the arpeggiator parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the specified arpeggio effect to the selected data.

Note: When analyzing chords you may see chords being displayed before you hear them. You can reduce the amount of time these chords appear ahead of playback. To do so, open the MIDI tab in the Global Options dialog (Options-Global) and enter a lower value in the Prepare Using "N" Milliseconds Buffer option. Excessively low values may cause glitches during playback, so it is best to gradually reduce the value in this option until the desired result is achieved.


Drum Maps and the Drum Grid Pane

There are several panes in the Piano Roll view designed for use with MIDI drum tracks: the Note Map pane which lists the original pitch values and the mapped values for each note, and the Drum Grid pane which displays your drum tracks (any track assigned to a drum map) and where you can edit your drum tracks.

The Basics

The Note Map Pane

The Drum Grid Pane

Creating and Editing a Drum Map

Using Drum Maps

Tutorial 8--Drum Maps


The Basics

Drum maps are virtual MIDI ports that you create and edit. Drum maps give you total control over all the MIDI drum sounds you have access to either in the form of software (DXi synths) or hardware (external MIDI sound modules).

Drum maps in Pro Tracks allow you to do the following:

  • Re-map note events, for example, map a General MIDI drum kit to a non-General MIDI drum kit.
  • Create a custom drum kit from several MIDI devices (DXi synths, hardware synths) and play it from a single MIDI track if desired.
  • Use the Drum Grid Editor to show only the drum sounds you want to see.
  • Sort drum sounds to suit your needs.
  • Mute and solo individual drum sounds


Creating and Editing a Drum Map

You can create a drum map by either modifying an existing drum map or by creating a new drum map.

The Drum Map Manager

Creating a Drum Map

The Map Properties Dialog

Saving a Drum Map


The Drum Map Manager

In the Drum Map Manager dialog you can create and save drum maps for use with hardware or software synths and samplers. You can customize drum maps to select specific sounds on any of your available sound sources.

To Open the Drum Map Manager Dialog

You can open the Drum Map manager in one of the following ways:

  • Select Options-Drum Map Manager from the menu
OR
  • Click on the Out field of your MIDI drum track and select Drum Map Manager

Drum Maps Used in Current Project

This field displays all the currently available drum maps. click the New button [image] to create a new drum map and Delete [image] to delete a drum map. Select a drum map to display the drum mappings in the Drum Map Manager. All drum maps in this field are saved with the current project.

Presets

Presets can be used to populate the fields in the Drum Map Manager. This field is also used to save new drum maps by entering a name in the field and clicking the save button.

Settings

The Settings section is where you map the following for each In Note (source):

  • In Note--The source MIDI note value.
  • Out Note--The MIDI note value that plays on the destination sound source.
  • Name--The user-defined name for the row.
  • Chn--The channel on which the note is transmitted.
  • Out Port--The hardware output port or software virtual output port to which you are sending the note.
  • Vel+--Apply a velocity offset setting to an individual mapped pitch.
  • V Scale--The V Scale value sets a level of compression or expansion. A value below 100% is compression. A value above 100% is expansion. The Vel+ setting allows for gain make-up.

Ports and Channels

This section lists each unique Port and Channel pairing. This allows you to make quick global changes that Port and Channel pairing's bank and patch settings.

See:

Working in the Drum Map Manager


Working in the Drum Map Manager

The following table lists several ways of editing settings in the Drum Map Manager.
To do this... | Do this...
Audition a row | Select the row and press Shift+Spacebar
Sort rows | Drag and drop a row to a new location
Select multiple rows | Click a row, hold down the Ctrl key while selecting additional rows
Change the Output Port for all rows with the same Channel/Port | Press Ctrl+Shift while changing the port.
Undo an edit | Press the Undo button

See:

The Drum Map Manager

Creating a Drum Map


Creating a Drum Map

Use the following procedure to create a new drum map or modify an existing drum map.

To Create a New Drum Map

  1. In any MIDI track, click the Out dropdown and choose Drum Map Manager from the menu that appears.
OR
Select Options-Drum Map Manager.
Note: When creating a new drum map, the map settings are derived from the current track's instrument definition if the track is assigned to a "drum" instrument definition.
  2. If you want to create a totally new drum map, click the Create New Drum Map button [image] next to the Drum Maps Used in Current Project field.
OR
If you want to create a new drum map based on an existing drum map, click the Presets dropdown menu and select a preset you want to modify.
A new drum map appears in the Existing Maps field.
  3. Select the new drum map.
  4. If you need to create drum map rows, click the Create New Drum Map row button [image] .
  5. If you need to delete an existing row, select the row and click the Delete button [image] .
  6. Change map settings as described in the following table:
    To do this...

    Do this...
    Add a row (a mapped pitch)

    Click the Create New Row button [image] .
    Change In Note or Out Note value

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
    Change the Name setting

    Double click on the appropriate cell and enter a new name.
    Change the Channel setting

    Click the appropriate channel cell's down arrow and select a channel from the menu that appears.
    Change the Out Port setting

    Click the appropriate Out Port cell's down arrow and select an output port from the menu that appears.
    Change the Vel+ setting

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
    Change the V Scale setting

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.

To Automatically Create a Drum Map When You Open a MIDI File

You can set up Pro Tracks to automatically create a drum map when you open a .mid file.

  1. Select Options-Global.
The Global Options dialog appears.
  2. In the General tab, check the Create Default Drum Map For Non-Pro Tracks Files option.
  3. Open a .mid file.
Pro Tracks automatically creates a drum map called DM1 assigned to the preset Default.

See:

The Drum Map Manager

Working in the Drum Map Manager


The Map Properties Dialog

The Map Properties dialog lets you change all the settings for an individual mapped note in your drum map. The settings in the Map Properties dialog are the same as a single row in the Drum Map Manager. If you want to edit more than one drum note pitch mapping, click the Map Mgr button to open the Drum Map Manager dialog.

To Open the Map Properties Dialog

  • Double-click on a row in the Note Map pane.
OR
  • Right-click on a row in the Note Map pane and select Map Properties from the menu that appears.

See:

The Drum Map Manager

Working in the Drum Map Manager

Creating a Drum Map


Saving a Drum Map

Use the following procedure to save a new or modified drum map.

  1. In the Drum Map Manager, enter a name for the new drum map in the Preset field.
  2. Click the Save button [image] .

Drum map presets are saved and available for all projects. Drum maps are saved on a per-project basis.


Using Drum Maps

The following topics cover using drum-mapped tracks, including how to display drum tracks in the Drum Grid pane and how to edit note velocities.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Assigning a MIDI Track to a Drum Map

Use the following procedure to assign a MIDI track to a drum map:

To Assign a MIDI Track to a Drum Map

  1. Display the Track view if it is minimized.
  2. In the track you want to assign to a drum map, click the Out dropdown and select a drum map from the options in the menu that appears.

See:

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Opening a Drum Map

Use the following procedure to open a drum map in the Drum pane:

To Open a Drum Map

  1. In the Track view, assign the drum map you want to open to a MIDI track. See Assigning a MIDI Track to a Drum Map.
  2. Select the MIDI track you just assigned the drum map to and select View-Piano Roll.

To Open All Tracks Assigned to a Drum Map

  1. Select a single track assigned to the drum map.
  2. Hold down Ctrl+Shift while selecting View-Piano Roll.

See:

Assigning a MIDI Track to a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Displaying Tracks in the Drum Grid Pane

Use the following procedure to display a drum track or tracks in the Drum Grid pane.

To Display Tracks in the Drum Grid

  1. Create a drum map if you have not already done so. See Creating a Drum Map.
  2. Change the focus to the Track view.
  3. In the track(s) you want to view in the Drum Grid Editor, select a drum map from the Output dropdown menu.
  4. Select the tracks you want to view in the Drum Grid Editor and select View-Piano Roll.

The Piano Roll view appears with the selected track's data appearing in the Drum Grid Editor.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Velocity Tails

In the Drum Grid pane, you have the option of showing the velocity of each note as a series of bars. The higher the bars, the higher the velocity value.

To Display Velocity Tails in the Drum Grid Pane

  • Click the Show/Hide Velocity Tails button [image] in the Piano Roll view toolbar.
OR
  • Press the Y key.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Editing Note Velocities

In the Drum Map Editor you can display note velocities as a series of horizontal bars behind the note. Click the Show/Hide Velocity Tails button [image] to display note velocities.

To Edit a Note Velocity in the Drum Grid Pane

  1. Click the Draw tool button [image] .
  2. Move your cursor over the velocity tail you want to edit until the cursor changes to look like this:
  3. Click and drag the velocity tail. Drag it up to increase the velocity. Drag it down to decrease the velocity.

To Edit Multiple Note Velocities in the Drum Grid Editor

When you edit multiple notes that have different initial velocities, the velocities are adjusted on a relative basis, so if you reduce a velocity by 50%, all other selected notes have their velocities reduced by the same percentage. For example: you select three notes. The first has a velocity of 100, the second a velocity of 50, and the third a velocity of 30. You click and drag the velocity of the first note down to 50. The second note's velocity changes from 50 to 25 and the third note's velocity changes from 30 to 15.

  1. Select the notes you want to change the velocity of.
  2. Click the Draw tool button [image] .
  3. Move your cursor over the velocity tail you want to edit until the cursor changes to look like this:
  4. Click and drag the velocity tail. Drag it up to increase the velocity. Drag it down to decrease the velocity.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

To Change the Order of Mapped Notes in the Drum Map Pane


Previewing a Mapped Sound

Use the following procedure to hear the drum sound you have mapped a note to.

To Preview a Mapped Sound

  • In the Note Map pane, click on the name of the sound you want to hear.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

To Change the Order of Mapped Notes in the Drum Map Pane


The Note Map Pane

The Note Map pane displays the current drum map. In the Note Map pane each row represents a pitch. The Note In pitch is the recorded pitch. You map the recorded pitch to whatever pitch you want using the Note Out pitch setting. You can also change the name of the mapped note and mute or solo the mapped note.

Changing Mapped-note Settings


Changing Mapped-note Settings

You can change the following settings in the Note Map pane:

  • Mapped-note name
  • Note Out
  • Mute
  • Solo

To Change the Name Setting

The name of a mapped note in the Note Map pane is a user-assigned variable. Make it descriptive for easy reference. To change the Name setting, use the following procedure:

  1. In the Note Map pane, double-click on the appropriate row.
The Map Properties dialog appears.
  2. In the Map Properties dialog, enter a new name in the Name field and press the Enter key.

To Change the Note Out Setting

The Note Out setting is the actual note you hear when the Note In value is played. To change the Note Out setting, use the following procedure:

  1. In the Note Map pane, double-click on the appropriate row.
The Map Properties dialog appears.
  2. In the Map Properties dialog, enter a new value in the Note Out field and press the Enter key, or use the +/- buttons to change the value and press the Enter key.

To Change Multiple Note Out Settings

  1. Open the Drum Map Manager.
  2. In the Drum Map Manager, select a contiguous range of rows by selecting the first in the range, and holding down the Shift key while selecting the last in the range.
OR
Select a non-contiguous range by selecting one row and holding down the Ctrl key while selecting additional rows.
  3. Hold down both the Ctrl and Shift keys while selecting a new Output in the Output column.

To Mute or Solo a Mapped Note

The Mute and Solo controls in the Note Map pane allow you to mute or solo an individual mapped note. To mute or solo a mapped note, use the following procedure:

  • In the Note Map pane, click the Mute [image] or Solo [image] button in the appropriate row.
OR
  • Right-click on the row you want to mute or solo and select Mute or Solo from the menu that appears.

To Display the Note In and Note Out Values By Their Pitch Name

You have the option of showing the Note In and Note Out values by their pitch names. To do so, use the following procedure:

  • Right-click on any row in the Note Map pane and select the Display Pitch Names command from the menu that appears.

To Change the Order of Mapped Notes in the Drum Map Pane

Use the following procedure to change the order of mapped notes in the Note Map pane.

  1. Move your cursor over the row you want to move in the Note Map pane.
  2. When your cursor changes to look like this [image] , click and drag the row to the place you want it to be and release the mouse button.


The Drum Grid Pane

The Drum Grid pane is where you edit your drum tracks. The Drum Grid pane is the top pane in the Piano Roll view and opens automatically when you open a MIDI drum track.

See:

Event Inspector Toolbar

Grid Lines

The Drum Grid pane is for MIDI drum tracks what the Note pane is for other MIDI tracks. In the Drum Grid pane you can add, delete and edit notes and note properties. You can customize the number of grid lines in the Drum Grid pane and choose whether or not to show note velocity "tails."

Event Inspector Toolbar

Velocity Tails

Grid Lines


Grid Lines

The Drum Grid pane is divided into a time grid. You can set the resolution of the grid lines from 1/4 note to 1/64 note, or to follow the current snap grid setting.

The Show/Hide Grid Lines combo button [image] toggles on and off the grid lines in the Drum Grid pane and sets the grid line resolution.

To Turn on Grid Lines in the Drum Map Pane

  • Click the Show/Hide Grid Lines combo button [image] in the Piano Roll view toolbar.
OR
  • Press the I key.

To Set the Drum Map Pane Grid Line Resolution

  • Click the down arrow on the Show/Hide Grid Lines combo button [image] and select an option from the menu that appears.

See:

Piano Roll View

The Pattern Brush Tool


The Pattern Brush Tool

The Pattern Brush tool [image] , on the Piano Roll View toolbar, allows you to insert multiple notes using your mouse, either following a pattern used in an existing MIDI file or at the current note duration setting.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


How the Pattern Brush Tool Works

When you select the Pattern Brush tool you can click and drag in the Drum Grid pane (also works in the Note pane) to produce a series of notes. Which notes appear in the Drum Grid depends on the settings you make in the Pattern Brush tool's dropdown menu. To open the Pattern Brush tool's dropdown menu, click the right side of the Pattern Brush tool.

The following table covers the options found in the Pattern Brush tool's dropdown menu:

Option... | Description...
Velocity | Select this option to open the Pattern Velocity dialog. The value you enter in this dialog sets the default velocity for all notes entered using the Pattern Brush tool unless you select Use Pattern Velocities.
Use Pattern Velocities | Select this option to use the note velocities used in the custom pattern file you are using. If you are using the Note Duration option, this option is not available.
Use Pattern Polyphony | Select this option to use the pitch values from the custom pattern file you are using. If you are using the Note Duration option, this option is not available. When using this option, the vertical position of your mouse does not affect the note pitches draw; that information is read from the pattern.
Note Duration | This option uses the current note duration setting in the Piano Roll View toolbar as the interval between notes.

To Paint Notes Using the Pattern Brush Tool

  1. Open a track in the Drum Grid pane or the Note pane.
  2. In the Pattern Brush tool's dropdown menu, select Note Duration.
  3. In the Piano Roll View toolbar, select a note duration. This value is the interval between notes when using the Pattern Brush tool.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this [image] when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

Pro Tracks creates a series of notes, at equal intervals.

To Paint a Custom Pattern of Notes Using the Pattern Brush Tool

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  4. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  5. Release the mouse button.

To Use a Custom Pattern's Note Velocities

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. In the Pattern Brush tool's dropdown menu, select Use Pattern Velocities.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

To Use a Custom Pattern's Pitch Values

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. In the Pattern Brush tool's dropdown menu, select Use Pattern Polyphony.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


Creating Custom Patterns

You can create custom patterns and use the Pattern Brush tool to quickly paint them into the Drum Grid pane. Use the following procedure to create a custom pattern.

To Create a Custom Pattern

  1. Create a new file, or open an existing MIDI file or pattern file that you want to edit.
  2. Right-click in the Time Ruler where you want the pattern to start and select Insert Marker from the menu that appears.
The Marker dialog appears.
  3. Enter the name you want to use for the first pattern and click OK.
  4. In a MIDI track, enter a pattern of notes.
  5. If you want to create a second pattern, repeat steps 2 through 4.
  6. Create as many patterns as you want, ending the last pattern with a marker called "end".
  7. Save the file as a MIDI file (.mid) in the Pattern Brush Patterns folder in the directory where you installed Pro Tracks.
Note: You can change the default directory where Pro Tracks looks for patterns in the Folders tab of the Global Options dialog.
You may need to re-start Pro Tracks to see the new patterns in the dropdown menu next to the Pattern Brush. The name you gave the file appears with an arrow next to it. Move your mouse over it to see a subdirectory which contains each of the patterns you created.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


Editing Audio

The Track view lets you edit and arrange audio clips. You can perform basic tasks such as cut, copy, paste, and move; apply simple audio processing such as gain change, fades, and equalization; and use sophisticated audio effects such as stereo chorus and reverb. The Track view lets you see your audio clips on a timeline, arranged by track, to help you visualize the organization of your project's audio data.

Most audio processing commands and audio effects can be used from the Event List view as well, by selecting one or more audio clips, then choosing the desired command from the Process-Audio or Process-Audio Effects menu. Plug-in effects can also be applied to audio data non-destructively, in real time, in both the Console and Track views. For more information, see Mixing and Effects Patching.

See:

Digital Audio Fundamentals

Basic Audio Editing

Basic Audio Processing

Slip Editing (Non-Destructive Editing)

Audio Effects (Audio Plug-ins)


Digital Audio Fundamentals

Digital audio is a numeric representation of sound; it is sound stored as numbers. In order to understand what the numbers mean, you need to start with the basic principles of acoustics, the science of sound.

See:

Basic Acoustics

Example--A Guitar String

Waveforms

Recording a Sound

The Decibel Scale

Audio Clips

Managing Audio Data


Basic Acoustics

Sound is produced when molecules in the air are disturbed by some type of motion produced by a vibrating object. This object, which might be a guitar string, human vocal cord, or a garbage can, is set into motion because energy is applied to it. The guitar string is struck by a pick or finger, while the garbage can is hit perhaps by a hammer, but the basic result is the same: they both begin to vibrate. The rate and amount of vibration is critical to our perception of the sound. If it is not fast enough or strong enough, we won't hear it. But if the vibration occurs at least twenty times a second and the molecules in the air are moved enough, then we will hear sound.

See:

Digital Audio Fundamentals


Example--A Guitar String

To understand the process better, let's take a closer look at a guitar string.

When a finger picks a guitar string, the entire string starts to move back and forth at a certain rate. This rate is called the frequency of the vibration. Because a single back and forth motion is called a cycle, we use a measure of frequency called cycles per second, or cps. This measure is also known as Hertz, abbreviated Hz. Often the frequency of vibration of an object is very fast, so we can also express the frequency in thousands of cycles per second, or kilohertz (abbreviated kHz).

The actual distance the string moves is called its displacement. This is proportional to how hard the string is plucked. A greater displacement results in a louder sound.

The displacement of the string changes as the string vibrates, as shown here:

The segment marked "A" represents the string as it is pulled back by the pick; "B" shows it moving back towards its resting point, "C" represents the string moving through the resting point and onward to its outer limit; then "D" has it moving back towards the point of rest. This pattern repeats continuously until the friction of the molecules in the air gradually slows the string to a stop. As the string vibrates, it causes the molecules of air around it to vibrate as well. The vibrations are passed along through the air as sound waves. When the vibrations enter your ear, they make your eardrum vibrate, and you hear a sound. Likewise, if the vibrating air hits a microphone, it causes the microphone to vibrate and send out electrical signals.

In order for us humans to hear the sound, the frequency of the vibration must be at least 20 Hz. The highest frequency sound we can hear is theoretically 20 kHz, but, in reality, it's probably closer to 15 or 17 kHz. Other animals, and microphones, have different hearing ranges.

If the simple back-and-forth motion of the string was the only phenomenon involved in creating a sound, then all stringed instruments would probably sound much the same. We know this is not true, of course; the laws of physics are not quite so simple. In fact, the string vibrates not only at its entire length, but at one-half its length, one-third, one-fourth, one-fifth, and so on. These additional vibrations (overtones) occur at a rate faster than the rate of the original vibration (the fundamental frequency), but are usually weaker in strength. Our ear doesn't hear each frequency of vibration individually, however. If it if did, we would hear a multinote chord every time a single string were played. Rather, all these vibrations are added together to form a complex or composite sound that our ear perceives as a single tone.

This composite waveform still doesn't account for the uniqueness of the sound of different instruments. For example, stringed instruments usually have a resonator. In the case of the guitar, the resonator is the big block of hollow wood to which the string is attached (the guitar body). This has a major impact on the sound we perceive when a guitar is played because it enhances or amplifies some of the vibrations produced by the string and diminishes or attenuates others. The ultimate effect of all the vibrations occurring simultaneously, being altered by the resonator, adds up to the sound we know as guitar.

See:

Digital Audio Fundamentals


Waveforms

A sound wave can be represented in many different ways: as a mathematical formula, as a series of numbers, or graphically as a waveform. A waveform displays the size, or amplitude, of the vibration as a function of time.

The three waveforms shown above are quite different from one another, both in appearance and sound. Each has its own characteristic shape, or envelope, and each has its own complex combination of frequency components, which can change across the duration of the sound.

The center line of a waveform is the zero line; it corresponds to the rest position (displacement of 0) of the original vibrating object. (A waveform for perfect silence would be a horizontal line at zero.) Back and forth motions of the vibrating object translate to upward (positive) and downward (negative) excursions of waveform amplitude.

The waveform crosses the zero line twice during each complete vibration. These zero-crossings are important in digital audio processing; they are good places to cut waveforms apart and splice them together. If waveforms are cut or spliced at other locations, clicks and pops can occur. The maximum amplitude of the waveform in each vibration is also important: it determines the strength of the vibration, and thus the loudness of the sound.

See:

Digital Audio Fundamentals


Recording a Sound

To record digital audio, your computer monitors the electrical signal generated by a microphone (or some other electroacoustical device). Because the signal is caused by a sound, the signal strength varies in direct proportion to the sound's waveform. The computer measures and saves the strength of the electrical signal from the microphone, thus recording the waveform.

There are two important aspects of this measuring process. First is the sampling rate, the rate at which the computer saves measurements of the signal strength. It is a known fact of physics that you must measure, or sample, the signal at a rate at least twice that of the highest frequency you wish to capture. For example, suppose you want to record a moderately high note on a violin--say the A whose fundamental frequency is 440 Hz and all overtones up to five times the fundamental. The highest frequency you want to capture is 2,200 Hz, so you need to measure the electrical signal from the microphone at least 4,400 times per second.

Since humans can hear frequencies well above 10 kHz, most sound cards and digital recording systems are capable of sampling at much higher rates than that. Typical sampling rates used by modern musicians and audio engineers are 22 kHz, 44.1 kHz, and 48 kHz. The 44.1 kHz rate is called CD-quality, since it is the rate used by audio compact discs.

The other important aspect of the measuring process is the sampling resolution. The sampling resolution determines how accurately the amplitude of each sample is measured. At present, the music industry has settled on a system that provides 65,536 different values to assign to the amplitude of a waveform at any given instant. Thus, each sample saved by your computer requires 2 bytes (16 bits) to store, since it takes 2 bytes to store a number from -32,768 to 32,767. The scaling of the electrical input signal level to amplitude value is determined by your audio hardware and by the position of your input level control.

What if the amplitude of the sampled signal gets too high, such that a 16-bit number is not large enough to represent it? What typically happens is that the signal is clipped, cut off at the maximum value.

Clipping is not usually desirable and may have unpleasant audible effects. Sudden irregularities in the waveform of any type can cause clicks, pops, and distortion of the original sound.

See:

Digital Audio Fundamentals


The Decibel Scale

In acoustics, the decibel (dB) scale is a scale for measuring the relative loudness of two sounds. For example, environmental noise is often measured as follows:

L = 20 log (p/p0)

where L is the sound pressure level (in dB), p is the sound pressure amplitude, and p0 is a reference amplitude of 20 micropascals (less than one billionth of atmospheric pressure). On this scale, a barely audible sound (p = p0) has a sound pressure level of 0 dB, normal conversation (p = 1,000*p0) is at a level of around 60 dB, and a jet engine at close range (p = 1,000,000*p0) is at a level of around 120 dB.

Similar decibel scales are used in other branches of science and engineering to measure electrical power levels and other signal levels, always with respect to some reference level.

In Pro Tracks, decibels are used in several places:

  • To indicate volume levels of audio tracks in the Track view and Console view
  • To indicate the effects of filters and equalizers

The reference level (0 dB) usually corresponds to the current loudness of the sound. A positive change in decibels makes the sound louder; a negative change makes the sound quieter.

See:

Digital Audio Fundamentals


Audio Clips

If you have read Digital Audio Fundamentals, you should have a good idea of what is contained in a Pro Tracks audio clip. An audio clip contains a long series of numbers, or samples, representing the fluctuating amplitude of a waveform. Audio clips are typically quite large, hundreds of kilobytes to many megabytes in size. By comparison, a MIDI event takes only a few bytes to store.

The Track view lets you see your audio waveforms in great detail; you can zoom in until you see the individual samples.

You should also now be aware of some things to watch out for when editing your audio data. First, if you cut audio clips apart or splice them together, you should do so at zero-crossings in the waveform (places where the amplitude is zero), in order to avoid sudden changes in amplitude that may cause clicks and pops. Second, you should beware of clipping. Clipping of the audio waveform can occur if you record a signal at too high a record level, or if you apply audio processing or effects that increase the waveform amplitude too much. If you accidentally cause the waveform to clip, you should undo the command and try again with different parameters.

Clipping can also occur in other situations, for example, if you try to play or mix several loud audio tracks together, the aggregate signal strength may at times exceed the clipping limit, and the output signal will be distorted. To correct the problem, you can create a volume envelope to reduce the level in loud audio clips or reduce the track volume in the Console or Track views.

See:

Digital Audio Fundamentals


Managing Audio Data

Because of the great size of audio data, Pro Tracks uses an intelligent scheme for storing audio clips on disk to conserve disk space and minimize the time it takes to load and save data. Audio data is not stored directly in your project file, but rather in separate files in a special directory. For more information, see Audio File Management.

You can export your project as RealAudio, MP3, WMA, or a Wave file. You can also convert your project's MIDI data to audio and export it to any of the above formats. For more information, see Preparing Audio for Distribution.

See:

Digital Audio Fundamentals


Basic Audio Editing

The Track view lets you perform basic editing tasks such as cut, copy, paste, delete, drag-and-drop, split, and bounce. You can drag fade-ins and fade-outs onto a clip using your mouse or you can set complex envelopes on both clips and tracks. You can use envelopes to change settings for gain (volume), pan, mute, Aux Send level and Aux Send pan. The Scrub tool lets you audition portions of audio by dragging the mouse.

Use the Select tool to make selections.

Here is a summary of the ways in which you can select audio clips:

To do this... | Do this...
Select a single clip | Click the clip
Select several clips at once | Drag a rectangle around them
Select part of an clip | Press Alt and drag over a portion of the clips
Add clips to the selection | Press Shift and either click the clips or drag a rectangle around the clips
Add or remove clips from the selection | Press Ctrl and either click the clips or drag a rectangle around the clips
Add or remove clips in a track from the selection | Click the track number
Select clips in a time range | Drag in the Time Ruler
Select clips between two markers | Click between the markers
Remove all selections | Click in an empty area outside of any clip

See:

Editing Clip Properties

Moving, Copying, Pasting and Deleting Audio Clips

Splitting Audio Clips

Bouncing to Clips

Scrubbing


Editing Clip Properties

Audio clips have several properties that you can change:

Property... | Description...
Name | The name of a clip is used in the Track view and Event List view. You can assign any name to help you remember the contents of the clip.
Start | The start determines when the sample is played.
Length | The length indicates the size of the clip.
Display Color | The clips color in the Track view.

To Change an Audio Clip's Name

  1. Right-click the audio clip and choose Clip Properties.
  2. Type a new name in the Name box.
  3. Click OK.

The new clip name appears in the upper left corner of the clip.

To Change a Clip's Start

  1. Right-click an audio clip and choose Clip Properties.
  2. Enter a new starting time in the Start field.
  3. Click OK.

The Track view displays the clip at the new starting time.


Moving, Copying, Pasting and Deleting Audio Clips

Clips can be cut, copied, pasted, and deleted with Edit menu commands, or moved and copied with drag-and-drop techniques. For more information, see Arranging Tracks and Clips for details.

  • Press the U key.

To Hide the Audio Scale Ruler

  1. Right-click in the Clips pane.
  2. Select View Options from the menu that appears.
The Track View Options dialog appears.
  3. In the Track View Options dialog, uncheck the Show Audio Scale checkbox and click OK.


Splitting Audio Clips

You can split long audio clips into shorter ones. This lets you extract and rearrange individual sounds, adjust timing and alignment, and apply effects selectively. Audio clips can be split with the Split command.

  4. If you want the split to be made on a note or measure boundary, a marker, or by an event, open the Snap to Grid dialog, make the appropriate settings and click the Snap to Grid button to turn on the Snap to Grid.

To Split Clips with the Split Command

  1. Select the clip you want to split.
  2. Right-click the selected clip and select Split from the menu.
The Split Clips dialog appears.
  3. In the Split Clips dialog, select from the following options.
    Option...

    Description...
    Split At Time

    Specify the time at which you want to split the clip and the time format.
    Split Repeatedly

    Specify the first measure at which you want to split the clip in the Starting At Measure field and the intervals at which you want to split the clip in the And Again Every field.
    Split At Each Marker

    Creates a split in the clip at every marker.
    Split When Silent For At Least

    Creates a split after each period of silence which exceeds the number of measures specified.

Pro Tracks splits the audio clip according to your specifications. Each new clip has the same name as the original clip.

Note: A shortcut to split a selected clip is to move the Now time to where you want to split it, and press s on your computer keyboard.


Bouncing to Clips

Individual audio clips in the same track can be combined into a single clip with the Bounce to Clip(s) command.

Note:

Like any clips, slip edited clips can be combined with other clips using the Bounce to Clip(s) command. When a slip edited clip is combined with another clip, any slip edited data (audio or MIDI events that are cropped from view) is overwritten

To Bounce to Clips

  1. Select the clips to be combined in the Track view.
  2. Choose Edit-Bounce to Clip(s).

The clips are combined into a single clip. Empty space between clips is filled with silence in the new clip. All clip automation from the source clips is applied to the new clip.

To Bounce Multiple Audio Clips to a New Track

  1. Select the clips to be combined in the Track view.
  2. Choose Edit-Bounce to Track(s).
The Mixdown Audio/Bounce to Track(s) dialog appears.
  3. Select the track you want to bounce to in the Destination field.
  4. Select other options in the Mixdown Audio/Bounce to Track(s) dialog and click OK.

The clips are combined into a single clip on the destination track. Empty space between clips is filled with silence in the new clip.


Scrubbing

You can use the Scrub tool to locate or audition a particular sound or passage as you drag the mouse. You can scrub a single audio track by dragging over that track or all tracks by dragging in the Time Ruler.

Note: The Scrub tool is not affected by current Mute and Solo settings of a track.

To Audition Audio with the Scrub Tool

  1. Click the Scrub tool [image] .
  2. Click and drag the pointer over an audio track.

Tip:

To hear the clips in all audio tracks, drag with the Scrub tool in the horizontal ruler.


Basic Audio Processing

Audio processing commands let you modify audio data according to some rule or algorithm. The rule can be as simple as reversing the audio data or multiplying it by a certain factor, or as complex as performing a Fourier analysis and selectively amplifying or attenuating sounds at certain frequencies. Among the basic audio processing commands are ones to increase and decrease volume, to reverse the data, and to perform equalization.

Audio processing commands can work on whole, partial and non-contiguous clips. For example, suppose you want to make certain words in a vocal passage softer. You can create a volume envelope and use it to lower the volume, non-destructively in just the section of the track containing those words.

You should listen to the results of your work after each audio processing command. If you don't like what you hear, you can use Edit-Undo to restore your audio data to its previous state.

Many of the dialog boxes associated with Pro Tracks's audio processing and effects commands have two important features: Audition and Presets.

The Audition button is used to audition the processed audio data. When you click Audition, Pro Tracks processes the first few seconds of your data, then plays it repeatedly until you click Stop. This helps you to get an idea of whether the settings in the dialog box are producing the desired effect.

The audition duration is three seconds by default. You can change this value by choosing Options-Global, selecting the General tab and changing Audition Commands for ( ) Seconds.

Presets are a way to store dialog box settings so that you can apply the exact same processing or effect again in the future. The following table tells you how to use presets in the effects dialog boxes.

To do this... | Do this...
Save the current settings as a preset | Enter a preset name and click the Save button
Use a preset | Select the preset from the dropdown list
Delete a preset | Select the preset, then click the Delete button

Many audio processing and effects presets are supplied with Pro Tracks.


Increasing or Decreasing VolumeNormalizing Audio Data

Pro Tracks provides three commands to boost or cut the volume of audio data. The 3dB Louder and 3dB Quieter commands are used to increase or decrease the volume by three decibels, respectively. For more information on the decibel scale, see "The Decibel Scale" on page 189 The Decibel Scale. You can apply these commands several times in succession to get a larger boost or decrease. The Normalize command "normalizes" the audio data: it boosts the volume until the maximum amplitude is reached somewhere in the data. By normalizing the data, you achieve the maximum possible volume without distortion or clipping.

Like all the audio processing commands, these commands work by modifying the waveform data. You can achieve volume changes non-destructively using automation. For more information, see Chapter 1, Using Automation Using Automation.

When increasing or decreasing the volume of audio clips, you should consider the following points:

  • Normalize and 3dB Louder raise the noise floor; that is, while they increase the volume of the signal, they also amplify the noise it contains. (This is true when you raise the volume by other means, too.)
  • Normalize raises the noise floor; that is, while it increases the volume of the signal, it also amplifies the noise it contains. (This is true when you raise the volume by other means, too.)
  • 3dB Louder, if applied to a signal that is already fairly loud, may cause the waveform to exceed the maximum amplitude and clip.
  • Each application of 3dB Quieter erodes the signal structure slightly; you cannot repeatedly apply 3dB Quieter, then use 3dB Louder. to return to the original waveform.
  • Due to the nature and limitations of digital audio, the sum of all audio signals played together cannot exceed the waveform amplitude limit. Even though no individual clip is clipped, the combination may cause distortion.

If the selection contains any loud signals, Normalize may not seem to have any effect. This is because the volume increase is determined by the loudest audio in the selection. If an audio clip contains segments that are too quiet and others that are loud, you should probably split off the quiet segments into separate clips and then normalize those.

To Boost Audio Volume by Three Decibels

  1. Select the audio data to be affected.
  2. Choose Process-Audio-3dB Louder from the menu.

Pro Tracks increases the volume of the selected audio by 3dB.

To Decrease Audio Volume by Three Decibels

  1. Select the audio data to be affected.
  2. Choose Process-Audio-3dB Quieter from the menu.

Pro Tracks decreases the volume of the selected audio by 3dB.

To Normalize Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Normalize from the menu.

Pro Tracks increases the volume of the selected audio to the maximum it can reach without clipping.


Parametric Equalization

The Parametric EQ command lets you apply a high-pass, low-pass, band-pass, or band-stop filter to your audio data. You must specify the filter type and parameters as follows:

Parameter... | Meaning...
High pass | Removes frequencies that are below the cutoff F1.
Low pass | Removes frequencies that are above the cutoff F1.
Band pass (Peak) | Removes frequencies that lie outside the range F1-F2.
Band stop (Notch) | Removes frequencies that lie within the range F1-F2.
F1 (Hz) | First frequency cutoff.
F2 (Hz) | Second frequency cutoff.
Quality | The sharpness the frequency cutoff, that is, how far outside the cutoff range a frequency must be for its gain to be fully reduced. Higher Quality values are sharper.
Cut (dB) | The maximum amount of gain reduction to apply to stopped frequencies.
Gain (dB) | The overall level for the filtered audio. Setting the gain too high may result in clipping or distortion.

Note:

For band filters, setting F1 and F2 close together may cause distortion or ringing.

To Apply the Parametric Equalizer to Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Parametric EQ, or right-click and choose Parametric EQ from the menu, to open the Parametric EQ dialog box.
  3. Set the filter type and parameters as described in the table above.
  4. Click OK.

Pro Tracks applies the specified filter to the selected data.


Slip Editing (Non-Destructive Editing)

Slip editing allows you to non-destructively hide or reveal the beginning of a clip, the end of a clip, or both. The hidden material in a clip is not heard during playback. All hidden material remains intact and can be restored. All slip editing movements correspond to the current snap to resolution. For more information about the snap to grid, see Defining and Using the Snap Grid.

Important:

Like any clips, slip-edited clips can be combined with other clips using the Bounce to Clip(s) command and slip-edited clips in a track can be mixed down to another track. When a slip edited clip is combined with another clip or an effect is applied to a clip using the Process-Apply Audio Effects command, any slip-edited data (audio clips or MIDI events that are cropped from view) is overwritten.

See:

Slip Editing Modes

Using Slip Editing


Slip Editing Modes

Slip editing has three modes:

Trimming

As a default, when slip editing a clip, the clip's contents always remains fixed in time. If the first measure of a clip is hidden using slip editing, the remaining material does not shift forward in time by a measure. The first measure of the clip is simply muted during playback. Playback of the clip resumes at the second measure.

Slide-trimming

If you want the clip's contents to shift in time, you can move the material in a slip edited clip by using modifier keys, clicking on the middle of the clip and moving it either right or left.

Scroll-trimming

You can also shift the clip's contents in time, in relation to either the beginning or end of the clip itself, by scroll-trimming.

See also:

Using Slip Editing


Using Slip Editing

When slip editing the beginning of a MIDI clip, if you drag the start of the clip past the beginning of a note (Note On), the entire note is lost even if it extends into the part of the clip which remains visible. Only notes completely contained in the slip edited clip remain.

When slip editing the end of a MIDI clip, if you drag the end of the clip so it covers part of a note, the note's duration is trimmed accordingly.

If you insert a new MIDI event which does not fall within the boundary of a slip-edited clip, a new MIDI clip, which contains the new MIDI events, is created.

Important:

Adding controller data beyond the slip-edited boundaries of a slip-edited clip in the Piano Roll view results in the slip-edited data being displayed in the Piano Roll view. To avoid this, you can use the Edit Edit-Apply Trimming command to destructively edit the clip before adding the controller data.

To Slip Edit a Clip

  1. Steps 1-5 are for audio clips only: Right-click on the clip you want to slip edit.
  2. Select Clip-Properties from the menu.
The Clip Properties dialog appears.
  3. Select the Action tab.
  4. Make sure the Enable Looping checkbox is unchecked.
  5. Click OK.
  6. Make edits according to the following table:
    To do this...

    Do this...
    Trim the beginning of a clip

    Move the cursor over the beginning of a clip. When the cursor changes in appearance to look like this [image] , click and drag the clip to the right until you have removed the unwanted information.
    Trim the end of a clip

    Move the cursor over the beginning of a clip. When the cursor changes in appearance to look like this [image] , click and drag the clip to the left until you have removed the unwanted information.
    Scroll-Trimming a clip (Moving the clip contents in time while maintaining the clips start and end time)

    Press the Alt+Shift keys while moving the cursor over the middle of the clip. When the cursor changes to look like this [image] , click and drag the clip to the left or right as desired. The contents (audio or MIDI data) in the clip follow the Snap to Grid resolution, i.e. if your resolution is set to half note, the contents of your clip moves in half-note intervals.
    Slide-Trimming the beginning of a clip (Moving the start time of the clip and the clip's contents while preserving the end time)

    Press the Alt+Shift keys and move the cursor over the beginning of the clip. When the cursor changes to look like this [image] , click and drag the beginning to the desired start time.
    Slide-Trimming the end of a clip (Moving the end time of the clip and the clip's contents while preserving the clip's start time)

    Press the Alt+Shift keys and move the cursor over the end of the clip. When the cursor changes to look like this [image] , click and drag the end to the desired location.

The hidden information in the slip edited clips remains intact but is not heard during playback

To Permanently Delete Slip-edited Data

  1. Select the clips that contain the slip-edited data you want to delete.
  2. Select the Edit-Apply Trimming command.

Pro Tracks: permanently deletes the slip-edited data from the clips you selected.


Fades and Crossfades

Fades are a gradual increase or decrease in volume at the beginning (fade-in) or end (fade-out) of a clip. A crossfade is when one clip fades out while another fades in.

See:

Using Fades and Crossfades in Real Time


Using Fades and Crossfades in Real Time

You can create real-time fades and crossfades in the Track view's Clips pane. Real-time fades and crossfades do not change the data in the clip. Pro Tracks reads the fade-in, fade-out or crossfade in the clip and adjusts the gain accordingly. You can edit he crossfade's start time and end times.

To Create a Real-time Fade-in in an Audio Clip

Use the following procedure to create a fade-in in an audio clip:

  1. In the Track view's Clips pane, move your mouse over the top part of the beginning of a clip until the cursor looks like this: .
  2. When your cursor changes, click and drag to the right until you reach your desired fade-in length.
As you drag your mouse a fade-in appears on your clip.

To Create a Real-time Fade-out in an Audio Clip

Use the following procedure to create a fade-out in an audio clip:

  1. In the Track view's Clips pane, move your mouse over the top part of the end of a clip until the cursor looks like this: .
  2. When your cursor changes, click and drag to the left until you reach your desired fade-out length.
As you drag your mouse a fade-out appears on your clip.

To Create an Automatic Crossfade (Real-time)

Use the following procedure to create a crossfade between two audio clips:

  1. In the Track view, click the Enable/Disable Automatic Crossfades button located next to the Snap to Grid button or press the x key.
When enabled, the button looks like this: .
  2. Select and drag an audio clip so that it overlaps another audio clip. You should overlap the clips by the length you want the crossfade.
  3. When you have the clip positioned where you want it, release the mouse button to drop the clip.
The Drag and Drop Options dialog appears.
  4. In the Drag and Drop Options dialog, check the Blend Old With New checkbox and click OK.
  5. The two clips now overlap with a crossfade, looking something like this:

You can edit fade-ins and fade-outs. You can change the start, end and position of a fade. The following procedures all demonstrate edits to a fade-in, but fade-outs work exactly the same.

To Edit the Start Time of a Fade While Maintaining the End Time of the Fade

Changing the start time of a fade-in is essentially slip editing the beginning of the clip. The beginning of the fade-in can not be separated from the beginning of the clip. Use this procedure to change the start time of the fade-in while maintaining the current end time of the fade:

  1. In the Clips pane, move your cursor over the bottom part of the beginning of a clip which has a fade-in.
  2. When your cursor looks like this [image] , click and drag the beginning of the fade-in (and the clip) to the desired location and release.

To Edit the Start Time of a Fade While Maintaining the Length of the Fade

Use this procedure to change the start time of the fade-in while maintaining the current end time of the fade:

  1. In the Clips pane, move your cursor over the middle part of the beginning of a clip which has a fade-in.
  2. When your cursor looks like this [image] , click and drag the beginning of the fade-in (and the clip) to the desired location and release.


Audio Effects (Audio Plug-ins)

Pro Tracks provides the ability to use plug-in audio effects using Microsoft's DirectX technology. Some audio plug-in effects are supplied with Pro Tracks. Others can be purchased from third-party software manufacturers, and appear automatically in Pro Tracks's menus once they are installed on your system. If you need help when using a plug-in, press the F1 key on your computer keyboard to open the plug-in's help file. Please note that third-party plug-ins may not have a help file.

This section describes the effects that are included with Pro Tracks.

Using plug-in effects is similar to using the audio processing commands off-line. The overall procedure is as follows:

  • In the Track view, right-click the Fx field and select an effect from the popup menu.
  • Set effect parameters (or select a preset).
  • Listen to the track and adjust parameters based on what you hear.

You can add audio effects, like MIDI effects, to audio tracks in real time (during playback) in the Console and Track views. Unlike any of the audio processing discussed so far, using effects in real time is non-destructive. This means that the audio clip data itself is not modified, and no new audio files are created. See Mixing and Effects Patching, for more information on real-time effects.

Note:

Off-line effects may cause your audio clips to grow in size. For example, when you apply reverb, your clip may need to grow to accommodate the tail end of an echo.

See:

Applying Audio Effects

Mixing Audio Effects

Shifting Pitch


Applying Audio Effects

From the Console and Track views you can destructively apply audio effects for one or more tracks. When you are pleased with the audio effects you have patched into a track, you can apply the effects to the track. Destructively applying effects to a track saves resources, allowing you to include additional tracks and/or effects.

To Apply Audio Effects

Add one or more audio effects to one or more tracks in either the Track view or the Console view, and then:

  1. In the Track view, select the tracks you want to be affected.
  2. Select Process-Apply Audio Effects from the menu.
  3. If desired, select the option to delete the effects after applying them.
  4. Click OK.

If you do not delete the effects from each track after applying them, they remain active.

Note:

Effects can be undone, but effects are not re-patched in the Effects bin.


Mixing Audio Effects

The dialog box for each plug-in effect has a Mixing tab that provides three options for processing the data.

Option...

Meaning...
Process In-Place, Mono to Mono

Audio is processed clip-by-clip, in mono format. The processed output of the plug-in replaces the original clip's data, in-place. (If the plug-in produces only stereo output, Pro Tracks automatically converts the audio to mono.)
This option is best for effects like Parametric Equalization.
Process In-Place, Creating Stereo Output Tracks

Audio is fed into the plug-in, clip-by-clip, in mono format. A new stereo track is inserted beneath the selected track, and the stereo output of the plug-in is placed into this stereo track. (If the plug-in produces only mono output, Pro Tracks automatically converts it to stereo.)
If you check Keep Original Data, Pro Tracks won't delete the original audio data. This lets you create stereo wet-only tracks for finer mixing control. If you leave Keep Original Data unchecked, the processed data will replace the original audio clips.
Create a Send Submix

All selected audio tracks are mixed down into a stereo submix. This stereo submix is fed into the plug-in, in stereo. The stereo output of the plug-in is placed into a new stereo track at the destination you choose.
If you check Keep Original Data, Pro Tracks won't delete the original audio data. If you leave it unchecked, the processed data will replace the original audio clips.


Adding Parametric Equalization

The Cakewalk FX Parametric EQ command lets you apply a complex filter to your audio data. The complex filter is a combination of up to three simple filters, each defined individually.

Parameters for each filter are described in the following table:
Parameter/Option... | Meaning...
Low-pass | Removes frequencies above the center frequency
Band-pass | Removes frequencies near the center frequency
High-pass | Removes frequencies below the center frequency
Gain | The amount of increase or decrease in gain, in dB
Center Frequency | The center or cutoff frequency for the filter
Q | The quality, or sharpness, of the filter

While you are setting up the filters in the FX Parametric EQ dialog box, you will see a graphic representation of the composite filter, like this:

The horizontal axis shows increasing frequency; the vertical axis shows the gain or attenuation at each frequency. If the curve is above the horizontal center line, parts of the signal at that frequency will be boosted; if the curve is below the center line, the signal will be attenuated.

Parametric equalization is useful in many different circumstances. For example, you can use it to boost low frequencies or high frequencies, to attenuate 60-cycle hum or high-frequency noise, or to boost a particular instrument sound for use in other Pro Tracks commands.

To Apply the Parametric Equalizer to Audio Data

  1. Select the audio data to be affected.
  2. Choose Audio Effects-Cakewalk FX-Parametric EQ from the Edit menu or from the pop-up menu to open the Cakewalk FX Parametric EQ dialog box.
  3. Set options for the first filter, as described in the table above.
  4. Change Current Filter to 2 and set parameters for the second filter. Repeat for the third filter.
  5. Click OK.
Pro Tracks applies the composite filter to the selected data.


Adding Chorus

The Cakewalk FX Chorus command fattens the audio to make one instrument sound like many. When many people sing together, for example, each of their voices is slightly out of tune and off the beat. Therefore, detuning and delaying the signal makes many instruments sound richer, including guitars, vocals, and strings.

The Chorus effect has the ability to act on a stereo track or a stereo pair, a pair of consecutive tracks, one of which is panned hard left (0), the other of which is panned hard right (127). The feedback signal can be crossed between the tracks to create a richer stereo effect.

The parameters used to specify the chorus effect are as follows:
Parameter/Option... | Meaning...
Dry Mix (%) | The relative volume of the original, unprocessed signal passed to the output.
Wet Mix (%) | The relative volume of the processed signal passed to the output.
Left Delay | The time between signal repeats on the left channel.
Right Delay | The time between signal repeats on the right channel.
Link | Links a pair of controls so that they move as a group.
Left Feedback (%) | The amount of the processed signal on the left channel fed back through the effect. A higher value will thicken the chorusing.
Right Feedback (%) | The amount of the processed signal on the right channel fed back through the effect.
Cross Feedback (%) | The amount of the processed signal on each channel fed back through the effect on the other channel.
LFO Depth | The depth of the LFO (low-frequency oscillator). Depth controls the amount of detuning. Setting this very high will result in an obviously out-of-tune sound. A lower setting creates subtle chorusing.
LFO Rate (Hz) | The frequency of the LFO.
Triangular/Sinusoidal | The shape of the LFO.

To Apply Chorusing to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo chorusing.
  2. Choose Edit-Audio Effects-Cakewalk FX-Chorus to open the Cakewalk FX Chorus dialog box.
  3. Set the chorus parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the specified chorus effect to the selected data.


Applying Delay and Echo

The Cakewalk FX Delay command creates a series of repeating signals from the original signal. You can create a single echo on the original signal, or a series of echoes up to five seconds apart.

Parameters for the Delay effect are identical to those for the Chorus effect. The difference is that with Chorus the delay parameters can range from 0 to 80 ms, whereas with Delay the delay parameters can range from 0 to 5000 ms. As with Chorus, Delay can act on a stereo pair of tracks.

To Apply Delay to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo delay.
  2. Choose Edit-Audio Effects-Cakewalk FX-Delay to open the Cakewalk FX Delay dialog box.
  3. Set the parameters in the dialog, as described in the table in the "Adding Chorus" section above.
  4. Click OK.

Pro Tracks applies the specified delay effect to the selected data.


Adding Flanging

The Cakewalk FX Flanger command mixes the original signal with a slightly delayed version of the signal, so that the two are out of phase. This creates a spacey, ethereal sound.

Parameters for the Flanger effect are identical to those for the Chorus and Delay effects. However, with the Flanger, the maximum value for the Delay parameter is 20 ms.

To Apply Flanging to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo flanging.
  2. Choose Edit-Audio Effects-Cakewalk FX-Flanger to open the Cakewalk FX Flanger dialog box.
  3. Set the parameters in the dialog, as described in the table in the "Adding Chorus" section above.
  4. Click OK.

Pro Tracks applies the specified flanging effect to the selected data.


Applying Reverb

The Cakewalk FX Reverb command adds many small echoes to a signal to create the illusion of spaciousness. By changing the parameters, you can simulate a stage, a hall, an arena, or a variety of other room types. The reverb parameters are as follows:
Parameter/Option... | Meaning...
Dry Mix (%) | The volume of the original, unprocessed signal passed to the output.
Wet Mix (%) | The volume of the processed signal passed to the output.
Link | Links the dry/wet mix controls so that they always add to 100 percent.
Decay (s) | The decay time of the echoes. Increasing this value makes the room sound larger.
Sparse Echo / Dense Echo / No Echo | The density of early reflections. Early reflections are the first echoes you hear in a room and help recreate the sound of large spaces like churches and concert halls. Sparse reflections will sound more like echoes, while dense reflections will create a thicker reverb.
LP Filter | Frequency cutoff for the low-pass filter. Select Active to enable the filter.
HP Filter | Frequency cutoff for the high-pass filter. Select Active to enable the filter.

To Apply Reverb to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo reverb.
  2. Choose Edit-Audio Effects-Cakewalk FX-Reverb to open the Cakewalk FX Reverb dialog box.
  3. Set the reverb parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the reverb effect to the selected data.


Shifting Pitch

The Cakewalk-Pitch Shifter raises or lowers the pitch of an audio signal, while leaving the duration of the audio clip unchanged. The pitch shift parameters are as follows:

Parameter/Option... | Meaning...
Pitch | The amount by which the pitch is changed, in semitones
Dry Mix (%) | The volume of the original, unprocessed signal passed to the output
Wet Mix (%) | The volume of the processed signal passed to the output
Feedback Mix (%) | The amount of pitch-shifted signal that is fed into a delay line
Delay Time (ms) | The length of the delay in milliseconds
Mod. Depth (ms) | The amount the delay time will vary

To Apply Pitch Shift to Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio Effects-Cakewalk-Pitch Shifter to open the Cakewalk FX Pitch Shifter dialog box.
  3. Set the pitch shift parameters, as described in the table above.
  4. Click OK.

Pro Tracks applies the pitch shift to the selected data.


Working with Software Synthesizers

You can use a variety of software synthesizer formats with , including DXi's, ReWire instruments, SoundFonts, and stand-alone soft synths. Pro Tracks includes the new Cyclone DXi, which allows you to stack up to 16 ACIDized loop tracks side-by-side for editing with automatic tempo synchronization (see the Cyclone topics in the online help). A software synthesizer is a software program that produces various sounds through your sound card when the soft synth program receives MIDI data from a MIDI controller or sequencer program. DX Instruments, or DXi's, are an exciting new plug-in form of software synthesizer designed and optimized for responsive, low-latency performance on the Windows platform. Some DXi's can be programmed to generate rhythmic patterns or sequences and do not require MIDI input from Pro Tracks. You can control and play DXi's in real time using their internal interface or external MIDI devices like keyboards, guitar synths, or wind controllers. You can automate the controls of some DXi's. Note that not all DXi's are tone generators, but are used as MIDI-controlled audio processors, such as vocoders, intelligent pitch shifters, or tempo-based delays. Of course you can also patch plug-in effects to DXi tracks for additional sound flexibility.

Pro Tracks has a Synth Rack view to make inserting a DXi or ReWire instrument into a one-step process, and to make viewing and configuring these instruments simple. Pro Tracks also supports exciting new multi-port DXi's, which allow you to use different audio tracks and effects for each patch or group of patches in a multi-timbral, multi-port DXi.

For more information, see:

Synth Rack View

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Kinds of Soft Synths

There are several basic kinds of soft synths:

  • DXi (plug-in synths built with DirectX technology)--These programs appear as plug-ins for audio tracks or buses, just like plug-in effects. They can also be inserted in Pro Tracks's Synth Rack view.
  • ReWire instruments--These instruments can function as stand-alone devices that you play with a MIDI controller or through the ReWire instrument's internal sequencer, or with recorded MIDI data from Pro Tracks.
  • Stand-alone synths--These programs work like external MIDI modules. You select the stand-alone synth's MIDI driver as an output for a MIDI track in your sequencer program (Pro Tracks), and the track plays the stand-alone synth as if it were an external MIDI module.
  • SoundFonts--The SoundFont format is a product of Creative, which makes the SoundBlaster sound cards. You need either a SoundBlaster sound card or the LiveSynth Pro DXi software to use SoundFonts. Pro Tracks includes the LiveSynth Pro Trial DXi.

Note: If you play DXi's in real time from a MIDI controller, you'll get noticeably better performance if you use WDM or ASIO sound card drivers instead of the older MME type. The lower latency of WDM and ASIO drivers provides quicker real-time response to note on/off and other commands. Playback of recorded MIDI data is not affected by your audio driver.

For more information, see:

Synth Rack View

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth


Synth Rack View

Open the Synth Rack view with the View-Synth Rack command. The Synth Rack view lets you view, insert, delete, and configure your DXi and ReWire soft synths. You can also mute and solo any or all of them from this view. Each time you insert a soft synth into your project, a new row appears in the Synth Rack view with the name of the soft synth and its current preset. You can select different presets from the view. You can insert as many copies of the same DXi soft synth as you like; each new copy appears in a new row and has the same name, but has a higher number after the name (ReWire soft synths can only have one copy open). The new higher-numbered name also appears on the menus of audio track inputs and MIDI track outputs.

There is much more information about the Synth Rack view in the online help. Press F1 when the Synth Rack view is open and on top to display the appropriate help topic.

For step by step instructions, see:

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


DX Instruments (DXi's)

In order to play a DXi from a MIDI controller or with recorded MIDI data, you need to have at least one audio track that lists the DXi in its In field, and at least one MIDI track that lists the DXi in its Out field. The data from the MIDI track feeds the audio track and plays the DXi. If you're playing the DXi with a MIDI controller, the MIDI track that's feeding the audio track must have the focus (gold or tan color). You can also patch the DXi into an audio track's Fx field instead of an audio track's In field.

To add a DXi to the audio tracks' In menus (drop-downs) and the MIDI tracks' Out menus, you have to insert each DXi that you want to use into each project. There are two basic ways to insert DXi's in Pro Tracks:

  • You can insert DXi's from the Synth Rack view or with the Insert-DX Instruments command. If you use this method, you can choose to have Pro Tracks create the necessary audio and MIDI tracks, and patch them together correctly. If you want to use multiple audio tracks to take advantage of Pro Tracks's support for the multi-output DXi 2 format, you need to create and patch additional MIDI tracks manually to feed the additional audio tracks.
  • You can insert DXi's into Fx bins of individual audio tracks. If you use this method, you need to set a MIDI track's Out field to the name of the DXi you inserted. Then you can record MIDI data in the MIDI track to play the DXi with.

For step by step instructions, see:

Synth Rack View

Inserting a DXi

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

To Remove A DXi from a Track or Bus


Multi-port DXi's

A multi-port DXi allows you the option of using a different audio track for every output that the DXi has. This allows you to use different plug-in effects for each sound (or in some cases, group of sounds) that a DXi produces. For example, if a DXi can produce 16 sounds at the same time, and has 4 outputs, you can send any of the 16 sounds out through any of 4 different outputs, giving you a choice of 4 different plug-in configurations for that DXi. You would use 4 different audio tracks: one for each output. If a DXi can produce 8 sounds at the same time, and has 8 outputs, you could use 8 audio tracks and 8 plug-in configurations. If you need more plug-in configurations or just more sounds, you can insert more copies of the same DXi, using new audio tracks for all of the new copy's outputs. You can also send all the MIDI tracks out the same output and audio track if you don't need separate plug-ins for each sound, or just want to use the DXi's internal effects.

The Insert DXi Synth Options dialog gives you the option of automatically creating a separate audio track for each output that the DXi has, or creating just one audio track for Output 1 of that particular DXi. Each new copy (also called an instance) of a DXi is considered to be a separate instrument, and appears in a separate row in the Synth Rack view, with a number after its name representing which copy it is.

For step by step instructions, see:

Synth Rack View

Inserting a DXi

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

To Remove A DXi from a Track or Bus


Inserting a DXi

The procedure for inserting multi-output and single-output DXi's is basically the same. There are just more tracks possibly involved when you insert a multi-output DXi.

There are several places where you can insert a DXi into your project:

  • Preferred method 1--You can insert the DXi into the project from the view. This method lets you use all of a multi-port DXi's outputs, if you want to. This method gives you the options of automatically creating a matched combination of an audio and MIDI track, creating just an audio track with the DXi patched as a track input, creating no new tracks, and creating separate audio tracks for each of the DXi's outputs.
  • Preferred method 2--You can insert the DXi by using the Insert-DX Instruments command, which gives you the same insertion and output options as the Synth Rack view.
  • Alternate method--You can insert the DXi into the Fx field of an audio track, aux bus, or main bus. You must then change the Out field of a MIDI track to the name of the DXi you inserted in order to play the audio track or bus with data from the MIDI track. If you insert a multi-output DXi with this method, you can only use the first output of the DXi.

You can insert more than one copy (also called an instance) of the same DXi. Each new copy has the same name as the previous copy except for having a higher number after the name. Every copy appears in a separate row in the Synth Rack view, and in the drop--down menus of audio track inputs and MIDI track outputs.

To Insert a DXi from the Synth Rack View or Menu

  1. If you want to use the Synth Rack view, open the Synth Rack view with the View-Synth Rack command, and click the Insert button [image] to display the popup menu of installed DXi's.
  2. If you want to use the menu command, use the Insert-DXi Synth command to display the popup menu of installed DXi's.
  3. In the popup menu, click the name of the DXi you want to insert.
The Insert DXi Synth Preferences dialog appears, unless you've previously unchecked the Ask This Every Time checkbox that's in the dialog. If you have, Pro Tracks inserts the DXi according to the preferences you set the last time you used the Insert DXi Synth Preferences dialog. If you need to open the Insert DXi Synth Preferences dialog when it's hidden, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  4. Choose options from the Insert DXi Synth Preferences dialog according to the following:
    • If you want to create a MIDI track that uses the DXi as an output, check the Create These Tracks: MIDI Source Track checkbox.
    • If you want to create a single audio track that acts as an output for Output 1 of the DXi, check the Create These Tracks: First Synth Output (Audio) checkbox.
    • If you want to create separate audio tracks for each of the DXi's outputs, check the Create These Tracks: All Synth Outputs (Audio) checkbox.
    • If you want to use existing MIDI and audio tracks to play the DXi, uncheck all of the Create These Tracks options. Pro Tracks adds the DXi to the audio track input and MIDI track output menus. You need to set an existing audio track's In field to the DXi, and set an existing MIDI track's Out field to the DXi.
    • If you want to open the DXi's interface from this dialog, check the Open These Windows: Synth Property Page checkbox.
    • If you opened this dialog from the Insert menu and want to open the Synth Rack view, check the Open These Windows: Synth Rack View checkbox.
    • If you want to open this dialog every time you use the Insert-DXi Synth command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu, check the Ask This Every Time option. If you always insert DXi's in the same way, you can uncheck this option so you don't have to deal with the dialog each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  5. Click OK, if you haven't already.

Pro Tracks adds the DXi to the audio track input and MIDI track output menus, and creates any new tracks that you requested. The new tracks already have the correct inputs and outputs patched. Now you can record MIDI data in the DXi MIDI tracks, and/or play the DXi from a MIDI keyboard or controller.

To Insert a DXi in an Fx field

  1. In either the Track or Console view, right-click the Fx field of an unused audio track, aux bus, or virtual main bus.
Note: If you patch a DXi into a main or aux bus that has no audio track assigned to it, the DXi does not sound. Always use a bus that has at least one audio track sending data to it.
The plug-in menu appears.
  2. Under DXi Synth, choose the name of a DXi.
Two things happen: the DXi's interface appears, and the DXi's name appears in the track's or bus's Fx field, with a bypass button next to the name.
  3. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way.
  4. Click the Out field of a MIDI track to display the output menu.
  5. Select the name of the DXi that you patched into the audio track or bus.
  6. If the DXi is multi-timbral, choose a MIDI channel for the MIDI track.
  7. Also in the MIDI track, select a bank and patch.

Now you can record some MIDI data into the MIDI track to play the DXi with. See To Play a DXi with Recorded MIDI Data.

You can also play the DXi in real-time from a MIDI controller. See .


Opening a DXi's Property Page

There are several different methods to open a DXi's property page (interface):

  • When you insert the DXi from the Insert menu or Synth Rack view, check the Open These Windows: Synth Property Page checkbox in the Insert DXi Synth Options dialog.
  • Double-click the name of the DXi in either a MIDI track's Out field or an audio track's In field.
  • Double-click the row in the Synth Rack view that displays the DXi.
  • Double-click the name of the DXi in an Fx bin.
  • Click one of the rows in the Synth Rack view to select it, and then click the Properties button in the Synth Rack toolbar (or press c).


Playing a DXi

There are several ways to play a DXi:

  • You can record MIDI data and use the DXi as a playback device.
Note: WDM or ASIO drivers do not improve performance when you play back recorded MIDI data--the improvement comes only when you play a DXi in real time from an external MIDI controller or keyboard.
  • You can play the DXi in real time from a MIDI controller or keyboard. To avoid excessive latency, your sound card must be using a WDM or ASIO driver. Also, you must set mixing latency to the lowest achievable level (probably less than 10 msec.), which you do by using the Options-Audio command to open the Audio Options dialog box, and dragging the Buffer Size slider on the General tab.
  • Some DXi's that use the DXi 2 format can send MIDI data, sometimes including MIDI notes, from their interfaces to Pro Tracks
Note: By default, Pro Tracks does not echo any MIDI input or automation data that a DXi sends to any track, but can record this data in any armed MIDI track whose Out field is set to that particular DXi. If you do want to echo DXi input to any MIDI track that has the focus, open the Global Options dialog (Options-Global command), and on the MIDI tab, check the Echo DXi Input to All MIDI Tracks option. This option also makes it possible to move the controls in one DXi's interface and change the settings in some other DXi's interface, if the focus is on the MIDI track that's patched to the second DXi. It also makes it possible to record notes or automation data from the DXi to any armed MIDI track.

To Play a DXi with Recorded MIDI Data

  1. Insert a DXi into the project (see , if necessary).
  2. In the MIDI track that sends its output to the DXi, choose a MIDI channel.
  3. Open the DXi's interface (if it's not open already) by clicking the Properties button in the Synth Rack view, or by double-clicking the name of the DXi if it's patched into the Fx field of an audio track.
  4. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way (the DXi's interface does not have to be open for the DXi to sound).
  5. If you want to save your DXi settings, type a name in the Presets field, and click the Disk icon that's next to the Presets field.
  6. Record some MIDI data into the MIDI track.

When you play back the recorded MIDI data, you should hear the DXi through your sound card's outputs. If you don't, make sure your data is in the right range; a bank, patch, and Channel are selected; your monitor speakers or headphones are turned up; and that none of the relevant tracks are muted.

You can add effects to each of the DXi audio tracks. You can also add MIDI effects to your DXi MIDI tracks.

To Play a DXi from a MIDI Controller

  1. Make sure your controller is set to local off.
  2. Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
  3. Insert a DXi into your project (see , if necessary).
Note: If you patch a DXi into a main or aux bus that has no audio track assigned to it, the DXi does not sound. Always use a bus that has at least one audio track sending data to it.
  4. In the MIDI track that sends its output to the DXi, choose a MIDI channel.
  5. Open the DXi's interface (if it's not open already) by clicking the Properties button in the Synth Rack view, or by double-clicking the name of the DXi if it's patched into the Fx field of an audio track.
Note: You can also open a DXi's interface by double-clicking its name where it appears in a MIDI track's Out menu or an audio track's In menu.
  6. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way.
  7. If you want to save your DXi settings, type a name in the Presets field, and click the Disk icon that's next to the Presets field.
  8. Make sure that the MIDI track has the focus (its titlebar is gold), and play your MIDI controller.

When you play your MIDI controller you should hear the DXi through your sound card's outputs. If you don't, make sure you're playing in the right range; a bank, patch, and Channel are selected; your monitor speakers or headphones are turned up; your controller is attached to your MIDI interface; and that none of the relevant tracks are muted.

To Remove A DXi from a Track or Bus

  • If your DXi is patched into the Fx field of an audio track or bus, right-click the name of the DXi, and choose Delete from the popup menu.
OR
  • In the audio track that uses the DXi as an input, choose another input for the track.

To Remove a DXi from a Project

  • If your DXi is patched into the Fx field of an audio track or bus, right-click the name of the DXi, and choose Delete from the popup menu.
  • If your DXi is patched into the In field of an audio track, go to the Synth Rack view, click the name of the DXi to select it, and then click the Delete button. Pro Tracks deletes the DXi strip from the Synth Rack view and sets the audio inputs and MIDI outputs of all affected tracks to the next lower-numbered option. Pro Tracks does not delete the affected tracks.
Note: If you're using a ReWire instrument and not a DXi, always close the ReWire instrument's interface before you delete the instrument from Pro Tracks, or close Pro Tracks.

See:

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth

Converting Your DXi Tracks to Audio


Muting and Soloing DXi Tracks

Pro Tracks automatically places any audio and MIDI tracks that use DXi's into a group that makes muting and soloing the tracks easy:

  • To mute or solo a MIDI track that is patched to a DXi audio track, simply mute or solo the MIDI track--Pro Tracks automatically mutes or solos the correct audio track. If another MIDI track uses the audio track as an output, Pro Tracks leaves the audio track unmuted.
To mute or solo all the MIDI tracks that are patched to a specific DXi, simply mute or solo the audio track that the MIDI tracks are patched into.--Pro Tracks OR
  • Click the M or S buttons (mute and solo, respectively) next to the DXi's name in the Synth Rack view. This mutes or solos all the tracks associated with this instance of the DXi.

You can use the mute and solo buttons in the Track view, Synth Rack view, or Console view.


Converting Your DXi Tracks to Audio

Once your project sounds the way you want it to, it's extremely easy to convert your DXi MIDI tracks to either new audio tracks, or Wave, MP3, or other exported files.

To Convert Your DXi Tracks to New Audio Tracks

  1. Mute all tracks that you don't want to convert; make sure you don't mute the audio track that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the Edit-Bounce to Track(s) command.
The Bounce to Track(s) dialog box appears.
  3. Choose a destination track and a format.
  4. In the Mix Enables field, make sure all choices are selected.
  5. Click OK.

Pro Tracks creates a new audio track from the MIDI tracks you selected. Don't forget to mute your DXi tracks so you won't hear them and the new audio track(s) at the same time.

To Export Your DXi Tracks as Wave, MP3, or Other Type Files

  1. Mute all tracks that you don't want to export; make sure you don't mute the audio track that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the File-Export-Audio command.
The Export Audio dialog box appears.
  3. In the Look in field, choose the location where you want the new, exported file to be.
  4. Type a file name in the File name field.
  5. Choose the type of file, the format, and the bit depth of the new file you're creating--for MP3 use 16 bits.
  6. In the Mix Enables field, make sure all choices are selected.
  7. Click OK.

Pro Tracks creates a new audio file of the type you specified. Find the file in the folder you specified, and double-click it to listen to it.

See:

Automating a DXi's Controls

Synth Rack View


Automating a DXi's Controls

Some DXi's have controls that you can automate by drawing envelopes in either the Track view or Piano Roll view. Some DXi's allow you to record the movements of their faders and other control knobs. Your DXi's manufacturer determines which controls (if any) you can automate.

Note: By default, you can only record MIDI or automation data sent by a DXi into a MIDI track whose Out field is set to that particular DXi. If you do want to record DXi input to any MIDI track that is armed, check the Echo DXi Input to All MIDI Tracks option on the MIDI tab of the Global Options dialog (Options-Global command).

To Record MIDI Input from a DXi's Interface

  1. If you want to be able to record on any armed MIDI track, make sure that the Echo DXi Input to All MIDI Tracks option on the MIDI tab of the Global Options dialog (Options-Global command) is enabled. Otherwise, you can only record on a MIDI track whose Out field is set to the DXi you're recording from.
  2. Arm one or more MIDI tracks.
  3. Set the record mode (Transport-Record Options command). If you want to record different knobs on different takes, use Sound on Sound mode.
  4. Open the DXi's interface and, if necessary, use its setup menu to enable recording the DXi's fader movements.
  5. Move the Now time to the place where you want to record.
  6. Click the Record button to start recording.
  7. Move the DXi's controls in the way you want them to move. Some or all of the controls may not be capable of sending MIDI data to be recorded (only some DXi's of the DXi 2 format can do this).
  8. Click the Stop button.

Pro Tracks records the fader or knob movements. Check the Out fields of the MIDI tracks you recorded into and play back the track.

To Automate a DXi's Controls in the Track View

  1. In a MIDI track that uses the DXi as an output, right-click in the Clips pane and choose Envelopes-Create-MIDI from the popup menu.
The MIDI Envelope dialog box appears.
  2. In the Type field, select Control, RPN, or NRPN.
  3. In the Value field, click the drop-down arrow to see the menu of automatable controls, RPN's, or NRPN's that this DXi has, and select the one you want to automate.
  4. In the Channel field, select the channel of the patch in your DXi that you want to control.
  5. Click OK.

Pro Tracks draws an envelope for the parameter that you chose. You can edit the envelope to make the parameter behave as you want it to. See Drawing MIDI Envelopes in the Track View.

To Automate a DXi's Controls in the Piano Roll View

  1. Select a MIDI track that uses the DXi as an output and open the Piano Roll view.
  2. In the Controller pane in the Piano Roll, select Control, RPN, or NRPN.
  3. In the Value menu below the Controller menu, click the drop-down arrow to see the menu of automatable controls, RPN's, or NRPN's that this DXi has, and select the one you want to automate.
  4. In the Controller pane at the bottom of the Piano Roll view, use the Draw tool to draw a graph of the desired controller values.

Note: MIDI envelopes in the Piano Roll Controllers pane and the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

See:

ReWire Instruments

Synth Rack View

Playing a DXi

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


ReWire Instruments

ReWire is a technology for transferring audio data between software applications in real time--the software equivalent of a multi-channel audio cable. ReWire is built on the following cornerstones:

  • Real-time audio streaming between applications
  • Sample accurate synchronization
  • Common transport functionality

Pro Tracks supports the ReWire 2.0 format, but with some differences. Pro Tracks interacts with ReWire applications in the following ways:

  • You can insert one instance of a ReWire application into each Pro Tracks project. You can insert as many different ReWire applications into a project as your computer can handle.
  • You can use a maximum of 16 devices or instruments for each ReWire application.
  • To use a MIDI controller with both Pro Tracks and your ReWire application, you need to enable separate MIDI In ports in both applications. If your MIDI interface only has one input, decide which application you want to use your controller in, enable the MIDI In port in that application, and disable it in the other application.
  • You can insert ReWire devices into Pro Tracks projects from the Synth Rack view or Insert menu, and you can tell Pro Tracks to create the necessary audio tracks and one MIDI track at that time. You can also tell Pro Tracks to open the ReWire application's property page, because, unlike DXi's, ReWire applications must have their property pages (interfaces) open in order to function.
  • Pro Tracks's tempo, transport, and loop points are linked to the ReWire application. Activating or changing any of these settings in the ReWire application(s) changes the same setting in Pro Tracks. and vice versa. If you have several applications open and you make a change in one of them, it may be necessary to put the focus on the other application(s) to update their interfaces.
  • You cannot send patch or bank changes from Pro Tracks to the ReWire application. All other track property controls in Pro Tracks control the ReWire device, except the pan controls on MIDI tracks. The pan controls on Pro Tracks's audio tracks control the ReWire device's panning.
  • You can mix down or bounce ReWire tracks in Pro Tracks the same way you mix down or bounce DXi tracks (see Converting Your DXi Tracks to Audio).
  • You can use Pro Tracks's automation functions on both audio and MIDI tracks that the ReWire application uses.
  • Muting or soloing an audio track that a ReWire device uses automatically mutes or solos the MIDI track that feeds that audio track. Muting or soloing a MIDI track that a ReWire device uses will mute or solo the corresponding audio track only if there is only one MIDI track feeding that audio track.
  • You must always close your ReWire application(s) before you close Pro Tracks. Some ReWire applications prevent Pro Tracks from closing properly if the ReWire applications are still open.


Inserting a ReWire Instrument

After you install your ReWire applications and reboot your computer, the names of the ReWire applications appear in Pro Tracks's Insert menu under ReWire Devices, and also in the Synth Rack view's Insert button popup menu.

To Insert a ReWire Instrument

  1. Open a Pro Tracks project. Do not launch your ReWire application.
  2. In the Pro Tracks's Synth Rack view, click the Insert button, and click ReWire Devices to display the submenu of installed ReWire devices.
OR
Use the Insert-ReWire Devices command to display the submenu of installed ReWire devices.
  3. Click the name of the ReWire device you want to insert.
The Insert DXi Synth Preferences dialog appears.
  4. Choose options from the Insert DXi Synth Preferences dialog according to the following:
    • If you want to create a MIDI track that uses the ReWire Instrument as an output, check the Create These Tracks: MIDI Source Track checkbox.
    • If you want to create a single audio track that acts as an output for Output 1 of the ReWire Instrument, check the Create These Tracks: First Synth Output (Audio) checkbox.
    • If you want to create separate audio tracks for each of the ReWire Instrument's outputs, check the Create These Tracks: All Synth Outputs (Audio) checkbox.
    • If you want to use existing MIDI and audio tracks to play the ReWire Instrument, uncheck all of the Create These Tracks options. Pro Tracks adds the ReWire Instrument to the audio track input and MIDI track output menus. You need to set an existing audio track's In field to the ReWire Instrument, and set an existing MIDI track's Out field to the ReWire Instrument.
    • If you want to open the ReWire Instrument's interface from this dialog, check the Open These Windows: Synth Property Page checkbox (always check this option: ReWire Instruments do not sound unless their property pages are open).
    • If you opened this dialog from the Insert menu and want to open the Synth Rack view, check the Open These Windows: Synth Rack View checkbox.
    • If you want to open this dialog every time you use the Insert-ReWire Instrument command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu, check the Ask This Every Time option. If you always insert ReWire Instruments in the same way, you can uncheck this option so you don't have to deal with the dialog each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  5. Click OK to close the dialog.
Pro Tracks adds your ReWire devices to the audio track In menus and the MIDI track Out and Ch menus, creates any tracks you requested, adds the ReWire instrument to the Synth Rack view, and opens the ReWire application's interface.
  6. If you get an error message about a MIDI Input problem from your ReWire application, click OK and then use Pro Tracks's Options-MIDI Devices command to open the MIDI Devices dialog and select the MIDI In port to want to use to record into Pro Tracks. Use your ReWire application's menus to choose a different MIDI In port for your ReWire application. If your MIDI interface only has one input, you have to decide whether you want to use your MIDI controller in Pro Tracks or in your ReWire application. If you want to use your controller in your ReWire application, deselect your MIDI In port in Pro Tracks's MIDI Devices dialog, and select that input in your ReWire application.
  7. In the MIDI track whose output is the ReWire audio track, click the drop-down arrow in the Ch field to display the names of the available ReWire devices in your ReWire instrument.
  8. Click the name of the device you want to use.
  9. Make sure that the audio track you want to hear the ReWire instrument through has the appropriate ReWire channel listed in its In field.

Now you can record MIDI data in the MIDI track and hear it through the audio track. If you want to use different audio tracks for each ReWire device, see the following procedure.

Note: Always close your ReWire applications before closing a Pro Tracks project.

To Use Separate Audio Tracks for Each ReWire Device

  1. Open Pro Tracks, insert a ReWire instrument, and choose All Synth Outputs (Audio) in the Create These Tracks field of the Insert DXi Synth Preferences dialog. Make sure you choose to open the Synth window, and click OK.
Pro Tracks inserts the ReWire instrument and creates multiple audio tracks.
  2. In your ReWire application, assign the devices you want to use to the outputs or channels you want to use. For example, in Propellerheads Reason, you use the back panel of the mixer to drag cables from a device to the output channel you want to use for that instrument.
  3. In Pro Tracks, set the Out field of a MIDI track to the name of your ReWire application, and set the Ch. field to the name of the ReWire device you want to play with this track.
  4. Record some MIDI data in the track and play it. Find the audio track whose In field lists the output channel you patched your device into--the playback meter lights up as you play the MIDI track that plays your device.

Now you can use separate effects for each of your ReWire devices.

Note: Always close your ReWire applications before closing Pro Tracks or a Pro Tracks project.


Mixing Down ReWire Instruments

To either mix down or bounce ReWire instruments to new audio tracks, use the same procedures as for DXi's.

For more information, see Converting Your DXi Tracks to Audio.


Automating ReWire Instruments

You can automate audio and MIDI tracks that are patched to ReWire instruments the same ways you can automate any of Pro Tracks's audio and MIDI tracks.

For more information, see Using Automation.


ReWire Troubleshooting Guide

The following lists some common issues when you use ReWire with Pro Tracks:

  • Pro Tracks Won't Close Properly--Always close your ReWire applications before closing Pro Tracks or a Pro Tracks project.
  • Rebirth Won't Play After I Open Its Property Page--Make sure that the Loop switch in Rebirth is enabled.
  • My ReWire Project Plays at a Different Tempo when Opened from Pro Tracks--When you open a ReWire project from Pro Tracks's default tempo, which is 100. Change Pro Tracks's tempo to match your ReWire project.
  • My MIDI Controller Works in Pro Tracks or my ReWire Application, but not Both--Choose different MIDI In ports for both Pro Tracks and your ReWire application. Do this in Pro Tracks by using the Options-MIDI Devices command, and highlighting the MIDI In port you want to use in Pro Tracks. If you only have one MIDI In port on your MIDI interface or sound card, enable that input in either Pro Tracks or your ReWire application, and disable that input in the other application.
  • I Get a MIDI Input Error Message When I Open a ReWire Application--If you only have one MIDI Input port on your MIDI interface, you probably have that one reserved for Pro Tracks, leaving none for your ReWire application. If you would rather use your MIDI controller in the ReWire application instead of Pro Tracks, you can deselect your MIDI input port in Pro Tracks's MIDI Devices dialog (Options-MIDI Devices command), and then select that MIDI Input from whatever menu your ReWire application has for that purpose. If you have multiple inputs on your MIDI interface, simply select different ones for Pro Tracks and your ReWire application.

See:

DX Instruments (DXi's)

ReWire Instruments

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Stand-alone Synths

After you install this kind of synth and restart your computer, the name of the synth's MIDI driver appears in Pro Tracks's MIDI Devices dialog box under Outputs.

See:

Playing a Stand-alone Synth

Recording a Stand-alone Synth


Playing a Stand-alone Synth

Pro Tracks plays this kind of synth by seeing it as additional MIDI outputs in both the MIDI Devices dialog box and in MIDI tracks' output fields.

To Play a Stand-alone Synth

  1. Use the Options-MIDI Devices command to open the MIDI Devices dialog box.
  2. In the Outputs field, make sure the name of your stand-alone synth's MIDI driver is highlighted, and click OK.
  3. Click the Out field of an unused MIDI track to display the output menu.
  4. Select the name of the stand-alone synth's MIDI driver.
  5. If your stand-alone synth is multi-timbral, change the track's MIDI channel to the same one that the synth uses for the sound you want to hear.
  6. Select a bank and patch on your stand-alone synth, if you haven't already.
  7. Record some MIDI data in the MIDI track, or play any MIDI controller that's an input for the MIDI track.

When you play your MIDI controller or play back the recorded MIDI data, you should hear the stand-alone synth through your sound card's outputs. If you don't, make sure you're playing in the right range and that your monitor speakers or headphones are turned up, and that none of the relevant tracks are muted.

See:

Recording a Stand-alone Synth


Recording a Stand-alone Synth

There are several ways to record a stand-alone synth:

  • You can use the synth's wave capture function, if it has one. See your synth's documentation for a procedure. Make a note of where the resulting captured Wave file is stored, and then you can import the file into Pro Tracks by using the File-Import-Audio command.
  • You can connect your sound card's outputs to your sound card's inputs, either internally or externally, depending on your sound card's design. After you do this, you need to arm an audio track in Pro Tracks and select one of your sound card's wave drivers as an input. Start recording, and make sure the MIDI track that is routed to the synth is playing back.
  • You can use your sound card's wave capture or "what-you-hear" option, if it has one. See the following procedure.

To Record A Stand-alone Synth with your Sound Card's Wave Capture Function

  1. Pick a destination audio track and set the In field to Stereo.
Note: If you have more than one sound card installed, select the one that your stand-alone synth uses as an output.
  2. Arm the destination track.
  3. Mute or archive any tracks that you don't want to record to the destination track.
  4. If Pro Tracks's metronome is set to use any software synth to produce a click, disable the metronome during recording option in the Project Options dialog box. To do this, select Options-Project to open the Project Options dialog box, select the Metronome tab and uncheck Recording in the General section.
  5. Open your sound card's mixer device. This is normally done by double-clicking the speaker icon on the Windows taskbar, or by choosing Start-Programs-Accessories- Multimedia-Volume Control-Options-Properties.
Note: Some sound cards, such as the SoundBlaster Live, have their own proprietary mixer. If yours has one, please use it instead.
  6. Click Adjust Volume For Recording, and make sure all boxes below are checked.
  7. Click OK, and locate the slider marked MIDI, Synth, Mixed Input, or What You Hear. Check the Select box at the bottom, then close the window.
  8. In Pro Tracks, click the Record button.
Pro Tracks records all the MIDI tracks that are assigned to the stand-alone synth as a stereo audio track.

After you finish recording, mute the MIDI tracks that you just recorded so you don't hear them and the new audio track at the same time.

See:

Synth Rack View

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Mixing and Effects Patching

The Track view supports automation, which lets you record and play back volume and pan changes, and other track parameters. The Track view uses envelopes to automate both individual clips and entire tracks. You can add automation for volume and pan to individual clips, and you can automate the following parameters in tracks:

  • Mute
  • Aux Bus Send Balance (one for each Aux Bus)
  • Aux Bus Send Level (one for each Aux Bus)
  • Gain
  • Pan

For more information on automation, see Using Automation.

Pro Tracks lets you mix together the digital audio portions of a project, including all real-time effects and control movements, to a stereo track or stereo pair of audio tracks. You can use the mixed-down tracks to create a CD master or to put your work on the World Wide Web.

See:

Preparing to Mix

Mixing MIDI

Routing and Mixing Digital Audio

Metering

Using Real-Time Effects

Using Control Groups

Virtual Main Bus

Mixing Down and Distributing Audio

Preparing Audio for Distribution


Preparing to Mix

The Console and Track views contain all the controls you need to mix your project.To open the Console view click the Console view button [image] or choose View-Console. The Track view is always open.

Sound controls in the Console view are grouped in modules. There are four types of modules:

Module type... | What you can do...
MIDI track | Set the track's output, channel, bank, and patch; set the input; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels; add real-time effects
Audio track | Set the track's output (aux bus or virtual main bus destination); set the input and monitor input levels; mute, solo, and arm the track; set track volume and panning; add real-time effects; send audio data to aux buses
Aux bus | Receive input from one or more audio tracks, add real-time effects, and send the results to a Main
Main buses (main outputs) | Add real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio to an output on your audio interface

One module is always outlined with a broken line. This corresponds to the track with the focus in the Track view. You can change the focus by clicking to the right of the module's volume fader.

The Console view contains several different types of controls. Here's how they are used:

You can adjust knobs in four different ways:

  • Click along the outer edge of the knob to move the knob to that position
  • Drag the outer edge of the knob in a circular motion to set the desired position
  • Click on the center of the knob and drag the mouse up or down to adjust the knob
  • Double-click the center of the knob to return it to its snap-to position

Volume and pan faders also have snap-to positions; double-click a fader's knob to return the fader to its snap-to value.

The controls and effects patch points all have tool tips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

There are four types of tracks in the Track view:

Track type... | What you can do...
MIDI track | Set the track's output, channel, bank, and patch; set the input; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels; add real-time effects
Audio track | Set the track's output; set the input and monitor input levels; mute, solo, and arm the track; set track volume and panning; add real-time effects; send audio data to aux buses
Aux bus | Receive input from one or more audio tracks, add real-time effects, and send the results to a Main
Main buses (main outputs) | Add real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio output to a port on your audio interface

The Track view contains several different types of controls. Here's how they are used:

For information on using the controls in the Track view, see Changing Track Settings.

Volume, pan, aux bus send level and aux bus send pan also have snap-to positions; double-click the control to return it to its snap-to value.

The controls and effects patch points all have tool tips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

See:

Configuring the Console and Track Views


Configuring the Console and Track Views

The Console and Track view can be reconfigured in a variety of ways. You can:

  • Choose the tracks that you want to see
  • Adjust the display of audio meters and clip indicators
  • Change the number of aux buses
  • Set control snap-to positions
  • Insert new tracks
  • Name tracks and aux buses

Meters are helpful in determining the relative volumes of your audio tracks and in detecting and preventing overload. By default, the Console view displays output level meters in virtual main output modules at all times, and displays record level meters in individual tracks whenever they are armed and have an audio input. The display of meters, however, can place a considerable load on your computer. Showing only the peak indicators, or hiding the meters entirely, can reduce the load on your computer. This may increase the number of audio tracks and real-time effects you can play back at one time.

Pro Tracks lets you control the number of aux buses that appear in your projects. If you are not planning to make use of any aux buses, you can reduce this number to zero to save space.

In the Track view there are several ways to configure which tracks are displayed.

To Choose the Tracks that are Displayed Using the Track Manager

  1. Click the Track Manager button [image] to open the Track Manager dialog box.
  2. In the list, check those tracks you would like displayed in the view in which you are working, and uncheck the rest. You can use Shift-click, Control-click, or the quick select buttons to select multiple modules; press the Spacebar to check or uncheck all the selected modules at once. Please note that the track display selections you make in the Track view do not affect those in the Console view and vice versa.
  3. Click OK.

To Hide a Module (Console view only)

  • Right-click on the module and choose Hide Module.

To Hide a Track (Track view only)

  • Right-click on the track and choose Hide Track.

To Show or Hide Meters the Console View

  • Use the tools in the Console view toolbar as described in the table that follows:
    Tool...

    How it works...

    When pressed, Record level meters are displayed when a track has an audio input and is armed for recording.

    When pressed, Playback level meters are displayed on all track outputs.

    When pressed, Playback level meters are displayed on all virtual main buses.

To Show or Hide Meters in the Track View

  • Click the Show/Hide Meters button [image] to display all meters or click on the arrow to the right of the Show/Hide Meters button to display only the meters you want to see or to customize the appearance of your meters.
    Option...

    What it does...
    Record

    Displays record meters for any armed track.
    Playback

    Displays playback meters.
    Output

    Displays meters in Aux buses and virtual main buses
For more information about metering options, see Changing the Meters' Display.

To Change a Meter's Range

  • Right-click on the meter and choose a new range.

To Set the Snap-to Position of a Knob or Fader

  1. Set the control to the desired position.
  2. Right-click on the control and choose Set Snap-To=Current.

From now on, the control returns to this position when double-clicked.

To Insert a New Track

  1. Right-click on an empty area in the Console view or on the title bar of a track in the Track view.
  2. Choose Insert Audio Track or Insert MIDI Track.

Pro Tracks adds a new track to the project.

To Rename a Track, Aux Bus, or Virtual Main

  1. In the Console view, click on the module name. In the Track view double-click on the Track name.
  2. Type a new name.
  3. Press Enter.

If you rename a track, the new name is copied to the Track view. If no name has been assigned to a track, the Console view displays the track's number.0


Mixing MIDI

Pro Tracks gives you many tools to control your MIDI mix. When your MIDI tracks sound the way you want them to, there are several ways to convert them to audio (see Converting MIDI to Audio).

See:

Mixing a MIDI Track

Converting MIDI to Audio


Mixing a MIDI Track

You can control the mixing and playback of a MIDI track as follows:

To do this... | Do this...
Add a real-time MIDI effect to the track | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete or right-click and select Delete.
Select the output | Click the Output control and choose one from the list
Select the channel | Click the Channel button and choose one from the list
Select the bank | Click the Bank button and choose one from the list
Select the patch | Click the Patch button and choose one from the list
Set the Chorus level | Adjust the Chorus slider
Set the Reverb level | Adjust the Reverb slider
Mute the track | Click the Mute button
Solo the track | Click the Solo button
Arm the track for recording | Click the Arm button
Set the Pan level | Adjust the Pan fader
Set the Volume level | Adjust the Volume fader
Select the input | Click the input button and choose one from the list

When moving the Volume fader, the Value box in the toolbar displays the level from a scale of 0 (minimum) to 127 (maximum). When you move the Pan slider, the Value box displays the pan value on a scale that ranges from 0 (hard left) to 64 (center) to 127 (hard right).


Converting MIDI to Audio

The following options cover three basic MIDI setups:

  • If your MIDI tracks play back through a DXi soft synth, use either the File-Export-Audio or Edit-Bounce to Track(s) commands (see the procedures in To Convert Your DXi Tracks to New Audio Tracks and To Export Your DXi Tracks as Wave, MP3, or Other Type Files).
  • If your MIDI tracks play back through your sound card's synthesizer, see the procedure below.
  • If your MIDI tracks play back through external MIDI modules, simply connect their analog outputs to the inputs on your sound card, and record to new audio tracks.

To Convert a Sound Card's Synth Tracks to a Stereo Audio Track

  1. Pick a destination audio track and set the In field to Stereo-(name of your sound card).
Note: If you have more than one sound card installed, select the one that your synth uses as an output.
  2. Arm the destination track.
  3. Mute or archive any tracks that you don't want to record to the destination track.
  4. If Pro Tracks's metronome is set to use any software synth to produce a click, disable the metronome during recording option in the Project Options dialog box. To do this, select Options-Project to open the Project Options dialog box, select the Metronome tab and uncheck Recording in the General section.
  5. Open your sound card's mixer device. This is normally done by double-clicking the speaker icon on the Windows taskbar, or by choosing Start-Programs-Accessories- Multimedia-Volume Control-Options-Properties.
Note: Some sound cards, such as the SoundBlaster Live, have their own proprietary mixer. If yours has one, please use it instead.
  6. Open the sound card's recording control window (the command is probably Options-Properties-Adjust Volume For Recording) and make sure all boxes below Adjust Volume For Recording are checked.
  7. Click OK, and locate the slider marked MIDI, Synth, Mixed Input, or What You Hear. Check the Select box at the bottom, then close the window.
  8. In Pro Tracks, click the Record button.
Pro Tracks records all the MIDI tracks that are assigned to the sound card synth as a stereo audio track.

After you finish recording, mute the MIDI tracks that you just recorded so you don't hear them and the new audio track at the same time.


Routing and Mixing Digital Audio

This section covers mixing your project's digital audio.

See:

Signal Flow

Audio Tracks

Aux Buses

The Virtual Main Bus Modules


Signal Flow

The signal flow for digital audio in Pro Tracks looks like this:

Audio clips in each track are processed by any real-time audio effects you have patched in place, passed through the track pan control and volume fader, and then sent to the designated virtual main bus, in stereo.

Any audio track can be tapped, before or after the track volume control, and sent to one or more aux buses. An aux bus can tap any number of audio tracks. Each track's data passes through the track's send level knob on its way to the aux bus. This is shown in the diagram below:

The audio in each aux bus passes through the send level and pan controls, is processed by any real-time effects you have patched, sent through the return level and pan controls, and then sent to the designated main output, in stereo.

At each virtual main bus, all audio data from audio tracks and aux buses that were routed to that virtual main are mixed together and processed by the main's real-time effects. Finally, the data passes through each virtual main's master volume fader and is sent to the output.


Audio Tracks

You control the mixing and playback of an audio track as follows:

To do this... | Do this...
Add a real-time audio effect to the track | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete or right-click and select Delete.
Send audio data from the track to an aux bus | Select the corresponding Aux Send Enable and set the Aux Send Level (for more information, see Aux Buses)
Mute the track | Click the Mute button
Solo the track | Click the Solo button
Arm the track for recording | Click the Arm button
Set the Pan level | Adjust the Pan control
Set the Volume level | Adjust the Volume fader
Select the output | Click the dropdown arrow in the Out field and choose one from the list
Select the input | Click the dropdown arrow in the In field and choose one from the list

Pro Tracks displays volume in dB (decibels). When adjusting the volume or aux bus send level controls, a value of 0 dB indicates full signal strength; positive values, up to 6 dB, indicate a signal gain; negative values indicate an attenuated signal. When you move the Pan control, the Value box displays the pan value on a scale that ranges from 100%L (hard left) 100%R (hard right).


Aux Buses

Aux buses are useful for mixing together different audio tracks (in stereo) and applying effects to the mix. You can mix the tracks at different volume levels by adjusting each track's aux send level.

Note: If you open a project that uses more aux buses than you have currently configured, Pro Tracks displays a message asking you to create more aux buses, and restart Pro Tracks. You control the number of buses on the General tab of the Audio Options dialog box (the Options-Audio command opens this dialog).

You control the aux bus as follows:

To do this... | Do this...
Send audio data from an audio track to the aux bus | In an audio track, press the Aux Send Enable button corresponding to the aux bus
Set the level of the audio data sent to the aux bus | In an audio track, set the Aux Send Level corresponding to the aux bus
Set the input level to the aux bus | Adjust the Send level
Set the input panning to the aux bus | Adjust the Send pan
Add a real-time audio effect to the bus | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete, or right-click and choose Delete
Set the output level | Adjust the Return level
Set the output panning | Adjust the Return balance
Select the output | Click the Output button and choose one from the list

As with Audio strips, the Value box in the toolbar displays the send and return levels in decibels and the send and return balance values on a scale of 100%L to 100%R.

To Patch a Track Through an Aux Bus

  1. Open the Console view (View-Console) or the Track view (View-Track).
  2. Right-click in the FX bin of Aux 1 (if it is not in use already) and choose an effect from the effects popup menu. (If you are working in the Track view, you may first need to display the Bus pane by clicking the Show/Hide Mains and Aux Buses button [image] located at the bottom of the Track view.)
The name of the effect you have chosen appears in Aux 1 and the effect appears.
  3. Set the effect's parameters and close it.
  4. Repeat steps 2 and 3 for any additional effects you want to use.
  5. In Aux 1, adjust the Send and Return controls to the approximate level.
  6. In Aux 1, drag the Send and Return Pan controls to the approximate positions.
  7. In a track module that you want to patch through Aux 1, do the following:
    • Drag the Aux 1 Send Level control to the approximate level you want.
    • Click the Aux 1 Send Enable button.
  8. Repeat step 7 for all the tracks you want to patch through Aux 1.
  9. Play your tracks and adjust the Send Level controls, the Send and Return controls, etc.


The Virtual Main Bus Modules

Pro Tracks has one virtual main bus. The virtual main bus contains a left channel and a right channel, but only one volume fader. You control the left/right balance with the balance slider that is on that bus.

Here's what you can do in a virtual main bus module:

To do this... | Do this...
Add a real-time audio effect to the mix | Right-click in the Effects bin and select an effect from the list (for more information, see )
Remove an effect | Select the effect and press Delete, or right-click and choose Delete
Set the output volume | Adjust the Volume control
Adjust the left/right balance of a virtual main bus module | Adjust the balance slider that's on that output module


Metering

The Console and Track views both have meters to measure playback level, record level, and main output level. The Track view also has aux bus return meters. You can configure the meters differently in each view, if you want.

The responsiveness of your record meters is dependent upon the latency setting in the Audio Options dialog. With higher latency settings the meters may appear sluggish.

There are three basic things you should know about meters:

  • What the meters measure
  • How to show or hide different kinds of meters
  • How to choose display options for each kind of meter

Note: Metering uses significant amounts of your computer's processing power. If you need to free up resources, turning off metering where you don't absolutely need it helps. To disable all metering, turn off metering in both the Track view and Console view.

See:

What the Meters Measure

Hiding and Showing Meters

Changing the Meters' Display


What the Meters Measure

The following table summarizes what each kind of meter measures:

Kind of meter... | What it measures...
Record | The level of the instrument listed as an input for the track you are monitoring--the track must be armed to enable the meter
Playback | A playback meter measures the playback level of any pre-existing data in the track you are monitoring, either before or after the track faders, depending on what display options you choose
Virtual main buses (main outputs) | The level of the signal output by a virtual main bus. Many virtual main buses may be routed to the same audio hardware output. Multiple virtual main buses assigned to the same hardware output may cause clipping, even if each individual main bus is not.
Aux buses | The level of the return signal the aux bus is sending back from the effects.

See also:

Hiding and Showing Meters

Changing the Meters' Display


Hiding and Showing Meters

The display and configuration of the meters in the Track view is independent of the meters in the Console view, and vice versa. Three buttons in the Track view and Console view toolbars hide or show all the meters of each kind in each view. To show or hide meters on individual tracks or buses, use the right-click popup menu that's available from the title bar of each track or bus.

Note: If you want to conserve the maximum amount of your CPU's resources, turn off all metering in both the Track and Console views.

To Show or Hide all Record Meters

  • In the Console view, click the Show Record VU Meter button in the Console view toolbar. This button hides or shows all the record meters in the Console view.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Record Meters from the menu that appears.

To Show or Hide Individual Record Meters in the Track View

  • Right-click the title bar of a track to display the track popup menu and click the Show Record Meter option to show or hide the record meter for that track.

To Show or Hide All Playback Meters

  • In the Console view, click the Show Playback VU Meter button in the Console view toolbar. This button hides or shows all the playback meters in the Console.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Playback Meters from the menu that appears.

To Show or Hide Individual Playback Meters in the Track View

  • Right-click the title bar of a track to display the track popup menu and click the Show Playback Meter option to show or hide the playback meter for that track.

To Show or Hide All Main and Aux Bus Meters

  • In the Console view, click the Show Main Bus Meters button in the Console view toolbar. This button hides or shows all the virtual main and aux bus meters in the Console view.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Output Bus Meters from the menu that appears.

To Show or Hide Individual Bus Meters in the Track View

  • In the Track view, right-click the title bar of a main or aux bus to display the popup menu and click the Show Meter option to show or hide the meter for that bus.

See also:

What the Meters Measure

Changing the Meters' Display


Changing the Meters' Display

You control the range and kind of units that the various meters display in the Track and Console views. The display of meters in each of the two views is independent of the display in the other view. In both the Console view and Track view, you open the dropdown menus by clicking the dropdown arrows that are next to the show/hide button of the kind of meter you want to change the display of.

The dropdown menus give you the following display options:

Menu option...

What it does...
Peak

Choosing this option causes the meter to display the highest amplitude in the signal that occurs in a complete cycle of a frequency.
Pre Fader/Post Fader (This option is for playback meters only)

Choose Pre Fader or Post Fader to measure the playback level either before or after the track's volume fader.
Pre Fader/Post FX (This option is for the virtual main buses only)

Choose Pre Fader/Post FX to measure the virtual main bus volume before the virtual main fader, but after any real-time effects.
-12 dB....-90 dB

Choosing one of these numbers sets the scale of the meter to a certain range of dB. For example, choosing -90 dB sets the range of measurement of that meter to 90 dB.
Note: You can also change the scale of a meter by right-clicking the meter to display a popup menu and choosing a new dB range.
Show Labels

Clicking this option hides or shows the dB markings on the meter. Hiding the markings shrinks the meter significantly, saving space.
Hold Peaks

Choosing this option causes the meter to display a small vertical line (the peak marker) that shows the peak level and then decays until a new peak is reached.
Lock Peaks

Choosing this option causes the meter to lock the peak marker at the highest level, until a higher level occurs.

See also:

What the Meters Measure

Hiding and Showing Meters


Using Real-Time Effects

In the Console view and Track view, you can use plug-in effects non-destructively, in real time. You can also hear your plug-in effects in real time on any live instruments you are recording--just make sure Input Monitoring is enabled (see Input Monitoring).

For example, suppose you want to add a reverb effect to an audio track containing a recorded violin solo. You could do it in two different ways:

  • Destructive--The digital audio data itself is modified. Although this may be exactly what you want, it does limit your options. If you want to modify the effect parameters slightly or to remove the effect and try a different effect, you must use the Undo command, or revert to a saved copy of the original data.
  • Non-destructive (real-time)--The digital audio data in your track is not changed but simply altered on the fly during playback. This means you can experiment with effects parameters, bypass effects, or remove them entirely at any time. Since most effects require complex numeric calculations, real-time effects processing puts a heavy load on your computer's CPU. If you use too many effects, the CPU will not be able to keep up and playback will sound choppy and disconnected.

You can also apply real-time audio effects to a submix in an aux bus or virtual main bus (main output). For example, rather than patching separate reverb effects in each of several guitar tracks, you can mix the guitar tracks together in an aux bus and apply a single reverb effect to the submix. This makes much more efficient use of CPU time. Patching effects on an aux bus or virtual main bus also opens up new creative possibilities.

There are several reasons why you might want to apply effects offline (destructively):

  • If you want to apply more effects than your CPU can handle, applying some of the effects offline will reduce CPU usage during playback.
  • If you want to apply effects to an individual audio clip, rather than the whole track, it is simpler to do so using offline effects.

The File-Export-Audio command, allows you to apply real-time effects when you export, so you do not need to apply your effects destructively or use the Edit-Bounce to Track(s) command to prepare the tracks beforehand. For information about exporting audio, see Preparing Audio for Distribution.

See:

Effects Parameters

How to Use Real-Time Effects

Applying Audio Effects

Applying MIDI Effects


Effects Parameters

Each effect in an effects patch point has its own independent set of parameter values. For example, you can apply a short reverb in one track and a long reverb in another track. The dialog boxes for real-time effects contain the same parameters as the offline effects, though there are a few differences:

  • You can adjust the parameters while playback is in progress, so there is no need for an Audition button.
  • For Audio effects, because mixing is handled through the Track view or Console view, there is no Mixing tab.
  • You do not need to click OK for the effect to be applied.

Refer to the sections MIDI Effects (MIDI Plug-ins) and Audio Effects (Audio Plug-ins) for descriptions of the effects and their parameters.


How to Use Real-Time Effects

It is very easy to use the real-time effects in the Track view and Console view. Here's what to do:

To do this... | Do this...
Add a real-time effect to a MIDI track, audio track, aux bus, or virtual main bus | Right-click in the effects bin of the track or bus you want to add the effect to, and select an effect from the popup menu.
Change the order in which effects are used | In the Track view, drag an effect left or right in the effects bin. In the Console view, drag an effect up or down in the effects bin.
Edit an effect's parameters | Double-click on the effect to open the effect's dialog box.
Move an effect to a different bin | Drag the effect to another effects bin.
Copy an effect to a different bin | Hold down the Ctrl key and drag the effect to another effects bin.

Pro Tracks lets you use up to two real-time audio effects and four real-time MIDI effects at once. These effects can be placed in any patch points you choose.

When you place an effect in the patch point, an abbreviated name is used to describe the effect. Sometimes the limited space makes it impossible to identify the effect. If this occurs, simply rest the cursor over the effect for a second or two, and a tooltip will pop up to display the full name of the effect.


Applying Audio Effects

From the Track view you can destructively apply audio effects for one or more tracks. When you are pleased with the audio effects you have patched into a track, you can apply the effects to the track. Applying effects to a track saves resources, allowing you to include additional tracks and/or effects.

Note:

When effects are undone, they are not re-patched in the Effects bin(s).

To Apply Multiple Audio Effects Offline

  1. Add one or more audio effects to one or more tracks in either the Track view or the Console view.
  2. In the Track view, select the tracks or clips you want to be affected.
  3. Select Process-Apply Audio Effects.
The Apply Audio Effects dialog appears.
  4. If desired, select the option to delete the effects after applying them.
  5. Click OK.

If you do not delete the effects after applying them, they remain active.


Applying MIDI Effects

You can destructively apply the MIDI effects in a track's patch point. This makes it easy for you to experiment with MIDI effects before you commit to them on a more permanent basis.

To Apply MIDI Effects Destructively

  1. In the Track view, select the tracks or clips to be affected.
  2. Select Process-Apply MIDI Effects.
  3. If desired, select the option to delete the effects after applying them.
  4. Click OK.

If you don't delete effects after applying them, they continue to be active during playback, even though they have already been applied.


Using Control Groups

Pro Tracks lets you link faders, knobs, or buttons in the Track and Console views into groups. Groups are collections of controls whose movements are linked together. For example:

  • Two volume faders or controls can be grouped so that when you increase or decrease the volume of one track, the volume of the other track changes in exactly the same way.
  • Four mute buttons can be grouped so that when you click on the mute button to mute track 1, tracks 1 and 2 are muted and tracks 3 and 4 are un-muted.

The Console view and Track view identify controls, knobs and faders that are grouped using a colored group indicator that is displayed on the controls in each group. The controls in group A are displayed with a red indicator, the controls in group B with a green indicator, and so on. Controls, faders and knobs can be grouped together.

When you group buttons together, the way they work is based on their position when you create the group:

  • Buttons that are in the same position when grouped will turn on and off together at all times.
  • Buttons that are in opposite positions when grouped will always remain in opposite positions.

When you group buttons with knobs or faders, the button turns on/off when the knob or fader reaches its halfway point.

You have several additional options. There are there general types of groups: absolute, relative, and custom. Here's how they work.

Absolute

The range of motion in all controls in the group is identical. When you move one control in the group, all other controls in the group move the same amount in the same direction. The controls do not necessarily need to start at the same level.

Relative

The range of motion for controls in the group is not the same. All controls in the group have the same value at one point--the lowest level for send, return, and volume levels, and zero for pan controls.

Custom

Sometimes you want to define a more complex relationship between the controls in a group. For example:

  • You want two controls two operate in reverse--when one fader drops, the other increases (cross fade).
  • You want two volume faders grouped so that they are locked together at maximum level, but drop at different rates.
  • You want two faders to be locked together with the same range of motion, but a third fader grouped with them to have a different range of motion.

Custom groups let you set the range of motion for each control in the group by entering a starting and ending value. As any one control in the group is moved from is starting position to its ending position, the other controls in the group exercise their full range of motion.

When you have defined a custom group, you can adjust the starting and ending position of each control using the Group Settings dialog box or using popup menus on the controls in the group.

To Add a Control to a Group

  1. Right-click on the control.
  2. Choose a group from the Group submenu.

Pro Tracks adds the control to the group. Controls, knobs and faders are highlighted with the group's color indicator.

To Remove a Control from Its Group

  1. Right-click on the control.
  2. Choose Ungroup from the menu.

Pro Tracks removes the control from the group and displays the control with the neutral color indicator.

To Override a Control's Grouping

  • Hold down the Ctrl key while moving the control.

The control remains part of the group and functions as such once the Ctrl key is lifted.

To Set the Group Type to Relative or Absolute

  1. Right-click on any control in the group and choose Group Properties to display the Group Properties dialog box.
  2. Choose Absolute or Relative as the group type and click OK.

Pro Tracks uses the type to determine the range of motion for the group's controls.

To Create a Custom Group

  1. Right-click on any control in the group and choose Group Properties to display the Group Properties dialog box.
  2. Choose Custom as the group type. The starting and ending values for each control are displayed.
  3. To change the starting or ending value for a control, click on the control in the list and enter new values in the Start and End box.
  4. To swap the starting and ending value, click the Swap button.
  5. Click Close when you are done.

Pro Tracks uses the type to determine the range of motion for the group's controls.

To Adjust the Start Value of a Control

  1. Set the control to the desired starting value.
  2. Right-click on the control.
  3. Choose Set Start = Current.

Pro Tracks sets the start value of the control.

The Set Start = Current and Set End = Current commands set the range of motion that a grouped control moves through as the other members of the group move through their starting and ending values. You don't have to designate a group as a custom group to create a custom group--just group some controls and set their starting and ending values.

To Adjust the End Value of a Control

  1. Set the control to the desired ending value.
  2. Right click on the control.
  3. Choose Set End = Current.

Pro Tracks sets the end value of the control.

The Set Start = Current and Set End = Current commands set the range of motion that a grouped control moves through as the other members of the group move through their starting and ending values. You don't have to designate a group as a custom group to create a custom group--just group some controls and set their starting and ending values.


Virtual Main Bus

When you run Pro Tracks for the first time or you profile your audio hardware, a default virtual main bus is created. The virtual main bus contains a left and right channel, but only one volume control--you balance the two channels with the balance slider that's on each virtual main bus. Pro Tracks gives you the option to create extra virtual main buses. You can control the volume and effects separately for each set of virtual mains, similar to the sub-groups on a hardware mixer, but with each virtual main bus controlling its own final output.

The basic procedures you should know about virtual main buses are:

  • Creating virtual main buses
  • Assigning tracks to virtual main buses

To Create Virtual Main Buses

  1. Open the Audio Options dialog box by using the Options-Audio command.
  2. On the General tab, in the Number of Virtual Mains field, use the + or - keys to set the number of virtual main buses that you want.
  3. Click OK and restart Pro Tracks.

To Assign Tracks to a Virtual Main Bus

  1. In the Track or Console view, set an audio track's output to the virtual main bus.
  2. Repeat step 1 for each track you want to include in that sub-group.

After you finish assigning tracks to a virtual main bus, you can adjust the final output volume of all the tracks with the volume fader. You can also add master effects to the sub-group at the virtual main bus.


Mixing Down and Distributing Audio

The Edit-Bounce to Track(s) command lets you combine one or more audio tracks into a submix. A submix can be a mono track, a stereo track or two mono tracks (one for the right stereo channel and one for the left) that contain the mixture of the original tracks, preserving the volume, pan, and effects for each track. After their creation, the submix tracks are just like any other tracks--you can edit them, add effects, copy them to another project, etc. The original, unmixed audio tracks are not deleted, so you can archive them and recover them later, or continue using them as before.

The Edit-Bounce to Track(s) command operates completely offline, meaning you can mix down tracks that may be too complex for your machine to actually play in real time.

Here are some reasons to use Edit-Bounce to Track(s):

  • Your mix is so complex that real-time playback is impossible. Edit-Bounce to Track(s) produces the correct mix, and store the result in a new track or pair of tracks.
  • You are running out of audio tracks. Edit-Bounce to Track(s) can combine any number of audio tracks into just one or two tracks.
  • You require more CPU time for your real-time effects. With Edit-Bounce to Track(s), you can premix some of your tracks with real-time effects applied, saving CPU time during playback.

If you mix down to tracks that already have data, the new events are placed in the track, but do not overwrite existing material.

If you have multiple audio devices (such as two sound cards) you can check the option to create a mix for each wave device. This will create a separate submix (on a separate set of tracks) for each device.

To Mix Down Audio Tracks

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose Edit-Bounce to Track(s) to open the Mixdown Audio/Bounce to Track(s) dialog box.
  5. Select the destination track for the mixdown.
  6. Select a format: the kind of track you want to create with your mixdown.
  7. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  8. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export.
  9. Click OK.

Pro Tracks mixes the audio data and a new track(s) appear(s) in your project.


Preparing to Create an Audio CD

You can create an audio CD from any wave file or files (extension .wav) of up either 74 or 80 minutes (depending on the recordable CD media you have). If your projects are audio only, you can simply mixdown to a stereo wave file. If your projects contain MIDI, you must first convert the MIDI tracks to audio tracks. Once you have all the stereo wave files you want to include on your CD, you are ready to burn a CD. Most CD burners come with CD burning software, if yours did not, you will need to buy CD burning software, like Cakewalk's Pyro. To download a free demo of Pyro, visit the Cakewalk Website.

For step-by-step procedures:

To Export Audio to Wave File Format

Converting MIDI to Audio


Preparing Audio for Distribution

You can use Pro Tracks to prepare audio files files for distribution via the World Wide Web or other electronic means. The following formats are supported:

Format... | Definition...
Wave | The standard digital audio format used under Windows, with a file extension of .wav
RealAudio | Digital audio encoded and compacted for streaming over the Internet, with a file extension of .ra
Windows Media Advanced Streaming Format | Compressed digital audio for streaming over the Internet, with the file extension .wma.
MP3 | Highly compressed digital audio designed for quick downloads via the Internet, with the file extension .mp3. The MP3 encoder that comes with Pro Tracks is a trial version which will time-out. The full version is available for download at www.cakewalk.com.
OMF | The Open Media Format, created by AVID Technology, is designed to port a project to other applications or platforms. OMF files preserve tracks, clip positions, slip edits and some other project attributes depending on which application is writing or reading the OMF file.

If your audio hardware is configured for stereo playback, Wave files are created in stereo; if your audio hardware is configured for monophonic playback, the Wave file is created in mono.

To Export Audio to RealAudio Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Real Audio from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation. any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The RealAudio settings dialog box appears.
  13. Select options as described in the table below and click OK.

The audio is compacted and exported to the RealAudio file.

The RealAudio Settings dialog box lets you define the settings for the RealAudio data in an exported file, as follows:

Option... | Meaning...
Title | Title of the file
Author | Author of the file
Copyright | Copyright statement
Enable Perfect Play | Lets people with low-bandwidth connections download a higher resolution version of the audio, at the expense of download time
Enable Mobile Play | Lets people download file to a local drive for playback later
Target Connection Rate | Choose as many different connection rates as your listeners may need. Then your listeners can choose the rate that's best for them when they play your project.
Include RA 5.0 Compatible Stream | Ensures compatibility with older versions of RealAudio
Content Type | Optimizes the data for specific content

You may choose several formats if you wish. The RealAudio 2.0 formats are good for backwards compatibility with older players and for 14.4 Kb capability. The remaining formats let you choose Mono or Stereo playback. Stereo formats trade bandwidth for stereo, so use these only when the stereo aspect is important.

To Export Audio to Wave File Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Wave from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.

The audio is exported to the Wave file.

To Export Audio to Broadcast Wave File Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Wave from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.

The audio is exported to the Broadcast Wave file. The following information is stored in the file:

  • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
  • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
  • Originator Reference--A unique reference identifier created by Pro Tracks.
  • Origination Date--The date the file was created.
  • Origination Time--The time the file was created.
  • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.

To Export a Project in Windows Media Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Windows Media Advanced Streaming Format from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The Microsoft Audio Encode Options dialog appears.
  13. Select options and click OK.

The audio is compacted and exported to a file with the extension .wma.

To Export a Project in MP3 Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose MP3 from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select a bit depth of 16.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the same level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The Cakewalk MP3 Encoder dialog appears.
  13. Choose options and click OK.

The audio is compacted and exported to a file with the extension .mp3.

To Export a Project as an OMF File

OMF (Open Media Format) files are designed for cross-platform compatiblity.

  1. Select File-Export-OMF.
The Export OMF dialog appears.
  2. In the File Name field, enter a name for the file.
  3. In the Save as Type field, select the OMF version you want to save the project as. Version 1 is compatible with older applications. See your target applications documentation for information on which version it supports.
  4. In the Audio Packaging section, select Embed Audio Within OMF if you want to save the audio in the OMF file, or Reference Audio Externally if you want to store the audio in a subdirectory.
  5. In the Audio Format section, select what file format you want your audio saved in.
  6. Check the Split Stereo Tracks into Dual Mono option if you want to save stereo interleaved tracks as a pair of mono tracks.
  7. Check the Include Archived Tracks option if you want to export the tracks in your project that are currently archived.
  8. Check Mix Each Groove Clip as a Separate Clip option if you want to save Groove clips (ACIDized files) as separate clips. This may increase significantly the amount of time it takes to export your project, if there are many Groove clips in your project.
  9. Click Save.

Note: OMF files save the following:

  • Tracks
  • Clip positions
  • Slip edits
  • Fades and crossfades (as destructive edits)

The following information is discarded:

  • Volume
  • Pan
  • Automation
  • Effects


Using Automation

Pro Tracks allows you to graphically automatemany of Pro Tracks's controls using envelopes.

See:

Quick Automation Guide

Automating Effects

Reassigning Envelopes

The Envelope Editing and Node Editing Menus


Quick Automation Guide

The following table summarizes Track view automation:

What you can automate... | Parameters you can automate... | How you can automate them...
Virtual main bus (main output) | Volume and balance--there is only one volume control on thevirtual main bus: to adjust the left and right balance, use the balance control on that pair of outputs. | Draw envelopes in the Clips pane, record the fader movements
Individual tracks | Gain, pan, mute, aux send gain, aux send balance, MIDI controllers, MIDI chorus and reverb, pitch wheel, channel aftertouch, RPN and NRPN | Draw envelopes in the Clips pane, record the fader movements
Aux buses | Send gain and pan, return gain and balance | Draw envelopes in the Clips pane, record the fader movements
Individual effects (DirectX 8 plug-ins) | Varies with the effect | Draw envelopes in the Clips pane, record the fader movements
Soft Synth controls | Varies with the synth | See Automating a DXi's Controls
Groups of faders or other controls | Whatever the faders or other controls in the group control | Record fader movements
Individual clips | Gain and pan for audio clips, velocity for MIDI clips | Draw envelopes in the Clips pane

In addition, Pro Tracks allows you to copy and paste envelopes between tracks. The only controls that you can't automate are the Arm, Solo, Pre/Post, Interleave (Mono/Stereo selector), Aux Enable, and Phase buttons; and the Trim fader.

For step-by-step instructions, see:

Automation Methods

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Deleting Envelopes

Copying and Pasting Envelopes

  • Envelope/Offset mode button--Click this button to toggle between Envelope mode and Offset mode.


Automation Methods

There are four ways to automate controls in the Trackview:

  • Drawing envelopes in the Clips pane for audio and/or MIDI data
  • Recording automation data from an external controller

For step-by-step instructions, see:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Deleting Envelopes

Copying and Pasting Envelopes

Automating Individual Effects Parameters


Drawing Audio Envelopes in the Track View

This method is only available in the Clips pane and Bus pane, and works for both tracks and buses. Drawing an automation envelope for audio data overwrites any preexisting envelope for the same parameter that occurs at the same time in the same track or bus.

To Draw Audio Envelopes in the Track View

  1. Right-click in the Clips pane in the track (or bus) you want to automate.
The Clips pane popup menu appears.
  2. From the menu, choose Envelopes-Track-(name of the control you want to automate). Notice the envelope's color at the right side of the menu.
The envelope appears in the Clips pane as a straight, dotted line in the envelope's individual color, with a node (very small rectangle) at the beginning. When you move the cursor over the envelope, a vertical, double-ended arrow appears under it with the name and current value of the envelope in a box next to the cursor. The envelope's vertical position reflects the current value of the parameter you are editing.
Note: An automated mute envelope changes the track's mute status whenever the envelope crosses the middle of its value range.
  3. Using either the Select [image] or Envelope [image] tools, move the cursor over the envelope until a vertical, double-ended arrow appears under it (notice that the name and current value of the envelope appear in a box next to the cursor), and right-click the envelope. If you use the Envelope tool, you can't accidentally edit any other data besides the envelope.
The Envelope Editing menu appears.
  4. Choose Add Node from the menu.
A node appears on the envelope.
Note: A shortcut to add a node is to double-click the envelope.
  5. Move the cursor over the node until a cross appears under it, and drag the node in any direction you want.
  6. Double-click the envelope to add another node.
  7. Drag the new node in any direction you want and release the mouse.
  8. Move the cursor over the segment of the envelope that lies between the two nodes until the double-ended arrow appears, and right-click the envelope to open the Envelope Editing menu.
  9. Choose one of the following shapes from the Envelope Editing menu:
    • Jump--This choice causes the envelope to make a ninety degree jump where the envelope reaches the second node. Pro Tracks displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the line itself is.
    • Linear--This choice draws a straight line between the two nodes.
    • Fast Curve--This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
    • Slow Curve--This choice draws a curve between the two nodes that changes value slowly at first, but more rapidly toward the end of the curve.
Pro Tracks adds a shape between the nodes. You can drag any shape except a jump up or down and it maintains its curve or angle. To edit a jump, drag the node that's at either end of the jump.

Play the project and listen to the results. You can undo any step by using the Edit-Undo command (Ctrl+Z) directly after that step. You can drag the nodes in any direction you want.

Note: When you add a "gain" envelope to a track in Pro Tracks, you increase the track's level post-effects, or after the effects processors. Some hardware mixers call this level "volume," because it is post-effects, but other mixers refer to this as "gain." Either way, Pro Tracks's gain envelopes increase a track's level after the effects processors in the signal chain.

When you add multiple envelopes to a track or bus, you can choose which envelopes you want to display. See Showing or Hiding Envelopes.

You can also draw envelopes on MIDI tracks. See Drawing MIDI Envelopes in the Track View.

See also:

Dotted Lines

The Envelope Editing and Node Editing Menus

Automated Muting

Using Control Groups

Deleting Envelopes


Drawing MIDI Envelopes in the Track View

This method is only available in the Clips pane. You can also draw MIDI controller data in the Piano Roll view, but the technique is different (see Using the Controllers Pane).

Note: MIDI envelopes you create in the Piano Roll Controllers pane and MIDI envelopes you create in the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

To Draw MIDI Envelopes in the Track View

  1. Right-click in the Clips pane in the track you want to automate.
The Clips pane popup menu appears.
  2. If you want to create an envelope to control volume, pan, chorus, reverb, or automated mute, choose Envelopes-Track and choose one of those items from the menu.
The envelope appears in the Clips pane as a straight, dotted line in the envelope's individual color, with a node (very small rectangle) at the beginning. When you move the cursor over the envelope, a vertical, double-ended arrow appears under it with the name and current value of the envelope in a box next to the cursor. The envelope's vertical position reflects the current value of the parameter you are editing.
Note: An automated mute envelope changes the track's mute status whenever the envelope crosses the middle of its value range.
  3. If you want to create an envelope to control any other MIDI controller, choose Envelopes-Track-MIDI....
The MIDI Envelope dialog box appears:
  • In the Type field, choose what kind of MIDI event you want to control with your envelope.
  • In the Value field, choose the name of the controller you want to edit.
  • In the Channel field, choose the MIDI channel that you want the envelope to send data on, and click OK.
Pro Tracks creates the envelope you chose.
  4. Move the cursor over the envelope until a vertical, double-ended arrow appears under it, and right-click the envelope.
The Envelope Editing menu appears.
  5. Choose Add Node from the menu.
A node (very small rectangle) appears on the envelope.
Note: A shortcut to create a node is to double-click the envelope.
  6. Move the cursor over the node until a cross appears under it, and drag the node in any direction you want.
When you release the mouse, the envelope changes to follow the node's new position.
  7. Double-click the envelope to add another node.
  8. Drag the new node in any direction you want and release the mouse.
  9. Move the cursor over the segment of the envelope that lies between the two nodes until the double-ended arrow appears, and right-click the envelope to open the Envelope Editing menu.
  10. Choose one of the following shapes from the envelope editing menu:
    • Jump--This choice causes the envelope to make a ninety degree jump when the envelope reaches the second node. Pro Tracks displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the line itself is.
    • Linear--This choice draws a straight line between the two nodes.
    • Fast Curve--This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
    • Slow Curve--This choice draws a curve between the two nodes that changes value slowly at first, but more rapidly toward the end of the curve.
Pro Tracks adds a shape between the nodes. You can drag any shape except a jump up or down and it maintains its curve or angle. To edit a jump, drag the node that's at either end of the jump.

Play your track and listen to the results. You can undo any step by using the Edit-Undo command (Ctrl+Z) directly after that step.

When you add multiple envelopes to a track, you can choose which envelopes you want to display. See Showing or Hiding Envelopes.

You can also draw envelopes on audio tracks. See Drawing Audio Envelopes in the Track View.

See also:

Dotted Lines

The Envelope Editing and Node Editing Menus

Automated Muting

Using Control Groups

Deleting Envelopes


Dotted Lines

The dotted line in an envelope shows two things:

  • There is no automation data at the time in a track where the dotted line is.
  • The value of the last piece of automation data that exists before the dotted line is represented by the vertical level of the dotted line.

You can move an automated control while your project plays, and if you move it during a time where that control has a dotted line in its envelope, the control will stay where you move it. As soon as the Now time reaches a node or solid line, the control snaps to the value of the node or solid line.


Drawing Envelopes on Clips

You can also draw envelopes on audio clips, but only for gain and pan. On MIDI clips, you can draw velocity envelopes. If there is already a track-level envelope on the clip, the clip envelope data merges with the track envelope data.

Note: The Trim value of a track is actually a clip parameter, not a track parameter. Pro Tracks applies clip volume settings, including Trim, to a clip before the clip's audio data reaches any plug-in effects. Effects can sound very different when their incoming data changes volume, even if the final volume is unchanged.

To Draw Envelopes on Clips

  1. Right-click the clip that you want to draw the envelope on.
The Clips pane popup menu appears.
  2. Choose Envelopes-Clip-(Gain or Pan or Velocity) from the menu.
An envelope appears on the clip with a node at each end.

Edit the envelope just as you would a track envelope.

See also:

The Envelope Editing and Node Editing Menus

Using Control Groups

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Showing or Hiding Envelopes

Deleting Envelopes


Showing or Hiding Envelopes

You can choose to show or hide any or all envelopes in a track or bus.

To Show or Hide All Envelopes

  1. In the Track view toolbar, click the drop-down arrow [image] that's next to the Envelope tool to display the Envelope Options menu.
  2. Choose either Show All Envelopes or Hide All Envelopes.

To Show All of One Kind of Envelope

  1. In the Track view toolbar, click the drop-down arrow [image] that's next to the Envelope tool to display the Envelope Options menu.
  2. Choose the kind of envelope that you want to show.

To Show or Hide Individual Envelopes

  1. Right-click the Clips pane in the track that contains the envelope(s) that you want to show or hide.
The Clips pane popup menu appears.
  2. Choose Envelopes-Show.
A menu of all the envelopes in the track appears. A checkmark appears to the left of each envelope that is currently showing.
  3. Click the name of one envelope that you want to show (if it's currently hidden), or hide (if it's currently showing).
Pro Tracks hides or displays the envelope.
  4. Repeat steps 1 to 3 for each envelope that you want to show or hide.

You can also hide, but not show, individual envelopes by right-clicking an envelope and choosing Hide Envelope from the Envelope Editing menu.

See also:

Using Control Groups

Drawing Audio Envelopes in the Track View.

Drawing MIDI Envelopes in the Track View

Deleting Envelopes


Deleting Envelopes

To Delete a Single Envelope

  1. Move the cursor over the envelope until a vertical, double-ended arrow appears under it, and right-click the envelope.
The Envelope Editing menu appears.
  2. Choose Delete Envelope from the menu.

Pro Tracks deletes the envelope.

To Delete Several or All Envelopes

  1. Select the data that contains the envelopes you want to delete--you can select parts of tracks, one or more whole tracks, or all tracks.
  2. Use the Edit-Cut command to open the Cut dialog box.
  3. Select Track/Bus Automation if it's listed.
  4. Select Clip Automation if it's listed.
  5. Click OK.

Pro Tracks deletes any track and clip envelopes that are in the data you selected.

See also:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes


Copying and Pasting Envelopes

You can copy and paste envelopes or parts of envelopes between tracks and clips. You can not, however, copy and paste a clip envelope without also copying and pasting the audio or MIDI data that is in that clip. If you paste a clip envelope into a track without the clip that it came from, the clip envelope becomes a track envelope.

To Copy an Envelope

  1. In the Track view or the Clips pane, select the track or clip that has the envelope you want to copy. If you want to copy all the automation data in the track, select the whole track. If you want to select only a clip, but want to select any track envelopes in that track, click the dropdown arrow next to the Select tool [image] , and make sure that the Select Track Envelopes With Selected Clips option has a checkmark next to it.
  2. Press Ctrl+C or use the Edit-Copy command.
The Copy dialog box appears.
  3. Choose Clip Automation and/or Track/Bus Automation.
Note: If the Track/Bus Automation field is greyed-out, you must re-select a part of the clip that contains either a node or a solid line (shape). A dotted line by itself is not an envelope and can not be copied.
  4. Choose any other kinds of data you want to copy--if you only want to copy the automation data, choose only Track/Bus Automation and/or Clip Automation.
  5. Click OK.

Pro Tracks copies the data you selected to the clipboard.

To Paste an Envelope

  1. Select the track(s) and location (Now Time) you want to paste the data to.
  2. Press Ctrl+V or use the Edit-Paste command.
The Paste dialog box appears.
  3. Choose a track and location to paste to, if you haven't already.
  4. Click OK.

Pro Tracks pastes the automation data and any other types of data you chose in the Copy dialog box into the track and location you selected.

See also:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes


Resetting Envelopes and Nodes to Current or Neutral Values

You can reset an envelope so that it becomes a horizontal line at the current value of the parameter it controls, which eliminates any curves or jumps from the envelope. You can reset a node so that it jumps to the neutral value of the parameter it controls. For example, the neutral value of the pan parameter is C, or 0%.

To Reset an Envelope to the Current Value

  1. Move the Now time to where the envelope's value is to your liking.
  2. Right-click the envelope to display the Envelope Editing menu.
  3. Choose Clear All from the menu.

Pro Tracks resets the envelope to the current value.

To Reset a Node to a Neutral Value

Do either of the following:

  • Double-click the node.
  • Move the cursor over the node until it a cross appears under it, right-click the node, and choose Reset Node from the popup menu.

The node jumps to the neutral value for the parameter it controls.

See also:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes


Envelope Mode and Offset Mode

There are two modes which control how your volume faders, pan faders, aux send faders, and aux send pan faders behave during playback. The two modes are Envelope mode and Offset mode.

Envelope mode--In envelope mode, volume and pan faders follow the project's automation and do not respond to changes you make in real-time.

Offset mode--In Offset mode, you "offset" the current automation in a track using a parameter's controls. For example, if a pan envelope is set to hard left (100% left) and you adjust the pan in offset mode to 100% right, then the pan parameter is now set to hard right. Setting the pan in offset mode to 50% right would set the pan to the center.

Note: Any position that you set a fader to in Offset mode remains in effect when you switch back to Envelope mode. For example, if you set a volume fader to -INF while in Offset mode, switch to Envelope mode and drag the fader to its maximum level, you will not hear anything.

To Turn On Offset Mode

There are several ways to turn on Offset mode in Pro Tracks:

  • In the Track view toolbar or Console view toolbar, click the Offset [image] button.
  • In the Automation toolbar, click the Offset [image] button.
  • Press the o key.

In Offset mode, all controls that can be offset appear with a plus sign. For example Vol+.

The following audio controls support both Envelope and Offset modes:
Control | Envelope Mode Range | Offset Mode Range
Volume | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Aux Send Level | -Infinity to +6dB, default is 0 dB | -Infinity to +6dB, default is 0dB
Aux Send Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Aux Return Level | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Aux Return Balance | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Virtual Main Volume | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Virtual Main Balance | 100% L to 100% R, default is C | 100% L to 100% R, default is C

The following MIDI controls support both Envelope and Offset modes:
Control | Envelope Mode Range | Offset Mode Range
Volume | 0 to 127, default is 101 | 0 to 127, default is 127
Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Chorus | 0 to 127, default is 0 | -127 to 127, default is 0
Reverb | 0 to 127, default is 0 | -127 to 127, default is 0


Envelope Display on a Percentage Scale

You can globally configure the placement of 0 dB for your envelopes in the Clips pane. The default placement in the Clips pane of 0 dB is roughly 1/3 from the top of the clip. You can change the position of 0 dB in all envelopes to the middle of the clip.

There are several advantages when using the Envelope Display on a Percentage Scale option:

  • It makes it easier to tell if there have been any changes.
  • There is a finer resolution around 0 dB.

Note: In Envelope mode, newly created volume clips appear at the same dB value as the current Vol setting. For example, if the Vol setting is +3 dB, a newly created volume envelope appears above the middle of the clip.

To Display Envelopes on a Percentage Scale

  1. Select Options-Global to open the Global Options dialog.
  2. In the General tab, click the Display Envelopes on Percentage Scale checkbox.
  3. Click OK.


Automating Effects

Pro Tracks allows you to automate compatible DirectX plug-ins, giving you real-time control over dozens of effects parameters.

See also:

Drawing Audio Envelopes in the Track View.

Drawing MIDI Envelopes in the Track View

Showing or Hiding Envelopes

Deleting Envelopes

Note: When using automatable effects, the CPU meter may fluctuate rapidly within a few percentage points. This is normal behavior.


Automating Individual Effects Parameters

If you have automatable effects, you can automate them in Pro Tracks

To Draw Envelopes for an Individual Effect's Parameters

  1. Patch an automatable effect into the track or bus where you want to use it, and close the effect's dialog box when it appears.
  2. Right-click in the Clips pane in the track (or bus) where you patched the effect.
The Clips pane or Bus pane popup menu appears.
  3. If you opened the Clips pane popup menu, choose Envelopes-Create-(name of the effect you patched). If you opened the Bus pane popup menu, choose Create-(name of the effect you patched).
The effect's envelope dialog box appears, listing all the parameters you can automate in the Envelope Exists list.
  4. Check all the parameters you want to create envelopes for; as you check each envelope choice, you can choose a color for the envelope by clicking the Choose Color button that's in the lower right corner of the dialog box.
Note: You can change a plug-in envelope's color whenever you want by highlighting its name in the effect's envelope dialog box and clicking the Choose Color button.
  5. Click OK.

All the envelopes that you checked appear in the track or bus you were working in. You can edit them just like any other envelopes.

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes


Reassigning Envelopes

You can reassign an envelope to control a different parameter from the one it originally controlled. For example, you can reassign a volume envelope to control pan.

To Reassign an Envelope

  1. Move the cursor over the envelope until the cursor changes to a double-ended arrow, and right-click the envelope.
The Envelope Editing menu appears.
  2. Choose Assign Envelope-(name of the parameter you want the envelope to control).

The envelope changes color to reflect its new parameter assignment.

See also:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes


The Envelope Editing and Node Editing Menus

The Envelope Editing menu appears when you move the cursor over an envelope until a double-ended arrow [image] appears under it, and right-click the envelope. The Node Editing menu is almost identical, and appears when you move the cursor over a node until a cross [image] appears under it and right-click. The menus contain the following options:
Menu Option... | What it Does...
Jump (Envelope Editing menu only) | This choice causes the envelope to make a ninety degree jump between two nodes. Pro Tracks displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the dotted line itself is.
Linear (Envelope Editing menu only) | This choice draws a straight line between two nodes.
Fast Curve (Envelope Editing menu only) | This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
Slow Curve (Envelope Editing menu only) | This choice draws a curve between two nodes that changes value slowly at first, but more rapidly toward the end of the curve
Add Node (Envelope Editing menu only) | This choice adds a node, which is a point on the line that you can drag, to the place on the envelope where you right-clicked.
Hide Envelope | This choice hides the envelope that you right-clicked. You can re-display the envelope by right-clicking in the same track and choosing Envelopes-Show Track Envelopes-(name of the envelope you want to show) from the Clips pane popup menu.
Assign Envelope-(name of the parameter you want to control) | This choice reassigns the envelope to control the parameter that you choose.
Delete Envelope | This choice deletes the envelope.
Clear All | This choice deletes everything from the envelope except the first node.
Reset Node (Node Editing menu only) | This choice resets the node to the parameter's neutral value.
Delete Node (Node Editing menu only) | This choice deletes the node.
Properties (Node Editing menu only) | This choice opens the Edit Node dialog box, which allows you to edit the node's value and location.


Automated Muting

The Mute buttons in the Track view and Console view work in two ways:

  • You can record or draw automation for each Mute button, and the automation data controls the buttons.
  • You can click a Mute button while playback is in progress and manually override any automation data for that button.

To Draw a Mute Envelope

  1. In the Clips pane, right-click in the track you want to mute, and choose Envelopes-Create-Automated Mute from the Clips pane popup menu.
An envelope appears at the bottom of the track.
  2. Add nodes to the envelope and edit it so that the envelope is more than 50% of its maximum height wherever you want the track muted.

To Record a Mute Button's Movement

  1. Right-click the Mute button you want to automate and choose Arm for Automation from the popup menu.
  2. Click the Automation Record button, click the Mute button on and off where appropriate, and stop recording.

Pro Tracks draws an automated mute envelope in the track you recorded on.


Layouts and Templates and Key Bindings

Layouts and Templates
and Key Bindings

A layout is the current arrangement of all the views that pertain to a particular project. The layout of each project is stored automatically as part of every project file. In addition, you can save the current layout or load any saved layout and apply it to the current project. You might want to create a layout so you can easily arrange the views in a convenient size and position on the screen.

A template is a special file that is used as a pattern to create other, similar files. You might create a template file that defines a particular musical ensemble (say, a string quartet) or a particular studio configuration (MIDI instruments, audio outputs, and so on). Templates make it fast and easy to create and configure new projects.

Note that toolbars are not part of a file layout or template. The toolbar arrangement you choose is stored automatically from session to session.

A key binding lets you associate Pro Tracks commands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.You can even assign saved layouts to key bindings for quick access.

See also:

Layouts

Templates

Key Bindings


Layouts

The layout of the views that are displayed for a project is stored automatically in the project file when you save the project. By default, the layout of all the views is restored when the file is opened. You can automatically arrange all open views so that they are all visible by using the Window-Tile in Rows command.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.

Layouts are stored in a folder on your hard disk. To change the default folder for layouts, choose Options-Global, click the Folders tab, and type the name of a different folder in the Window Layouts field (or click the browse button that's at the right end of the Window Layouts field, and select a new folder).

There are two options in Windows Layouts dialog (select View-Layouts to open) that control how layouts are used, as described in the following table:

Option... | Meaning...
Close Old Windows Before Loading New Ones | If checked, Pro Tracks will close all the views of the current project before applying the layout. If you leave this option unchecked, existing views remain open and additional views are created according to the settings in the layout.
When Opening a File, Load Its Layout | If checked, the views of a project are automatically arranged according to the stored layout when the project file is opened. If this option is not checked, only the Track view (and File Info view, if applicable) are displayed when the project file is opened.

To Create or Save a Layout

  1. Arrange the views for the current project the way you want.
  2. Choose View-Layouts to display the Window Layouts dialog box.
  3. Click Add to display the New Global Layout dialog box.
  4. Enter a name for the layout, and click OK. The layout is added to the list.
  5. Click Close to exit the Window Layouts dialog box.

To Update a Layout

  1. Arrange the views for the current project the way you want.
  2. Choose View-Layouts to display the Window Layouts dialog box.
  3. Choose the layout you want to update from the list.
  4. Click Add to display the New Global Layout dialog box.
  5. Leave the layout name unchanged, and click OK.
  6. Click OK to confirm that you want to update the layout.
  7. Click Close to exit the Window Layouts dialog box.

To Load a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want from the list.
  3. Click Load.

Views of the current project are arranged according to the layout settings.

To Delete a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want to delete from the list.
  3. Click Delete.
  4. Click OK to confirm that you want to delete the layout. The layout is removed from the list.
  5. Click Close to exit the Window Layouts dialog box.

To Rename a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want to rename from the list.
  3. Click Rename to display the Rename Existing Layout dialog box.
  4. Enter a new name for the layout, and click OK. The layout is renamed in the list.
  5. Click Close to exit the Window Layouts dialog box.

To Set Layout Options

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Check the options you want.
  3. Click Close.

To Load a Layout with a Keyboard Command

  1. Use the Options-Key Bindings command to open the Key Bindings dialog box.
  2. In the Type of Keys field, click either Computer or MIDI. If you click MIDI, also make sure the Enabled checkbox is checked.
  3. If you selected MIDI in the Type of Keys field, under MIDI Shift Options select either Key or Controller, and select a value for whichever one you pick.
  4. Under Bindings, scroll through the Key field and select the key that you want to trigger the layout command with.
  5. In the Function field, scroll down towards the end of the list, and under Global Layouts, click the name of the layout you want to assign to the key you selected.
  6. When both the Key and the Function are highlighted in their respective fields. click the Bind button to bind them together.
  7. Click OK.

Now you can load the layout you selected by pressing the MIDI keys or computer keys that you bound to that particular layout. You can bind as many layouts as you have available key combinations.

See also:

Layouts

Templates


Templates

Template files make it easy to create new projects with certain predefined settings. To create a template file, create a new project file and arrange the project settings the way you want, then save the project as a template file. Template files have a file extension of .cwt. When you create a new project, you can use the template as the basis for the new project. Pro Tracks looks for template files in a particular folder on your hard disk. By default, this folder is the program folder. To change the template directory, choose Options-Global and click the Folders tab.

Every time you start Pro Tracks, a new, empty project is displayed. If you want, you can determine the settings for this default project by creating and saving a special template file, called normal.cwt. If you create or update the normal.cwt file, Pro Tracks will display this template automatically when the program is started.

As a rule, any parameter that is saved in a project file is also saved in a template file. Following are some useful parameters that are saved in template files:

  • Track configuration and track parameters
  • Sysx banks
  • File information and comments
  • Tempo settings
  • Meter and key settings
  • MIDI data
  • MIDI In/Out/Thru settings
  • MIDI metronome settings
  • Selection start and end times
  • Record mode and punch-in times
  • Drum maps
  • Audio data
  • Automation

The following parameters are saved globally and are not stored in template or project files:

  • Initialization file parameters
  • MIDI device settings
  • Autosave options
  • Color settings

To Create a Template

  1. Create a new file using the File-New command.
  2. Add tracks.
  3. Set one or more parameters to be the way you want.
  4. Choose File-Save As to display the Save As dialog box.
  5. Choose Template from the Save as Type list.
  6. Enter a template file name and click Save.

Pro Tracks saves the template file.

To Create a New Project from a Template

  1. Choose File-New to display the New Project File dialog box. The list contains the names of all existing templates.
  2. Choose a template from the list.
  3. Click OK.

Pro Tracks creates the new project and displays it in the Track view.

See also:

Template Example: Three MIDI Instruments

Layouts

Templates


Template Example: Three MIDI Instruments

Suppose that your system has only a single MIDI output but you own three different synthesizers:

  • One synthesizer set to receive on channels 1 through 8
  • A general MIDI synthesizer module set to receive data on all 16 channels
  • A drum machine set to receive on MIDI channel 10

Here's how you can use a template to make it easy to create new projects that are already configured for the instruments you own.

To Create the Example Template File

  1. Choose File-New to create a new project file.
  2. Insert 16 MIDI tracks.
  3. In the Ch dropdown menu of track 10, enter 10. The drum machine responds to channel 10. For consistency, the drums can be placed on track 10.
  4. The second synthesizer responds to channels 1 through 8. These can be placed on tracks 1 through 8. For each track, enter the corresponding channel number using the Ch dropdown menu for each track. You should now have tracks 1 through 8 set to channels 1 through 8.
  5. The third synthesizer can respond to 16 MIDI channels, but the only channels left are 9 and 11 through 16. Enter these numbers in the corresponding tracks. You will need to mute the unused channels on the third synthesizer (1 through 8 and 10) so they won't play. These are assigned to the drum machine and the second synthesizer.
  6. Name each track and set any track parameters, such as starting patch, volumes, panning, reverb, chorus, and transposition.
  7. If you like, configure other parameters needed in your projects, such as auto-send Sysx banks, tempo settings, window positions, and comments.
  8. Choose File-Save, and save the file as a template named my3synths.

Now, each time you want to start working on a new project, you can simply load your template and start recording.

See also:

Layouts

Templates


Key Bindings

Key bindings let you associate Pro Tracks commands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

From your computer keyboard, you can create a custom key binding for any of 134 key combinations:

  • The Ctrl+Shift keys in combination with any letter of the alphabet except Z.
  • The Ctrl+Alt keys in combination with any letter of the alphabet
  • The Ctrl key in combination with any number
  • The Ctrl+Shift keys in combination with any number
  • The Ctrl+Alt keys in combination with any number
  • The following function keys: F2, F3, F4, F6, F7, F8, F9, and F12
  • The Ctrl key combined with any function key
  • The Shift key combined with any function key

Some of these key combinations are already used by Pro Tracks and they appear in bold. Several of these preset key combinations can not be changed. Reserved key bindings appear in the Key Bindings dialog marked with the text [RSVD].

Rather than tie up all the notes on your MIDI keyboard with key bindings, Pro Tracks lets you define a Shift key on your keyboard that indicates when you want to use a key binding. For example, you could designate the lowest note on your keyboard as the Shift key, and then any number of notes to specific commands (for example, C4 to Process-Quantize, C5 to Process-Groove Quantize, and so on). If you press the C4 key by itself, the note plays normally. If you press the C4 key in combination with the lowest key on your keyboard (the Shift key), then it's just as if you had chosen the Process-Quantize command from the menu.

You can choose one of two options to define the Shift key:

  • MIDI key (typically, the very lowest or highest key on your MIDI keyboard)
  • Controller event (typically, one of the pedals)

If you use a MIDI key as the Shift key, then you lose the ability to play that note by itself. When you play the note, Pro Tracks assumes you are about to choose one of the key bindings you have created and ignores the note. If this is ever a problem, you can disable MIDI key bindings without canceling the key assignments and then re-enable the MIDI key bindings later on.

You can use a key binding to execute a command only when that command is available from the menu. For example, the File-Save command is disabled when no projects are open. If you have assigned the Ctrl+F2 key combination to the File-Save command, it won't do anything when no projects are open.

You can use MIDI key bindings and computer keyboard key bindings at the same time.

You use the Options-Key Bindings command to set up and manage your key bindings. Here's how.

To Create a Key Binding Using the Computer Keyboard

  1. Choose Options-Key Bindings to display the Key Bindings dialog box.
  2. Check Computer in the Type of Keys list.
  3. Highlight the key combination you want to bind from the Key list.
  4. Highlight the command you want to assign from the Function list.
  5. Click Bind to bind the key combination to the command.
  6. Click OK when you are done.

Pro Tracks puts an asterisk (*) next to the key to show that it is bound to a function and draws a black line connecting the key and function name. From now on, pressing the chosen key combination executes the command you have chosen.

To Create a Key Binding Using a MIDI Keyboard

  1. Choose Options-Key Bindings to display the Key Bindings dialog box.
  2. Check MIDI in the Type of Keys list.
  3. Check the Enable box to make sure MIDI key bindings are enabled.
  4. If you haven't already done so, assign a Shift key by doing one of the following:
    • Check Key in the MIDI Shift Option list, and enter the name of the key you want to use
    • Check Controller in the MIDI Shift Option list, and choose the controller you want from the list
  5. Highlight the key you want to bind from the Key list.


Using Instrument Definitions

Using Instrument
Definitions

Instrument definitions are a powerful feature of Pro Tracks that makes it easier for you to find the banks, patches, and controllers of your MIDI instruments. An instrument definition is a file that contains the names of the banks, patches, note names, bank select method, and controllers of an instrument. Instrument definitions for many popular MIDI instruments are included with Pro Tracks or are available on the Cakewalk web site (www.cakewalk.com). If an instrument definition is not available for your instrument, and you are familiar with MIDI and how it works, you can use Pro Tracks to create your own instrument definition.

Most MIDI instruments available today are General MIDI (GM) compatible, which means that they come with the standard set of sounds or patches defined by the GM standard. Pro Tracks initially assumes that your MIDI instruments are GM compatible. The names of patches and controllers that you initially see displayed throughout Pro Tracks are drawn from the GM specification.

At the same time, many MIDI instruments provide additional sounds and controllers beyond those required by the GM standard. In addition, some older MIDI instruments are not GM compatible. If you are using one of these instruments with Pro Tracks, you can use instrument definitions to make sure that the names of banks, patches, and controllers that you see in Pro Tracks are the same ones you see on the display screens of your MIDI keyboards and modules.

See:

Assigning Instruments

Importing Instrument Definitions

Creating Instrument Definitions

To Import Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Instruments

Pro Tracks lets you assign a MIDI instrument definition to each available MIDI output and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your Pro Tracks session.

Suppose that you have a Roland GS-compatible synthesizer attached to MIDI output 1. By assigning all 16 channels of MIDI output 1 to the Roland GS instrument definition, you ensure that the bank, patch, note, and controller name lists you see displayed in Pro Tracks are the same ones that you see on the display screen of your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. That way, any Pro Tracks tracks you assign to channel 10 on that output use the names of drum sets for patch names, and drum notation in the Piano Roll view. If you have several MIDI outputs, with a different MIDI module attached to each one, you would normally assign a different instrument definition to each MIDI output.

For convenience, you can assign a block of channels to one instrument and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI output and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of that same MIDI output and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI output will stay assigned to Roland GS.

If you only have one MIDI output, but have several MIDI modules attached to it, you can assign a few channels to each module. For example, you might have a Roland synth receiving on MIDI channels 1 through 9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI output.

To Assign Instrument Definitions to MIDI Outputs and Channels

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Select one or more MIDI outputs and channels from the Output/Channel list (use Shift-click and Ctrl-click to select multiple outputs and channels). You can also drag through a bunch of channels to select them. For example, if you want to assign the first 16 MIDI channels on output 1 to a certain MIDI module, drag through the first 16 items in the Output/Channel list to select them.
  3. Choose the instrument definition to which the selected outputs and channels should be assigned from the Uses Instrument list. A black line connects the two lists. If your MIDI module's name doesn't appear in the list and you don't want to use General MIDI bank and patch names for it, see Importing Instrument Definitions.
  4. To save these changes permanently, check the Save Changes for Next Session box.
  5. Click OK to apply your changes.

From now on, the bank, patch, controller, and note names from the assigned instrument definition are used throughout Pro Tracks on any track that uses one of the output/channel combinations you selected in the Output/Channel list.

To Clear Instrument Assignments

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Select the MIDI outputs and channels whose assignments you want to remove from the Output/Channel list.
  3. Choose <default> from the Uses Instrument list. A black line connects the two lists.
  4. Click OK when you are done.

You don't really clear instrument assignments--you reassign them to use the default (General MIDI) instrument definition. After you reassign the output/channel combinations, the default (GM) bank, patch, controller, and note names are used throughout Pro Tracks. on any track that uses one of the output/channel combinations you reassigned in the Output/Channel list.

See also:

Importing Instrument Definitions

Creating Instrument Definitions

To Import Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists


Importing Instrument Definitions

When you install Pro Tracks, a few common instrument definitions are already set up for you and ready to use. also includes several hundred additional instrument definitions that you can import.

These instrument definitions are stored in text files in your Pro Tracks folder, organized largely by manufacturer. For example, all the instrument definitions for Roland gear are stored in the Roland.ins file; all the instrument definitions for Yamaha gear are stored in the Yamaha.ins file. The Misc.ins file contains miscellaneous instrument definitions.

If Pro Tracks does not include an instrument definition for your MIDI instrument, you can find additional and updated instrument definitions on the Downloads section of the Cakewalk World Wide Web site (www.cakewalk.com). Simply download the files to your Pro Tracks folder, unzip if necessary, and import the instrument definitions as described below.

When you import an instrument definition, it is added to the master instrument definition file Master.ins. The contents of this file determines the list of instruments that appear in the Assign Instruments dialog box.

To Import Instrument Definitions

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Click Define to display the Define Instruments and Names dialog box.
  3. Click Import to display the Import Instrument Definitions dialog box.
  4. Choose the file that contains instrument definitions for your manufacturer, and click Open. Pro Tracks displays a list of all the instrument definitions in the file.
  5. Choose one or more instruments from the list, and click OK.
  6. Click Close to close the Define Instruments and Names dialog box.

The instrument definitions you imported should now appear in the Uses Instrument list in the Assign Instruments dialog box.

See also:

Creating Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists


Creating Instrument Definitions

Pro Tracks lets you create and edit instrument definitions. To create an instrument definition, you must answer these types of questions:

  • What are the names of the patches in each bank?
  • Which note names should be used for each patch?
  • What are the names of the MIDI Controllers for this instrument?
  • Which RPN and NRPNs are available on the instrument?
  • Which Bank Select method does the instrument use?

To collect this information, you need the MIDI documentation for your instrument.

Here's a general outline of the steps you must follow to create an instrument definition:

  • Create a new instrument in the Instrument tree.
  • Create any new name lists in the Names tree that are required for the instrument.
  • Drag name lists and possibly a bank select method to the new instrument from the Names tree.
  • Close the Define Instruments and Names dialog box.

For detailed instructions, see To Create a New Instrument.

You define instruments in the Define Instruments and Names dialog box, shown below:

The Define Instruments and Names dialog box contains two trees:

  • The Instruments tree in the left half of the dialog box lists all defined instruments and their characteristics
  • The Names tree in the right half of the dialog box shows all the resources you use to define an instrument

You expand or collapse the folders and lists in each tree by clicking on the + or - key shown to the left of each item. You can also right-click on an item and choose Expand or Collapse from the menu, or double-click on an item to expand or collapse it.

To define an instrument, you drag resources from the Names tree to the name of an instrument on the Instruments tree. Each resource is color-coded--you can only drag a Names list to an Instrument tree branch of the same color. For example, you can only drag a list from the Patch Names folder in the Names tree to a Patch Names for Banks folder in the Instruments tree.

There are six components to an instrument definition:

  • Method for bank selection
  • Patch names, such as Piano and Bass
  • Note names, which are most frequently used to name drum notes, such as kick or snare
  • Controller names, like volume and pan
  • Names for Registered Parameter Numbers (RPNs)
  • Names for Non-Registered Parameter Numbers (NRPNs)

The instrument definitions organize all names (patches, notes, controllers, RPNs, and NRPNs) into lists. You may be able to define a new instrument using existing name lists. For example, two models of synthesizers made by a particular manufacturer may have identical patch name lists but use different NRPNs. In this case, you can use the same patch name lists for both instruments, but you would need to use a different NRPN list (or perhaps create a new NRPN list) for the second synth.

If you want your changes to be remembered the next time you run Pro Tracks, make sure the Save Changes For Next Session option in the Assign Instruments dialog box is checked before clicking OK. Otherwise, to make only temporary changes, be sure to remove the check from that option.

To Create a New Instrument

  1. In the Define Instruments and Names dialog box, right-click the word Instruments at the top of the Instrument tree, and choose Add Instrument from the popup menu.
  2. Type a name for the new instrument and press Enter.

The new instrument is provided with default settings for all of its characteristics.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names

To Rename an Instrument

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Edit from the popup menu.
  2. Type the new name and press Enter.

To Delete an Instrument

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Delete from the menu.
  2. Confirm that you want to delete the instrument.

To Save an Instrument Definition

  1. Click Close to close the Define Instruments and Names dialog box.
  2. Click OK.

Pro Tracks saves the instrument definition in the master.ins file.

To Export an Instrument Definition

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Export from the menu to display the Export Instrument Definition dialog box.
  2. If you don't want to save the file in the folder that's listed in the Save In field, navigate to the folder in which you do want to save the file.
  3. Enter a file name and click Save.

Pro Tracks saves the file, with the filename extension .ins.

Note: Exporting instrument definitions allows you to share them with other Pro Tracks users.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Creating and Editing Patch Name and Other Lists

You can create and edit the various lists in the Names tree that make up each instrument definition. Patch name, note name, and controller name lists can contain up to 128 entries, numbered 0 through 127. RPN and NRPN name lists can contain up to 16,384 entries, numbered 0 through 16,383.

To Create and Edit Name Lists

  • To create, edit, or work with name lists, go to the Names tree of the Define Instruments and Names dialog box, and follow the directions in the following table:
    To do this...

    Do this...
    Create a new name list

    Duplicate an existing Patch Names or other list by doing one of the following: expand the folder that contains the name list, highlight the name list and press the Ins (Insert) key; highlight the folder and press Shift-Insert; or right-click any folder or name list and choose Add Names List from the menu.
    Then type a name for the list and press Enter.
    Delete a name list

    Highlight the names list and press the Del (Delete) key; or right-click on the name list and choose Delete from the menu. You will see a warning if the list is used by any instrument definition. If you delete the list anyway, the instrument definition will change automatically.
    Add the next item in a name list

    Highlight a name and press the Ins key, or right-click on a name and choose Add Name from the menu. Then enter the name.
    Add a name anywhere in a list

    Highlight the name of a list and press Shift-Insert, or right-click on the name of a list and choose Add Name from the menu. Then enter the name.
    Delete names from a list

    Highlight the Names List or Name, and press Del. You can also right-click, then choose Delete.
    Edit a name in a list

    Highlight the name or name list and press F2, or right-click and choose Edit from the menu. Then enter the new name.

See also:

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Copying Name Lists

You can easily create new lists that are similar to other lists. For example, suppose you want to create a new patch name list called NewList that is almost identical to the General MIDI patch list, but with one or two small changes. Here's how you proceed:

  • Create a new patch name list in the Patch Names folder of the Names tree called, for example, NewList.
  • Drag the new list onto the General MIDI list in the Names tree. You will be asked if you want to base NewList on the General MIDI list.
  • Click OK. NewList will now be listed under the General MIDI branch. Any patch names that exist in the General MIDI list apply to NewList, too.
  • Add new patch names to NewList. These names will override those in the list on which NewList is based.

If you change your mind about NewList and want to make it a stand-alone, separate list, simply drag it to the Patch Names root folder.

See also:

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning the Bank Select Method

Your synthesizer uses one of four bank select methods to switch back and forth between banks of sounds. To find the method used for your instrument, check the instrument's User's Guide or the manufacturer's web site. The four methods are as follows:

Method... | Used for...
Normal | Instruments that respond to Controller 0 or Controller 32 bank select messages
Controller 0 only | Instruments that only respond to Controller 0 bank select messages
Controller 32 only | Instruments that only respond to Controller 32 bank select messages
Patch 100..127 | Instruments that let you change banks by sending patch changes between 100 and 127

The bank select method you choose affects the bank numbers that you assign to each patch list, as described in the following section. Here's how you compute the bank numbers:

Bank select method...

To compute the bank number...
Normal

Take the value of Controller 0, multiply it by 128, and add the value of Controller 32 to derive the bank number.
Note: A synthesizer manufacturer may refer to Controller 0 as the MSB (Most Significant Byte) and to Controller 32 as the LSB (Least Significant Byte).
Controller 0 only

The value of Controller 0 is the bank number.
Controller 32 only

The value of Controller 32 is the bank number.
Patch 100..127

Take the patch number and subtract 100 to derive the bank number.

Here is an example of the Normal bank select method. According to the documentation for the Roland JV-1080 synthesizer, the PR-A Bank has a Controller 0 value of 81 and a Controller 32 value of 0. You compute the bank number that you enter in the instrument definition as follows: (81 x 128) + 0 = 10,368.

To Change the Bank Select Method

  1. Highlight and expand the instrument in the Instrument tree.
  2. Expand the Bank Select Method branch in the Names tree.
  3. Drag the desired bank select method from the Names tree to the Instrument tree.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Patch Names

A MIDI instrument can have up to 16,384 banks of 128 patches each. Patches can have names, like "Piano" for patch number 0, "Bass" for patch number 1, and so on. Normally, each bank contains a different set of patches, so each bank needs a separate patch name list. Most synthesizers start with a patch number of 0.

You can assign a patch name list to each bank. You can also assign a default patch name list to the instrument, which is used for all banks for which you haven't assigned a specific list. The previous section describes how to compute the bank numbers to which each patch name list is assigned.

Each bank can also be assigned a special Drum flag, which indicates that all patches in that bank contain drum sounds. If you set this flag, the Piano Roll view will display drum notes as diamonds, and the Staff view will use percussion notation.

To See the Assignment of Patch Name Lists to Banks

  1. Expand the instrument definition by clicking the + sign next to the instrument name.
  2. Expand the Patch Names for Banks folder by clicking the + sign. The list expands to show the bank numbers and the patch name list that is assigned to each bank.

To Add a Bank or Change the Patch Names for a Bank

  1. Drag a patch name list from the Names tree to the Patch Names for Banks folder of the instrument you're editing in the Instrument tree.
  2. Enter a bank number, or enter -1 to indicate that this list of patch names should be used as the default.

Pro Tracks displays the updated banks and patch name lists. If necessary, Pro Tracks adds a new bank to the instrument definition.

To Remove a Bank or Patch Name List

  1. In the Instrument tree in the Patch Names for Banks folder of the instrument you're editing, highlight the bank and patch names list.
  2. Press the Del key, or right-click on the bank name and choose Delete from the popup menu.

To Set or Clear the Drum Flag

  • Right-click on the bank in the Instrument tree, and choose Drums from the popup menu.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Note Names

Each patch may have a list of up to 128 names for notes. Usually, note names are labels for percussion instruments. For example, the pitch C3 may really be "Kick Drum," and D3 may be "Snare." Because a drum machine may provide different drum kits for each patch, Pro Tracks lets you specify a different list of note names for each patch. The Piano Roll and Event List views show you these note names.

You can assign a note name list to each patch. You can also assign a default note name list to the instrument, which is used for all patches for which you haven't assigned a specific note name list.

Each patch can also be assigned a special Drum flag, which indicates that this patch contains drum sounds. If you set this flag, the Piano Roll view will display drum notes as diamonds, and the Staff view will use percussion notation.

There are several standard note name lists provided with Pro Tracks:

Note name list... | Contents...
0..127 | The numbers 0 through 127
Diatonic | The default MIDI note names (like C4, E5, and so on)
General MIDI Drums | The default instrument names for the General MIDI drum patch

To See the Assignment of Note Name Lists to Patches

  1. Expand the instrument definition by clicking the + sign next to the instrument name.
  2. Expand the Patch Names for Banks folder by clicking the + sign.
  3. Continue expanding the tree by clicking the + sign, until the tree is fully expanded.

To Change the Note Names for a Patch

  1. Drag a note name list from the Names tree onto the Note Names for Patches folder of the instrument and bank you're editing in the Instruments tree.
  2. Enter the patch number that should use these note names, or enter -1 to indicate that this list of note names should be used as the default.

Pro Tracks displays the updated patch and note name lists. If necessary, Pro Tracks adds a new patch to the instrument definition.

To Remove a Note Name List

  1. In the Instrument tree in the Note Names for Patches folder of the instrument you're editing, highlight the name of the note names list (for example, "diatonic").
  2. Press the Del key, or right-click on the note name list and choose Delete from the popup menu.

To Set or Clear the Drum Flag

  • Right-click on the patch in the Instrument tree, and choose Drums from the menu.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Controller, RPN, and NRPN Names


Assigning Controller, RPN, and NRPN Names

Pro Tracks lets each instrument have its own lists of controller names, RPN names, and NRPN names. There is always exactly one list of each type per instrument.

To See the Controller, RPN, and NRPN Name Lists

  1. Expand the instrument definition by clicking the + sign next to the instrument name.

To Change the Controller, RPN, or NRPN Name List

  1. In the Names tree, expand the branch containing the Controller name lists, RPN name lists, or NRPN name lists.
  2. Drag the desired name list from the Names tree onto the corresponding branch of the Instrument tree.

Pro Tracks displays the updated Controller, RPN, or NRPN name lists.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

UsesNotesAsControllers=n

Some MIDI devices, certain mixers for example, use MIDI Note events instead of Continuous Controller events for automation. It is often desirable to treat the Note events as Controller events in order for them to obey the "Zero Controllers When Play Stops" and "Patch/Controller Searchback Before Play Starts" settings.

You can enter this variable in any instrument definition by using a text editor, such as Windows Notepad. The variable should be entered directly below an instrument definition. For example:

[Mackie OTTO-1604]

UsesNotesAsControllers=1

Control=Mackie OTTO-1604

Patch[*]=Mackie OTTO-1604

Key[*,*]=Mackie OTTO-1604

NoControllerReset=n

Any port/channel using an instrument definition that has a NoControllerReset flag set to 1 does not receive a "zero controller" message upon stop. You can enter this variable in any instrument definition by using a text editor, such as Windows Notepad. The variable should be entered directly below an instrument definition. For example:

[Yamaha Promix 01 Control Chan]

NoControllerReset=1

Control=Yamaha Promix 01 Control Chan

Patch[*]=Yamaha Pro Mix 01

This parameter should be used when it is undesirable to zero/reset controllers when playback stop, such as when using an external effects processor that uses MIDI controllers for real-time parameter control, or when using a digital mixer as a MIDI control surface (and not using the generic control surface plug-in).


Instrument Definition Tutorial

The following tutorial takes you through the process of setting up an instrument definition for a Roland keyboard so that the bank and patch names, including any self-created sounds, read the same in Pro Tracks as they do on the display screen of your keyboard instrument.

Next topic: Why Use Instrument Definitions?


Why Use Instrument Definitions?

The main reason to import or create an instrument definition is so you can use patch names that are specific to the MIDI module you're using, instead of using generic General MIDI patch names. It's much easier to find a particular sound on a MIDI module when the actual names of the patches in the current bank of sounds pop up on a list, instead of just the numbers 0 to 127, or General MIDI names like Trumpet. Of course, if you're only using General MIDI modules, General MIDI patch names might be all you need. You can also rename each MIDI output with the name of the MIDI module it's connected to. For example, it might be more meaningful to name a MIDI output Roland Sound Canvas instead of MOTU MIDI Express 5. That way, you won't have to remember that you connected the Sound Canvas to the MOTU MIDI Express output number 5--the name Sound Canvas shows up as an option in the Out field of each MIDI track in Pro Tracks's track view. Also if you have an effects processor or module that's hard to get to in your studio, you may find it convenient to control it from Pro Tracks.

Next topic: What Can They Do and Not Do?


What Can They Do and Not Do?

Instrument definitions don't increase the number of sounds or the capabilities of your modules, they just make it easier to find and remember the sounds and/or MIDI controllers you want to use, if they're not all generic General MIDI items. After you define an instrument, Pro Tracks displays the names that you choose for the sounds in each of that instrument's banks, rather than displaying the same 128 General MIDI names over and over for each bank of sounds.

Next topic: Where Do Instrument Definitions Come From?


Where Do Instrument Definitions Come From?

The patch names and other characteristics of each particular MIDI module are supplied by the manufacturer, and are contained in an instrument definition file, which is a text file written in a format Pro Tracks can read. Many of these files come with Pro Tracks, and many more are available at Cakewalk's web site, and also at lilchips.com. Instrument definition files have the extension .ins and can contain a definition for only one instrument, or definitions for several instruments. For example, the file roland.ins contains definitions for many Roland modules. The file misc.ins contains miscellaneous definitions that might include your instrument if you don't see a specific file for it. You can find these files in your Pro Tracks folder. The file master.ins contains all the instrument definitions currently loaded into Pro Tracks, and determines the list of instruments that appears in the Assign Instruments dialog box.


Start of Tutorial

Let's say you have a Roland XP-10 and you want Pro Tracks to display all of its patch names from all of its banks, including any self-created sounds you add to it.

Let's start by importing the names of the built-in banks and patches that the XP-10 has.

To Import a Roland Instrument Definition

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Click Define to display the Define Instruments and Names dialog box.
  3. Click Import to display the Import Instrument Definitions dialog box.
  4. Choose the file that contains instrument definitions for your manufacturer, which in this case is the roland.ins file, and click Open. Pro Tracks displays a list of all the instrument definitions in the file.
  5. Scroll down the list, select the Roland XP-10, and click OK.
  6. Click Close to close the Define Instruments and Names dialog box.

The instrument definition you imported should now appear in the Uses Instrument list in the Assign Instruments dialog box.

When you import an instrument definition, it is added to the master instrument definition file Master.ins. The contents of this file determines the list of instruments that appear in the Assign Instruments dialog box.

Now let's assign the XP-10 definition to some channels on a MIDI output:

To Assign the Roland XP-10 Bank and Patch Names to a MIDI Output

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Let's assign all 16 MIDI channels on output 1 to use the XP-10 bank and patch names:
    • Drag through the first 16 items in the Port/Channel list to select them.
    • From the Uses Instrument list, click Roland XP-10. A black line connects the two lists.
  3. To save these changes permanently, enable the Save Changes for Next Session option.
  4. Click OK to apply your changes.

From now on, any track that uses any of channels 1 to 16 on output 1 displays bank and patch names from the XP-10.

To check this, assign a MIDI track in a project to Ch 1, assign the Out field to 1-Roland XP-10, and then examine the dropdown lists in the Bnk and Pch fields of the track. You should see bank and patch names that are specific to the Roland XP-10.

Let's check some of our bank and patch lists to see if they match up with what we see on the screen of the XP-10. On the XP-10, let's look at the Vari 1 bank: if we look at tone (tone means the same as patch) #005 in the Vari 1 bank on the XP-10, we see that it is called Detuned EP1. If we change the bank on a MIDI track to 128-Roland XP-10 Var #01, and look at the menu of patches in the Pch field, we see that there is no name listed for patch #004 (Roland numbers its patches from 1 to 128; Pro Tracks numbers patches from 0 to 127, so patch #004 in Pro Tracks is the same patch number as patch #005 on the Roland). Let's look at some of the other Roland XP-10 patch name lists in the right window of the Define Instruments and Names dialog box to see if another one has the right patch names in it, and rename it Var #01.

To Substitute and Rename a Patch List

  1. Use the Options-Instruments command to open the Assign Instruments dialog box, and click the Define button to open the Define Instruments and Names dialog box.
  2. In the Names Tree window on the right, click the + sign on the Patches folder to expand the tree of patch name lists.
  3. Scroll down to the Roland XP-10 Var #08 list and click its + sign to expand it.
  4. Compare the names on the Var #08 list with the patch names of the Vari 1 instruments on the Roland's display screen. You'll see they are the same.
  5. Let's substitute the Var #08 list for the Var #01 list that Pro Tracks currently lists as the XP-10's second bank, which has a bank change number of 128:
    • In the Instruments tree in the left window, click the Roland XP-10 entry to expand it, and then expand the Patch Names for Banks list that's directly under it.
    • Expand the Patch Names tree in the right window and find the Roland XP-10 Var #01 list (if there is one) and right-click it to display the popup menu.
    • Choose Edit from the popup menu, and change the name from Roland XP-10 Var #01 to Roland XP-10 Var #011.
    • In the same tree find the Roland XP-10 Var #08 list and change the name from Roland XP-10 Var #08 to Roland XP-10 Var #01.
    • Drag the newly renamed list from the Patch Names tree in the right window to the Patch Names for Banks tree in the left window.
    • In the Bank Number dialog box, enter 128, and click OK.
  6. Click the Close button to close the Define Instruments and Names dialog box and click OK to close the Assign Instruments and Names dialog box.

Examine the new bank and patch data in a track that uses 1-Roland XP-10 as an output. In the Bnk field, select 128 Roland XP-10 Var #01, then look at the dropdown list of patches in the Pch field. The list should now have the same names that the Roland keyboard uses for its Vari 1 bank.

The Roland XP-10, like most MIDI keyboards, allows you to create your own sounds and store them in one or more User banks. You can create patch name lists in Pro Tracks that are the same as the names you gave to each of your own sounds.

Checking Bank Numbers

You can calculate bank numbers by using the methods described in Assigning the Bank Select Method, but you might find it easier to use the following method:

To Check the Bank Numbers

  1. Set up a MIDI track to record from your MIDI keyboard or module.
  2. Click the Record button to start recording, and change banks on your keyboard.
  3. Stop recording, and open the Event List view.
  4. The bank change you recorded is displayed in the Event List view in this way: in the Data column you'll see what kind of bank change method your keyboard uses (probably Normal), and in the column to the right of that data is the number of the bank you changed to.

When we changed the Roland XP-10 to the User 1 bank, we recorded a bank number of 8192.

To Create a Patch Name List for Your Own Sounds

  1. You could create a new list by copying and renaming an existing list (right-click a list and choose New Patch Name List from the popup menu), but since the instrument definition we imported for the XP-10 includes a list called Roland XP-10 User Tone 1, let's just edit that one: in the Names Tree window on the right, right-click the Roland XP-10 User Tone 1 list and choose Add Patch Name from the popup menu.
A new patch field appears, with the text "0 = 0" inside.
  2. Replace the first number in the patch field with the number of a patch you stored in User Bank 1 on the Roland.
  3. Replace the second number in the patch field with the name you made up for the patch you just gave a number to, and press Enter.
  4. Assign names to as many patch numbers as you want--the numbers between 0 and 127 that you don't assign any names to show up in the Track view Pch column just as patch numbers with no other names.
  5. When you finish assigning names, drag your edited patch list to the Roland XP-10 Patch Names for Banks tree in the left window.
  6. Enter 8192 as the bank number, which we know is the correct bank number from the previous procedure.
  7. Click the Close button to close the Define Instruments and Names dialog box and click OK to close the Assign Instruments and Names dialog box.

Now you can select the 8192-Roland XP-10 User Tone 1 bank in the Bnk field of a MIDI track, and then examine the patch list in the Pch field: you should see the patch list that you just created.


Audio File Management

Project files in Pro Tracks do not contain the digital audio itself. A Pro Tracks project file (.cwp) references the audio contained in the project, so care must be taken when backing up your digital audio projects. This section covers file management, including backing up your projects.

See:

Project Files and Bundle Files

Audio Folders

Backing Up Projects with Digital Audio

Deleting Unused Audio Files


The Project Files Dialog

Pro Tracks projects, extension .cwp, contain all your project information with the exception of your digital audio data. This data is stored in a separate folder or folders. You can opt to save the data for all of your projects in a single audio folder, or create multiple folders.

The Project Files dialog lists all of your project's audio files and their location. This dialog is a valuable tool for managing your audio files.

How to use the Project Files Dialog

The Project Files dialog has important information, including:

  • Exactly which folders all of your audio files are saved in--know at a glance if you can backup your project by copying the audio folder and the .cwp file or if you need to do a Save As to round up files not in your project's audio folder.
  • The filenames for each audio file your project is referencing
  • The size of your project--important if you are going to backup your project


Project Files and Bundle Files

Pro Tracks project files contain various project settings, any MIDI data, and references which "point" to audio clip data. The audio data (and video data) itself is not saved in a project file. To save audio as well, save your project as a Bundle file (extension .cwb). Bundle files contain everything that a project file contains in addition to the digital audio. Bundle files are useful for backing up projects and for transporting on removable media, like a Zip or Jaz disk.

The following are descriptions of both file types:

File Type... | Description... | When to Use...
cwp | Contains MIDI data, project settings, and pointers to audio data in your Data directory. Project files contain no audio data, so they are small. Backing up a Project file does not back up the associated audio data. | Project files are good for routine projects. You can use Project files and back them up as Bundle files at various steps during a projects development.
cwb | Contains all project data, including all audio data. Bundle files are large. | Bundle files are useful for backing up projects or for transporting a project to another computer (to bring it to a friend's house, for example).

Note: Due to Windows limitations, bundle files (.cwb) are limited to a size of 2 GB.

To Create a Bundle File

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose Bundle from the Save as Type list.
  3. Enter a file name and click OK.

Pro Tracks compacts all the audio and merges it with the remaining project data in a bundle file.

To Unpack a Bundle File

  1. Choose File-Open to display the Open dialog box.
  2. Choose a file with a .cwb extension.
  3. Click Open
If you have the Per-project Audio Folders option enabled in the Global Options dialog, the Unpack Bundle dialog appears. If this option is not enabled, the bundle file opens and all audio data is stored in the Global Audio Folder.
  4. If you want to store the project in its own folder do the following in the Unpack Bundle dialog:
    • Enter a project filename in the Project Name field.
    • Use the browse button to the right of the Location field to select a destination folder for the project, or to create a new folder, enter a new folder pathname in the Location field.
    • Use the browse button to the right of the Audio Path field to select a destination folder for the project's audio data, or to create a new folder, enter a new folder pathname in the Audio Path field.
  5. Click OK.


Audio Folders

By default, Pro Tracks stores audio data separately from the rest of your projects, as wave files placed into a special folder called the Global Audio Folder, the location of which is listed in the Global Audio Folder field on the Audio Data tab in the Global Options dialog. You can also create audio folders on a per-project basis.


Global Audio Folders

You can change the location of the Global Audio Folder. This may be necessary if, for example, your hard disk is full and you want to move all audio data storage to a different hard disk. We strongly recommend that you do not change the location of the Global Audio Folder unless absolutely necessary.

If your original Global Audio Folder contains any audio files with the extension .wav, you must manually move these files to the new Global Audio Folder using the Windows Explorer, or open the project and use the Missing Audio dialog to find and move the missing files.

To Change the Global Audio Folder

  1. Choose Options-Global and click the Audio Data tab.
  2. Enter the pathname of the new Global Audio Folder in the Global Audio Folder field, or click the browse button that's at the right end of the Global Audio Folder field to browse to the new directory.
  3. Click OK when you are done.
  4. Use the Windows Explorer or some other program to move all audio files from the old Global Audio Folder to the new Global Audio Folder.

All new audio files will be stored in the new Global Audio Folder, unless you decide to use per-project audio.

It is safer, but more time-consuming, to first save all projects as bundle files, change the Global Audio Folder, then open the bundle files. This ensures that all of the audio data is properly moved to the new Global Audio Folder.

Tip:

It is safer, but more time-consuming, to first save the all projects as bundle files, change the Global Audio Folder, then open the bundle files. This ensures that all of the audio data is properly moved to the new Data directory.


Per-project Audio Folders

You have the option of using a single audio data folder or using different audio data folders for each project. By default Pro Tracks stores audio data in the Global Audio Folder. If you want to use per-project audio folders, use the following procedure:

To Use Per-project Audio Folders

  1. Select Options-Global.
The Global Options dialog appears.
  2. Select the Audio Data tab.
  3. In the Per-Project Audio section, check the Use Per-Project Audio Folders option.
  4. Click OK to apply the change.

Once you have enabled the per-project audio folders, the New Project File allows you to choose the directory where you want to store the new project and a subdirectory where you want to store the project's audio data.

To Create a New Project Using Per-project Audio

  1. Select File-New.
The New Project File dialog appears.
  2. Enter a filename in the Name field
The Location and Audio Path directories are automatically updated in the following format:
  • C:\default directory\project name. The default directory for new projects is assigned in the Folders tab of the Global Options dialog. project name is the project's per-project folder name.
  • C:\default directory\project name\Audio. The default directory for new projects is assigned in the Folders tab of the Global Options dialog. project name is the project's per-project folder name, and Audio is the subfolder where your audio data will be stored.
  3. If you want, rename the Location and/or Audio Path directories.
  4. Click OK.

To Save an Existing Project Using Per-project Audio

You may have older files that are not using per-project audio folders. If you want to save these files using a per-project audio folder, use the following procedure:

  1. Make sure that per-project audio folders is enabled in the Global Options dialog.
  2. Open the project whose audio you want to store using per-project audio.
  3. Select File-Save As.
The Save As dialog appears.
  4. If you want, change the name of your project.
  5. In the Project Path field, enter the new directory where you want to save the project, or use the Browse button to the right of the field to navigate to an existing directory.
  6. Check the Copy all audio with project option.
  7. Click Save.
  8. Pro Tracks copies the project to the directory specified in the Project Path field and stores all the project's audio in the directory specified in the Audio Path field.
Note: After you use the above procedure, you have two versions of the same project.


Imported Audio Files

By default, Pro Tracks will make a copy of any audio data imported using the File-Import-Audio command and place the imported audio into the project's audio folder. You can configure Pro Tracks to simply reference audio from its current location if, for example, you want to import large quantities of audio data into a project and don't want to consume time and disk space by making copies of the files. Copies are always made if the imported audio does not match the current project's sampling and bit rates (and if you edit any of the imported audio data). Automatic handling of imported files is enabled by default. Do not disable this option unless you are prepared to manage the audio files individually. Creating backups of your projects is very easy if all your audio is stored in a single, per-project directory.

To Change Handling of Imported Files

Use the following procedure to allow or disallow file sharing between projects:

  1. Choose Options-Global and click the Audio Data tab.
  2. Check the Always Copy Imported Audio Files option to create copies of all imported audio clips as a default.
OR
Uncheck Always Copy Imported Audio Files option to reference imported audio from its current location.
Note: You can override this setting when importing audio by checking or unchecking the Copy Audio to Project Folder option in the Import Audio dialog.
  3. Click OK when you are done.

Imported files will be handled based on the settings you have chosen.

See:

Backing Up Projects with Digital Audio


Backing Up Projects with Digital Audio

There are several ways to back up your projects in Pro Tracks. You can use per-project audio folders to keep all a project's audio in its own folder, use the Consolidate Project Audio command to create a backup copy of all your project's audio, or you can save a project as a bundle file (.cwb).

The following table lists several backup methods:

Backup Method... | Advantages...
Per-project Audio Folders If you are using per-project audio folders you can create a copy of the project folder and its audio subfolder. | This method is an exact copy of your project, preserving all clips and pathname information.
Consolidate Project Audio If your project references audio from multiple folders, for example you have a library of loops that you share between several projects, you can gather all the audio for your project into a single folder using the Consolidate Project Audio command. The Consolidate Project Audio command copies every audio file your project references into a backup folder beneath the projects audio data folder. Creating a copy of all your project's audio may take a lot of disk space. | Allows you to create a complete backup of all project audio even if the audio is in multiple locations. Creates a new folder which you can move or delete without fear of losing the original audio files.
Bundle Files A bundle file is a single file that contains all the information used in a project. A bundle file includes everything that is stored in a normal project file, plus all the digital audio that is used in the project. | Creates a single file for ease of portability.

To Backup Projects Using Per-Project Audio Folders

Use this procedure to create a backup of a project that has its own project folder.

  1. Open the project you want to backup.
  2. Select File-Project Audio Files.
The Project Files dialog appears.
  3. In the Project Files dialog, check the Path column to make sure that every audio file is stored in the project's audio folder. If any files are stored in folders other than the project's audio folder, you should use the Consolidate Project Audio command to move all audio to the project's audio folder.
  4. Close the Project Files dialog once you have confirmed that all audio files are in the project's audio folder.
  5. Close the project.
  6. Using Windows Explorer, copy the project folder and its contents, including the project's audio folder, to its backup location (CD-R, CD-RW, Zip or Jaz drive, another hard drive, network drive, etc.).

You have now created a copy of your project. It is a good idea to open the project once you have backed it up to confirm that all audio loads properly.

To Create a Backup Using Consolidate Project Audio

Use this procedure to backup a project that has multiple audio folders:

  1. Open the project you want to backup.
  2. Select Tools-Consolidate Project Audio.
  3. A message box appears listing the destination folder for your audio backup.
  4. Click OK to confirm.
  5. Using Windows Explorer, copy the project, the backup folder and all its contents, including the project's audio folder, to its backup location (CD-R, CD-RW, Zip or Jaz drive, another hard drive, network drive, etc.). The Consolidate Project Audio command only copies the audio in your project, so make sure you copy the project (.cwp) along with the backup folder.
  6. Once you have copied the backup folder you can delete it to free up disk space.


Deleting Unused Audio Files

The Tools-Clean Audio Folder command is used to delete digital audio files in an audio folder if they are no longer used by any of your projects. You should use this command from time to time to free up disk space.

This command searches your entire system for project files, and then compiles a list of all the audio files in a specified folder that are not in use by any of these projects. You can then choose to delete these audio files. Make sure that all of your important project (.cwp) files are stored on your local hard disk(s) before using this command. If your project files are stored elsewhere (removable media, etc.), then you risk accidentally deleting important audio files that are associated with your projects.

If you are using another utility program that protects you from accidentally deleting important files (such as Norton Protect), you may need to disable that program. Otherwise, the next time you use the Tools-Clean Audio Folder command you may once again find these not-quite-deleted files.

To Delete Unused Audio Files

  1. Make sure all project files that contain audio are immediately accessible on a hard disk.
  2. Choose Tools-Clean Audio Folder to display the Clean Audio Folder dialog box.
  3. Click the Browse button to the right of the Audio Path field and navigate to the folder you want to search for unused audio files.
  4. If you want to search all subfolders of the folder you chose in the Audio Path field, click the Recursive option.
  5. Click the Find button. Pro Tracks searches the selected directory for audio files that appear to be unused by any existing projects, and displays the names of these files in the list.
Pro Tracks searches the entire system for project files. Audio files in the folder or folders you decide to search which do not belong to any of the projects on your system appear in the Clean Audio Folder dialog. If any corrupted or unreadable project files exist on your system, the Unreadable Files dialog appears. It is very important that you restore any unreadable files from a backup before continuing, otherwise you risk data loss.
  6. Follow the instructions in the table:
    To do this...

    Do this...
    Listen to a file

    Highlight the file name in the list and click Play
    Delete a file

    Highlight the file name in the list and click Delete
    Delete all files

    Click Delete All, and click Yes to confirm
  7. Click Close when you are done.


Improving Audio Performance

Improving Audio
Performance

Digital audio presents several challenges: it is large, gobbling up enormous amounts of disk space, especially at higher sampling rates and bit-depths, and it is CPU-intensive. Added to this mix is the wide variety of audio hardware available today. This section covers some common problems with recording and playback and how to configure your computer and audio hardware for optimum performance.

Note: One of the quickest ways to improve audio performance is to use WDM or ASIO sound card drivers instead of the older MME type. See WDM vs. MME Drivers.

See:

System Configuration

Improving Performance with Digital Audio


System Configuration

This section covers optimizing your system configuration to work with Pro Tracks.

See:

The Wave Profiler

Enabling and Disabling Audio Devices


The Wave Profiler

The Wave Profiler is a utility that analyzes the sound cards in your computer and determines the best DMA (Direct Memory Access) settings for communicating with Pro Tracks. These DMA settings are displayed in samples, at the sample rates and bit depths your sound card supports. The Wave Profiler also sets a value in milliseconds for the Buffer Slider, which controls mixing latency. The Wave Profiler is unnecessary if you are using an ASIO driver. One of the best ways to improve mixing latency is to use a sound card that uses a WDM or ASIO driver instead of MME (legacy) type. For a comparison of the two types of drivers, see WDM vs. MME Drivers.

The DMA settings are used to ensure that a project that contains both MIDI and digital audio plays back in tight synchronization. If Pro Tracks is not configured properly with your audio device's DMA settings, MIDI and digital audio material may not play back correctly.

The Wave Profiler utility runs automatically the first time you run Pro Tracks. If you have a sound card with a WDM driver installed, Pro Tracks will detect this and run the wave profiler determining the best DMA settings for the supported bit depths of your sound card. You can force the use of the MME interface by checking the option on the Advanced Tab in the Audio Options dialog box that says, "Always Use MME Interface Even When WDM Drivers are Available". This option forces any card that has WDM drivers to use the MME interface instead. After you restart Pro Tracks you will be prompted to run the wave profiler, this time it will determine the DMA settings using MME instead of WDM. This is especially useful if you have multiple sound cards, one of which does not support WDM.

Note: Pro Tracks does not support the use of WDM and MME simultaneously. To use a sound card with WDM drivers with a sound card using MME drivers, you must check the "Always Use MME Interface Even When WDM Drivers are Available" option in the Advanced tab of the Audio Options dialog. This forces the sound card using WDM drivers to use the MME interface.

All of your audio settings are listed in the Audio Options dialog box, which you open with the Options-Audio command. The following list summarizes all the settings that the Wave Profiler sets. You can override all of them except what audio drivers are listed in the Drivers tab:

  • Input and output drivers
  • DMA buffer sizes (in samples)
  • Mixing latency

If you experience MIDI and audio synchronization problems during playback, before contacting technical support, run the Wave Profiler and try the default setting.

To Manually Run the Wave Profiler

  1. Choose Options-Audio to open the Audio Options dialog box, and click the General tab.
  2. Click Wave Profiler.
The Wave Profiler examines each of your sound cards in turn, and displays the name of the sound card it detected under the following possible headings:
Heading... | What it means...
16 Bit Wave API | No WDM drivers were detected. Profiling using MME under Win9x and WinME
32 Bit Wave API | You may have chosen to force MME even when WDM drivers are available. Note: Windows 2000 will use this API when profiling MME.
WDM Kernel Streaming | WDM drivers were detected.


Enabling and Disabling Audio Devices

Your computer may have several installed devices like FAX modems and software synthesizers that Windows recognizes as sound cards containing audio drivers. You do not want to use these devices for audio input or output. If they are listed as audio drivers in the Audio Options dialog box, you need to disable them.

To Enable or Disable an Audio Device

  1. Choose Options-Audio to open the Audio Options dialog box and click the Drivers tab.
  2. In the Input Drivers and Output Drivers fields, do one or both of the following:
    • To enable an audio device, click the name of the device so that it is highlighted.
    • To disable an audio device, click the name of the device so that it is not highlighted.
  3. Click OK.

Disabling a device in the Audio Options dialog box usually prevents conflicts with other audio devices. Occasionally you may need to disable a device in the Windows Control Panel.

Pro Tracks also allows you to choose the sound card whose clock should be used to control recording and playback timing (if you only have one sound card, Pro Tracks automatically uses it). Every sound card's clock crystal is slightly different, which causes minor differences in the actual playback rate on each card. These differences may lead to slight synchronization problems if you use one card for recording and a different one for playback. Generally, you should choose your highest quality sound card for both recording and playback timing. Note that while some multichannel sound cards have multiple drivers, most sound cards have only a single audio driver.

To Select Playback and Record Timing Masters

  1. Choose Options-Audio to open the Audio Options dialog box and click the General tab.
  2. In the Playback Timing Master and Record Timing Master fields, select which sound cards you want to control playback and record timing, respectively.
  3. Click OK.

While you must choose a playback timing master, you can route audio output through any number of devices at once. For example, suppose your computer has both a high-end audio card and a basic built-in sound card. You should choose the high-end sound card as the record and playback timing master. However, using the aux buses in the Console or Track views, you could create a headphone or monitor mix and route it through the built-in sound card.

See:

Status Bar/CPU Meter/Disk Meter

Note: Some audio devices, especially USB devices that use WDM drivers, can not operate in 24-bit mode unless a variable in Pro Tracks's aud.ini file is set to 1. The variable is Use24BitExtensible=<0 or 1>, which goes in the [name of your audio device (`n' in, `n' out)] section or the aud.ini file. For more information, see .


Improving Performance with Digital Audio

When a project contains many tracks of digital audio or when many real-time effects are in use, your computer may have difficulty keeping up during playback. When this occurs, you'll hear portions of the audio drop out, stutter, or pop. Or maybe your project responds slowly to real-time effects and volume changes. In an extreme case audio playback may stop altogether. If you experience a dropout, a dialog appears with suggestions for fixing the problem. This section covers performance issues specific to digital audio, including how to get the more tracks of audio, more real-time effects, lower latency and how to fix audio dropouts.


Getting the Most Out of Your PC

The maximum number of audio tracks you can expect to play on your computer depends on the audio sample rate, the speed of your hard disk, and the speed of your computer's CPU.

There are a variety of things you can do to increase the number of audio tracks and effects you can play on your computer, as outlined in the following table:
Approach... | How it works...
Avoid compressed disks | If you use DoubleSpace, Stacker, or some other disk compression system, it will slow down playback of audio tremendously. Configure your system so that the Data directory is on a hard disk that is not compressed.
Exit other programs | The more programs you have open, the more CPU cycles you are taking away from your project. Exit any programs unnecessary to the task at hand.
Refrain from other activity during playback | If you open and close windows or do lots of editing while playback is in progress, you may steal CPU cycles that would otherwise be used for playback.
Apply some audio effects offline | If you are happy with your real-time effects, consider using the Process-Apply Audio Effects command to apply those effects offline. Then remove those effects from real-time use and free up lots of CPU power.
Archive unused audio tracks | Audio tracks that are muted continue to place a load on your processor. To lessen the burden and free up cycles to handle more audio, archive all unused audio tracks. See To Archive or Unarchive Tracks for more information.
Mix down your audio tracks | If your project contains many different audio tracks or many real-time effects, you can use the Edit-Bounce to Track(s) command to reduce all of this content to a stereo track. Having done this, you can archive the original tracks (in case you need them later) and play only the new tracks, lessening the computational burden on your computer. For more information, see Mixing Down and Distributing Audio.
Change I/O Buffer Size on the Advanced tab of the Audio Options dialog box | Most hard disks work best with the default setting of 64 KB. Yours may work better with 128, 32, or 16. If those values don't help, try 256, 512, or move on to another remedy.
Defragment your hard disk | If your hard disk is fragmented, playback of audio will be slower. Use the Disk Defragmenter to correct the situation.
Turn off the Clip Audio Mix Upon Overflow option on the Advanced tab of the Audio Options dialog box. | Unless your mix is really distorted, you won't usually need this option.
Turn off the Apply Dither option on the Advanced tab of the Audio Options dialog box. | Dithering subtly improves your mix, but most people can't hear it. Turn it back on for mastering.
Enable disk caching | By default, Pro Tracks bypasses all disk caching, which typically results in better performance with audio data. If your computer has a very large amount of RAM (128 MB or more) and your audio tracks include many repeated sections, enabling caching may improve Pro Tracks's audio performance. Choose Options-Audio and click the Advanced tab to change the disk cache settings.
Record audio at a lower sampling rate | If you don't require CD quality 44.1 kHz audio, then record your audio at a lower sampling rate of 22.05 kHz or 11.025 kHz. Choose Options-Audio to change the sampling rate. This method is useful only before you start work on a project. Once the audio sampling rate for a project has been set, it cannot be changed.
Disable the Display Clip Contents options | Drawing the contents of audio clips in the Clips pane uses some CPU cycles. If you are using a slow machine, you may want to disable this feature. To do so, right-click in the Clips pane, choose View Options, and disable the Display Clip Contents option.

Digital Audio Files and Storage

Digital audio requires a large amount of disk storage. The table below shows the disk space requirements in megabytes for a single minute of digital audio in mono and stereo at various sampling rates:

Sampling rate | 16 bit
11 kHZ Mono | 1.3 MB per minute
11 kHZ Stereo | 2.5 MB per minute
22 kHz Mono | 2.8 MB per minute
22 kHz Stereo | 5.0 MB per minute
44.1 kHZ Mono | 5.0 MB per minute
44.1 kHZ Stereo | 10.1 MB per minute
48 kHz Mono | 5.5 MB per minute
48 kH Stereo | 11.0 MB per minute

See:

Mixing Latency

Queue Buffers

Status Bar/CPU Meter/Disk Meter


Mixing Latency

Pro Tracks has a slider in the Audio Options dialog box, on the General tab, to set mixing latency. Mixing latency is the amount of time Pro Tracks allocates to prepare a buffer full of audio data for playback. Lower latency settings add processing time because of the need to refill the smaller data buffers more often. If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration in the Audio Options dialog box, in the Driver Profiles tab. You may need to use the slider to increase mixing latency under the following conditions:

  • You use lots of real-time effects, and you hear dropouts. Check the CPU meter for high readings; try increasing the latency.
  • Your sound card does not function well at lower latency. Some sound cards just do not function well at lower latency settings. Even though Pro Tracks's CPU meter and Dropout indicator report no problems, if you hear dropouts try increasing the mixing latency.

Sound cards differ in the precision of their timing, what size audio buffers they require, and other characteristics. Pro Tracks has a utility called the Wave Profiler that can usually automatically detect the type of sound card that you have installed and configure its settings for best performance. If your sound card is a well-known model, you can usually use Pro Tracks without having to change many audio settings. However, if you experience synchronization problems between MIDI and digital audio, like to use different sample rates, or want to experiment with mixing latency, you need to do some optimization yourself.

See:

The Wave Profiler

Status Bar/CPU Meter/Disk Meter


WDM vs. MME Drivers

In almost every situation, the newer WDM (Windows Driver Model) sound card drivers that most sound card vendors are creating are a much better choice than the older MME (Multi-Media Extensions) drivers. If your sound card vendor has a WDM driver, by all means use it. The following table compares their characteristics:

WDM... | MME...
Lower latency | Usually higher latency
Works with Windows XP, 2000, ME, 98 SE, but not 98 Gold | Works with Windows 98, and ME. Some MME drivers may work with Windows 2000.
Most sound card vendors have produced a WDM driver. | MME drivers are widely available. Note: If you use two or more sound cards at the same time, and not all of them have WDM drivers, you must force the WDM drivers to function as MME drivers. Do this in the Audio Options dialog box on the Advanced tab by checking the Always Use MME Interface Even When WDM Drivers Are Available checkbox.


ASIO Drivers

Pro Tracks supports ASIO drivers. You are limited to a single sound card when using an ASIO driver.

To Use an ASIO Driver

Use the following procedure to enable Pro Tracks for use with an ASIO driver.

  1. Select Options-Audio to open the Audio Options dialog.
  2. In the Audio Options dialog, click the Advanced tab.
  3. In the Playback and Recording section, select ASIO from the Driver Mode dropdown menu.
  4. Restart Pro Tracks.


Queue Buffers

Pro Tracks allows you to set the number of queue buffers in the Audio Options dialog box, in the General tab. A higher number of queue buffers will take longer to fill, and therefore cause an increase in latency. A lower number of queue buffers decreases latency, but may cause "dropouts." The default setting is 2. For more information, see: Mixing Latency, and Dropouts and Other Audio Problems.


Status Bar/CPU Meter/Disk Meter

Pro Tracks has several tools to help you identify and correct audio problems, including the CPU meter, the Disk meter, and the Dropout indicator. These tools are all located on the Status bar, which is at the bottom of the screen. The Status bar also contains a measurement of available hard disk space. If you do not see the Status bar, go to Options-Global, select the General tab, and make sure Show Status Bar is selected. The Status bar contains the following fields, reading from left to right:

  • Now time--The left-most field on the Status bar shows the Now time.
  • Audio Running--Whenever the Audio Engine button [image] in the Transport toolbar is depressed, the Audio Running indicator lights up.
  • Dropout indicator--The Dropout indicator is in the same field as the Audio Running indicator. The Dropout indicator displays the word Dropout whenever your project requires more resources than your CPU, main memory, and disk can supply.
  • Mute--Whenever a track is muted, the Mute indicator lights up. You can click the Mute indicator to unmute all muted tracks.
  • Solo--Whenever a track is soloed, the solo indicator lights up. You can click the Solo indicator to unsolo all soloed tracks.
  • Arm--Whenever a track is armed for recording audio or MIDI data, the red Arm indicator lights up. This indicator is in the same field as the red Aut indicator. You can click the Arm indicator to disarm all armed tracks.
  • Aut--Whenever any control is armed for automation recording, the red Aut indicator lights up. This indicator is in the same field as the red Arm indicator. You can click the Aut indicator to disarm all armed tracks
  • Disk Space--This field shows how many megabytes of disk space you have left on the hard drive where your wave data directory is. It also shows this amount of space as a percentage of that drive's total space.
  • CPU meter--The CPU meter displays the time it takes to process a buffer full of audio data as a percentage of the maximum time available to process that data and maintain uninterrupted playback. There is some tolerance built into the meter, so it's very possible that it will exceed 100% at times (more so during recording than playback). When the meter exceeds 100%, it displays the word "Overload."
  • Disk meter--The Disk meter measures how much of the available time Pro Tracks is using to perform input/output functions on your hard disk. The size of your setup's I/O buffer (listed in the Audio Options dialog box, in the Advanced tab) determines how much time is allowed to perform disk operations and maintain uninterrupted playback. When Pro Tracks performs disk operations, the Disk meter jumps up in value and shows the percentage of the allowed time Pro Tracks is taking to complete each cycle of disk Input/Output.

If you experience a dropout or your CPU or Disk meters are reading high, there are steps you can take to improve your audio performance. For more information, see Dropouts and Other Audio Problems.

See also:

Status Bar/CPU Meter/Disk Meter


Dropouts and Other Audio Problems

If your Pro Tracks application suddenly stops producing audio while in the midst of recording or playback, you've very likely experienced a "dropout". Sometimes instead of a dropout, you may experience a "stutter" during playback (a small section of audio repeats itself once or twice before normal playback resumes). Or, you may occasionally experience a "glitch" or "pop" during audio playback (a brief interruption or clicking noise is heard, but audio playback then continues normally from that point). It is possible to experience a dropout while working exclusively with MIDI (i.e., no audio data in the project), but this is a different matter and is not covered here.

All of these audio problems are the result of audio information not being sent to or received from your sound card fast enough or reliably enough. During recording, the sound card sends incoming audio data to the sound card driver, which in turn sends audio data to Pro Tracks to store on hard disk. When playing back, Pro Tracks reads audio data from the hard disk and feeds it to the sound card driver, which in turn passes it to the sound card for audible output. If these activities can't be completed fast enough, or if the communication between Pro Tracks and the sound card driver is broken in some way, recording and/or playback will be disturbed.

Causes and Cures

The exact cause of your audio problem will vary depending on the configuration of your computer and/or the content of the project file you're working with. The majority of audio problems are caused by one of the factors listed below. Read each of the topics below, in the order shown, and follow the recommendations provided:

The CPU is being interrupted by "background" activities having nothing to do with audio

Cakewalk doesn't properly "recognize" your sound card

The "I/O Buffer Size" may not be well matched to your hard disk

Mixing Latency may be set too low

Your hard disk may be excessively fragmented

Your Project File May Be Excessively Fragmented

Your sound card may not be capable of full-duplex operation or Wave-Out Position Timing

Your sound card's driver may be obsolete

There may be a conflict with your video card or other multimedia streaming card

Your sound card may have a conflict with another device in your computer

Your project may simply be too "complex" for your computer

Upgrade your computer hardware: More RAM, a faster CPU, and a faster disk drive

The CPU is being interrupted by "background" activities having nothing to do with audio

Turn off these other activities, so your CPU can process audio without interruption:

  • Turn off the Microsoft Office FastFind option if present on your system.
  • Don't use any scheduled background tasks (e.g., tasks which are part of the Windows Plus package, or which you have scheduled yourself using the Windows 98 Task Scheduler utility).
  • Discontinue use of any networking or communications applications on your computer. For example, don't run e-mail programs (like Microsoft Outlook), Web browsers, or AOL client software while you are running Pro Tracks. These programs send and receive chunks of information over a modem or a network connection; when one of these data chunks is sent or received, your CPU may be unexpectedly interrupted from Pro Tracks audio processing to deal with the modem or network data. That interruption can disrupt the smooth processing of audio data, causing a dropout or glitch. If possible, you should disconnect your computer from a local area network, and/or disconnect from any dial-up telecommunications while recording or playing back audio in Pro Tracks.
  • Turn off your screen saver (if present).
  • Turn off the "Auto-Notification" option for your CD-ROM drive. If it is turned on, the insertion of a CD-ROM can interrupt audio processing.
To disable it, open the System applet in the Control panel, click on the Device Manager tab, expand the CD-ROM list entry, double-click on the listed CD-ROM device, click on the Settings tab, and uncheck the Auto Insert Notification checkbox.
  • Disable any kind of virus scanning program that might be running in the background. To find out what programs are currently running, press the Ctrl-Alt-Del keys simultaneously to display the Windows Task Manager; if you see an anti-Virus program shown on the list of currently running tasks, select that program and click End Task.
  • If Pro Tracks's Auto Save feature is enabled, disable it.
  • Remove all programs from the Windows Start Up folder (\Windows\Start Menu\Programs\Start Up).

Cakewalk doesn't properly "recognize" your sound card

Re-run the Pro Tracks Wave Profiler, which will attempt to analyze your sound card and establish proper settings for it:

  • Choose Options-Audio, then click on the General tab. Click on the Wave Profiler button at the bottom of the dialog box.
  • If Wave Profiler offers you the chance to use "default settings" for your sound card, accept the defaults, close the Options-Audio dialog box, and check audio playback/recording.
  • If problem(s) continue, re-run the Wave Profiler, but this time do not accept any default settings.
  • If you decline to use default settings (or if Wave Profiler can't find any for your sound card), Wave Profiler will analyze your sound card's capabilities by running some tests and automatically establish appropriate settings based on the test results.
  • If your sound card is listed at http://www.cakewalk.com/Support/Docs/Soundcardtips.html, read and follow any special card-specific operating instructions listed there.
  • Re-test audio recording/playback. If problem(s) persist, go to the Next Step.

The "I/O Buffer Size" may not be well matched to your hard disk

Pro Tracks may be reading and writing audio data to/from your hard disk in chunks that are either too large or too small for your particular hard disk's characteristics.

Select Options-Audio, click the Advanced tab, and try different values in the I/O Buffer Size textbox until you find a value that works well for your particular hard disk:

  • The default value is 64. Try reducing this value, to 32, then 16. After each change, close the dialog box (click "OK") and re-test your project's recording/playback behavior.
  • If problem(s) persist, try increasing this value, to 128, then 256, then 512. Again, close the dialog box and re-try your project after each change.
  • If you have an older, slower computer or an older, slower hard disk, you should try increasing the buffer size; decreasing is not advised on slower hardware. However, increasing this setting uses more of your computer's RAM. If you only have 64 MB of RAM in your computer, increasing the buffer size may not help.

If problem(s) persist, restore this value to its default and continue with the next step.

Mixing Latency may be set too low

Pro Tracks tries to send and receive audio data to/from your sound card with very a minimal delay (so that any real-time adjustments you make to a track's volume, pan, or other settings will take effect rapidly). If the latency setting is set too low, the sound card driver may not be able to keep up with the Pro Tracks, and audio will be disrupted.

Try higher latency settings:

  • Select Options-Audio, and click the General tab. Move the Mixing Latency Buffer Size slider control to the right in small increments until you see the value to the right of the slider increase; close the dialog (click "OK") and re-test your project after each increment.
  • If problem(s) continue, move the slider control back to its original position, and try increasing the number in the Buffers in Playback Queue textbox. (This value starts out at 4; try increasing it to 5, 6, 7, or 8). Close the dialog (click "OK") and re-test your project after each such change.
  • The total effective latency is displayed below the slider; it is determined by multiplying the per-buffer latency time (in msec) by the number of buffers in the playback queue.
  • If problem(s) continue, click the Advanced tab in this dialog, and turn off the WavePipe Accelerator checkbox. Click OK to close the dialog and re-test your project.
  • If problem(s) persist, turn the WavePipe Accelerator checkbox back on, and continue.

Your hard disk may be excessively fragmented

Audio data can be processed most efficiently if it is arranged in consecutive physical locations on your hard drive. Over time, the chunks become distributed at various discontiguous locations on your disk, which makes it more time consuming for Pro Tracks to access the chunks. This extra access time can interfere with smooth audio recording and/or playback.

Try defragmenting the hard disk:

  • Make sure Pro Tracks, and the Wave data directory are not installed on a compressed hard disk.
  • Defragment your hard disk. If you have more than one hard disk in your computer, identify the disk which contains the Pro Tracks Data directory (this is where your projects' audio clips are stored.) To defragment the hard disk, exit Pro Tracks first. Then, select Start-Programs-System Tools-Accessories-Disk Defragmenter. We recommend that you backup your hard disk before defragmenting it.

Your Project File May Be Excessively Fragmented

Audio data can be processed most efficiently if it is arranged in consecutive physical locations on your hard drive. During normal Pro Tracks usage, a project's audio data can become fragmented into chunks stored at discontiguous locations on your disk. Accessing these discontiguous chunks can consume extra processing time, which can lead to dropouts.

Try defragmenting your project file:

  1. Open the project file that has audio problems.
  2. Save it as a Cakewalk Bundle (.cwb) file by selecting Save As from the File menu and selecting Cakewalk Bundle from the Save As Type drop down list and clicking the save button.
  3. Close the project.
  4. Open the Cakewalk Bundle you just closed

Saving then re-opening the bundle file automatically defragments the audio data used by the project, reducing the chances of a dropout or other audio problem.

When you are ready to save the file again, you may want to save it as a normal (.cwp) file. Saving and opening .cwp files takes less time than saving and opening bundle files.

Your sound card may not be capable of full-duplex operation or Wave-Out Position Timing

  • Select Options-Audio, click the Advanced tab, and try unchecking Enable Simultaneous Record/Playback if it's checked. Click OK to close the Audio Options dialog, and re-test your audio operation. If things work properly when this setting is off, but problems occur when it is on, the problem probably lies with your sound card's drivers. Contact your sound card's manufacturer for further assistance.
  • Try unchecking Wave-Out Position for Timing if it's checked, or vice-versa (check it if it's currently unchecked). Click OK to close the dialog box, and re-test your audio operation.
  • If problem(s) persist, restore the above settings to the condition in which you found them, and proceed with the next step.

Your sound card's driver may be obsolete

Obtain and install a new sound card driver (if available):

  • Consult your sound card manufacturer's web site (or contact their Customer Service department) to check for the availability of a later driver version. If one exists, obtain it and install it on your computer according to their instructions. With the new driver installed, restart the computer, then delete the file cw9auddx.ini from your Pro TracksPro Tracks and let it re-profile your audio hardware. When it's done, re-test your audio recording/playback.
  • If problem(s) persist, continue with the next step.

There may be a conflict with your video card or other multimedia streaming card

Some video drivers contain bugs which can interfere with Pro Tracks's operation. Or, the driver may be "stealing" excessive CPU time away from Pro Tracks (some video card vendors, in an attempt to make their cards operate faster, supply drivers that tie up the computer's bus for relatively long intervals (so-called "PCI bus contention"). This can interrupt the smooth flow of audio data between Pro Tracks and the sound card's driver.)

Try to remove the video card conflict as follows:

  • Try turning off "hardware acceleration" on your video card (if available). This may cause more sluggish screen drawing, but may improve the flow of audio data to your sound card, thereby reducing the possibility of dropouts.
To disable the hardware acceleration on your graphics card: Launch Control panel (Start-Settings-Control panel). Double-click the Display icon. Select the Settings tab. Click on the Advanced Properties button. Select the Performance tab. Move the slider for hardware acceleration one notch at a time toward `none' and re-test your recording/playback after each such adjustment. If problem(s) persist, leave the slider at `none' and proceed with the next step.
  • Try Using the Windows driver for your specific sound card (instead of the manufacturer's driver).
  • Try using the standard VGA/SVGA drivers provided with Windows (instead of the drivers provided by the manufacturer).
  • Check your video card manufacturer's web site for a later driver version. If a newer driver is available, download it and install it on your computer following the manufacturer's instructions.
    • If you have an STB Velocity 128 card, and your graphics card was configured and shipped with a new PC, you may want to check the PC vendor's website (instead of STB's site) to see if they offer a driver update for the STB card. PC vendors often will customize drivers to their specific needs and you should use their driver updates.
  • Try reducing the number of colors used by your video card. 16-, 24-, or 32-bit true color display settings can severely hamper real-time audio performance on some computers; using fewer colors allows your computer to spend more of its processing time on audio and MIDI.
You can adjust color depth by right-clicking on your Windows desktop, clicking Properties, clicking on the Settings tab, and selecting a suitable entry in the Colors listbox. Also, try reducing the display resolution. Re-test your audio playback/recording with these changes.
  • If you have one of the following specific video cards, applying the following card-specific .INI file settings can reduce PCI bus contention problems. Be sure to check out http://www.cakewalk.com/Support/Docs/VideocardTips.html for more information about these and other popular video cards:
    • If you have a Hercules Dynamite 128 card:
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [Hercules], check to ensure that this line is present:
    Optimization=1
    (The default is 0; if necessary, edit the value to 1 and save the file. Restart Windows.
    • If you have a Matrox Millenium card:
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [mga.drv], add the following line:
    Pcichipset=1
    Edit the file as necessary, and save the file. Restart Windows.
    If you have an early Matrox video card, Disable Use PowerGDI acceleration:
    (Start-Settings-Control panel-Display-MGA Settings-Advanced-Performance)
    If you have a later Matrox video card, enable Use Bus Mastering and Disable use Automatic PCI Busd Retries:
    (Start-Settings-Control panel-Display-Settings-PowerDesk button)
    • If you have a card based on the S3 chipset (S3, Inc. provides graphics chips for other manufacturers; consult your card manufacturer's website to see if that card is S3-based):
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [display], make sure the following line is present:
    BusThrottle=1
    Edit as necessary, and save the file. Restart Windows.
  • If problem(s) persist, continue with the next step.

Your sound card may have a conflict with another device in your computer

Try resolving this device conflict as follows:

  • Ensure that your sound card is not sharing IRQs with any other device. Although some sound cards claim that they work properly on a shared IRQ, this is usually not the case and it is advisable to avoid such sharing. To do this, right click on My Computer and select Properties from the pop-up menu. In the System Properties dialog, click on the Device Manager tab, then double-click on the Computer icon at the top of the list. This allows you to look at all the devices on your system and which IRQs they are using. Scroll through the list until you see your sound card. Check the IRQ setting to the left of the icon. If there are other devices (such as a video card) that are assigned to the same IRQ, you should try moving your sound card to a different slot in your computer. Note that entries which say something like "IRQ Holder for PCI Steering" do not indicate conflicting devices, and can be ignored.
  • Select Options-Audio, click the Drivers tab, and make sure that only your sound card's input and output drivers are highlighted in both menus. (If you have more than one sound card installed in your system, try using only a single sound card and deselecting the other(s). If you can get audio to record/playback properly on a single sound card, but you encounter problems using two sound cards simultaneously, there may be a conflict between the two sound cards. Contact Cakewalk Technical Support for assistance in this event.)
  • If problem(s) continue, another multimedia audio device on your system (like a built-in sound card or voicemodem) could be interfering with your sound card's functionality. To see if this is the cause of your problem(s), you'll have to temporarily disable these other devices. Note that this may cause other programs which rely on these other devices to no longer work correctly.
To disable these other device(s), in Windows go to the Control Panel, and double-click the Multimedia icon. Click the Advanced tab ("Devices" tab in Win98), and click the plus sign next to Audio Devices. Double-click any audio devices listed there that AREN'T the sound card, and choose "Do Not Use Audio Features on This Device". Click OK, and repeat this step for any non-sound card device, including voicemodems, 'virtual audio devices' or 'game-compatible devices'. Once the sound card is the only device left, click OK, and restart the computer. After restarting, delete the file 'cw9auddx.ini' from your Cakewalk folder. Once you've deleted those files, launch Cakewalk, and let it profile your audio hardware. When it's done, try playing your audio again.
  • If problem(s) continue, try deselecting any MIDI devices which you might be using. In Pro Tracks, click Options-MIDI Devices and deselect every MIDI device in both Inputs and Outputs, then when Pro Tracks asks, select Continue with no MIDI input and Continue with no MIDI output, and try re-test your audio recording/playback.
  • If problem(s) persist, reselect your audio and MIDI devices, and continue with the next step.

Your project may simply be too "complex" for your computer

Your computer may not have enough processing power to deal with all of the tracks, clips, and real-time effects used in your project. You can upgrade your computer hardware (see later items, below) or you can simplify your project's content so it demands less processing power.

If possible, try reducing the complexity of your project in any of the following ways:

  • Reduce the number of real-time effects (DirectX plug-ins) used in your project. Instead of generating the effects in real-time (nondestructively) during playback, consider applying the effects offline (destructively), before beginning playback.
  • Reduce the number of distinct tracks being played back simultaneously. Consider "sub-mixing" several of your audio tracks into one track (using the Mixdown Audio-Bounce to Tracks command on the Tools menu), and then archiving the individual tracks which were combined in the sub-mix. (Archived tracks don't use up any CPU resources during playback, leaving more CPU resources available to properly play the non-archived tracks.)
  • Where possible, record audio using a mono source, rather than a stereo source. Mono clips require less processing power than stereo clips.
  • Avoid using overlapping audio clips. Where possible, combine/blend overlapping clips into a single clip, which uses less processing power.
  • Thin the amount of MIDI controller data and the number of SysEx messages in your tracks.
  • If you can't reduce your project's complexity, or if problems persist even after the complexity has been reduced, proceed to the next step.

Upgrade your computer hardware: More RAM, a faster CPU, and a faster disk drive

If your project makes extensive use of real-time effects (plug-ins), you should consider upgrading to a faster CPU. If your primary concern is playing or recording a large number of tracks, a faster CPU will help, but you may find that adding more RAM, a faster hard disk, and/or an improved hard disk controller may help even more. Many "store-bought" computers come with 32MB or 64MB or RAM, but if you intend to work with a large number of simultaneous audio tracks, you should add significantly more RAM (e.g., upgrade to 128MB, or even 256MB).

The following are some tips on upgrading your hardware:

Audio problems are often caused by a hard disk which is transferring data too slowly. The disk could simply be physically incapable of reading and writing data fast enough, or the disk controller could be causing too much CPU time to be consumed when transferring audio data to/from the disk.

Consider upgrading your equipment as follows:

  • Ensure that your hard drive controller is NOT configured to operate in "compatibility mode" which can greatly slow data transfer to/from your hard disk and make it almost impossible to record/play audio in Cakewalk reliably. To do this, go to the Control Panel and double-click on the System icon. Click the Performance tab. At the top of the Performance screen read the entries across from File Systems and Virtual Memory. They both need to say "32-bit". If they mention MS-DOS Compatibility Mode, then your computer has a serious problem, beyond the scope of what a Cakewalk technician can fix. Your computer is processing the audio data very slowly and Cakewalk will not work properly until the MS-DOS Compatibility Mode problem is eliminated. Help is available on the Microsoft Technical Support Web page at www.microsoft.com/Support. Click on the Support Online link and search for the phrase "Troubleshooting MS-DOS Compatibility Mode on Hard Disks." This problem can arise when installing a new hard disk in your computer; if Windows cannot find a suitable driver for the disk, it installs a generic driver and operates in Compatibility Mode.
  • If you're using a hard disk controller that employs "programmed I/O", upgrade to a disk controller that uses "bus mastering" instead. (This is sometimes also known as an UltraDMA IDE Controller). The former technique relies on the CPU to transfer the data to/from the hard disk, stealing cycles which the CPU could be sending audio data to/from the sound card. With the latter technique, the hard disk controller itself is primarily responsible for transferring the data to/from the hard disk, relieving the CPU of much of that burden.
  • Install a faster hard disk. If you're using an IDE- or E-IDE-type hard drive, try to find one which has a lower disk access time (e.g., less than 9msec). Use the Win Tune test application available at www.winmag.com this diagnostic tool measures your hard drive's uncached transfer rate. We recommend an uncached transfer rate of 3 MB per second for good multi-track audio performance in Cakewalk. If the rate is lower than 3 MB per second, you will want to get in touch with your computer or hard drive vendor for advice.
If you're using an IDE- or E-IDE-type hard disk, consider switching to a SCSI-based configuration instead. Generally speaking, SCSI is a more efficient hardware mechanism: it uses less of your CPU's processing power when performing disk data transfers. Projects which will not play properly on an IDE-based system may play perfectly on a SCSI-based system. However, using a SCSI disk doesn't automatically guarantee superior performance over an IDE/E-IDE drive. A cheap, low-quality SCSI drive actually may have poorer performance than a quality E-IDE drive.


Troubleshooting

If you're having a problem with Pro Tracks, don't panic. This appendix lists some common problems and how to solve them.

If you don't find an answer here, there are two other important places to look for help:

  • Check the ReadMe file that came with your software. It contains additional information that wasn't available when this User's Guide was printed. To view the Readme file, select Help-View README.RTF.
  • Visit our World Wide Web site at www.cakewalk.com, where you'll find answers to frequently asked questions, tech support documents, program patches and updates, and more.

Frequently Asked Questions

When I Play a File, I Don't Hear Anything

I Can't Record from My MIDI Instrument

When I Play a File Containing Audio, the Audio Portion Doesn't Play

I Can't Record Any Audio

The Music Is Playing Back with the Wrong Instrument Sounds

My Keyboard Doubles Every Note I Play

I Don't See the Clips Pane in the Track View

Why Can't Pro Tracks Find My Audio Files?

Why Do I Get Errors from the Wave Profiler?

No Sound from My DXi


When I Play a File, I Don't Hear Anything

Open a project (.cwp) and click the Play button. If you don't hear any music, try the following suggestions:
Possible problem... | What to do...
Your speakers aren't connected properly or the volume is turned down. | Make sure your speakers are on and the volume is turned up.
Your sound card isn't hooked up correctly. | See if other programs play sound correctly through your speakers. A good program to try is the Media Player (Start-Programs-Accessories-Multi- media-Media Player). If other programs do not work, check your sound card documentation to make sure the card is properly installed and configured.
You don't have Bank and Patch settings | Check the Bank and Patch settings for each track. Make sure that each track has a Bank and Patch assigned to it.
You don't have an Output setting | Check Output settings for each track. Make sure that each is assigned to a MIDI output which is connected to a MIDI device capable of playback.
No MIDI output device is selected. | Choose Options-MIDI Devices, and check the Output device list. Make sure that your computer sound card is highlighted and at the top of the list. If this doesn't work, try choosing different output devices, one at a time, to see if any of them produces sound.
Your sound card or MIDI interface is not set up correctly. | Make sure you have installed and tested each card according to the manufacturer's instructions.
You may have too many MIDI drivers. | Make sure you only install the drivers that you need, and remove any old or unused drivers. To access the driver list, choose Start-Settings-Control Panel, then double-click Multimedia and click on the Advanced tab.
Your MIDI driver is incorrect or outdated. | Make sure that the driver you have installed is the correct driver for your hardware. Also try downloading and installing the latest driver release from your hardware manufacturer.
Your MIDI driver is configured incorrectly. | Make sure the driver's IRQ and port address settings match the physical settings on the card.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


I Can't Record from My MIDI Instrument

If you are unable to record music from your electronic keyboard, synthesizer, or other MIDI instrument, first test to see if you are able to play back a project through the keyboard. Then try the following:
Possible problem... | What to do...
No MIDI input device is selected. | Choose Options-MIDI Devices, and check the Input device list. Make sure that the MIDI input on your computer sound card is highlighted.
Your MIDI cables are reversed. | Make sure that the MIDI Out plug is connected to the MIDI In jack on your keyboard and that the MIDI In plug is connected to the MIDI Out jack on your keyboard.
Pro Tracks is not receiving MIDI data. | Check the MIDI Input/Output Activity monitor [image] on the Windows Status bar. Check to see if the left LED is flashing red. If not, then Pro Tracks is not receiving MIDI data. Check you connections and try again.
You have not set up Pro Tracks to record. | Make sure that 1) you have chosen an input for the track; 2) you have armed the track for recording; and 3) you have pressed the Record button, and not the Play button.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


When I Play a File Containing Audio, the Audio Portion Doesn't Play

Opening a bundle file (.cwb) and click the Play button. Do you hear the audio tracks in the project (there may be MIDI tracks in the bundle file, so you must mute them). If not, try the following:
Possible problem... | What to do...
Your speakers aren't connected properly, or the volume is turned down. | Make sure your speakers are connected properly and the volume is turned up.
Your sound card isn't hooked up correctly. | Run the Microsoft Sound Recorder (Start-Programs-Accessories-Multimedia-Sound Recorder). Open any wave file and see if it plays sound correctly through your speakers. If not, check your sound card documentation to make sure the card is properly installed and configured.
The volume setting is turned down on your software mixer. | Double-click on the yellow speaker icon in the Windows task bar to display the mixer, and make sure all the volume settings are turned up and that none are muted.
Your audio tracks are assigned to the wrong output. | Check the output assignment for your audio tracks in the Track pane.
Pro Tracks doesn't recognize your sound card. | Choose Options-Audio, click the General tab, and then click the Wave Profiler button to test your audio hardware. Then, re-open the bundle file and try again.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


I Can't Record Any Audio

If you are unable to record audio through your sound card, try the following suggestions:
Possible problem... | What to do...
The track is not set up to receive audio input. | Make sure that the input for the track you are recording (in the Track view) is set to an Audio input before recording.
The software mixer is not set up properly. | Double-click on the speaker icon in the Windows task bar to display the mixer. Choose Options-Properties, select Adjust Volume for Recording, and click OK. Make sure the appropriate Select boxes have checkmarks and the input volume is turned up.
Your sound card isn't hooked up correctly. | Try recording audio using the Microsoft Sound Recorder (Start-Programs-Accessories-Multimedia-Sound Recorder). If it fails, check your sound card documentation to make sure it is properly installed and configured.
You have not set up Pro Tracks to record. | Make sure that 1) you have chosen an input for the track; 2) you have armed the track for recording; and 3) you have pressed the Record button, and not the Play button.

If these suggestions don't work, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


My Track or Aux Bus Fader is Maximized, But There's No Sound or Level

Pro Tracks has two modes that govern how fader levels function: Envelope Mode and Offset Mode. In Envelope Mode, any envelopes in the track or bus control the level, and ignore any movements you make to the fader. In Offset mode, any envelopes in the track or bus add their level to any level that the fader contributes. For example, the level you see in the Vol field of a track's properties combines with the levels that any volume envelope in that track produces as the track plays. When you switch back to Envelope mode, any level that the Vol field displays while in Offset mode continues to combine with any envelope in the track, but does not show in the Vol field while you're in Envelope mode. So, if you have a large negative value such as -INF in the Vol field, even though the volume envelope is at its maximum level, the sum of the two values is still inaudible because the negative value is so large.

Whenever you have mysterious levels in a track or bus, click the Envelope/Offset Mode button [image] that is in the Track view toolbar to switch modes, and then look in the track or bus property fields to see what values show. Change the values to neutral ones if you don't want them to affect your levels.


The Music Is Playing Back with the Wrong Instrument Sounds

If the tracks in your project are assigned to the same MIDI output and channel, the same sound will be used for all of them. To fix this problem, simply assign each track to a different channel (using the Channel control in the Track view), and then choose the sound (or patch) you want to use for each one. If you are playing songs through your MIDI keyboard or synthesizer, you need to 1) check that your instrument is able to receive MIDI data on multiple channels, and 2) configure your instrument to play a different patch on each channel (this is called Multi Mode on many instruments). See the documentation for your instrument for more information.

Another possibility is that you are playing back a GM (General MIDI)-authored MIDI file on a non-GM compatible device.

More Frequently Asked Questions.


My Keyboard Doubles Every Note I Play

When your keyboard doubles the notes, each note seems heavier or thicker than usual, as if two notes of the same pitch are emitted when you press the key. Also, you may find that you can play only half as many notes at one time before some of the held notes drop out.

This can occur when MIDI echo is enabled. The keyboard plays the note for the key you've pressed. At the same time, the note is sent through the MIDI interface and echoed back to the keyboard, where it is played a second time.

The best way to resolve the problem is to disable Local Control on the keyboard, following the instructions that came with the keyboard. This stops the keyboard from playing independently. The keys you play still produce sound on the keyboard because they are echoed back by the MIDI interface. In many cases, Pro Tracks disables local control automatically when the program is started, but this is not always possible.

An alternate solution is to disable echoing, as follows:

  1. Choose Options-Project and click the MIDI Input tab.
  2. Under Echo Mode, check None.
  3. Click OK when you are done.

This alternate solution may cause other problems if you are working with several MIDI devices at once.

It's also possible that your keyboard is transmitting information on two channels at once. To see if this is so, create a new project and record two notes from the keyboard. Then look at what you've recorded in the Event list view. If you see four notes displayed instead of two, then your keyboard is transmitting on two channels. See the documentation for your keyboard to learn how to correct the problem.

More Frequently Asked Questions.


I Don't See the Clips Pane in the Track View

The splitter bar may be so far to the right that the Track pane fills the entire Track view. Here's how to solve the problem:

  1. Place your cursor over the splitter bar. It is located on the far right side of the Track view, just to the left of the vertical scroll bar. When you place the cursor over the splitter it changes to a double-headed arrow.
  2. Click and drag the splitter bar to the left. You should be all set.

More Frequently Asked Questions.


Why Can't Pro Tracks Find My Audio Files?

Pro Tracks looks for all audio data in a certain directory or folder, called the Data Directory, in Cakewalk Projects (or the WaveData Directory in previous versions of Cakewalk products). If you have renamed or moved either Pro Tracks or the Data Directory, Pro Tracks may not be able to find your audio files. If you know where the audio files are stored, choose Options-Audio, click Advanced and enter the full path name of the directory in the Data Directory box. If you don't know where the audio data are stored, choose Start-Find-Files or Folders and search for files named *.wav.

For more information about the wavedata folder, see Audio File Management.

More Frequently Asked Questions.


I Get an a Error Message When I Change a Project to 24-bit Audio

Some audio devices, especially USB devices that use WDM drivers, can not operate in 24-bit mode unless a variable in Pro Tracks's aud.ini file is set to 1. The variable is Use24BitExtensible=<0 or 1>, which goes in the [name of your audio device (`n' in, `n' out)] section.

For more information, see .

More Frequently Asked Questions.


Bouncing Tracks Takes a Long Time

By default, Pro Tracks uses a buffer for bouncing tracks that is the same size as the Mixing Latency value that you set in the Audio Options dialog. But with some projects, especially ones that use certain soft synths, the bounce buffer needs to have its own value. You can set the value in the aud.ini file with the BounceBufSizeMsec=0 line in the Wave section. At a value of 0, the bounce buffer is the same size as the Mixing Latency value that you set in the Audio Options dialog. You can set the bounce value to 100, or some value between 0 and 350 so that the bounce buffer will use a more efficient size for bouncing, which has different requirements from normal playback latency.

For more information, see .

More Frequently Asked Questions.


Why Do I Get Errors from the Wave Profiler?

Audio devices such as voice modems or speakerphone devices can cause an error message when running the Wave Profiler. Sometimes these errors are harmless; on other occasions you need to disable the voice modem or speaker-phone device before running the Wave Profiler. To do so:

  1. Choose Options-Audio and click the Drivers tab.
  2. Make sure that the voice modem or speaker-phone device is not selected in both the Input and Output device lists.
  3. Click OK.
  4. Choose Options-Audio, click the General tab, and run the Wave Profiler again.


I Hear an Echo When I Record

If you have input monitoring enabled, when you play an instrument that is plugged into your sound card, you hear the direct signal that goes straight through your sound card, and an instant later you hear the sound that is processed by Pro Tracks, including any plug-in effects you may be using. Only the processed sound is recorded.

You can eliminate the echo in either of two ways:

  • Mute the direct signal so you only hear the sound that is processed by Pro Tracks. If you choose this method, you may hear too much of a lag between the time you play your instrument and the time you hear it, depending on the latency of your system (using WDM audio drivers is a great way to achieve lower latency).
  • Disable input monitoring so you only hear the raw signal that's coming through your sound card. If you choose this method, you won't hear any plug-in effects you may be using.

To disable input monitoring:

  1. Use the Options-Audio command to open the Audio Options dialog box.
  2. On the Input Monitoring tab, deselect the name(s) of the sound card(s) that you use for input monitoring.
  3. Click OK.

To mute your sound card's direct sound:

  1. Open the software mixer that controls your sound card. If your sound card uses the Windows mixer, open the mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command, or by double-clicking the speaker icon on the Windows taskbar.
  2. In the Play Control window of the mixer, check the Mute checkbox in the Line-In column, or in the column of whatever jack your instrument is plugged into, and close the mixer window.

More Frequently Asked Questions.


No Sound from My DXi

Use the following table to troubleshoot problems hearing a DXi in Pro Tracks:
Possible problem...

What to do...
DXi doesn't sound when a recorded MIDI track is sent to it.

  • Make sure you select a MIDI channel in the MIDI track's Out field; you may also need to select a Patch and Bank.
  • Make sure that neither the MIDI track nor the audio track that contains the DXi are muted.
  • Make sure the MIDI notes are in the right range for the DXi's patch.
DXi patched into a Main or Aux bus doesn't sound.

  • Make sure that at least one audio track is configured to send data to that bus.
  • Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.

DXi doesn't sound when you play a MIDI controller.

  • Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
  • Make sure that the MIDI track that has the focus lists the DXi in its Out field.
  • If you patched the DXi into an audio track, make sure that track is not muted.
  • If you patched the DXi into a bus, make sure that at least one audio track is configured to send data to that bus.
  • Make sure you're playing in the right range for the DXi's patch.
I hear more than one sound when I play a DXi.

  • Make sure your MIDI controller is set to local off.

More Frequently Asked Questions.


I Can't Open My Project

Your project may have become corrupted, or Pro Tracks is attempting to use a plug-in that is not longer on your system. You can attempt to open the project using Safe Mode.

To use Safe Mode

  • If you are opening a file from the Most Recently Used files list in the File menu, hold down the Shift key while selecting file name.
  • If you are opening the file from the Open dialog, select the file in the dialog and hold down the Shift key while clicking the OK button.
Safe Mode does the following:
  • Opens only the Track view.
  • Prompts you if you want to open the plug-ins saved with your project. Each plug-in gets a prompt, so you can open some and not open others.


Pro Tracks Can't Find the Wavetable Synth or MPU401

Follow this procedure:

  1. Open the Audio Options dialog (Options-Audio command), and on the Advanced tab, check the Always Use MME Interface, Even When WDM Drivers Are Available option.
  2. Click OK to close the dialog.
  3. Close Pro Tracks and reopen it.
  4. Use the Options-MIDI Devices command to open the MIDI Devices dialog.
  5. Highlight the Wavetable synth and/or the MPU401 (or whatever synth your sound card contains).
  6. Click OK to close the dialog.

Now your sound card synth and/or the MPU401 should appear in the drop-down menus of the Out fields of your MIDI tracks.

More Frequently Asked Questions.

The Virtual Main Bus Modules.

More Frequently Asked Questions.


Hardware Setup

This appendix contains additional details on configuring your equipment for use with Pro Tracks.


Connect Your MIDI Equipment

If you are using a MIDI interface (such as an MPU-401 or Sound Blaster MIDI option) with an external MIDI keyboard, you need to connect the equipment using MIDI cables.

It is possible to connect your equipment in some rather complex ways that may cause problems. If you call for technical support with a problem concerning equipment that doesn't seem to be responding, we'll probably suggest that you reconnect things in one of the ways listed below before we explore the problem further. Also be sure to check , before calling us.

There are two methods that fit many circumstances. The one you choose depends on whether your keyboard has:

  • All three types of MIDI jacks: In, Out, and Thru
  • Only two types of MIDI jacks: In and Out

If you have only one keyboard, read the "If Your Keyboard Doesn't Have a MIDI Thru Jack" section (regardless of whether you have MIDI Thru or not).

If Your Keyboard Has a MIDI Thru Jack

If your keyboard has three MIDI jacks--In, Out, and Thru--then use the following diagram.

If you are using a 15-pin joystick adapter cable that splits into two MIDI cables:

  • Connect the 15-pin jack to your computer's joystick port.
  • Connect the In cable to your instrument's MIDI Out jack.
  • Connect the Out cable to your instrument's MIDI In jack.

Here's a checklist:
Connect this... | To this...
Master keyboard Out | MIDI interface In
MIDI interface Out | Master keyboard In
Master keyboard Thru | Another MIDI module's In
That MIDI module's Thru | Yet another MIDI module's In

Continue the sequence, repeating the last connection for each of your sound modules.

Each MIDI device should be set to a unique MIDI channel or range of channels to avoid note-doubling. Refer to the manuals for your MIDI devices for information on how to set their MIDI channels.

Your MIDI interface may have a Thru jack as well as In and Out jacks. If your master keyboard lacks MIDI Thru, you can add more MIDI modules to your setup by connecting the MIDI interface's Thru to the first module's In. You can then chain subsequent modules onto the first module, as described earlier.

If your master keyboard now seems to double notes (they sound thicker), or if you can play only one half as many notes at once, first make sure that no MIDI channel is being used by more than one of your MIDI devices. If no MIDI channel is assigned to duplicate devices and you hear doubling or only half as many notes as you should, see .

If Your Keyboard Doesn't Have a MIDI Thru Jack

If your keyboard has only two MIDI jacks--In and Out--or if you have only one keyboard, use the following diagrams instead:

Each MIDI device should be set to a unique MIDI channel or range of channels to avoid note-doubling. Refer to the manuals for your MIDI devices for information on how to set their MIDI channels.

If your master keyboard now seems to double notes (they sound thicker), or if you can play only one half as many at once, first make sure that no MIDI channel is being used by more than one of your MIDI devices. If no MIDI channel is assigned to duplicate devices and you hear doubling or only half as many notes as you should, see .


Set Up to Record Digital Audio

In general, the inputs of sound cards take 1/8" stereo mini-jacks. Sound cards usually have two inputs--one for line level inputs and the other for microphones (at mic level). The line level input is stereo; the mic input could be either stereo or mono. If your final output does not terminate in a 1/8" jack (and it probably doesn't), you will need an adapter to plug it into your sound card.

Most sound cards use the Windows Volume Control to adjust the master input and output volumes and to control which recording inputs are active. If you don't hear audio tracks, or if you can't easily control the audio volume in Pro Tracks, go to Start-Accessories-Volume Control and check the settings there. See your sound card's documentation for more.

Electric Guitar Direct-In

You can connect an electric guitar directly to your sound card using a 1/4" mono to 1/8" stereo adapter. The following diagram shows this setup:

The 1/8" jack should be plugged into the sound card's mic input, although plugging into the line input may also work.

Electric Guitar Through Effects Rack

You can also plug an electric guitar into an effects rack, then send the output of the rack to the sound card's input, as shown in the following diagram:

This diagram assumes that the output of the rack is at line level. If it is at pro level instead (+4 dB), and your card does not accept a +4 db input, you will need to attenuate (lower) the F/X rack's signal. To do this, use a mixer between the rack's output and the Y-adapter. If the rack has only a mono output, a 1/4" mono to 1/8" stereo adapter should be used instead of a Y-adapter.

If you want to connect a guitar amplifier's direct output to the sound card, you should base your setup on this example.

Microphone Direct-In

Microphones can be plugged into the sound card's mic input. Some inexpensive microphones are made especially for use with sound cards and come equipped with 1/8" jacks. However, better quality microphones take better quality cables, which do not terminate in 1/8" jacks.

Home Stereo, CD Player, Radio Tuner, Preamp Output

The output of a stereo component can be connected to the sound card's line in, using a dual RCA to 1/8" stereo mini Y-adapter. Many portable cassette players come with this kind of adapter, or even with a single cable with all the necessary jacks. In the following diagram, a stereo component is connected to the Y-adapter using standard RCA cables:

Internal CD Player

If you are using your computer's internal CD player, and it does not have its audio outs connected internally to the sound card, run a cable from the CD player's Headphone jack to the card's Line In jack. If there is no Headphone jack, you'll need to use an external CD player.

Mixer

You can connect a mixer to the sound card with a setup of the following kind:


MIDI Files

The Standard MIDI file format is a file interchange format defined by the MIDI Manufacturers Association (MMA). The purpose of the format is to allow for the exchange of MIDI data between different programs. Any program that can read and write MIDI files has a common language with which to talk to other MIDI software. The compact size of MIDI music files makes them particularly useful for delivering music online.

Pro Tracks can open standard MIDI files, and can save your projects in standard MIDI file formats. Note that only the MIDI portion of your projects is saved in a standard MIDI file. If your projects contain digital audio, the audio portion of the project will be lost when you save it to a standard MIDI file.

Note: If you load a standard MIDI file into Pro Tracks, Pro Tracks strips out any initial volume and pan settings and sets the volume and pan controls for any affected tracks to those values. Initial volume and pan settings in a standard MIDI file are those that occur within the first measure. Any affected volume and pan controls will show the initial values that Pro Tracks loaded from the standard MIDI file. Any volume and pan controls that are not affected, in other words that don't have initial values stored in the file, will show their current values in parentheses. These controls are disabled until you move one of them and therefore give it a value, at which point the control becomes enabled and the parentheses disappear. Pro Tracks saves the values of all enabled controls as initial values. However, as a project plays, Pro Tracks's controls do not display MIDI controller values that change throughout the track--Pro Tracks's controls only display automation values, i.e. shapes. If you want Pro Tracks's controls to display MIDI controller values throughout the project, use the Edit-Convert MIDI to Shapes command.

Pro Tracks supports two different MIDI file formats, MIDI Format 0 and MIDI Format 1. Format 0 MIDI files contain a single track, with all events stored in that track. Format 1 MIDI files can store up to 7256 tracks, just like Pro Tracks project files. When you load a MIDI Format 0 file, Pro Tracks splits it into 16 separate tracks, based on the MIDI channels assigned to each event. When you save a project to a MIDI Format 0 file, Pro Tracks collapses MIDI information from all of its tracks into one single track.

Pro Tracks also lets you save and load files in the RIFF MIDI file format. This is a standard Resource Interchange File Format specification that encapsulates a Standard MIDI File of either format 0 or format 1. These files typically have an extension of .rmi.

A disadvantage of MIDI files is that the way the file sounds on playback varies based upon the sound reproduction hardware you are using. The same project sounds very different on two different synthesizers or two different sound cards. Another problem is that the Standard MIDI File specification leaves some details open to interpretation by software and hardware manufacturers.

To Save a Project as a Standard MIDI File or RIFF MIDI File

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose the desired format from the Save as Type list.
  3. Enter a file name and click Save.

See:

Timebases

Supported MIDI File Meta-Events

Features Not Supported by MIDI Files

Other MIDI File Handling Notes

Special Handling of GM, GS, and XG MIDI Files

If You Have Problems Playing MIDI Files

If You Plan to Publish Your Songs


Timebases

MIDI files can be expressed in any of a number of timebases (ppq resolutions). It is likely that most MIDI files you will encounter use a common timebase, such as 96 or 120. Although Pro Tracks supports many timebases, it is possible that a MIDI file may use a timebase that Pro Tracks does not support. In that case, the times will be converted into


Supported MIDI File Meta-Events

MIDI files can contain meta-events. The types of meta-events that Pro Tracks supports are listed in the following table:
MIDI File Meta-event... | How it is represented in Pro Tracks...
Meter and key signature | Meter/key signature map entry
Tempo | Tempo change
General text | Track name
General text in the conductor track of a Format 1 file | Markers view markers
Track name | Track name
Port number (format 1) | Port assignments are maintained. Only available when the Write Cable Meta Events to MIDI Files (Output Select)


Features Not Supported by MIDI Files

While the MIDI file format is very flexible and extensive, it cannot store the following parameters that are part of a standard project file: key offset, velocity offset, time offset, and forced channel.

When you save a project to a MIDI file, most of these parameters are applied to the individual events. For instance, if you have assigned track 1 to channel 10 in the Track view, Pro Tracks will write the MIDI file so that every event on track 1 has a channel number of 10. When you subsequently load the MIDI file all of those Track view parameters will have vanished. But the music will sound the same, because Pro Tracks has made these changes to the events themselves.


Other MIDI File Handling Notes

Here are a few specific points about how Pro Tracks works with MIDI files:

  • Pro Tracks places Lyric events found in Format 0 MIDI files into Track 4, in accordance with conventions used by karaoke players.
  • Pro Tracks inserts any Text or Lyric events found at time 0 in a track into the Comments field in the File Info dialog box, unless the Text or Lyric event is preceded by a Note event.
  • Pro Tracks automatically enables the Zero Controllers when Play Stops option (available through the Options-Project command, on the MIDI Out tab) whenever a MIDI file is loaded.
  • If a general MIDI file contains a copyright notice, the File Info window will be displayed automatically when the file is opened.


Special Handling of GM, GS, and XG MIDI Files

General MIDI compatibility of a song file is indicated by the presence of a special System Exclusive message at the beginning of the song. When Pro Tracks finds a GM, GS or XG reset message, it assumes that you would like to work within the GM Score Production guidelines. This causes Pro Tracks to use special timing for program change information when writing MIDI Files, and allows it to search more aggressively for track parameters when reading MIDI files. The result is that it is easier than ever to create and use General MIDI song files with Pro Tracks.

Pro Tracks does not enforce or even verify compliance with the GM guidelines for your music data. But Pro Tracks does comply with them when generating events that represent track parameters. If necessary, Pro Tracks will insert blank setup measures at the start of your song. This makes space for certain events to be inserted at the correct times at the start of each track: bank changes, patch changes, volume, and pan. This means that you can use Pro Tracks's track parameters for these settings when composing songs: When you save your work as a MIDI File, Pro Tracks will place these events in the track at the specific clock ticks recommended by the guidelines.

You can tell Pro Tracks to follow the GM guidelines by loading the "Turn GM System On" Sysx bank in the Sysx View (gmsystem.syx in your Cakewalk directory), and then either inserting a sysx event at time 1:1:0 or using the Auto setting for that bank.

When loading a GM file, each track's bank, patch, volume and pan parameters are lifted from the data stream and placed in Pro Tracks's Track view for you to see and edit onscreen. The GM mode ensures that all patches, banks and controllers are placed at specified times throughout a setup measure when you save a MIDI file. This ensures that all setup information can be digested by your synthesizer before it starts playback. If you don't have a setup measure in your project, Pro Tracks will insert one for you.

If there is no GM, GS, or XG reset System Exclusive message present at the start of your project, Pro Tracks will not operate in this GM mode.


If You Have Problems Playing MIDI Files

A MIDI file can cause playback problems if all of the following are true:

  • The MIDI file is a GM-compatible Standard MIDI Format 1
  • All patches, banks and/or controllers are stored in one track
  • All related note events are stored in a different track

When Pro Tracks loads such a file, it may try to optimize the program changes, causing incorrect selection of synthesizer voices during playback (the GM, GS, and XG specifications all recommend the use of Standard MIDI Format 0 for distribution of music data, which would make this problem irrelevant). If you encounter this problem, simply re-select your instruments and re-save the file.


If You Plan to Publish Your Songs

If you plan to publish your own songs, we encourage you to follow the General MIDI authoring guidelines. These guidelines are quite detailed about the exact layout of many types of song data, and a complete discussion of them can be found on the World Wide Web at www.midi.org. However, Pro Tracks can help you to conform with the GM guidelines if you follow these practices:

  • Always save your master copy of any work in progress in Pro Tracks project (.cwp) file format. When you are ready to publish your work, use the File-Save As command to create a Standard MIDI Format 0 file.
  • All of the major publishing guidelines recommend that you use Standard MIDI File Format 0 instead of Format 1. Some sequencers cannot read the more complex Format 1 files, particularly sequencers embedded in some types of hardware such as karaoke players.
  • For best results, you should always place program changes and other MIDI messages in the same tracks as the notes they affect. This keeps the data for each track together as a single unit, and avoids problems that might occur when Pro Tracks cannot easily correlate the program changes with the note events.


Initialization Files

Many Windows applications, as well as Windows itself, use files to store information about your preferences and configuration. Often applications store values to these files when you make selections in the program using menus or dialog boxes. However, you can also change these files directly. In some cases, there is no way to change the settings in the application, and changing the file directly is the only way.

See:

Initialization Files

Initialization File Format

Variables in the [Options] Section

Variables in the [MIDI Input Devices] Section

Variables in the [MIDI Output Devices] Section

Variables in AUD.INI


Initialization Files

This appendix documents three initialization files, which are stored in the Pro Tracks program folder (by default, C:\Program Files\Cakewalk\Cakewalk Pro Tracks):

  • cakewalk.ini
  • ttsseq.ini
  • aud.ini

To view and edit the cakewalk.ini file, choose Options-Initialization File. Use the Windows Notepad to open and alter any of the three files. There are several other .ini files in the Pro Tracks folder, but you should not attempt to edit or modify these files in any way. Changes to these other files could cause Pro Tracks to stop operating properly.

Before making any changes to any of the .ini files, you should make a backup copy in case you make a mistake. After you have made your changes, save the file and close Notepad. Pro Tracks reads the settings in these files only when it first starts up. Therefore, if you change any settings while Pro Tracks is running, you should exit and restart Pro Tracks in order for the changes to take effect.

See:

Initialization File Format

Variables in the [Options] Section

Variables in the [MIDI Input Devices] Section

Variables in the [MIDI Output Devices] Section

Variables in AUD.INI

CAKEWALK.INI

TTSSEQ.INI

AUD.INI


Initialization File Format

Initialization files all follow a common format. They are divided into sections whose names appear in the file in brackets, like this:

[Section Name]

Within each section, variables are of the form:

<variable name>=<value>

For example, the DrawPlayingAudio variable belongs in the [Wincake] section in cakewalk.ini, and determines whether the audio waveform is redrawn or not when the display is scrolling during playback. If the value is 0 (FALSE), then the waveforms are not redrawn. If the value is 1 (TRUE), then waveforms are redrawn. To redraw waveforms when scrolling during playback, the entry in the file looks like this:

[Wincake]
DrawPlayingAudio=1

The variable names contain no spaces. They are not case sensitive.

See:

CAKEWALK.INI

TTSSEQ.INI

AUD.INI


CAKEWALK.INI

Many of the items in cakewalk.ini are set using Pro Tracks menus and dialog boxes. However, some items can be changed only by using the Options-Initialization File command or by directly editing this file using the Windows Notepad.

cakewalk.ini is divided into different sections. Unless otherwise noted below, all entries should appear in the section that starts with the line:

[Wincake]

For example, if you want to add the line PanicStrength=1 to cakewalk.ini, you should put it on the line under [Wincake], like this:

[Wincake]
PanicStrength=1

The following section lists the different variables you can change in cakewalk.ini.

Variable... | Type... | Default value... | What it does...
DrawPlayingAudio=< 0 or 1> | Boolean | 0 (disable) | This line controls whether the audio waveform is redrawn or not when the display is scrolling during playback. By setting the value to 1, you can force the Track view to always redisplay audio data, even during playback. This is recommended only for very fast machines.
PanelsShowWidgetBitmaps= <0 or 1> | Boolean | 1 (enable) | This line controls whether Pro Tracks hides (n=0) or shows (n=1) all widget bitmaps while in Use mode (except those in Image widgets).
PanicStrength=<0 or 1> | Boolean | 0 (controller 123 only) | The Panic/Reset button stops playback and turns off any stuck notes. There are two ways a MIDI note can be turned off: By a note-off message (n=1) or by MIDI controller number 123 (all notes off). By default, Panic uses controller 123 only (n=0).

ToolTempFileDir= <drive:path name>

Path

<Windows TEMP
directory>

This line specifies where to store temporary .WAV files when launching a third party wave editor from the Tools menu.


TTSSEQ.INI

The ttsesseq.ini file can only be changed using the Windows Notepad.

Variables in the [Options] Section

Variable...

Type...

Default value...

What it does...

GeneralMidiSMFs=<0 or 1> | Boolean | 1 (enable) | This line controls whether or not Pro Tracks creates a General MIDI setup measure when loading Standard MIDI Files.
LyricTrack=<num> | Integer | 3 (track 4) | This line specifies which track is to contain lyrics from Type 0 Standard MIDI files. A zero means track 1, a 1 means track 2, and so on.
SendLocalOff=<0 or 1> | Boolean | 1 (enable) | This line determines whether or not Pro Tracks should send a Local Control OFF message during startup.
SendLocalOn=<0 or 1> | Boolean | 0 (disable) | This line determines whether or not Pro Tracks should send a Local Control ON message at exit.
IgnoreMidiInTimeStamps=<0 or 1> | Boolean | 0 (disable) | This line determines whether or not Pro Tracks ignores any MIDI time stamping that a MIDI driver does. If you're experiencing increasing delays between the time you play a MIDI note on a controller and the time you hear Pro Tracks echo it, setting this line to 1 may help. Also, if you find that Pro Tracks is recording MIDI data at a different time from when the data was played, setting this line to 1 may help. If the MIDI driver is using a different clock from Pro Tracks, the time discrepancy increases the longer that the MIDI driver is open, so you need to tell Pro Tracks to ignore the timestamp that the MIDI driver adds to the data (set the value to 1).
SysxDelayAfterF7=<0 or 1> | Boolean | 1 (enable) | This setting causes to delay Sysx transmission for a certain amount of time if it encounters an F7 in a Sysx bank. This gives some instruments a required amount of delay time that is necessary to process the Sysx transmission. The default delay is 1/18 of a second, but can be changed by also adding the SysxSendDelayMsecs=<n> line (see below). The possible values are 0 and 1. Their significance is as follows: 0: no delay 1: delay between each Sysx string (F0 ... F7)
SysxSendDelayMsecs=<num> | Integer | 60 | This setting causes to delay a specified number of milliseconds if it encounters an F7 in a Sysx bank.
SysxSendPacketSize=<num> | Integer | 1024 | This line specifies the number of bytes between Sysx transmit delays. Sysx bytes are transmitted in packets, with a 1/18 second delay between each packet. Setting this value smaller will help slower MIDI devices (synthesizers, etc.) avoid overflowing their internal buffers.
UseCableMetaEvents=<0 or 1> | Boolean | 1 (enable) | This line specifies whether or not should use nonstandard "Cable" meta-events for storing Sysx bank output number into Standard MIDI files (by default, n=1).

Variables in the [MIDI Input Devices] Section

Variable... | Type... | Default value... | What it does...
MaxInPort=<num> | Integer | 15 (16 outputs) | This variable determines the maximum number of MIDI inputs. The value is 0 based, so a value of 15 means that the limit is 16 outputs.

Variables in the [MIDI Output Devices] Section

Variable... | Type... | Default value... | What it does...
MaxOutPort<num> | Integer | 15 (16 outputs) | This variable determines the maximum number of MIDI outputs. The value is 0 based, so a value of 15 means that the limit is 16 outputs.


AUD.INI

The aud.ini file can only be changed using the Windows Notepad.

Variables in AUD.INI

Variable... | Type... | Default Value... | What it does...
PicCacheMB=<size in MB> | Integer | 20 | This variable specifies the maximum size of the picture cache. The picture cache is located in the directory specified by the PictureDir=<path> variable (defaults to <Cakewalk Folder>\Picture Cache).
PictureDir=<drive:path name> | Path | <Cakewalk directory>\Picture Cache | This line specifies where to store the picture cache.
FlushWriteBeforeRead=<1 or 0> | Integer | 0 | The default setting causes to perform disk reads (for audio playback) before attempting any disk writes (for audio recording). Overriding this value by setting it to 1 causes to attempt disk writes first. This yields the best results when you are attempting to record a large number of tracks at high latency.
FlushMultiple=<0 or 1> | integer | 1 | This variable determines how performs writes to disk in cases where multiple inputs are being recorded simultaneously. The default setting causes to write all the data for all inputs all at once, and then wait for the entire set of writes to complete. Overriding this value by setting it to 0 causes to perform each input's write separately, and wait for each individual write to complete before proceeding to the next one.
ExtraStreamBufs<0 to no upper limit> | integer | 4 | This variable sets the number of extra buffers which enter the audio stream before actual playback begins. Set this variable to a higher value (4, 8, 16, 32, 64, etc.) if a plug-in you are using seems to cause dropouts when there is still plenty of CPU power available.
Use24BitExtensible=<0 or 1> | Boolean | 0 | This line goes in the section of the Aud.ini file under [name of your sound card (`n' in , `n' out) ]. If you get an error message when you try to change the audio driver bit depth to 24, try setting this line to 1. Most USB audio devices that use WDM drivers need this line set to 1.
BounceBufSizeMsec=< 0 to 350> | Integer | 0 | This is a line in the Wave section of the aud.ini file that sets the buffer size for bouncing tracks. At a value of 0, the bounce buffer is the same size as the Mixing Latency value that you set in the Audio Options dialog. If you find that bouncing tracks, especially with certain soft synths, takes a very long time, you can set this value to 100, or some value between 0 and 350 so that the bounce buffer will use a more efficient size for bouncing, which has different requirements from normal playback latency.


Toolbar Reference

Click a link below for information on a toolbar:

Standard toolbar

Loop toolbar

Markers toolbar

Metronome toolbar

Position toolbar

Record toolbar

Select toolbar

Tempo toolbar

Transport toolbar

Transport (Large) toolbar

Views toolbar

Playback State toolbar

Control Surfaces toolbar


The Draw Line Tool

The Draw Line Tool makes it easy to draw straight lines in either the Piano Roll view or the Tempo view.

Use it in the following ways:

Piano Roll: Use the Draw Line Tool to draw straight lines in the Controllers pane. See To Draw a Linear Series of Controllers.

Tempo view: Use the Draw Line Tool to draw straight lines in the Tempo view. See To Steadily Increase or Decrease the Tempo in the Tempo View.


The Select Tool

The Select Tool allows you to select notes and events in several views.

Use it in the following ways:

Piano Roll view: Use the Select Tool to select notes and controllers. You can select by clicking on an event or by clicking and dragging around several events. See Piano Roll View.

Tempo view: Use the Select Tool to select a range of time.


The Eraser Tool

Use the Eraser Tool to delete individual notes in the Piano Roll view. Click a note with the Eraser tool to delete it.


The Scrub Tool

The Scrub Tool allows you to hear individual notes and events in several views by dragging the mouse over them.

Use it in the following ways:

Track view: See To Audition Audio with the Scrub Tool.

Piano Roll view: See To Scrub the Project.


Pick Tracks button

The Pick Tracks Combo button [image] enables you to select which track(s) you want to see, or to display the next or previous track(s) in whatever view you are working in.

To select which track(s) you want to display:

  1. Click the left side of the Pick Track Combo button [image] .
The Pick Tracks dialog box appears.
  2. Click the track(s) you want to display. Ctrl-click or Shift-click to select multiple tracks.
  3. Click OK.
Cakewalk displays the track(s) you selected.

To display the next or previous track or group of tracks:

  1. Click the right side of the Pick Track Combo button [image] to open the Show Previous Track(s)/Show Next Track(s) popup menu.
  2. Do one of the following:
    • To display the next lower-numbered track (or group of tracks), select Show Previous Track(s) or press P.
    • To display the next higher-numbered track (or group of tracks), select Show Next Track(s) or press N.
Cakewalk displays the track(s) you selected.


Standard toolbar

Right-click on toolbar/Standard

This toolbar lets you use the standard file and editing commands. It has the following buttons:
Button | Description
New | See File-New
Open | See File-Open
Save | See File-Save
Cut | See Edit-Cut
Copy | See Edit-Copy
Paste | See Edit-Paste
Undo | See Edit-Undo
Redo | See Edit-Redo
Print | See 'File-Send
Help | See Help-Help Topics


Loop toolbar

Right-click on toolbar/Loop

This toolbar lets you set and edit looping in your project. It has the following tools:

  • Loop On/Off. Enables looping
  • Loop From. Displays the from time for looping
  • Loop Thru: Displays the thru time for looping
  • Set Loop to Selection: Click to set the Loop From and Loop Thru times to the from and thru times set in the Selection toolbar.
  • Loop and Auto Shuttle properties: Loop and Auto Shuttle command.


Markers toolbar

Right-click on toolbar/Markers

The Markers toolbar lets you create, edit, and delete markers. It has the following tools:

  • Marker Menu. Choose a marker from the list to set the Now time to it.
  • Previous Marker. Go-Previous Marker command
  • Next Marker. Go-Next Marker command
  • Insert Marker. Insert-Marker command


Metronome toolbar

Right-click on toolbar/Metronome

The Metronome toolbar lets you set up your metronome. It has the following tools:

  • Count In. Specifies the number of count-in measures or beats.
  • Count-in Measures. The count in is in measures.
  • Count-in Beats. The count in is in beats.
  • Metronome During Playback. The metronome will sound during playback.
  • Metronome During Record. The metronome will sound during recording.
  • Accent First Beat. The first metronome beat of each measure will be accented.
  • Use PC Speaker. The metronome uses the PC speaker.
  • Use MIDI Metronome. The metronome uses MIDI notes.
  • Metronome Settings. Opens the Global Options dialog box to the Metronome tab, where you can specify the MIDI metronome note options.

See also:

Setting the Metronome and Tempo Settings


Position toolbar

Right-click on toolbar/Position

This toolbar lets you work with the. It has the following tools:

  • Now (Measure, Beat, Tick). Displays and lets you change the Now time in MBT notation.
  • Now (Hour, Minute, Second, Frame). Displays and lets you change the Now time in SMPTE notation.
  • Go to From. From command.
  • Go to Thru. Thrucommand.
  • Now. Slider for moving the Now time graphically.


Record toolbar

Right-click on toolbar/Record

This toolbar lets you specify conditions for recording. It has the following tools:

  • Punch Record On/Off. Enables punch recording
  • Punch In Time. Displays the from time for punch recording
  • Punch Out time. Displays the thru time for punch recording
  • Set Time. Click to set the punch in and punch out times to the from and thru times set in the Selection toolbar.
  • Step Record. Step Record command
  • Record Options. Opens the Record Options dialog


Select toolbar

Right-click on toolbar/Select

This toolbar lets you select from and thru which the loop and record toolbars can use. It contains the following tools:

  • Set From = Now. From command
  • From. From time
  • Thru. Thru time
  • Set Thru = Now. Thru command


Tempo toolbar

Right-click on toolbar/Tempo

This toolbar displays the current tempo and lets you change it, insert a new tempo at a specified time, change or erase it, and stretch the audio to fit a given tempo. It has the following tools:

  • Tempo: Displays the current tempo.
  • Insert Tempo: Tempo dialog command.


Transport toolbar

Right-click on toolbar/Transport

This toolbar lets you hear how your piece sounds. It has the following tools:

  • Rewind: Transport-Rewind command
  • Stop: Transport-Stop command
  • Play: Transport-Play command
  • Go to End: Skip to the end of the project
  • Record: Transport-Record command
  • Reset: Transport-Reset command


Transport (Large) toolbar

Right-click on toolbar/Transport (Large)

This toolbar, the larger version of the Transport toolbar lets you hear how your piece sounds. It also displays and lets you set the meter and key signature. It has the following tools:

  • Now (Measure, Beat, Tick): Displays and lets you change the Now time in MBT notation.
  • Now (Hour, Minute, Second, Frame). Displays and lets you change the Now time in SMPTE.
  • Now. Slider for moving the Now time graphically.
  • Rewind: Transport-Rewind command
  • Stop: Transport-Stop command
  • Play: Transport-Play command
  • Go to End: Skip to the end of the project
  • Record: Transport-Record command
  • Reset: Transport-Reset command
  • Meter/Key. Displays the current time and key signatures. Click it to edit its values.


Views toolbar

Right-click on toolbar/Views

This toolbar lets you open views. Buttons correspond to commands in the View menu.


Playback State toolbar

The Mute, Solo, and Unsolo toolbar allows you to globally mute, solo or unsolo all tracks with just one mouse click.


Control Surfaces toolbar

The Control Surfaces toolbar allows you choose which of the currently enabled control surfaces you want to open the property page for. You choose the control surface in the drop-down menu that's on the left side of the toolbar, and then you click the Properties button that's at the right end of the toolbar to open the control surface's property page.


Menu Reference

Use the Contents or Search tabs to find the menu command topic you are looking for.


File-New

The File-New command opens the New Project File dialog box where you choose a template for a new file. See for more information.


File-Open

The File-Open command opens the Open dialog box. Use the Open dialog to open an existing project. See for more information.


File-Close

The File-Close command closes the current project. If multiple projects are open, the project with focus is closed.


File-Save

The File-Save command saves the current project. If multiple projects are open, the project with the focus is saved.


File-Save As

The File-Save As command opens the Save As dialog where you can save a project with the name, directory, and format you specify. The formats available are:

  • Normal--Also known as a Project file (extension .cwp)
  • Bundle--Contains all the audio and MIDI data (extenstion .cwb)
  • Template--Save project settings so you can use them with new projects (extension .cwt)
  • MIDI Format 0--Standard MIDI File that has all channels merged into one track.
  • MIDI Format 1--Standard MIDI File that keeps each channel on a separate track.
  • Riff MIDI Format 0--Riff MIDI File of Format 0.
  • Riff MIDI Format 1--Riff MIDI File of Format 1.


File-Info

The File-Info command opens the File Info dialog box where you can enter information about your project, including author, title and copyright. For more information, see File Info dialog.


File-Project Audio Files

The File-Project Audio Files command opens the Project Files dialog. For information, see Project Files dialog.


File-Import-Audio

The File-Import-Audio command lets you import digital audio information stored in wave file format into any track (or, for stereo, two tracks) of a project.

The File-Import-Audio command supports the following digital audio file types:

  • Wave (extension .wav)
  • MPEG (extensions .mpeg, .mpg, .mp2, and .mp3)
  • Apple AIFF (extensions .aif and .aiff)
  • MS Streaming Format (extension .ams)
  • Audio files (extensions .au and .snd)

The sampling rate for a project is set based on your default sampling rate. If the sampling rate from the wave file does not match the sampling rate in your project, then it will be converted to the current project's sampling rate.


File-Export-Audio

The File-Export-Audio command lets you save and export your projects as MP3 files and other types of formats.

For more information about the File-Export-Audio command, see Preparing Audio for Distribution.


File-Export-OMF

' File-Export-OMF command opens the Export OMF dialog.


'File-Send

The File-Send command opens a blank e-mail message and attaches the current project.

Note: If you send a project file (extension .cwp) and your project contains audio data, the audio data is not attached along with the project file. If you want to send a project that contains both MIDI and audio data, use the bundle file format (extension .cwb). For more information, see Saving Your Work.


File-Recent File

The recent file list at the bottom of the File menu lets you choose any file you have opened recently. Choosing a file in the list opens it immediately.


File-Exit

The File-Exit command closes Pro TracksPro Tracks. If you have made any changes since the last time you saved any of the open projects, Pro TracksPro Tracks prompts you to save the changes.


Edit-Undo

The Edit-Undo command reverses your last action. Successive Undos cancel preceding actions in reverse order. To redo the action, see Edit-Redo.


Edit-Redo

The Edit-Redo command cancels a just-previous Undo command.


Edit-History

The Edit-History command opens the Undo History dialog which displays a history of your editing actions. You can set how many editing actions you want the Undo History dialog to store by changing the number in the Maximum Undo Steps field. The default value is 128.

See:

Undo, Redo, and the Undo History


Edit-Select-All

The Edit-Select-All command selects everything in all open views. Any action affects all selected objects.

See:

Selecting and Editing Events


Edit-Select-None

The Edit-Select-None command cancels all selections, with the result that nothing is selected.

See:

Selecting and Editing Events


Edit-Select-By Time

The Edit-Select-By Time command lets you specify times from which and through which Pro TracksPro Tracks selects.

To select partial clips by time, see To Select Partial Clips Using Time Ranges and Tracks.

See also:

Select By Time dialog


Edit-Select-From = Now

The Edit-Select-From = Now command lets you specify the Now time as the time from which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Thru = Now

The Edit-Select-Thru = Now command lets you specify the Now time as the time through which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-From = Start

The Edit-Select-From = Start command lets you specify the start of a piece as the time from which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Thru = End

The Edit-Select-Thru = End command lets you specify the end of a piece as the time through which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Select Track Envelopes with Selected Clips

Clicking the dropdown arrow that's on the right side of the Select tool button in the Track view toolbar pops up a menu to select track envelopes. When you enable this function, the menu option has a checkmark next to it. That means when you select a clip in the Clips pane, any track envelopes in that track get selected too.


Edit-Cut

The Edit-Cut command lets you remove from the project and put on the clipboard any selected objects. You can specify the kinds of objects to cut in the Cut dialog.

You can paste the contents of the clipboard elsewhere.

See Edit-Paste.

See also:

Moving and Copying Clips

Erasing Tracks


Edit-Copy

The Edit-Copy command lets you put on the clipboard any selected objects. You can specify the kinds of objects to copy in the Copy dialog.

You can paste the contents of the clipboard elsewhere. See Edit-Paste.

To remove rather than copy objects, see Edit-Cut.

To make copies of linked clips, see Splitting and Combining Clips.

See also:

Moving and Copying Clips

Working with Partial Clips


Edit-Paste

The Edit-Paste command lets you put the contents of the clipboard into any appropriate place in your project. You can specify what, where, and how to paste in the Paste dialog.

To put data on the clipboard, see or Edit-Cut, Edit-Copy.

See also:

Moving and Copying Clips


Edit-Delete

The Edit-Delete command removes selected objects from the project. It doesn't put them on the clipboard, so they can not be subsequently pasted. You can specify the kinds of objects to remove in the Delete dialog.

For more information, see To Delete Clips.

See also:

Moving and Copying Clips

Working with Partial Clips

Deleting Measures or Time from One or More Tracks


Edit-Bounce to Clip(s)

The Edit-Bounce to Clip(s) command lets you combine selected audio clips into a single clip.

Note:

Like any clips, slip edited clips can be combined with other clips using the Bounce to Clip(s) command. When a slip edited clip is combined with another clip, any slip edited data (audio or MIDI events that are cropped from view) is overwritten.

For more information, see Splitting and Combining Clips, and Bouncing to Clips.

See also:

Splitting and Combining Clips

Splitting and Combining Clips

Bouncing to Clips


Edit-Bounce to Track(s)

The Edit-Bounce to Tracks command lets you combine two or more audio tracks into a stereo submix.

For more information about the Edit-Bounce to Tracks command, see Mixing Down and Distributing Audio.


Edit-Groove Clip Looping

The Edit-Groove-Clip Looping command enables a selected audio clip's looping capabilities. When you enable these capabilities, you can make unlimited copies of the clip by dragging its start or end points to the left or right, respectively. When a clip's looping capabilities are enabled, the clip's corners are beveled instead of sharp. If the clip's looping capabilities are already enabled, the same command turns them off.

For more information, see Using Loops.


Edit-Non-Destructive MIDI Editing

This command, off by default, makes all MIDI edit non-destructive. When toggled on, this command forces deleted data to be retained even though it is not visible.


Process-Audio-Graphic EQ

The Process-Audio-Graphic EQ command lets you equalize your audio over ten frequency bands, that is, ten octaves.

See also:

Audio Effects (Audio Plug-ins)


Process-Audio-3dB Louder

The Process-Audio-3dB Louder command sets selected clips or tracks to play three decibel louder.

For more information, see To Boost Audio Volume by Three Decibels.

See also:

Basic Audio Processing


Process-Audio-3dB Quieter

The Process-Audio-3dB Quieter command sets selected clips or tracks to play 3 decibel more softly.

For more information, see To Decrease Audio Volume by Three Decibels.

See also:

Basic Audio Processing


Process-Audio-Normalize

The Process-Audio-Normalize command lets you increase the volume of the selected clips or tracks to the maximum level possible before clipping.

For more information, see To Normalize Audio Data.

See also:

Basic Audio Processing


Process-Apply Audio Effects

The Process-Apply Audio Effects command (which is greyed-out if you're not currently using any audio effects) opens the Apply Audio Effects dialog box. Applying an audio effect means that the audio data that you apply the effect to is permanently altered to sound like it would if it was flowing through an effects processor in real time. Applying an effect saves a lot of your processor's power for other tasks that must be done in real time.

Clicking OK in this dialog box applies any audio effects that are patched into track inserts. but does not apply effects that are patched into aux or main buses. You can also check the Delete the effects from the track inserts checkbox to remove the real-time effects from the track inserts after you apply them, so the audio data does not receive a double dose of the same effects.


Process-Apply MIDI Effects

The Process-Apply MIDI Effects command opens the Apply MIDI Effects dialog box, which allows you to apply any MIDI effects that are patched into a track to all selected data in that track. Applying a MIDI effect means that the MIDI data that you apply the effect to is permanently altered to sound like it would if it was flowing through an effects processor in real time. You can leave the Delete the effects from the track inserts checkbox checked to remove the real-time MIDI effects from the track inserts after you apply them, so the track data does not receive a double dose of the same effects.


Plug-ins

From the Process menu, you can access all of the MIDI and audio effects (plug-ins) available to you.


Audio Plug-ins

The Process-Audio Effects-(name of effects vendor) commands display submenus of all audio effects available to you.


MIDI Plug-ins

The Process-MIDI Effects-(name of effects vendor) commands display submenus of all MIDI effects available to you.


Process-Slide

The Process-Slide command opens the . You can move a selected track and/or its markers by a set amount of measures, ticks, seconds or frames. Positive numbers move the track to the right (forward) and negative numbers move the track to the left (backward).


Process-Quantize

The Process-Quantize command opens the .

This command adjusts the start time and duration of selected notes so that they line up with a fixed size grid. In the Quantize dialog, you can adjust the resolution of the grid (note size) and specify which track properties you want to allow the command to change.


Process-Length

The Process-Length command can be used to stretch or shrink a portion of a project. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

This command offers the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio. Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).


Process-Transpose

The Process-Transpose command transposes the pitches of note events up or down by a fixed number of half-steps. It does so by changing the MIDI key numbers of note events and by pitch-shifting audio clips. Simply enter the number of half-steps in the Amount field of the Transpose dialog box--a negative number to transpose down, a positive number to transpose up.

Pro Tracks can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. Pro Tracks uses pitch-shifting to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.


Edit-Split

The Edit-Split command opens the , which allows you to split a selected clip into smaller clips. The command, which is also available from the Clips pane right-click menu, is greyed-out if no clips are selected.


Edit-Apply Trimming

Using the Edit-Apply Trimming command permanently deletes any data from a selected clip that is hidden by a slip editing edit.

For step-by-step instructions, see To Permanently Delete Slip-edited Data.


Edit-Convert MIDI to Shapes

Using the Edit-Convert MIDI To Shapes command opens the Convert MIDI To Shapes dialog. This command lets you convert a controller envelope created in the Piano Roll view to a Track view envelope, or shape.

Note: If two clips overlap, the command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.

For step-by-step instructions, see .


View-Piano Roll

Open the Piano Roll view with the View-Piano Roll command, or by clicking the Piano Roll view button in the Views toolbar. The Piano Roll view displays all MIDI notes and events from one or more tracks in a grid format that looks much like a player piano roll. Notes are displayed as horizontal bars, and drum notes as diamonds. Pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries. The Piano Roll view makes it easy to add, edit, and delete notes and controller data from a track.


View-Event List

Open the Event List view with the View-Event List command, or by clicking the Event List view button in the Views toolbar. The Event List view shows events in a list format. You can insert, delete, or modify any kind of event, including notes, pitch-wheel data, velocity, MIDI controllers, patch changes, wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.


View-Loop Construction

Open the Loop Construction view by selecting View-Loop Construction from the menu. The Loop Construction view allows you to create Groove clips and enable looping of clips.


View-Loop Explorer

Select View-Loop Explorer to open the Explorer view.

You can preview and import files using the Explorer view, without having to leave your work environment. For more information, see Loop Explorer View.

See also:

The Loop Explorer View


View-Console

To open the Console view, click the Console view button in the Views toolbar, or use the View-Console command.

The Console view contains all the controls you need to mix your project.


View-OP Panel

OP is short for Open Plug-in. The View-OP Panel-(name of the panel you want to open) command opens a Yamaha OP panel. If you have a certain kind of Yamaha module connected to your computer, and have installed the Yamaha editing software, you can open these panels directly from to create and edit sounds for your module, and save the sounds as presets.


View-Synth Rack

Use the View-Synth Rack command to open the Synth Rack. For more information, see Synth Rack View.


View-Tempo

Open the Tempo view by using the View-Tempo command or by clicking the Tempo view button in the Views toolbar. The Tempo view provides a graphic display of the tempo. In the Tempo view you can use your mouse to draw tempo changes directly onto the graph.


View-Layouts

The View-Layouts command allows you to save and load layouts. Pro Tracks stores the layout of all of a project's views in the project file when you save the project. By default, Pro Tracks restores the layout of all the views when you open the file.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.


View-Toolbars

The View-Toolbars command lets you select which toolbars are displayed and also the style of display for the toolbars.

To display a toolbar, click the checkbox next to its name.

To display toolbars with an upraised appearance similar to a button in the up position, make sure the Flat Style box is unchecked.


Insert-Bank/Patch Change

Use the Insert-Bank/Patch command to insert a patch change and/or a bank change.


Insert-Meter/Key Change

Use the Insert-Meter/Key Change command to insert a meter change and/or a key change.


Insert-Tempo Change

The Insert-Tempo Change command opens the Tempo dialog.

For more information, see Changing Tempos.

See:

.

See Also:

Changing Tempos


Insert-Time/Measures

Use the Insert-Time/Measures command to insert blank measures at a specified location.

See .


Insert-Marker

Use the Insert-Marker command to insert a marker at a specified location.


Insert-Audio Track

The Insert-Audio Track command, which you can also find by right-clicking a track title bar in the Track view, inserts an audio track above the track on which you right-click.


Insert-MIDI Track

The Insert-MIDI Track command, which you can also find by right-clicking a track title bar in the Track view, inserts a MIDI track above the track on which you right-click.


Insert-DX Synth

The Insert-DX Synth command displays a submenu of all installed DXi soft synths. Clicking the name of one of the DXi's either displays the Insert DXi Synth Options dialog, or inserts s DXi into your project if you unchecked the dialog's Ask This Every Time option previously.

See Inserting a DXi


Insert-Rewire Device

The Insert-Rewire Device command displays a submenu of all installed Rewire soft synths. Clicking the name of one of the soft synths either displays the Insert DXi Synth Options dialog, or inserts s soft synth into your project if you unchecked the dialog's Ask This Every Time option previously.

See ReWire Instruments


Transport-Play

The Transport-Play command starts playback.

See .


Transport-Record

The Transport-Record command starts recording.


Transport-Rewind

The Transport-Rewind command rewinds to the start of the project.

See .


Transport-Stop

The Transport-Stop command stops playback or recording.

See .


Transport-Stop Audio

The Transport-Stop Audio command stops Pro Tracks's audio engine from running, which disables input monitoring temporarily. After you use the command, it changes into the Transport-Run Audio command.

For more information, see Input Monitoring.


Transport-Reset

The Transport-Reset command stops all MIDI notes from playing and clears stuck notes.

See .


Transport-Step Record

The Transport-Step Record command opens the Step Record dialog box. Step recording lets you specify step size and note duration so you can record things that are hard to play a step at a time.

See.


Transport-Loop and Auto Shuttle

The Transport-Loop and Auto Shuttle command lets you specify start and stop times for looping and whether you want the loop to start over again.

See .


Transport-Record Options

The Transport-Record Options command specifies how Pro Tracks records clips into tracks already holding other clips. The command also lets you specify whether to record takes in sequential tracks or stacked in a single track.

Note: Pro Tracks saves the recording options you choose with each project, so you can save a different recording mode with each of your projects.

See .


Transport-Reject Loop Take

The Transport-Reject Loop Take command erases the most recent take during loop recording.

Note: This command is only available for MIDI recording.


Transport-Update Patch Cache

The Transport-Update Patch Cache command is enabled only if you're using one or more sound cards which require "patch caching". After making changes to your song which result in patch change events being added, changed, or deleted, you may need to choose Transport-Update Patch Cache to force the sound card to load the required sounds from disk storage.


Go-Time

The Go-Time command lets you set a new Now time.

See .


Go-From

The Go-From command sets the Now time to the From time.

See .


Go-Thru

The Go-Thru command sets the Now time to the From time.

See .


Go-Beginning

The Go-Beginning command sets the Now time to the beginning of the project.

See .


Go-End

The Go-End command sets the Now time to the end of the project.

See .


Go-Previous Measure

The Go-Previous Measure command sets the Now time to the beginning of the previous measure.

See .


Go-Next Measure

The Go-Next Measure command sets the Now time to the beginning of the next measure.

See .


Go-Previous Marker

The Go-Previous Marker command sets the Now time to the previous marker.


Go-Next Marker

The Go-Next Marker command sets the Now time to the next marker.


Track-Property-Name

The Track-Property-Name command lets you assign a name to a track for easy reference.

For more information about the Track-Property-Name command, see .


Track-Property-Outputs

The Track-Property-Outputs command lets you assign an output, either MIDI or audio, for your track to play back through.

For more information about the Track-Property-Outputs command, see , and .


Track-Property-Inputs

The Track-Property-Inputs command lets you specify input sources for all of your project's tracks for recording purposes.

For more information about the Track-Property-Inputs command, see , and .


Track-Property-Channel

The Track-Property-Channel command specifies the MIDI channel through which the track plays its data.

For more information about the Track-Property-Channel command, see , and .


Track-Property-Key+

The Track-Property-Key+ command lets you specify how many half-steps the notes in a MIDI track should be transposed on playback. 12 half-steps make an octave. The Key+ command does not alter the data in a track, but causes it to play back in a different key.

For more information about the Track-Property-Key+ command, see .


Track-Property-Vel+

The Track-Property-Vel+ command lets you designate the change in velocity (volume) to be applied to notes in this track on playback, ranging from -127 to +127. The Vel+ command does not alter the data in a track, but causes it to play back with different velocities.

For more information about the Track-Property-Vel+ command, see .


Track-Property-Time+

The Track-Property-Time+ command lets you apply an offset to the start time of the events in the track. The Time+ command does not alter the data in a track, but causes it to play back at an earlier or later time.

For more information about the Track-Property-Time+ command, see .


Track-Property-Bank

The Track-Property-Bank command lets you choose the bank, or set of patch names, available for this track.

For more information about the Track-Property-Bank command, see .


Track-Property-Patch

The Track-Property-Patch command lets you choose the patch, or MIDI instrument sound, to use for playback.

For more information about the Track-Property-Patch command, see .


Track-Property-Volume

The Track-Property-Volume command lets you specify the starting volume level for the track, ranging from -INF (silent) to 6 dB (maximum volume).

The Volume setting controls the initial volume of a track during playback. Every time you start playback, Pro Tracks sets the volume to this initial level.

In some projects you want the volume of a track to change while playback is in progress. You can accomplish this using the Track, Console, Piano Roll, or Event List views. For more information, see and .

Note: Not all keyboards and synthesizers respond to volume change messages. Check the manual that came with your keyboard or synthesizer for more information.

For more information about the Track-Property-Volume command, see .


Track-Property-Pan

The Track-Property-Pan command lets you specify the stereo distribution of the output, ranging from 100% L (hard left) to 100% R (hard right), with a value of C indicating sound that is centered left-to-right.

The Pan setting controls the initial pan of a track during playback. Every time you start playback, Pro Tracks sets the pan to this initial level.

For more information about the Track-Property-Pan command, see .


Track-Mute

The Track-Mute command silences the specified track for playback.

For more information about the Track-Mute command, see and .


Track-Archive

The Track-Archive command silences the specified track for playback and removes its data from RAM. You must stop playback to change a track's archive status.

For more information about the Track-Archive command, see and .


Track-Solo

The Track-Solo command solos the specified track, meaning it plays while all other tracks do not. Each track set to solo plays back.

For more information about the Track-Solo command, see and .


Track-Arm

The Track-Arm for Recording command lets arms or disarms all selected tracks for recording.

For more information about the Track-Arm for Recording command, see and .


Track-Clone

The Track-Clone command copies a track with either its properties, its clips and events, or both. You can specify a destination.

For more information about the Track-Clone command, see .


Track-Delete

The Track-Delete command deletes one or more tracks entirely, including all its track properties and all its clips and events. Pro Tracks does not put deleted information on the clipboard for later copying.

For more information about the Track-Delete command, see .


Track-Wipe

The Track-Wipe command deletes track contents but leaves track properties intact. Pro Tracks does not put wiped information on the clipboard for later copying.

For more information about the Track-Wipe command, see .


Track-Hide

The Track-Hide command, which is also available from the Clips pane popup menu, hides all selected tracks. To display them again, click the Choose which tracks should be displayed or hidden button, which is located in the Track view toolbar.


Tools-Consolidate Project Audio

The Tools-Consolidate Project Audio command copies all the audio used by the current project into a subfolder of the project's audio folder. Use this command to create a backup of your project's audio.

For more information:

Backing Up Projects with Digital Audio


Tools-Clean Audio Folder

Use the Tools-Clean Audio Folder command to delete digital audio files from an audio data directory that are no longer used by any of your projects. You should use this command from time to time to free up disk space.

Important: Make sure that all of your important project (.cwp and .wrk) files are stored in your local hard disk(s) before using this command. If your project files are stored elsewhere, such as a floppy drive, removeable drive, or network drive, you risk accidentally deleting important audio files that are associated with your projects.

Note: The Cakewalk Audio Finder (CWAFTool) is a more advanced utility for finding and removing unused projects and audio files. This utility can be installed from the AutoRun menu of the Pro Tracks CD. If you have an older version of Pro Tracks you can download the Pro Tracks Audio Finder from the Pro Tracks Website at www.cakewalk.com.

For more information about the Tools-Clean Audio Folder command, see .


Options-MIDI Devices

The output setting for a track determines which piece of hardware will be used to produce the sound stored in your project. The Options-MIDI Devices command opens the MIDI Devices dialog box, which lets you choose the MIDI outputs you want to use.

For more information about setting up MIDI devices, see .


Options-Instruments

This command lets you choose one or more port/channel configurations and assign an instrument to it or them.

Pro Tracks lets you assign a MIDI instrument definition to each available MIDI port and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your Pro Tracks session.

Suppose that you have a Roland GS compatible synthesizer attached to MIDI port 1. By assigning all 16 channels of MIDI port 1 to the Roland GS instrument definition, you ensure that the bank, patch, note and controller name lists you see displayed in Pro Tracks are the ones that match your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. If you have several MIDI ports, with a different instrument attached to each one, you would normally assign a different instrument to each MIDI port.

For convenience, you can assign a block of channels to one instrument, and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI port and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of the first MIDI port and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI port will stay assigned to Roland GS.

You might also want to split channels to different instruments if you have several instruments attached to a single MIDI port. For example, you might have a Roland synth receiving on MIDI channels 1-9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI port.


Options-Audio

The Options-Audio command opens the Audio Options dialog box (see below), which contains all the necessary controls to completely configure your audio setup. Pro Tracks configures all of these options automatically, but allows you to customize them to a great degree.

For more information about configuring your audio system, see .

For more information about the various tabs or pages in the Audio Options dialog box, see:

Audio Options dialog--General

Audio Options dialog--Advanced

Audio Options dialog--Input Monitoring

Audio Options dialog--Drivers

Audio Options dialog--Driver Profiles


Options-Project

The Options-Project command gives you access to options you might want to set for a particular project.

For more information about the Options-Project command, see and .


Options-Global Options

The Options-Global command gives you access to many options you might want to set for all your projects, including settings that affect appearance, MIDI and audio functions, and auto-save.

For more information about the Options-Global command, see these four global options topics: , , , , Global Options dialog--Audio Data.


Options-Colors

The Options-Colors command lets you choose and change the colors for most things that Pro Tracks displays.

For more information about the Options-Colors command, see .


Options-SoundFonts

The Options-SoundFonts command lets you import SoundFont banks.

SoundFont files contain data for patches. They are available from vendors and you can create them using the Vienna editor from Creative. To use SoundFonts, you must have a Creative Labs SoundBlaster Live, AWE 32 or AWE 64 sound card and have the SoundFont Management System installed (supplied with SoundBlaster Live). When Pro Tracks opens a WRK or MID file, it looks for a SF2 file in the same folder with the same base name. If one exists, Pro Tracks uses it. Use the Locations button to specify folder (or folders, separate multiple folders with semicolons) where Pro Tracks should look. Use the Attach button in the SoundFont Banks dialog box to override this behavior and specify a different SoundFont file to use with the song. Bank 0 is reserved for the Standard GM sound set, but user banks can be attached to banks 1 through 255. Pro Tracks saves SoundFont file names in (WRK) files, but not in Standard MIDI (MID) files. In order to use an attached SoundFont, you must select your SoundFont device as an output and assign a MIDI track to that output. You must also force an output channel for the track and choose a SoundFont bank and patch for the MIDI track.


Options-Key Bindings

Key bindings let you connect Pro Tracks commands to keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

The Options-Key Bindings command opens the Key Bindings dialog box, which lets you specify which keys and key combinations to use for specific Pro Tracks commands and files.

For more information about the Options-Key Bindings command, see Key Bindings.


Options-Initialization File

The Options-Initialization File command lets you edit Pro Tracks initialization files. Many Windows applications, as well as Windows itself, use files to store information about your preferences and configuration. Often applications store values to these files when you make selections in the program using menus or dialog boxes. However, you can also change these files directly. In some cases, there is no way to change the settings in the application, and changing the file directly is the only way.

For more information about the Options-Initialization File command, see .


Options-Time Ruler Format-M:B:T

The Options-Time Ruler Format-M:B:T command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to MBT units.


Options-Time Ruler Format-H:M:S:F

The Options-Time Ruler Format-H:M:S:F: command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to H:M:S:F units.


Options-Time Ruler Format-Samples

The Options-Time Ruler Format-Samples command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to samples.


Options-Drum Map Manager

The Options-Drum Map Manager command opens the Drum Map Manager dialog, which allows you to create and edit drum maps. For more information, see Drum Map Manager dialog.


Options-Control Surfaces

The Options-Control Surfaces command opens the Control Surfaces dialog, which allows you to enable or disable specific contol surfaces, and choose their MIDI inputs and outputs.

For more information, see:

Working with External Devices

Control Surfaces dialog


Window-Cascade

The Window-Cascade command lets you arrange multiple opened windows in an overlapped fashion.


Window-Tile in Rows

The Window-Tile in Rows command arranges multiple opened windows from top to bottom down the screen.


Window-Tile in Columns

The Window-Tile in Columns command arranges multiple opened windows from side to side across the screen.


Window-Arrange Icons

Use the Window-Arrange Icons command to arrange the icons for minimized windows at the bottom of the main window.


Help-Help Topics

Use the Help-Help Topics command to open the entire help system. You can look for topics in the table of contents, in the index, and in the finder.


Help-View README.RTF

The Help-ViewREADME.RTF command tells you all about the current version of Pro Tracks.


Help-Quick Start

The Help-Quick Start command gives you access to a number of ways to get started.

For more information about the Help-Quick Start command, see .


Help-Tip of the Day

The Help-Tip of the Day command opens a series of tips and shortcuts for doing various functions in Pro Tracks.


Help-Keyboard Shortcuts

Note: A plus sign (+) indicates that both keys must be held down at the same time. For example, Ctrl+F6 .

Menu Commands
Command | Shortcut
File-Open | Ctrl+O
File-Save | Ctrl+S
Edit-Undo | Ctrl+Z
Edit-Redo | Ctrl+Shift+Z
Edit-Select-All | Ctrl+A
Edit-Select-None | Ctrl+Shift+A
Edit-Cut | Ctrl+X
Edit-Copy | Ctrl+C
Edit-Paste | Ctrl+V
Edit-Delete | Delete key
Insert-Marker | F11
Transport-Play | Spacebar
Transport-Record | R
Transport-Rewind | W
Transport-Stop | Spacebar
Go-Time | F5
Go-From | F7
Go-Thru | F8
Go-Beginning | Ctrl+Home
Go-End | Ctrl+End
Go-Previous Measure | Ctrl+PageUp
Go-Next Measure | Ctrl+PageDown
Go-Previous Marker | Ctrl+Shift+PageUp
Go-Next Marker | Ctrl+Shift+PageDn
Track View
Command | Shortcut
Solo/un-solo current track | /
Help | F1
Close Window | Ctrl+F4
Insert track (same kind as current track; if no tracks exist, opens the Choose Track Type dialog box) | Insert
Open the Track Manager | M
Toggle Envelope/Offset Mode | O
Select current track | , (comma key)
Show and fit selection | Shift+S
Fit tracks to window | F
Fit project to window | Shift+F
Show only selected tracks | H
Hide selected tracks | Shift+H
Show all tracks | A
Undo view change | U
Redo view change | Shift+U
Snap enable/disable | N
Open Snap dialog | Shift+N
Activate Zoom tool | Z
Decrease track height | Ctrl+up arrow
Increase track height | Ctrl+down arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out horizontally | Ctrl+left arrow
Zoom all tracks in vertically | Ctrl+down arrow
Zoom all tracks out vertically | Ctrl+up arrow
Zoom out on all audio waveforms | Alt+down arrow
Zoom in on current track's audio waveforms | Alt+Ctrl+up arrow
Zoom out on current track's audio waveforms | Alt+Ctrl+down arros
Zoom current track in vertically | Ctrl+Shift+down arrow
Zoom current track out vertically | Ctrl+Shift+up arrow
Zoom in on all audio waveforms | Alt+up arrow
Increase current track height | Ctrl+Shift+down arrow
Decrease current track height | Ctrl+Shift+up arrow
Scale audio waveform in all audio tracks | Alt+up/down arrow
Scale audio waveform in current audio track | Ctrl+Alt+up/down arrow
Lasso zoom scale audio clip/waveform | Shift+Z (while selecting a clip)
Scissors tool | C
Center Now time | G
Puts focus in Track pane | Shift+Up arrow
Puts focus in Aux/Main Bus pane | Shift+Down arrow
Scroll Track view up or down | Page Up or Page Down
Move between same controls in different tracks | Up or Down arrow
Move between controls in same track | Left or Right arrow
Moves to the previous or next tab (toggles between All, Mix, FX, and I/O tabs) | Shift+Left arrow or Shift+Right arrow
Raise or lower the pitch of a loop-enabled clip | Alt+ or Alt- (use the + or - keys on the num pad)
Activate Select tool | T
Activate Scrub tool | B
Activate Envelope Edit tool | E
Loop enable/disable selected clip | Ctrl+L
Split selected clips at Now time | S
Auto crossfade | X
Piano Roll View
Command | Shortcut
Select tool | S
Draw tool | D
Draw Line tool | L
Erase tool | E
Scrub tool | B
Snap enable/disable | N
Pick Track | T
Scroll up/down | Up or Down arrow keys
Scroll left/right | Left or Right arrow keys
Zoom in vertically | Ctrl+down arrow
Zoom out vertically | Ctrl+up arrow
Activate Pattern Brush tool | Q
Show/Hide velocity tails in the Drum pane | Y
Show/Hide Grid lines | I
Show/Hide durations in the Drum pane | O
Show/Hide the Controller pane | C
Zoom tool | Z
Undo Zoom | U
Show/Hide Track Pane | H
All Tracks | A
No Tracks | K
Invert Tracks | V
Enter a Whole Note | 1
Enter a Half Note | 2
Enter a Quarter Note | 4
Enter an Eighth Note | 8
Enter a Sixteenth Note | 6
Enter a Thirty-secondth Note | 3
Dotted Note | .
Triplet | P
Open Snap dialog | Shift+N
Event List View
Command | Shortcut
Filter (hide) Note events | N
Filter Key Aftertouch events | F
Filter Controller events | C
Filter Patch Change events | A
Filter Channel Aftertouch Events | F
Filter Pitch Wheel events | B
Filter RPN events | Z
Filter NRPN events | P
Filter Sysx Bank events | S
Filter Sysx Data events | Y
Filter Text events | X
Filter Lyric events | L
Filter MCI Command events | M
Filter Audio events | U
Filter Shape events | H
Filter Expression events | E
Filter Hairpin events | I
Filter Chord events | O
Event Manager | V
Insert event | Insert
Delete event | Delete
Pick Tracks | T
Console View
Command | Shortcut
Move between controls | Tab
Delete an effect | Delete
Change values (small) | + and -
Change values (large) | [ and ]
Open Module manager | M
Show Record meters | C
Toggle Envelope/Offset Mode | O

Loop Construction View
Command | Shortcut
Save loop to wave file | F
Enable looping | L
Enable stretching | T
Follow project pitch | P
Preview loop | Shift+Spacebar
Stop preview | Shift+Spacebar
Select tool | S
Erase marker tool | E
Default all markers | M
Loop Explorer View
Command | Shortcut
Preview file | Shift+Spacebar
Stop preview | Shift+Spacebar
Synth Rack View
Command | Shortcut
Navigate between DXi synths | Up/Down arrows
Chagne preset for current DXi | +, _, [, ]
Mute current DXi | M
Solo current DXi | S

All Views
Command | Shortcut
Close Window | Ctrl+F4
Next Window | Ctrl+F6
Open the Loop Construction view | Alt+2
Open the Console view | Alt+3
Open the Event List view | Alt+4
Open the Piano Roll view | Alt+5
Open the Tempo view | Alt+9


Help-Register Online

The Help-Register Online command opens Cakewalk's online form so you can register your new product.


Help-Cakewalk Problem Reporter

The Cakewalk Problem Reporter is a tool that gathers general information about your computer and specific facts about the current open project file.

These log files may be used by Cakewalk Technical Support when detailed system info is required to resolve a problem on your computer.


Help-Effects on the Web

The Help-Effects on the web command takes you to Cakewalk's DirectX Files web site, where you can download both commercial and free DirectX audio plug-in effects.


Help-About Pro Tracks

The Help-About Pro Tracks command displays copyright, version number of the product, and your licensing information.


Delete Track

This command, which you find by right-clicking a track name or number in the Track view, removes the track on which you right-click.


Group

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you group faders, knobs, or buttons so they work together in ways you specify.

For more information about grouping controls, see .


Ungroup

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you remove a control or button from its group.

For more information about grouping controls, see .


Set Start = Current

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you adjust the start value of a control. This command, together with the Set End = Current command, only functions when you use custom grouping. These two commands set the range that a grouped control moves through when the members of its group move through their starting and ending values. This makes it easy to group controls so that they move in similar or opposite motion and at similar or different rates of speed.

For more information about grouping controls, see , and .


Set End = Current

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you adjust the end value of a control. This command, together with the Set Start = Current command, only functions when you use custom grouping. These two commands set the range that a grouped control moves through when the members of its group move through their starting and ending values. This makes it easy to group controls so that they move in similar or opposite motion and at similar or different rates of speed.

For more information about grouping controls, see , and .


Add Track-Audio

This command, which you find by right-clicking in the Console view in the grey area above a track's Phase button, adds a digital audio track to the console.

For more information about adding tracks, see .


Add Track-MIDI

This command, which you find by right-clicking in the Console view in the grey area above a track's Phase button, adds a MIDI track to the console.

For more information about adding tracks, see .


Hide Module

This command allows you to hide track, aux bus, and main modules in the Console view. You find the command by right-clicking in the Console view in three different areas:

  • For track modules, right-click in the grey area above a track's Phase button.
  • For aux buses, right-click in the grey area between the Send and Return knobs.
  • For main modules, right-click on the grey border below the main module's effects bin.

To redisplay modules, see , and .


Set Snap-to = Current

This command, which you find by right-clicking a fader or knob in the Console or Track views, sets the snap-to position of that fader or knob to its current value. When you double-click a fader or knob, it jumps to its snap-to position.

For more information about the Console view, see .


90 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 90 dB.

For more information about meters, see .


78 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 78dB.

For more information about meters, see .


60 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 60 dB.

For more information about meters, see .


42 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 42 dB.

For more information about meters, see .


24 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 24 dB.

For more information about meters, see .


12 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 12 dB.

For more information about meters, see .


Set As Current Track

This command, which you find by right-clicking the grey area of a MIDI or audio track in the Console view, changes the track you clicked to the current track. This makes that track the object of any track editing commands you give, such as Mute, Solo, Kill, etc.

For more information about the Console view, see .


Delete

This command, which you find by right-clicking the name of an effect in the Console view, deletes that effect from its patch point.

For more information about effects, see and .


View Options

This command, which you find by right-clicking in the Clips pane, lets you set display options for the Clips pane.

For more information about view options, see , and .


Set Loop Points

This command, which you find by right-clicking in the Time Ruler, sets the Loop From time to the start time of the selection, and the Loop Thru time to the end time of the selection.

For more information about looping, see .


Select Loop Region

This command, which you find by right-clicking in the Time Ruler, sets the selection start and end times to the Loop From and Loop Thru times.

For more information about looping, see .


Set Punch Points

This command, which you find by right-clicking in the Time Ruler, sets the Punch In time to the start time of the selection, and the Punch Out time to the end time of the selection.

For more information about punch recording, see .


Loop On/Off

Click to enable/disable playback looping.


Set Punch Points

Sets the borders of a selected area as punch points.


Select All Siblings

This command selects all clips that are linked to this clip.


Unlink

This command opens the Unlink Clips dialog.


Select Punch Region

This command, which you find by right-clicking in the Time Ruler, sets the selection start and end times to the Punch In and Punch Out times.

For more information about punch recording, see .


Snap Properties

This command, which you find by right-clicking in the Time Ruler, lets you set snap options in the Snap to Grid dialog.

For more information about setting snap options, see .


Envelope-Create-Volume

This command creates a volume envelope in the track you have right-clicked in. After you have created an envelope, you can create nodes and edit them to create changes in volume as the track plays. For more information, see Quick Automation Guide.


Envelope-Create-Pan

This command creates a pan envelope in the track you have right-clicked in. After you have created an envelope, you can create nodes and edit them to create changes in pan as the track plays. For more information, see Quick Automation Guide.


Jump

This command causes an automation envelope to make a 90 degree "jump" when it reaches the next node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Linear

This command draws a straight line between two nodes.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Fast Curve

This command creates a curve between nodes which changes rapidly at first, and slower as it nears the second node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Slow Curve

This command creates a curve between two nodes which changes slowly at first, then rapidly as it nears the second node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Drag and Drop Options

The Drag and Drop Options command opens the Drag and Drop Options dialog.


Clip Properties

This command opens the Clip Properties dialog. For more information, see Clip Properties dialog--In Track and Clip Properties dialog--Groove-Clips.


Track Properties

This command opens the Track Properties dialog.


Show Previous Track(s)

This command displays the previous track or group of tracks.

For information, see Pick Tracks button.


Show Next Track(s)

This command displays the next track or group of tracks.

For information, see Pick Tracks button.


Add Node

This command, which you find by right-clicking an envelope in the Track view, adds a node to the envelope that you clicked.

For more information about envelopes, see .


Reset Node

This command returns a node to its default value. For example a pan node would return to 0% C.


Delete Node

This command deletes the node over which you have right-clicked.


Note

This command, which you find by right-clicking in the Event List view, hides all note events.

For more information about the Event List view, see .


Key Aftertouch

This command, which you find by right-clicking in the Event List view, hides all key aftertouch events.

For more information about the Event List view, see .


Controller

This command, which you find by right-clicking in the Event List view, hides all controller events.

For more information about the Event List view, see .


Patch Change

This command, which you find by right-clicking in the Event List view, hides all patch change events.

For more information about the Event List view, see .


Channel Aftertouch

This command, which you find by right-clicking in the Event List view, hides all channel aftertouch events.

For more information about the Event List view, see .


Pitch Wheel

This command, which you find by right-clicking in the Event List view, hides all pitch wheel events.

For more information about the Event List view, see .


RPN

This command, which you find by right-clicking in the Event List view, hides all RPN events.

For more information about the Event List view, see .


NRPN

This command, which you find by right-clicking in the Event List view, hides all NRPN events.

For more information about the Event List view, see .


Text

This command, which you find by right-clicking in the Event List view, hides all text events.

For more information about the Event List view, see .


Lyric

This command, which you find by right-clicking in the Event List view, hides all lyric events.

For more information about the Event List view, see Event List View.


MCI Command

This command, which you find by right-clicking in the Event List view, hides all MCI commands.

For more information about the Event List view, see Event List View.


Audio

This command, which you find by right-clicking in the Event List view, hides all audio clips.

For more information about the Event List view, see Event List View.


Expression

This command, which you find by right-clicking in the Event List view, hides all expression events.

For more information about the Event List view, see Event List View.


Hairpin

This command, which you find by right-clicking in the Event List view, hides all hairpin events.

For more information about the Event List view, see Event List View.


Chord

This command, which you find by right-clicking in the Event List view, hides all chord events.

For more information about the Event List view, see Event List View.


Event Manager

To open the Event Manager dialog:

  • Right-click in the Event List view and choose Event Manager from the popup menu.
OR
  • Click the Event Manager button in the Event List view

In the Event Manager you select which types of event to display in the Event List view. Check the events you want to see in the Events List view.

For more information about the Event List view, see Event List View.


Lock Contents

This command forces Pro Tracks to open a new instance of the current view (the view you are locking) rather than using the current view. This allows you to keep multiple copies of the same view open at one time.

See:

Locking Views


Show Entire Project

This command adjusts the vertical track heights to fit all tracks in your project in the Track view.

For more information about displaying tracks, see Configuring the Console and Track Views.


Zoom tool

This command enables the Zoom tool feature.

For more information about the Zoom tool feature, see Displaying Clips.

For more information about displaying tracks, see Configuring the Console and Track Views.


Previous Zoom

This command returns the Track view to the previous zoom level.

For more information about displaying tracks, see Configuring the Console and Track Views.


Show All Tracks

This command shows all tracks in the current project.

For more information about displaying tracks, see Configuring the Console and Track Views.


Track Manager

This command opens the Track Manager dialog.

For more information about the Track Manager dialog, see Track Manager dialog.

For more information about displaying tracks, see Configuring the Console and Track Views.


Record Meters

When selected with a checkmark record meters are displayed. When unchecked, record meters are not displayed.


Playback Meters

When selected with a checkmark playback meters are displayed. When unchecked, playback meters are not displayed.


Output Bus Meters

When selected with a checkmark output bus meters are displayed. When unchecked, output bus meters are not displayed.


Record Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak.

For more information about Peak meter display, see Metering.


Record Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Record Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Record Meter Options-Show Labels

This command toggles on/off the meter labels.


Record Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Record Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Playback Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to show peaks.

For more information about Peak meter display, see Metering.


Playback Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Playback Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Playback Meter Options-Show Labels

This command toggles on/off the meter labels.


Playback Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Playback Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Output Bus Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to show peaks.

For more information about Peak meter display, see Metering.


Output Bus Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Output Bus Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Output Bus Meter Options-Show Labels

This command toggles on/off the meter labels.


Output Bus Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Output Bus Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Playback Meter Options-Pre Fader

This command sets the meter to measure the volume level in the signal path prior to entering the fader.


Output Bus Meter Options-Pre Fader

This command sets the meter to measure the volume level in the signal path prior to entering the fader.


Playback Meter Options-Post Fader

This command sets the meter to measure the volume level in the signal path after exiting the fader.


Output Bus Meter Options-Post Fader

This command sets the meter to measure the volume level in the signal path after exiting the fader.


Output Bus Meter Options-Pre Fader Post FX

This command sets the meter to measure the volume level in the signal path after the effects bin and prior to the fader.


Default Fade-In Curve-Linear

This command sets as a default a linear, or steady fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-In Curve-Fast Curve

This command sets as a default a fast fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-In Curve-Slow Curve

This command sets as a default a slow fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Linear

This command sets as a default a linear, or steady fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Fast Curve

This command sets as a default a fast fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Slow Curve

This command sets as a default a slow fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Linear In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Fast In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Slow In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Slow In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Fast In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Fast In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Slow In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Linear In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Linear In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Percentage

This command sets the Audio Scaling ruler to display the percentage of the waveform being shown.


dB

This command sets the Audio Scaling ruler to display the dB level of the waveform being shown.


Zoom Factor

This command sets the Audio Scaling ruler to display the zoom factor (a multiple of the default zoom level, i.e. a zoom factor of 10 shows the waveform at 10 times the detail) of the waveform being shown.


Show and Fit Selection

This command zooms vertically and horizontally in the Track view to fit just the selected clips.


Fit Tracks to Window

This command resizes all shown tracks to fit into the Track view window.


Fit Project to Window

This command fits your entire project, or as many tracks as possible, into the Track view.


Show only Selected Tracks

Hides all tracks which are not selected.


Hide Selected Tracks

Hides all selected tracks.


Show All Tracks

Shows all tracks in your project.


Track Manager

Opens the Track Manager dialog.


Undo View Change

Reverts the following parameters to their previous state:

  • Individual track sizes
  • Height factors
  • Scaling

There are 16 levels of undo for this command.


Redo View Change

Negates the last Undo View Change command.


Show All Envelopes

Shows all track and clip envelopes in your project.


Hide All Envelopes

Hides all track and clip envelopes in your project.


Show Volume Envelopes

Shows all volume envelopes in your project.


Show Pan Envelopes

Shows all pan envelopes in your project.


Show Aux Send Envelopes

Shows all aux send envelopes in your project.


Show Plug-in Envelopes

Shows all effects envelopes in your project.


Show Automated Mute Envelopes

Shows all automated mute envelopes in your project.


Show MIDI Envelopes

Shows all MIDI envelopes in your project.


Create Track Envelopes Using Linear Shapes

This command, when checked, causes newly inserted envelopes to have a node at both the beginning and end of the track. If unchecked, an envelope appears as a dotted line with no active nodes.


Velocity

The Velocity command opens the Velocity dialog where you can set the default velocity value for each note entered using the Pattern Brush. If the Use Pattern Velocities command is checked, this value is not used. For more information about the Use Pattern Velocities command, see Use Pattern Velocities.


Use Pattern Velocities

When the Use Pattern Velocities command is checked, the Pattern Brush creates notes using the actual velocity values saved in the current pattern file. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Use Pattern Polyphony

When the Use Pattern Polyphony command is checked, the Pattern Brush creates notes using the actual pitch values saved in the current pattern file, regardless of where the mouse is in the Drum Grid pane. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Use Note Duration

When the Use Note Duration command is checked, the Pattern Brush uses the current note duration setting in the Piano Roll View toolbar as the interval between notes. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Auto Erase

When the Auto Erase command is checked, the Draw tool can create new notes by clicking where there are no existing notes and can delete current notes by clicking on them.


Quarter Note

An option in the Show/Hide Grid button, the Quarter Note option creates grid lines in the Drum Grid pane at quarter note intervals.


Quarter Note Triplet

An option in the Show/Hide Grid button, the Quarter Note Triplet option creates grid lines in the Drum Grid pane at quarter note triplet intervals (three lines per half note).


Eighth Note

An option in the Show/Hide Grid button, the Eighth Note option creates grid lines in the Drum Grid pane at eighth note intervals.


Eighth Note Triplet

An option in the Show/Hide Grid button, the Eighth Note option creates grid lines in the Drum Grid pane at eighth note triplet intervals (three lines per quarter note).


Sixteenth Note

An option in the Show/Hide Grid button, the Sixteenth Note option creates grid lines in the Drum Grid pane at sixteenth note intervals.


Sixteenth Note Triplet

An option in the Show/Hide Grid button, the Sixteenth Note option creates grid lines in the Drum Grid pane at sixteenth note triplet intervals (three lines per eighth note).


32nd Note

An option in the Show/Hide Grid button, the 32nd Note option creates grid lines in the Drum Grid pane at 32nd note intervals.


32nd Note Triplet

An option in the Show/Hide Grid button, the 32nd Note option creates grid lines in the Drum Grid pane at 16th note triplet intervals (three lines per 32nd note).


64th Note

An option in the Show/Hide Grid button, the 64th Note option creates grid lines in the Drum Grid pane at 64th note intervals.


Follow Snap Resolution

An option in the Show/Hide Grid button, the Follow Snap Resolution command sets the grid lines to match the current Snap to Grid setting.


Edit Current Drum Map


Create New Drum Map


Pass Through Map


Drum Map Templates


View Reference

Track View

Console View

Loop Construction view

Loop Explorer View

Piano Roll View

Event List View

Tempo View


Track View

The Track view is always visible. It is the main window that you use to create, display, and work with a project. When you open a project file, the Track view is displayed for the project. Closing the Track view closes the project.

The Track view is divided into three sections: the Track pane, the Bus pane and the Clips pane. You can change the size of the three panes by dragging the vertical or horizontal splitter bars that separate the them.

You can automate most of the controls in the Track view by recording fader movements, drawing envelopes, and creating snapshots. For more information, see Using Automation.

Track View Toolbar

The Track view toolbar gives you quick access to Track view display options and allows you to move between the different editing modes. The following table gives a description of each of the Track view toolbar controls:

Control | Name | Description
 | Select All Tracks | Selects or deselects all the tracks in the project.
 | Module Manager | Opens the Module Manager dialog box where you can select the tracks you want displayed in the current view. Note that the Module Manager invoked from the Track view has no effect on the tracks displayed in the Console view and vice versa. For more information on using the Module Manager, see New Global Layout dialog.
 | Show Record VU Meter button | Enables and disables the display of all record meters in the Track pane. Click the down arrow on the right side of the Show Record Meter combo button to see the display options menu for the record meters.
 | Show Playback VU Meter button | Enables and disables the display of all playback meters in the Track pane. Click the down arrow on the right side of the Show Playback MeterVU button to see the display options menu for the playback meters.
 | Show Main Bus Meters button | Enables and disables the display of the main bus and aux bus meters in the Track pane. Click the down arrow on the right side of the Show Main Bus Meters button to see the display options menu for the bus meters.
 | Envelope tool button | Disables non-envelope-related selections, making it easier to edit envelopes in the Clips pane. Click the down arrow on the right side of the Envelope combo button to see the display options menu for the envelopes.
 | Scrub tool | Enables scrubbing in the Clips pane. For more information on scrubbing, see Scrubbing.
 | Select button | Enables clip editing, including slip editing and editing fades and crossfades. Click the down arrow to display an options menu for either selecting or not selecting track envelopes when you select clips.

Track Pane

The Track pane lets you see and change the settings for each track. Selected tracks always appear in a different color. To change the current track, move the highlight using the mouse or the keyboard as follows:

Key... | What it does...
Arrow Up and Arrow Down | Moves the selected track up or down
Arrow Left and Arrow Right | Moves to the previous or next control in the Track pane. The Right Arrow moves the selected control right until reaching the end of a line, and at the end of the line the selection moves to the left-most control of the line below. The Left Arrow moves the selected control to the left until it reaches the beginning of a line, and then moves to the end of the line above.
Page Down | Displays the next page of tracks
Page Up | Displays the previous page of tracks
Home | Moves the highlight to the first track in the project
End | Moves the highlight to the last track in the project

The Track pane contains meters for recording, playback, and bus levels. You can hide or show any or all of these meters, and choose many different options for the units and format of the data the meters display. See Metering.

Clips Pane

The Clips pane shows the clips in your project on a timeline that helps you visualize how your project is organized. Clips contain markings that indicate their contents. The Clips pane lets you select, move, and copy clips from place to place to change the arrangement of music and sound in your project.

The Track view makes it easy to select tracks, clips, and ranges of time in a project. These are the most common selection methods:

To... | Do this...
Select tracks | Click on the track number, or drag over several track numbers
Select clips | Click on the clip, or drag a rectangle around several clips
Select time ranges | Drag in the time ruler, or click between two markers

As with most other Windows programs, you can also use the Shift-click and Ctrl-click combinations when selecting tracks and clips. Holding the Shift key while you click adds tracks or clips to the current selection. Holding the Ctrl key while you click lets you toggle the selection status of tracks or clips.

For more information, see Arranging Tracks.

See also:

Controlling Playback

The Now Time and How to Use It

Recording

Arranging Tracks and Clips

Moving and Copying Clips

Using Automation

Mixing and Effects Patching

Bus Pane

The Bus pane contains the virtual main buses (main outputs) and the aux buses. You display the Bus pane by clicking the Show/Hide Mains and Aux Buses button [image] , which is located at the bottom of the Track view.

You use the buses in the Bus pane to patch in effects, control output volume and pan, and group tracks into subgroups.

By defaultPro Tracks has one virtual main bus (main output) for each hardware output. You can change the number of virtual main buses in the Audio Options dialog for a total of 64. You use each virtual main bus like a subgroup--sending certain groups of tracks out through certain buses to gain more control over effects, balance, etc. Each virtual main bus contains a left channel and a right channel, but only one volume fader. You control the left/right balance of each virtual main bus with the balance slider that is on that bus.

For more information, see:

Virtual Main Bus

To Patch a Track Through an Aux Bus


Cakewalk Empty View

To start working in Cakewalk, choose File-New (to start a new project) or File-Open (to open a project).

See To Create a New Project File.


Piano Roll View

You can open the Piano Roll view by any of three methods:

  • Selecting the track you want to edit and using the View-Piano Roll command
  • Selecting the track you want to edit and clicking the Piano Roll view button [image] in the Views toolbar
  • Double-clicking a MIDI clip in the Clips pane (you can change this option with the View Options command that's listed in the Clips pane popup menu, which appears when you right-click in the Clips pane)

The Piano Roll view displays all MIDI notes and events from one or more tracks in either the Drum Grid pane or the Note pane. The Note pane is a grid format that looks much like a player piano roll. The Drum Grid pane is also laid out in a grid, but the sound of these drum notes are determined by the settings in the Drum Map pane. In both the Drum Grid pane and the Notes pane, notes are displayed as horizontal bars.

In the Notes pane, pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries.

In the Drum Grid pane, the drum sounds are mapped according to the current drum map in the Note Map pane. Like the Notes pane, time is displayed running left to right with vertical measure and beat boundaries.

The Piano Roll view makes it easy to add, edit, and delete MIDI events from a track.

The Piano Roll view consists of the Piano Roll View Toolbar, the Note Pane, Note Map Pane, Drum Grid Pane, the Controllers Pane, and the Tracks List Pane.

For more information, see:

Selecting and Editing Events

To Add a Note

Selecting and Editing Notes

Using the Controllers Pane

Working with Multiple Tracks in the Piano Roll View

Piano Roll View Keyboard Shortcuts


Piano Roll View Toolbar

The following is a description of each of the tools and controls in the Piano Roll view toolbar:

Button... | What it does...
Select tool | Select a note or notes
Draw tool | Enter, edit and move notes
Draw Line tool | Draw changes in controller data in the Controllers pane. Acts the same as the Draw tool in the Notes pane.
Pattern Brush tool | Click and drag to "paint" notes in either the Drum Grid pane or Notes pane. The notes you enter using the Pattern Brush tool follow the parameters you set in the Pattern Brush dropdown menu, the snap resolution, and the Note Duration in the Piano Roll view toolbar.
Erase tool | Delete notes
Scrub tool | Plays all displayed tracks as you drag the cursor forward or backward
Controllers dropdown menus | Select a MIDI and its parameters if applicable. The Selected MIDI controller appears in the Controllers pane.
Whole note | Set the note duration for new notes to whole notes
Half note | Set the note duration for new notes to half notes
Quarter note | Set the note duration for new notes to quarter notes
Eighth note | Set the note duration for new notes to eighth notes
16th note | Set the note duration for new notes to Sixteenth notes
32nd note | Set the note duration for new notes to 32nd notes
Dotted note | Creates a dotted note of the note duration you have selected.
Triplet | Creates a triplet of the duration you have selected.
Snap button | When depressed, controls what size blocks of musical time you can select
Pick Tracks Combo | The left side of the Pick Tracks buttons Combo button opens the Pick Tracks dialog, and the dropdown arrow on the right side contains the Show Next Track and Show Previous Track commands
Show/Hide Controllers pane | Shows or hides the Controllers Pane at the bottom of the Piano Roll view.
Show/Hide Track List pane | Shows or hides the Tracks List Pane on the right side of the Piano Roll view.
Show All Tracks | Displays all the notes for every track currently listed in the Track List pane.
Show No Tracks | Shows no data in the Notes pane.
Invert Tracks | All hidden data is displayed and all displayed data is hidden.
Zoom Out | Zooms out by a fixed percentage, both horizontally and vertically
Zoom fader | Zooms in or out by the amount and direction that you drag it
Zoom In | Zooms in by a fixed percentage, both horizontally and vertically


Note Map Pane

The Note Map pane is where you map notes to specific drum sounds. The Note Map pane has the following columns:

  • Name--A user-assigned name for the note. The Name can be edited by clicking on it and entering a new name.
  • In Note--The recorded or original pitch of the note. The format can be either C0 through G10 or 0 through 127. There can be up to 128 entries in this column and each must be unique.
  • Out Note--The Out Note column specifies the mapped pitch. The format can be either C0 through G10 or 0 through 127. There can be up to 128 entries in this column and each must be unique.
  • Mute--Mutes the note.
  • Solo--Solos the note.


Drum Grid Pane

In this pane you can add, edit and delete drum notes in a track or tracks. Only MIDI tracks that are assigned to a drum map appear in the Drum Grid pane.

See:

Drum Maps and the Drum Grid Pane


Note Pane

In this pane you can add, edit, and delete notes of a track or tracks.

See also:

Selecting and Editing Notes


Controllers Pane

In this pane you can edit controllers, RPNs, NRPNs, automation, velocity, pitch wheel, and aftertouch data, during playback or recording, in real time.

Select the controller you want to edit from the Controller drop-down list at the top of the Piano Roll view. Controllers Pane for more information.


Tracks List Pane

Click the Show/hide track pane button [image] to display the Tracks List pane. The Tracks List pane is home to a list of all tracks currently displayed in the Piano Roll view. The track numbers and names appear in the Tracks List pane. Click the button again to hide the Tracks List pane.

For more information, see The Piano Roll View, and Selecting and Editing Notes.

See Also:

Selecting and Editing Events

Controllers Pane

Working with Multiple Tracks in the Piano Roll View


Piano Roll View Keyboard Shortcuts

The Piano Roll view has the following keyboard shortcuts:

Command | Shortcut
Select tool | S
Draw tool | D
Draw Line tool | L
Erase tool | E
Scrub tool | B
Snap enable/disable | N
Pick Track | T
Scroll up/down | arrow keys
Scroll left/right | arrow keys
Zoom in vertically | Ctrl+down arrow
Zoom out vertically | Ctrl+up arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out horizontally | Ctrl+left arrow
Zoom tool | Z
Undo Zoom | U
Show/Hide Track Pane | H
All Tracks | A
No Tracks | K
Invert Tracks | V
Whole Note | 1
Half Note | 2
Quarter Note | 4
Eighth Note | 8
Sixteenth Note | 6
Thirtysecondth Note | 3
Dotted Note | .
Triplet | P


Event List View

Open the Event List view by:

  • Selecting one or more tracks and choosing View-Event List
  • Selecting one or more tracks and clicking [image] in the Views toolbar
  • Right-clicking a track in the Clips pane and choosing View-Event List

The Events List view hides or displays all the events in a project in a list. Clicking one of the buttons in the Event List toolbar hides the kind of event that the button represents. You can insert, delete, or change any kind of event, with the exception of Shape events which can only be deleted. Events are displayed in a list format. You can insert, delete, or modify any kind of event, including notes, pitch wheel data, velocity, MIDI controllers, patch changes, wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.

See:

The Event List View

Event List Buttons and Overview

Event Manager dialog

To Insert a New Event

To Delete an Event

To Delete Several Events


Synth Rack View

The Synth Rack view lets you view, insert, delete, and configure your DXi and Rewire soft synths. You can also mute and solo any or all of them from this view. Each time you insert a soft synth into your project, a new row appears in the Synth Rack view with the name of the soft synth and its current parameters. You can insert as many copies of the same DXi soft synth as you like; each new copy appears in a new row and has the same name, but has a higher number after the name. Rewire soft synths can only have one copy open. The new higher-numbered name also appears on the menus of audio track inputs and MIDI track outputs.

The following is a list of the tools and controls in the Synth Rack view, followed by a description. For step-by-step instructions, see the links below.

Insert Button

Clicking this button opens a popup menu of all the DXi's and Rewire soft synths that are installed on your computer. Clicking the one you want to insert opens the Insert DXi Synth Options dialog, which allows you to insert the soft synth into your project in the manner you choose.

Delete Button

If you want to delete a soft synth from your project, click the name of the soft synth in the Synth Rack view and then click the Delete button. Note: Always close any Rewire applications in their own interfaces before deleting them from Pro Tracks.

Deleting a soft synth from the Synth Rack view does not delete the tracks associated with the soft synth, but does change the associated MIDI track's output to the next lower-numbered output.

Properties Button

To open the interface of a soft synth, click its name in the Synth Rack view and then click the Properties button. You can also open a soft synth's interface by double-clicking its name in the Synth Rack view.

Insert DXi Synth Options Button

The Insert DXi Synth Options dialog has an Ask This Every Time checkbox, which causes the dialog to appear every time you click the name of a soft synth from the popup menu of installed soft synths. If you uncheck this checkbox, the only way to open the dialog and choose your insertion preferences is to click the Insert DXi Synth Options button.

Patch-point Location Indicator

This indicator shows whether the particular soft synth is patched as an input for an audio track (first picture), or is patched into an Fx bin (second picture). DXi's that produce sound function the same way in either place. DXi's that are only effects processors must be patched into Fx bins.

Connection State Button

This button shows whether a particular soft synth is currently connected to the audio engine or not, which determines whether the soft synth will sound or not. You can click it to change the current state, which can be useful when you're auditioning other soft synths or troubleshooting. You can't use this button to disconnect a synth that's patched into an Fx bin. Some multi-port soft synths allow you to change the number of outputs after the soft synth has been inserted. While the soft synth is reconfiguring itself and informing Pro Tracks about the new number of outputs, the Connection State button turns off. As soon as the soft synth finishes reconfiguring itself, the Connection State button turns on again.

If you open your project on a different computer that doesn't have the same soft synths that the project uses, the Synth Rack view still displays the names of the original soft synths, but with the Connection State buttons for each missing soft synth turned off.

Mute Button

You can mute a soft synth by clicking the M button that's next to the soft synth's name in the Synth Rack view. This action causes all tracks associated with this instance of the soft synth to stop sounding.

Solo Button

You can solo a soft synth by clicking the S button that's next to the soft synth's name in the Synth Rack view.

Presets Menu

Next to the name of each inserted soft synth in the Synth Rack view is a dropdown menu of that soft synth's presets. You can choose the one you want from the dropdown menu.

For step-by-step instructions, see:

Working with Software Synthesizers

Multi-port DXi's

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

Converting Your DXi Tracks to Audio

Automating a DXi's Controls

Playing a Stand-alone Synth

ReWire Instruments


Console View

The Console view contains all the controls you need to mix your project. To open the Console view click the Console view button [image] in the Views toolbar or choose View-Console.

Sound controls in the Console view are grouped in modules. There are four types of modules:

Key... | What it does...
MIDI track | Set the track's output, channel, bank, and patch; set the input source and monitor input levels; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels.
Audio track | Set the track's output; set the input source and monitor input levels; mute, solo, and arm the track; set track volume and panning; apply real-time effects, send audio data to aux buses.
Aux bus | Receive input from one or more audio tracks, apply real-time effects, and send the results to an output.
Virtual main bus--a main output module contains both a left and right output, but only one volume control. The balance slider on each main output controls left and right balance. | Apply real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio output to an audio port.

One module is always outlined with a broken line. This corresponds to the track with the focus in the Track view. You can change the focus by clicking to the right of the module's volume fader.

The Console view contains buttons, sliders, and knobs. Knobs can be adjusted in four different ways:

  • Click along the outer edge of the knob to move the knob to that position
  • Drag the outer edge of the knob in a circular motion to set the desired position
  • Click on the center of the knob and drag the mouse up or down to adjust the knob
  • Double-click the center of the knob to return it to its snap-to position

Volume and pan faders also have snap-to positions; double-click a fader's knob to return the fader to its snap-to value.

The Console view contains meters for recording, playback, and main output levels. You can hide or show any or all of these meters, and choose many different options for the units and format of the data the meters display. See Metering.

The controls and effects patch points all have tooltips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

You can show or hide any of the track and bus modules by clicking the Module Manager button (located in the Console view toolbar) and choosing options from the dialog box. You can also choose how many sets of main outputs, or virtual main buses you want to use. These function like subgroups, and you can learn more about them at Virtual Main Bus.

For more information, see:

Mixing MIDI

Routing and Mixing Digital Audio

Using Real-Time Effects

Using Control Groups

Mixing Down and Distributing Audio

Automation Methods

Applying Audio Effects

Applying MIDI Effects

For step by step instructions:

To Choose the Tracks that are Displayed Using the Track Manager

To Hide a Module (Console view only)

Changing the Meters' Display

To Set the Snap-to Position of a Knob or Fader

To Insert a New Track

To Rename a Track, Aux Bus, or Virtual Main

Configuring the Console and Track Views


Tempo View

Open the Tempo view by using the View-Tempo command, or by clicking the Tempo View button [image] in the Views toolbar.

The Tempo view shows the tempo of your project. You can use the mouse to draw tempo changes directly onto the graph.

The Tempo view provides both a graphic display of the tempo and a list of all tempo changes in your project. In the graphical display you can use your mouse to draw tempo changes directly onto the graph. In the tempo list, you can insert, edit, and delete individual tempo changes. Click the Tempo List button to display or hide the tempo list.

If an entire project has a single tempo, the Tempo view shows a straight horizontal line, and a single tempo in the list.

If you want audio clips to stretch with any tempo changes you introduce, you need to enable Groove clip looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip looping on any selected clip that has Groove clip looping enabled.

The graph has several tools you can use to add or modify tempo changes:

Tool... | Name... | What It's for...
 | Select | Drag the Select tool in either the graphic display or the tempo list to select tempos for editing.
 | Line | Draw a straight line indicating a steady increase or decrease in tempo.
 | Draw | Draw a custom curve indicating changes in tempo.
 | Erase | Eliminate tempo changes already in place for some portion of a project.
 | Snap | When the Snap button is depressed, any new tempo changes will only be entered as often as the duration value in the tempo view's Snap to Grid dialog box (open by Right-clicking the Snap button).

If you make a mistake using any of these tools, you can use Undo to correct the error. When you use the Draw tool, the speed with which you drag the mouse determines the density of tempo events. To insert a larger number of relatively small tempo changes, move the mouse slowly. To insert a smaller number of relatively large tempo changes, drag the mouse quickly.

The tempo list has its own tools for editing tempo changes:

Tool... | Name... | What It's for...
 | Insert | Insert a new tempo change
 | Delete | Delete a tempo change
 | Tempo Properties | Edit a tempo change

To Steadily Increase or Decrease the Tempo in the Tempo View

To Draw a Series of Tempo Changes in the Tempo View

To Erase Tempo Changes in the Tempo View

To Insert a Tempo Change in the Tempo List in the Tempo View

To Edit a Tempo Change in the Tempo View

To Delete a Tempo Change from the Tempo List in the Tempo View


Loop Construction view

The following is a list of the tools and controls in the Loop Construction view, followed by a description. For step-by-step instructions, see the links below.

Save Loop to Wave File Button

Click the Save Loop to Wave file button [image] to open the Save As dialog. In the Save As dialog you can save the current loop (Groove clip) as a Riff Wave file, which are compatible with ACIDized loops. You can save Riff Wave files for use with another Pro Tracks project or with ACID.

Enable Looping Button

Click the Enable Looping button [image] to loop clips in the Track view by dragging the right side of a clip with your mouse. When Enable Looping is not on, you are able to slip-edit the clip. For more information about slip editing, see Slip Editing (Non-Destructive Editing).

Beats in Clip Field

The number of beats (quarter notes) in the clip.

Enable Stretching Button

The Enable Stretching button [image] instructs Pro Tracks to stretch or shrink the clip to fit the project's tempo. Pro Tracks uses the Beats in Clip and Original BPM parameters are used to make the change.

Original BPM Field

The tempo at which the clip was recorded.

Follow Project Pitch Button

The Follow Project Pitch option [image] transposes the loop, if necessary, to the key of the project. A loop recorded in the key of A, used in a project in the key of C, would be transposed up three semitones if the Follow Project Pitch checkbox was checked.

Root Note Field

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.

Pitch Field (coarse)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch option is checked, the clip is transposed down by two semitones. A value entered into the Pitch (semitone) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semitone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not checked, and a value of "2" is entered in the Pitch (semitones) field, the clip is transposed down two semitones to D from the original pitch of E.

Pitch Field (fine)

The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semitone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semitone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Stop Preview Button

The Stop Preview button [image] stops loop playback.

Preview Loop Button

Plays the current loop repeatedly. Use the Stop Preview control [image] to stop playback.

Preview Bus Field

Select the virtual main output through which you want to listen to the clip.

Select Tool

Use the Select tool [image] to move markers in the Markers bar.

Erase Tool

Use the Erase tool [image] to delete markers in the Markers bar.

Default All Markers Tool

The Default All Markers tool [image] restores all automatically generated markers to the original position and enables all those that were disabled. Manually created markers remain as is.

Basic Slicing Slider

The Slicing slider sets the resolution for the creation of markers, or the "slicing" of the looped clip. The Basic Slider uses note lengths, so the settings are:

  • Whole notes
  • Half notes
  • Quarter notes
  • Eighth notes
  • Sixteenth notes
  • Thirty-second notes
  • Sixty-fourth notes

The automatic markers appear at the note resolutions according to the slider setting. At the eighth note setting, there are eight markers per measure.

The Basic Slicing slider works well for slicing audio that has more subtle changes in volume with few dramatic transients.

The markers in a loop clip preserve the timing of the audio at that moment. Too few or too many markers can cause unwanted "artifacts" when a loop clip is stretched.

Transient Detection Slider

The Transient Detection Slider senses transients in your audio clip and assigns a marker at the beginning and end of each one it finds. As the sensitivity is increased (moving the slider to the right) smaller transients are detected and the number of markers increases.

Slicing Markers

There are two types of slicing markers in the Loop Construction view: automatic and manual. Automatic markers appear in red and are automatically generated by Pro Tracks when you loop enable a clip. The one exception to this is if you import an ACIDized wave file into Pro Tracks. ACIDized files always appear with manual slicing markers. Manual markers appear in blue. If you add a marker or move an automatic marker, it turns blue to show you that it has been edited. For information on editing slicing markers, see To Edit the Slicing Markers in a Groove Clip.

Beat Markers

Beat Markers mark where the beats fall in your clip. There are as many beat markers as there are beats in a clip.

For more information, see:

Working with Loops

Working with Groove Clips

Creating and Editing Groove Clips

Using Pitch Markers in the Track View


Loop Explorer View

You can open the Loop Explorer view in any of the following methods:

  • Select View-Explorer from the menu.
  • Click the Explorer icon on the Views toolbar.

The Explorer view allows you to locate, view and preview your sound files.

The Explorer view toolbar has the following controls:

Tool...

Name...

What It Does...

Move Up

Opens the folder one level above the active folder.

Refresh

Refreshes the active folder.

Windows Explorer

Opens Windows Explorer at the same directory being viewed in the Loop Explorer view.

Play

Plays the selected media file.

Stop

Stops the playback of the selected file.

Auto Preview

Automatically preview files when you click on them in the Loop Explorer view. If the selected file is a Groove clip, it plays back in the project tempo and key.

Views

Allows you to change the way the files are viewed in the list view:
  • Tree view--displays all of the available drives and folders that you may choose from to find files.
  • Summary view--displays a short description of the selected media file at the bottom of the Loop Explorer view.
  • Details--displays the file size, date and when the file was created and last modified.
  • All Files--displays all file types in the active folder.

Preview Bus

Select the virtual main output through which you want to listen to the loop.


Tree View Pane

The Tree view pane lists all of the available files and folders in the selected drive.


Contents List Pane

The Contents List pane displays the folders and files contained in the active folder.


OP Panel View

The View-OP Panel-(name of the panel you want to open) command opens a Yamaha OP panel. If you have a certain kind of Yamaha module connected to your computer and have installed the Yamaha editing software, you can open these panels directly from Pro Tracks to create and edit sounds for your module, and save the sounds as presets.


Dialog Reference

Use the Contents tab, Index or Search tab to find the dialog you are looking for.


About Pro Tracks dialog

When you use the Help-About Pro Tracks command, the Cakewalk logo appears, with the version number of your Cakewalk product listed below it.


Apply MIDI Effects dialog

When you click the Apply MIDI Effects button in the Console view, the Apply MIDI Effects dialog box appears. This dialog box lets you select options for applying MIDI effects to selected MIDI data. You can choose to delete the effect from the patch point after it is applied, so that it will not be reapplied on playback.


Arm Fx Parameters dialog

When you right-click an effect that has automatable parameters, and choose Arm Parameter from the popup menu, a dialog box with a list of the effect's armable parameters appears. You can quickly choose which parameters you want to arm to record automation.

The dialog box has the following fields and controls:

Param Armed list

This is a list of the parameters that you can arm for this effect. The checkbox next to each parameter name allows you to arm or disarm the parameter. Whenever any control is armed for automation, the red Aut indicator lights up in the Status bar.

Arm All button

Click this button to arm all the parameters.

Disarm All button

Click this button to disarm all the parameters.

Choose Color button

Click this button to choose colors for any pre-existing envelopes for this effect's parameters. Highlight the name of the envelope in the Param Armed list; the current color of that envelope appears above the Choose Color button; click the Choose Color button and choose a new color for the highlighted envelope. If you want the same color for several different envelopes, you can highlight as many names at one time as you want by dragging through them, Shift-clicking them, or Ctrl-clicking them.


Assign Instruments dialog

The Options-Instruments command opens the Assign Instruments dialog box. This command lets you choose one or more output/channel configurations and assign an instrument to it or them.

Pro Tracks lets you assign a MIDI instrument definition to each available MIDI output and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your Pro Tracks session.

Suppose that you have a Roland GS compatible synthesizer attached to MIDI output 1. By assigning all 16 channels of MIDI output 1 to the Roland GS instrument definition, you ensure that the bank, patch, note and controller name lists you see displayed in Pro Tracks are the ones that match your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. If you have several MIDI outputs, with a different instrument attached to each one, you would normally assign a different instrument to each MIDI output.

For convenience, you can assign a block of channels to one instrument, and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI output and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of the first MIDI output and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI output will stay assigned to Roland GS.

You might also want to split channels to different instruments if you have several instruments attached to a single MIDI output. For example, you might have a Roland synth receiving on MIDI channels 1-9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI output.

The Assign Instruments dialog box has the following fields:

Output/Channel

This field lists all your MIDI outputs and all the channels for each output. Highlight the output/channel combination you want to assign an instrument definition to. You can select several output/channel combinations at the same time (for example, all 16 channels of a output) by Ctrl-clicking or Shift-clicking.

Uses Instrument

This field lists all the instrument definitions that are currently stored by Pro Tracks. Selecting one binds it to any output/channel combinations that are selected in the Output/Channel field.

Save Changes for Next Session

Click this checkbox if you want to reuse any new combinations you made the next time you open Pro Tracks.


Audio Mixdown Options

Clicking the Mixdown Options button in the Video to Avi dialog opens the Audio Mixdown options dialog. This dialog lets you control the characteristics of the audio file you export when you export an AVI video from Pro Tracks.

This dialog has the following fields:

  • Format--choose Mix To Stereo Stream or Mix To Mono Stream, depending on whether you want to export a stereo or mono audio file.
  • Source Bus(es)--choose the sound card driver you want to use to export your audio file.
  • Mix Enables--choose all the different audio components you want to include in your exported audio file. You usually include everything. If you include either Track FX or Master FX, it's a good idea to add an extra measure to the end of your project to contain any reverb tails that your effects produce.


Audio Options dialog--General

The Options-Audio command opens the Audio Options dialog box. Choose the General tab to control the following options:

Number of Aux Buses

This determines how many auxiliary mixes can be created. These are useful mainly for effects sends. Specify only the number of aux buses you intend to use.

Audio Driver Bit Depth

Determines the number of bits per sample used for communicating with the audio hardware for playback or recording. Your audio hardware must be capable of supporting the setting you supply here. Pro Tracksis 16-bit only.

Default Settings for New Projects

  • The Sampling Rate drop-down list allows you to specify the audio sampling rate for a new .cwp file. Once any audio has been added to a .cwp file -- either by recording audio or by using Insert-Audio File -- you can't change the sampling rate for that .cwp file. Therefore, you should choose the sampling rate immediately after choosing File-New to start a new song.
You can choose one of four sampling rates: 11025 Hz, 22050 Hz, 44100 Hz, 48000 Hz. The default used by Pro Tracks is 44100 Hz, the same rate as audio CDs. However, you may choose a lower rate if your PC is slow or has a slow hard disk.
Note: For most sound cards, all digital audio in the same song must be at the same sampling rate. Some dedicated audio systems let you mix different sampling rates in the same song; Pro Tracks only lets you do this if the audio system supports it. This feature is meant primarily for sound cards that use different Windows drivers for input and output; Pro Tracks treats such cards as two different programs.
  • The File Bit Depth field is the number of bits per sample Pro Tracks uses to store recorded (or imported) audio data to disk. Pro Tracks is 16-bit only.

Mixing Latency (MME and WDM drivers only)

  • The Buffers in Playback Queue values determine the buffer characteristics for transfers to and from the audio drivers. Lowering this value improves audio latency, though making it too low makes your system more susceptible to stuttering or dropouts
  • The Buffer Size Slider enables you to set mixing latency manually, overriding the value set by the Wave Device Profiler. Lower numbers increase the risk of audio problems. WDM sound card drivers offer lower latency than the older MME type. If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration in the Audio Options dialog box, in the Driver Profiles tab.

Wave Profiler (MME and WDM drivers only)

Wave Profiler attempts to detect the make and model of your sound card, which determine the card's DMA (Direct Memory Access) settings. Once Wave Profiler identifies the card, it displays the results and asks whether you want to use the default settings for that card or to override them:

If Wave Profiler has identified your card correctly, you may accept the default settings. Otherwise, Wave Profiler will run a series of tests to attempt to determine the correct DMA settings. Usually this process is successful; however, if it is not, you will need to enter the correct settings in the Device Profiles tab of the Audio Options dialog box.

To determine the correct settings, consult your sound card documentation. Our web site, at www.cakewalk.com, contains the latest DMA settings for commonly used sound cards.

The Wave Profiler utility runs automatically the first time you run Pro Tracks. You need not run it again unless you install a new sound card or an updated driver for your current sound card.

Wave Profiler will not analyze the card at the 48 kHz sampling rate. It assumes that 48 kHz settings are the same as 44 kHz settings. If your sound card doesn't sync to 48kHz, you may need to enter the settings manually.

ASIO Panel (ASIO drivers only)

This button opens a dialog where you can set the buffer size for your ASIO driver and change the driver configuration. See your sound card's documentation for more information.


Audio Options dialog--Advanced

The Options-Audio command opens the Audio Options dialog box. Choose the Advanced tab to control the following options:

File System

  • Data Directory--This item specifies the directory in which Pro Tracks stores audio data files. You may want to keep your audio files in a separate data directory or on a different drive; just be sure to enter that data directory's path here.
Warning: Do not change the data directory! Any .cwp files that contain digital audio will be unable to locate their audio files if you enter the wrong directory.
  • Picture Directory-- This item specifies the directory in which Pro Tracks stores waveform picture files. You may want to keep your picture files in a separate data directory or on a different drive; just be sure to enter that data directory's path here.
  • Enable Read Caching and Enable Write Caching--Choosing either of these options lets Pro Tracks use the Windows disk cache while reading or writing audio data. Pro Tracks will usually perform best with all caching disabled, which is the default setting. If your computer has an older IDE disk controller, or a disk controller that does not use DMA transfers, enabling caching may improve Pro Tracks's audio performance. Note: Changes to these settings only take effect when you restart Pro Tracks .
  • I/O Buffer Size--This value determines the buffer characteristics for transfers to and from the disk. Changing this value does not affect audio latency, but will affect the disk throughput for audio tracks. The default setting is 64. If you have audio problems, try 32 and then 16. If audio problems persist, try 128, 256, 512, or reset to 64 and try a different remedy.

Playback and Recording

  • Always Use MME Interface, Even When WDM Drivers Are Available--Enable this option if you want to use a sound card that only has an MME driver together with a sound card that has a WDM driver. This will force the WDM driver to go through the slower MME interface. If you use only WDM driver devices, leave this option unchecked for optimum performance.
  • Apply Dither--Pro Tracks uses this kind of dithering to slightly improve the sound after Pro Tracksconverts the floating point numbers in the audio data to integers that the sound card can process.This effect is not usually heard by most people, and it adds processing time. You can disable it during mixing and enable it during mastering. Disabling this option may provide a slight improvement in real-time effects performance.
  • Share Drivers With Other Programs--This option allows other software to access device drivers. When this option is checked, other software can access device drivers when Pro Tracks is not the focus of Windows.
  • Play Effect Tails After Stopping--When checked, this option causes any effect with a "tail" (reverb, delay, etc.) to finish playing when playback is stopped.


Audio Options dialog--Input Monitoring

The Options-Audio command opens the Audio Options dialog box. Choose the Input Monitoring tab to enable or disable input monitoring for each sound card in your system. Input monitoring allows you to hear your audio instrument in real time the way it's being played or recorded, complete with any plug-in effects you've patched in. After you enable input monitoring, you can turn it off and on by clicking the Audio Engine button [image] in the Transport toolbar.

All drivers selected in this tab are enabled for input monitoring.

Warning: Input monitoring can lead to feedback loops. Input monitoring is off by default. When you enable input monitoring, make sure your monitor speakers are turned all the way down. Slowly raise the volume until you are sure there is no danger of a feedback loop. If there is, then you must change the way you have patched your mixer.

For more information, see Input Monitoring.


Audio Options dialog--Drivers

The Options-Audio command opens the Audio Options dialog box. Choose the Drivers tab to display a list of available drivers and selectively enable them:

Input Drivers

These control recording.

Output Drivers

These control playback.


Audio Options dialog--Driver Profiles

The Options-Audio command opens the Audio Options dialog box. Choose the Driver Profiles tab to view the sound card buffer settings that the Wave Profiler has come up with. The various fields show the following data: This tab only appears when in MME or WDM/KS driver mode.

Show Profile for

This field shows the name of the sound card driver that the displayed settings are for.

Access Driver in Mono

Choosing this option causes Pro Tracks to send the sound card only mono data.

WavePipeTM Acceleration

If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration.. If you experience audio problems, see if disabling this options helps. If not, leave it enabled.

DMA Buffer Sizes

These fields list the buffer characteristics for each sound card that the Wave Device profiler has come up with. In general, it is better not to change these settings without consulting Pro Tracks technical support.


Pro TracksPro TracksBank/Patch Change dialog

Select Insert-Bank/Patch Change to open the Bank Patch Change dialog box.

The output and channel of the selected track appear in the upper left corner.

Bank Select Method:

Choose from one of the following MIDI standard protocols:

  • Normal
  • Controller 0
  • Controller 32
  • Patch 100...127

For more information see .

Bank:

Select the Bank you want to use.

Patch:

Select the Patch you want to use.

If you want to use the Patch Browser dialog, click the Patch Browser icon.


Bounce to Track(s) dialog

Select Edit-Bounce to Track(s) to open the Bounce to Track(s) dialog box.

This command lets you mix tracks down to one or two tracks in order to free up more tracks and/or lighten the load on your computer.

Note: If you select any data in your project, only that data is included when you choose to bounce tracks. Alternatively, you can mute tracks you don't want to include in the mixdown, and then check Track Mute/Solo in the Mix Enables field so that Pro Tracks uses that information as a guide when picking what tracks to include in the mix.

The dialog box has the following fields:

Destination

Assign the track to which you want to mixdown. If you are creating two tracks of audio, the destination track must be the first of two consecutive blank or unwanted tracks.

Select from one of the following options:

  • Mix to Single Track Stereo Event(s)--All bounced tracks are mixed down to a single stereo track.
  • Mix to Separate Left and Right Tracks--All bounced tracks are mixed down to two mono tracks, left and right.
  • Mix to Mono Track(s)--All bounced tracks are mixed to a single mono track.

Source Bus

Choose which soundcard you want to use to process your mixdown.

Each Source to Separate Mix

Check this to create a separate file(s) for each device selected in the Source Bus(es) field.

Mix Enables

As default, each of the Mix Enables options is checked, meaning that your mixdown will sound the same as playback. You can check or uncheck each of the following settings to include or exclude them from the mix:

  • Track Mute/Solo--If you check this option, tracks that are currently muted are not mixed down. Also with this option checked. if any tracks are soloed, only those tracks are included in the mixdown.
  • Track Automation--If you don't check this option, any volume and pan automation, including initial volume and pan settings, is ignored when creating the new track(s). The amplitude of the raw data in the tracks is used, and the pan is C, or centered.
  • Clip Automation--If you don't check this option, any clip automation, including any trim settings, is ignored when creating the new track(s).
  • Aux Automation
  • FX Automation
  • Master Automation--If you don't check this option, any master bus automation, including the current master volume and balance settings, is ignored when creating the new track(s).
  • Track FX--If you don't check this option, any effects patched into various tracks' patch points, including any plug-in synthesizers patched into track fx patch points, are ignored when creating the new track(s).
  • Aux Returns--If you don't check this option, any effects patched into aux buses, including any plug-in synthesizers patched into aux buses, are ignored when creating the new track(s).
  • Master FX--If you don't check this option, any master effects, including any plug-in synthesizers patched into main buses, are ignored when creating the new track(s).


Choose Track Type dialog

Using the Insert key in the Track view inserts a new track of the same type as the current track, unless you use it in an empty project that has no tracks yet. In that case, the Choose Track Type dialog box appears, offering you the choice to insert either an audio or MIDI track.


Clean Audio Folder dialog

The Tools-Clean Audio Fodler command opens the Clean Audio Folder dialog box. Use this command to delete digital audio files from an audio data folder that are no longer used by any of your projects. You should use this command from time to time to free up disk space.

Important: Make sure that all of your important project (.cwp and .wrk) files are stored in your local hard disk(s) before using this command. If your project files are stored elsewhere, such as a floppy drive, removeable drive, or network drive, you risk accidentally deleting important audio files that are associated with your projects.

Note: The Cakewalk Audio Finder (CWAFTool) is a more advanced utility for finding and removing unused projects and audio files. This utility can be installed from the AutoRun menu of the Pro Tracks CD. If you have an older version of Cakewalk, you can download the Cakewalk Audio Finder from the Cakewalk Website.

Under Windows, deleted files are normally placed in the Recycle Bin. As a result, you should empty the Recycle Bin after using the Clean Audio Folder command, or the unused files will still physically remain on your hard disk.

If you are using another utility program that protects you from accidentally deleting important files (such as Norton Protect), you may need to disable that program. Otherwise, the next time you use the Clean Audio Folder command you may once again find these not-quite deleted files.

The Clean Audio Folder dialog box has the following fields:

File window

The file window lists all the unused audio files that Pro Tracks finds.

Find button

Click this button to find all unused audio files and list them in the file window.

Play button

Click this button to play the audio file that is highlighted in the file window.

Delete button

Click this button to delete the audio file that is highlighted in the file window.

Delete All button

Click this button to delete all the audio files that are listed in the file window.


Clip Properties dialog--In Track

In the Clips pane, when you right-click a clip and choose Properties from the popup menu, the Clip Properties dialog box appears, which you use to set and view the properties of the clip you clicked.

The Clip Properties dialog box has the following fields:

Name

Use this field to type a new name for the selected clip, if you want to.

Start

Use this field to move the selected clip forward or backward in the track by setting a new start time.

Length

This field displays the length of the selected clip.

Clips Linked to this Clip

This field tells you how many clips are linked to this clip.

Display Color

This field (which is greyed out if the Use Default Clip Color checkbox below it is checked) displays the current color of the selected clip, which you can change by clicking the Choose Color button, which opens the Color dialog box.

Use Default Clip Color checkbox

Checking this option leaves the selected clip's color the same as it was before you selected it.


Clip Properties dialog--Groove-Clips

The Action tab in the Loop Construction view allows you to enable looping (which enables slip editing), and set how the loop responds to the project's pitch and tempo.

Enable Looping

Checking the Enable Looping checkbox allows you to loop clips in the Track view by dragging the right side of a clip with your mouse. When Enable Looping is not checked, you are able to slip edit the clip. For more information about slip editing, see .

Stretch to Project Tempo

the Stretch to Project Tempo checkbox instructs Pro Tracks to stretch or shrink the clip to fit the project's tempo. Pro Tracks uses the Beats in Clip and Original Tempo parameters are used to make the change.

Beats in Clip

The number of beats (quarter notes) in the clip.

Original Tempo

The tempo at which the clip was recorded.

Follow Project Pitch

The Follow Project Pitch option transposes the loop, if necessary, to the key of the project. A loop recorded in the key of A, used in a project in the key of C, would be transposed up three semitones if the Follow Project Pitch checkbox was checked.

Root Note

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.

Pitch (semitones)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (semitones) field. A positive number transposes the clip up by that number of semitones. A negative number tansposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch option is checked, the clip is transposed down by two semitones. A value entered into the Pitch (semitone) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semitone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not checked, and a value of "-2" is entered in the Pitch (semitones) field, the clip is transposed down two semitones to D from the original pitch of E.

Fine Pitch (cents)

The Fine Pitch (cents) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semitone. A Fine Pitch setting of "1" adjusts the pitch up one hundredth of a semitone. The Fine Pitch option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.


Clip Properties dialog--Audio Files

The Audio Files tab of the Clip Properties dialog lists the audio file(s) that make up the selected clip and the pathname(s) they are stored.


Clone dialog

The Track-Clone command opens the Clone dialog box. Use this command to copy a track to a new track. The Clone dialog box has the following fields:

Events

Check this checkbox if you want to copy the MIDI and audio clips in the highlighted track.

Link to Original Clip(s)

Check this checkbox if you want the clips in the new track to become linked clips with the identical clips in the original track.

Clone Properties

Check this checkbox if you want to copy the properties of the highlighted track, such as the name, output, channel, etc.

Clone Effects

Check this checkbox if you want the new track to use the same real-time effects that are patched into the original track.

Repititions

The number of tracks you want to create from the selected track.

Starting Track

The track at which your cloned track(s) appear. Existing tracks are moved down to make room, not overwritten.


Colors dialog

The Options-Colors command opens the Colors dialog box, which allows you to choose colors for most items that Pro Tracks displays.

The Colors dialog box has the following fields:

Screen Element

This list shows all the items in Pro Tracks you can set the color of. Highlight the one you want to change.

Follow System Color

This field lets you choose the same color for a highlighted item in the Screen Element list that Microsoft Windows uses for certain screen elements. For example, because Windows usually uses black for button text, if you highlight Window Background in the Screen Element list and then click Button Text in the Follow System Color field, all the window backgrounds in Pro Tracks turn black (or whatever color you have set up for button text in your Windows preferences).

Use Specific Color

Choosing this option instead of the Follow System Color option allows you to pick a specific color for the highlighted item in the Screen Element list. Click the Choose Color button to open the Color dialog box, click the color you want, and click OK. The highlighted item in the Screen Element list changes to the color you chose.

Save Changes for Next Session

Check this checkbox if you want Pro Tracks to use any new color assignments the next time you open Pro Tracks.

Wallpaper

The options in this field allow you to set the color and design of Pro Tracks's background area. The options are:

  • Default--Choosing this option causes Pro Tracks to use its original color and design for the background.
  • None--Choosing this option causes Pro Tracks to use a flat, grey color for the background.
  • Custom--Choosing this option opens the Wallpaper Bitmap dialog box, which allows you to choose a graphics file (bitmap) to use as the background.

The table below identifies each of the screen elements in Pro Tracks:
Screen element... | Explanation...
Window background | Background color for the entire program window
Window text | Text color
Rules | Vertical lines used to mark values or time
Major rules | Major lines used to mark larger intervals of values or time
Values | Color of selected events and tempo changes in the Tempo view
Drawing | Colors used to show your drawing in the Piano Roll and Tempo views
Erasing | Color used to show your erasing in the Piano Roll and Tempo views
Event List Note | Color of note events in the Event List view
Event List KeyAft | Color of key aftertouch events in the Event List view
Event List Control | Color of controller events in the Event List view
Event List Patch | Color of patch events in the Event List view
Event List ChanAft | Color of channel aftertouch events in the Event List view
Event List Wheel | Color of pitch wheel events in the Event List view
Event List Sysx | Color of System Exclusive events in the Event List view
Event List Special | Color of other, special events in the Event List view
Note that is on | Color of currently playing notes
Events | Color of selected events in the Piano Roll view
Clips playing on MIDI outputs | Default color of clips on tracks assigned to MIDI outputs in Track view
Clips playing on Audio outputs | Default color of clips on tracks assigned to Audio outputs in Track view
Markers | Color of markers in time rulers
Pitch markers | Color of pitch markers in the Time Ruler
Loop points | Color of loop point markers
Punch points | Color of punch recording markers
Loop Construction View Samples | Sets the color of the wave forms in the Loop Construction view, which you can also configure from the Clips pane right-click menu by using the Clip Properties command
Tracks 1, 11, 21... | Color of all tracks that end in the number "1" (1, 11, 21, etc.)
Tracks 2, 12, 22... | Color of all tracks that end in the number "2" (2, 12, 22, etc.)
Tracks 3, 13, 23... | Color of all tracks that end in the number "3" (3, 13, 23, etc.)
Tracks 4, 14, 24... | Color of all tracks that end in the number "4" (4, 14, 24, etc.)
Tracks 5, 15, 25... | Color of all tracks that end in the number "5" (5, 15, 25, etc.)
Tracks 6, 16, 26... | Color of all tracks that end in the number "6" (6, 16, 26, etc.)
Tracks 7, 17, 27... | Color of all tracks that end in the number "7" (7, 17, 27, etc.)
Tracks 8, 18, 28... | Color of all tracks that end in the number "8" (8, 18, 28, etc.)
Tracks 9, 19, 29... | Color of all tracks that end in the number "9" (9, 19, 29, etc.)
Tracks 10, 20, 30... | Color of all tracks that end in the number "0" (10, 20, 30, etc.)
Track View Background | Color of the Track view's background.
Track View Volume Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Pan Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Trim Control Color | Sets the color of this parameter's automation envelope
Track View Aux Send 1 Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 2 Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 1 Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 2 Envelope Color | Sets the color of this parameter's automation envelope
Track View Mute Envelope Color | Sets the color of this parameter's automation envelope
Active Track Color | Sets the color of the track that has the focus
Selected Track Color | Sets the color of any selected tracks
Track View MIDI Chorus Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View MIDI Reverb Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Control Border | Sets the color of the outline border of all the Track view's controls

Note that if you set any other screen element to the same color as Window background, you'll make that screen element invisible!

Defaults button

Clicking this button restores all of Pro Tracks's color settings to their original values.


Control Surface Settings dialog

The Control Surface Settings dialog opens when you click the Add button [image] in the Control Surfaces dialog. The Control Surface Settings dialog also opens when you select a control surface from the Connected Surfaces list in the Control Surfaces dialog, and then click the Property Page button that's in the Control Surfaces dialog.

The Control Surface Settings dialog has the following fields:

  • Control Surface--use this field to select the control surface that you want to add to the Connected Surfaces list (this option is greyed-out if you open the dialog with the Property Page button).
  • Input Port--use this field to select the MIDI port that the control surface will use to send MIDI control data to Pro Tracks.
  • Output Port--use this field to select the MIDI port that the control surface will use to receive MIDI control data from Pro Tracks.

For more information, see:

Control Surfaces dialog

Working with External Devices


Control Surfaces dialog

Using the Options-Control Surfaces command opens the Control Surfaces dialog. This dialog allows you to enable as many control surfaces as you want to control Pro Tracks, and configure the control surfaces' interfaces.

The Control Surfaces dialog has the following fields and buttons:

  • Connected Surfaces list--This is a list of all the control surfaces that are currently active and enabled in your project. The list also displays the In Port and Out Port that the control surface will use to communicate with Pro Tracks. You can double-click the name of one to change the ports. You can also change these ports in the Control Surface Settings dialog, which opens when you select a control surface from the list and then click the Property Page button that's in the Control Surfaces dialog.
  • Add button [image] --Clicking this button lets you to add another control surface to the list.
  • Delete button--Clicking this button deletes and disables the selected control surface from the list. You can re-enable it by clicking the Add button and selecting it from the drop-down menu.
  • Property Page button--Clicking this button opens the Control Surface Settings dialog.

For more information, see:

Working with External Devices

Control Surface Settings dialog


Convert MIDI To Shapes dialog

Using the Edit-Convert MIDI To Shapes command opens the Convert MIDI To Shapesf dialog box. This command lets you convert a controller envelope created in the Piano Roll view to a Track view envelope, or shape.

Note: If two clips overlap, the command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.

See:

To Convert MIDI Controller Envelopes to Shapes


Copy dialog

The Edit-Copy command opens the Copy dialog box. which lets you put on the clipboard any selected objects. You can paste the contents of the clipboard elsewhere. See .

To remove rather than copy objects, see .

To make copies of linked clips, see .

The Copy dialog box has the following fields:

Events in Tracks

If you check this checkbox, Pro Tracks copies all events in the selected object.

Clip Automation

If you check this checkbox, Pro Tracks removes all clip automation in the selection.

Track/Bus Automation

If you check this checkbox, Pro Tracks removes all Track and Bus automation from the selection.

Tempo Changes

If you check this checkbox, Pro Tracks copies all tempo changes in the selected object.

Meter/Key Changes

If you check this checkbox, Pro Tracks copies all meter and key changes in the selected object.

Markers

If you check this checkbox, Pro Tracks copies all markers in the selected object.


Create Fx Envelopes dialog

If you have already patched an automatable effect into a track, you can right-click in the Clips pane and choose Envelopes-Create-(name of the effect you patched) to open a dialog box containing a list of the effect's automatable parameters. You can create or delete an envelope for each parameter by checking or unchecking its checkbox.

If you patched the effect into an aux or virtual main bus, you can open the same dialog box by clicking in the Bus pane and choosing Create-(name of the effect you patched).

The dialog box has the following fields:

Envelope Exists list

This is a list of all the automatable parameters for this effect--the ones with checkmarks already have envelopes. You can create new envelopes by checking more checkboxes, or delete existing ones by unchecking checkboxes.

Choose Color button

Click this button to choose colors for any envelopes whose names are highlighted and checked in the list. When you highlight the name of a checked envelope in the Envelope Exists list, the current color of that envelope appears above the Choose Color button; click the Choose Color button and choose a new color for the highlighted envelope. If you want the same color for several different envelopes, you can highlight as many names at one time as you want by dragging through them, Shift-clicking them, or Ctrl-clicking them.


Ctrl Surface Settings dialog

The Ctrl Surface Settings dialog appears when you click the Property Page button in the Control Surfaces dialog. This dialog allows you to choose inputs and outputs for the selected control surface.

The Ctrl Surface Settings dialog has the following fields:

  • Control Surface--This field lists the control surface you are choosing inputs and outputs for.
  • Input Port--Click the name of the input port you want to use.
  • Output Port--Click the name of the output port you want to use.

For more information, see:

Working with External Devices


Cut dialog

The Edit-Cut command opens the Cut dialog box, which lets you remove from the project and put on the clipboard any selected objects. You can paste the contents of the clipboard elsewhere. See .

The Cut dialog box has the following fields:

Events in Tracks

If you check this checkbox, Pro Tracks removes every event in the selected object.

Clip Automation

If you check this checkbox, Pro Tracks removes all clip automation in the selection.

Track/Bus Automation

If you check this checkbox, Pro TracksPro Tracks removes all Track and Bus automation from the selection.

Tempo Changes

If you check this checkbox, Pro Tracks removes all tempo changes in the selected object.

Meter/Key Changes

If you check this checkbox, Pro Tracks removes all meter and key changes in the selected object.

Markers

If you check this checkbox, Pro Tracks removes all markers in the selected object.

Delete Hole

If you check this checkbox, removes the space in the track where the object was. Pro Tracks moves all objects after the deleted object forward in time by the length of the deleted object. Checking the Shift By Whole Measures option causes Pro Tracks to move the following clips forward, but only as far as the nearest whole measure.


Delete dialog

The Edit-Delete command opens the Delete dialog box, which allows you to remove selected objects from the project. It doesn't put them on the clipboard, so they can not be subsequently pasted. You can specify the following objects to remove:

Events in Tracks

Removes all events in the selected clip(s).

Clip Automation

Removes any clip envelopes in the selected clip(s).

Track/Bus Automation

Removes any track or bus automation from the selected clip(s).

Tempo Changes

Removes all tempo changes in the selected clip(s).

Meter/Key Changes

Removes all meter and key changes in the selected clip(s).

Markers

Removes all markers in the selected clip(s).

You have the following options in the Delete dialog:

Delete Hole

If selected, the Delete Hole option removes the space in the track where the clip(s) had been. All clips after the deleted clip(s) are moved forward in time by the length of the deleted clip(s). Checking the Align to Measures option causes Pro Tracks to move the following clips forward, but only as far as the nearest whole measure.


Delete dialog (with multiple selection)

If you have both a track and an effect selected, the Delete dialog appears with the following options:

Current Selection

Check this box if you want to delete the current track or clip selection.

Current Effect

Check this box if you want to delete the selected effect.


Drag and Drop Options dialog

If you right-click in the Clips pane and choose Drag and Drop Options from the popup menu, the Drag and Drop dialog box appears, which you use to control how clips behave when you drag them.

The Drag and Drop dialog box has the following fields:

Copy Entire Clips as Linked Clips

Choosing this option means that when you copy an entire clip and paste it, the new clip is a linked clip with the clip that you copied it from.

What to do with existing material

The fields in this section deal with the situation that occurs when you try to drag some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells Pro Tracks to mix the new data with the old, with the following option:
  • Replace Old with New--Choosing this option tells Pro Tracks to delete the old data, with the following option:
    • Delete Whole Measures--Choosing this option tells Pro Tracks to delete the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.
  • Slide Over Old to Make Room--Choosing this option tells Pro Tracks to slide the old data either forward or backward in the track to make room for the new data. with the following option:
    • Align to Measures--Choosing this option tells Pro Tracks to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

Ask This Every Time

Choosing this option causes the Drag and Drop Options dialog box to open every time you drag some data.


Drum Map Manager dialog

In the Drum Map Manager dialog you can create and save drum maps for use with hardware or software samplers. You can customize drum maps to select specific sounds on any of your samplers.

Drum Maps Used in Current Project

This field displays all the currently available drum maps. click the New buton to create a new drum map and Delete to delete a drum map. Select a drum map to display the drum mappings in the Drum Map Manager. All drum maps in this field are saved with the current project.

Presets

Presets can be used to populate the fields in the Drum Map Manager. This field is also used to save new drum maps by entering a name in the field and clicking the save button.

Source/Destination

The Source/Destination section is where you map the following for each In Note (source):

  • In Note--The source MIDI note value.
  • Out Note--The MIDI note value that plays on the destination sampler.
  • Name--The user-defined name for the row.
  • Channel--The channel on which the note is transmitted. There is an option to follow the track's Channel setting.
  • Out Port--The hardware output port or software virtual output port to which you are sending the note.
  • Vel+--Apply a velocity offset setting to an individual mapped pitch.
  • V Scale--The V Scale value sets a level of compression or expansion. A value below 100% is compression. A value above 100% is expansion.

Port/Channel Pairs

This section lists each unique Port and Channel pairing. This allows you to make quick global changes that Port and Channel pairing's bank and patch settings.


Duration dialog

When you use the Transport-Step Record command, the Step Record dialog box appears, which contains two Other buttons. Clicking the one on the Duration side of the dialog box opens the Duration dialog box. In the Duration field, enter the acrtual duration of the note you want to enter in .


Edit Node dialog

Open the Edit Node dialog by right-clicking on a node and selecting Properties from the menu that appears.

Level

The node's value (% left or right pan, for example). Change the level by using the + or - keys to the left of the Level field or by clicking and dragging up or down.

Time

The node's time location in the track.

Select from the following time measurement options:

  • M:B:T
  • Samples
  • H:M:S:F
  • Seconds
Then change the value in the Time field as desired. Change the level by using the + or - keys to the left of the Level field or by clicking and dragging up or down.


Event Manager dialog

You can open the Event Manager dialog box in two ways:

  • Right-click in the Event List view and choose Event Manager from the popup menu.
  • Click the Event Manager button in the Event List view

Use the Event Manager dialog box to select which types of events to display in the Event List view. The Event Manager dialog box has the following fields:

MIDI

Check the different kinds of MIDI events you want to display.

Special

Check the different kinds of special events you want to display.

Notation

Check the different kinds of notation events you want to display.

All/None buttons

Click an All/None button under the column of event types that you want to display all of or none of. Clicking the button toggles the display between each extreme.


Export Audio dialog

Select File-Export-Audio to open the Export Audio dialog box.

This command lets you save and export your projects as Wave, MP3 files, and other types of formats. The dialog box has the following fields:

Look in

Shows the folder to which you are exporting your audio. Browse your available drives to choose a different directory.

Below the Look in field is a list of the selected folder's contents.

File name

Enter a name for the file you are creating.

File of type

Select from one of the following export formats:

  • Wave--The standard digital audio format used under Windows and for CD's, with a file extension of .wav.
  • Broadcast Wave--A wave file with the following embedded information:
    • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
    • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
    • Originator Reference--A unique reference identifier created by Pro Tracks.
    • Origination Date--The date the file was created.
    • Origination Time--The time the file was created.
    • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.
  • Real Audio--Digital audio compressed for streaming over the internet, with the file extension of .ra. When exporting to Real Audio format you will be prompted for more information about the file by the Real Audio Settings dialog box. For more information, see RealAudio Settings and RealAudio Formats.
  • Windows Media Advanced Streaming Format--The Microsoft Corporation's compressed audio format, with the file extension of .wma. If you choose Windows Media Advanced Streaming Format you will be prompted for more information about the file by the Microsoft Audio Encode Options dialog.
  • MP3--The mpeg-3 format, with the file extension .mp3.

Format

Select from one of the following options:

  • Mix to Stereo File(s) --All exported tracks are mixed down to a single stereo file.
  • Mix to Separate Left and Right Files--All exported tracks are mixed down to two mono files, left and right.
  • Mix to Mono File(s)--All exported tracks are mixed down to a single mono file.

Source Bus(es)

Choose which soundcard or soundcards you want to use to process your mixdown. You can select one or more from the list.

Each Source to Separate Mix

Check this if you want to create separate files for each device selected in the Source Bus(es) field.

Mix Enables

As default, each of the Mix Enables options is checked, meaning that your mixdown will sound the same as playback. You can check or uncheck each of the following:

  • Track Mute/Solo--If you check this option, tracks that are currently muted are not mixed down. Also with this option checked. if any tracks are soloed, only those tracks are included in the mixdown.
  • Track Automation--If you don't check this option, any volume and pan automation, including initial volume and pan settings, is ignored when creating the new file(s). The amplitude of the raw data in the tracks is used, and the pan is C, or centered.
  • Clip Automation--If you don't check this option, any clip automation, including any trim settings, is ignored when creating the new file(s).
  • Aux Automation
  • FX Automation
  • Master Automation--If you don't check this option, any master bus automation, including the current master volume and balance settings, is ignored when creating the new file(s).
  • Track FX--If you don't check this option, any effects patched into various tracks' patch points, including any plug-in synthesizers patched into track fx patch points, are ignored when creating the new file(s).
  • Aux Returns--If you don't check this option, any effects patched into aux buses, including any plug-in synthesizers patched into aux buses, are ignored when creating the new file(s).
  • Master FX--If you don't check this option, any master effects, including any plug-in synthesizers patched into main buses, are ignored when creating the new file(s).


Export OMF dialog

Select File-Export-OMF to open the Export OMF dialog.

This command lets you save and export your projects OMF files. The dialog box has the following fields:

Save in

Shows the folder to which you are exporting your project. Browse your available drives to choose a different directory.

Below the Save in field is a list of the selected folder's contents.

File name

Enter a name for the file you are creating.

File of type

Select from one of the following OMF file formats:

  • OMF version 1--Compatible with older applications.
  • OMF version 2--Compatible with newer applications.

Audio Packaging

  • Embed Audio Within OMF--Saves all audio in the OMF file.
  • Reference Audio Externally--Saves all audio in a subdirectory of the directory where you save the OMF file.

Audio Format

  • Write RIFF Wave--Export audio as WAV files.
  • Write AIFC--Export audio as AIF files.

Split Stereo Tracks to Dual Mono

Check this option to save stereo tracks as a pair of mono tracks.

Include Archived Tracks

Check this option to export tracks in the project that are currently archived.

Mix Each Groove Clip as a Separate Clip

Check this option to save each Groove clip as a separate clip. This option may increase the length of time it takes to export the project as an OMF file if there are many Groove clips in the project.

The Audition Button

The Audition button in the Extract Timing dialog draws note heads in the Track view, below the Time Ruler. You can use the Audition command to adjust the Extract Timing dialog's parameters before creating a MIDI timing track.


File Info dialog

The File-Info command opens the File Info dialog box. In the File Info dialog box, you can document the following information for your project:

Title

Your song's title.

Subtitle

Your song's subtitle.

Instructions

Specific instructions about for playing your song.

Author

The author of the song.

Copyright

Applicable copyright information.

Keywords

Put keywords describing the song here for future reference.

Project Description Text Box

Project description or other information.

See also: .


File Statistics dialog

The File Statistics dialog box displays the following information about the contents of the project file:
Statistic... | What it means...
Created | The date the project was first saved.
Editing time | The total time you've had the project open, from the time it was created to the last time it was saved. This does not include time spent editing the project since you last saved it. If you want to update this value, save the project.
Revision | Each time you save a file that has been changed, this number is incremented. If you open a project, make no changes, then save it, the revision number is not changed.
Events | The total number of events in the project.
Sample rate | The sample rate for digital audio.
Bit depth | The bit depth of digital audio.
File version | The Pro Tracks version number.


File Options dialog

The Options button in the Save As dialog opens the File Options dialog.

Check the Mark for Microsoft Media Player checkbox if you plan to use your MIDI files for use with the Microsoft Media Player.


Find Missing Audio File dialog

Use the Locate Missing Audio File dialog to find missing audio in your project. The following is a brief description of the options you have in this dialog:

Open--Click this button once you have searched for and found the missing audio file.

Skip--Click this button to move to the next missing file. When you skip and audio file your project opens without that piece of missing audio.

Skip All--Click this button to skip all missing audio files. When you skip all missing audio files, you project opens without those pieces of missing audio.

Search--Click this button to begin a search of all available hard drives for your missing audio file.

After locating the file Options--You can choose to either move an audio file to the project's audio data folder, copy an audio file to the project's audio data folder, or leave an audio file in its current fold.


Global Options dialog--General

Using the Options-Global command opens the Global Options dialog box. Clicking the General tab gives you access to options you might want to set for all your projects.

Fill in or check the following fields:

Show Tooltips

Checking this option causes Pro Tracks to show tooltips. Tooltips are small text names or explanations that appear when you hold the mouse over a tool.

Show Status Bar

Checking this option causes Pro Tracks to show the Status bar, which displays whether any tracks are muted, soloed, or armed for recording or automation, and also contains the CPU and Disk meters.

Show MIDI Activity on Windows Taskbar

Check this option to display the MIDI Input/Output Activity icon on the Windows taskbar.

Display All Times as SMPTE

This option, when checked, forces all time displays to appear in SMPTE time regardless of the setting you have in the Time Ruler.

Display Left on Top for MIDI Pan Envelopes

When checked left is at the top of a clip for MIDI pan envelopes.

Display Envelopes on a Percentage Scale

This option, when checked, causes new envelopes to be placed in the clip based on a range where 0 dB is in the middle of the clip. If the current volume is other than 0 dB, a new envelope is created at that location. For example a new envelope created at 6 dB would appear at the very top of the clip where a new envelope created at -20 dB would appear near the bottom of the clip.

Allow MIDI Recording without an Armed Track

By default, Pro Tracks requires you to arm a track before recording.

Pro TracksPro TracksWrite Cable Meta Events to MIDI Files (Output Select)

If you select this option, Pro Tracks can change the default output that a following (upcoming) sysx bank is sent to. The output select number is also inserted into the front of each track of a format 1 MIDI file to specify the output number.

Auto-save Every "N" Minutes or "N" Changes

Choose how many minutes or edits between automatic saves.

Base Octave for Pitches

There is no industry standard for numbering octaves. By default, Pro Tracks calls MIDI note 0 (the lowest possible note) C0. The Yamaha FB-01, for example, shows MIDI note 0 as C-2 (C negative 2). To match Pro Tracks to that standard, set Base Octave to -2.

Audition Audio Commands for "N" Seconds

When you apply an edit or effect to an audio clip, Pro Tracks lets you audition that edit for "N" seconds: the value you fill into this field.

When clock source is set to SMPTE/MTC or MIDI Sync, pressing play in Pro Tracks will:

This option tells Pro Tracks what to do when you press play in SMPTE/MTC or MIDI Sync mode:

    • Switch current clock source and start playback--Switch the clock to Audio (from SMPTE or Sync), and start playback. This cancels SMPTE (or Sync) mode.
    • Maintain current clock source and wait for timecode--Do not switch the clock (Stay in SMPTE or Sync mode), but wait for SMPTE or Sync. The playback button remains depressed.

For more information, see:

Recording

Mixing and Effects Patching


Global Options dialog--MIDI

Using the Options-Global command opens the Global Options dialog box. Clicking the MIDI tab gives you access to options you might want to set for all your projects.

The MIDI tab has the following sections:

Record

Use the fields in this section to choose what MIDI events you want to record. Choose any or all of these options:

  • Notes
  • Key Aftertouch
  • Controller events
  • Patch Changes
  • Channel Aftertouch
  • Pitch Wheel
  • System Exclusive data
    • Buffers--Choose how many MIDI buffers you want Pro Tracks to use. The default value of 64 works well most of the time. If you experience frequent MIDI overflow from using MIDI plug-ins or lots of Sysx data, try a larger number, such as 128.
    • Echo System Exclusive--Choose this if you want to echo Sysx data to the MIDI channels shown in the Options-Project dialog box on the MIDI Input tab.

Playback

Prepare Using N Millisecond Buffers--This option lets you specify how far in advance Pro Tracks prepares MIDI data during playback. The default is 500 milliseconds.

If playback stops prematurely, you may try larger values (although you should also check the buffer options in Options-Audio, Advanced tab).

If you are using MIDI effects, you may want to try smaller values--for example, 100 milliseconds. Doing so means that, if you change a property for a MIDI effect, there will be less delay before you hear the new value take effect.


Global Options dialog--Folders

Using the Options-Global command opens the Global Options dialog box. Clicking the Folders tab gives you access to options you might want to set for all your projects.

This tab lets you specify folders for all your different kinds of Pro Tracks files. The default locations for all of these file types usually work well. However, if you find that this folder gets cluttered, changing the locations of the file types listed on this tab won't hurt anything, as long as you remember where you put things.

Note: The only folder location you have to be careful with (and it isn't listed on the Folders tab) is the Audio Data folder, which Pro Tracks creates in the main application folder when you install it. Pro Tracks stores all audio data that is associated with project files in this folder. If you move this folder, Pro Tracks can not find the audio data for projects you have already recorded. To tell Pro Tracks where you moved the folder, fill in the location in the Global Audio Folder field on the Audio Data tab of the Global Options dialog.

You can change the folder for a file type by typing a new path name in the particular file type's window on the Folders tab, or by clicking the browse button that's located at the end of the file type's window and navigating to the folder that you want to store that file type in. You can set different locations for the following filetypes:

Songs (.CWP, .MID, CWB)

.cwp and .cwb files are your standard Pro Tracks project files. The default directory for your project files is Cakewalk Projects, located located in the root directory. .mid files are Standard MIDI Files and can be put anywhere you like.

Templates (.cwt)

These files store your favorite setups for window arrangement and instrument combinations. The default directory for template files is the Sample Content folder located in the Pro Tracks. They have the file extension .cwt.

The default directory for CAL files is the Sample Content folder located in the Pro Tracks. Window Layouts

You can save or apply (load) various arrangements of views that you create by using the View-Layouts command. Naming and saving a layout creates a file called (file name)CakewalkWindowLayout, where you supply a file name. The file has the extension .cak, but the extension is only visible if you look at the file's Properties. The default directory is the Sample Content folder located in the Pro Tracks, but you can choose a different location.

Wave Files

These files are the standard Windows audio files that you can import into and export out of Pro Tracks. They have the file extension .wav. The default directory for wave files is the Sample Content folder located in the Pro Tracks, but you can choose a different location.

The default directory for video files is the Sample Content folder located in the Pro TracksThe default directory for sysx files is the Sample Content folder located in the Pro TracksThe default directory for play list files is the Sample Content folder located in the Pro TracksThe default directory for groove quantize files is the Sample Content folder located in the Pro TracksThe default directory for StudioWare files is the Sample Content folder located in the Pro TracksUsed by the Pattern Brush tool in the Piano Roll view, patterns can be painted into the drum map grid and can include rhythm, pitch and velocity data. The default directory for pattern files is the Pattern Brush Patterns folder located in the Pro Tracks.

For more information about the Pattern Brush, see The Pattern Brush Tool.

Drum Maps

The default directory for drum map files is the Drum Maps folder located in the Pro Tracks.

For more information about drum maps, see Drum Maps and the Drum Grid Pane.


Global Options dialog--Editing

Using the Options-Global command and clicking the Editing tab gives you access to editing options you might want to set for all your projects.

This tab lets you specify two things:

  • How you want drag and drop to work (see drag and drop options below)
  • Whether you want Pro Tracks to automatically add a crossfade between two audio clips that overlap (see general options below)

Drag and Drop options:

Choose from the following drag and drop options:

Copy Entire Clips as Linked Clips--When you copy an entire clip, choosing this option causes the new clip and the clip that you copied it from to be linked clips.

What to do with existing material--The fields in this section deal with the situation that occurs when you try to drag some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells Pro Tracks to mix the new data with the old, with the following option:
  • Replace Old with New--Choosing this option tells Pro Tracks to delete the old data, with the following option:
    • Delete Whole Measures--Choosing this option tells Pro Tracks to delete the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.
  • Slide Over Old to Make Room--Choosing this option tells Pro Tracks to slide the old data either forward or backward in the track to make room for the new data. with the following option:
    • Align to Measures--Choosing this option tells Pro Tracks to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

Ask This Every Time

Choosing this option causes the Drag and Drop Options dialog box to appear every time you drag some data.

General options

Choose from these general editing options:

Crossfade Audio clips upon overlap--Choosing this option tells Pro Tracks to automatically smooth out any volume differences between overlapping audio clips, nondestructively. If you choose this option to drag clips, and then disable it to drag some other clips, the clips with the crossfades retain their crossfades.


Global Options dialog--Audio Data

Using the Options-Global command and clicking the Audio Data tab gives you access to the following options.

Global Audio Folder

The Global Audio Folder is where audio files are stored for all projects when per-project audio is not turned on. It is also used to store audio for older, non-per-project audio projects, as well as a temporary folder for unpacked bundle files and to store audio for as yet unnamed projects.

Picture Folder

This folder contains the waveform images for all audio files in all your projects.

All Projects--Always copy imported audio files

When checked this option forces Pro Tracks to always copy all imported audio files to your audio data directory. If you want to keep all your audio files in one location, always keep this option checked.

All Projects--Always Import Broadcast Waves at Their Timestamp

Forces Pro Tracks to ignore the Now Time when importing Broadcast Wave files. When this option is checked, Broadcast Waves begin at their SMPTE timestamp in your project.

All Projects--Export Broadcast Waves By Default

Check this option if you want the Broadcast Waves option to apear by default in the Export Audio dialog.

Per-Project Audio--Use Per Project Audio Folders

When checked this option allows you to use a different audio data folder for each project. This option is unchecked by default.


Go dialog

The Go-Time command opens the Go dialog box, which allows you to jump to a new Now Time.

The Go dialog box has only the following field:

To Time

In this field, fill in the time you want to move to according to the table below. You can click the spin controls (plus-minus buttons) to move forward or backward one tick at a time. When you click OK, the Now time becomes the time in the To Time field.

When you enter a time in MBT format, the beat and tick value are optional. You can use a colon, period, space, or vertical bar to separate the parts of the Now time:
You enter... | The Now time is set to...
2 | 2:00:000
2 1 | 2:01:000
4 2 0 | 4:02:000
9:1 | 9:01:000
5.1.30 | 5:01:030

If you click in the time ruler while the snap grid is enabled, the Now time snaps to the nearest point in the grid. By setting the grid size to a whole note or quarter note you can easily set the Now time to a measure or beat boundary.

You can also use the buttons and the scroll bar in the Transport toolbar toolbar to adjust the time.


Group X Properties dialog

When you right-click a control in the Console view and choose Group Properties from the popup menu, the Group X Properties dialog box appears, where X is the letter of the group that the control belongs to.

This dialog box lets you specify the relations of controls in a group, and has the following fields:

Absolute button

Click this radio button to cause the grouped controls to move in the same direction at the same speed. See Absolute.

Relative button

Click this radio button to cause the grouped controls to move in the same direction but not at the same speed. See Relative.

Custom button

Click this radio button to custom-design the way the grouped controls move. See Custom.

Name column

This column is not active unless the group is a custom group. The Name column lists all the controls in the group of the control you right-clicked.

Start Value column

This column is not active unless the group is a custom group. The Start Value column lists the beginning values of all the controls in the selected group.

End Value column

This column is not active unless the group is a custom group. The End Value column lists the ending values of all the controls in the selected group.

Start Value number field

This field is not active unless the group is a custom group. Edit the Start Value of the control that is highlighted in the Name column by typing a new number into the Start Value number field.

End Value number field

This field is not active unless the group is a custom group. Edit the End Value of the control that is highlighted in the Name column by typing a new number into the End Value number field.

Swap button

Click the Swap button to exchange the Start Value with the End for the control that is highlighted in the Name column


Initialization File Settings dialog

The Options-Initialization File command opens the Initialization File Settings dialog box, which allows you to store information about your preferences and configuration. You can edit these three initialization files, which are stored in the Pro Tracks program folder:

  • CAKEWALK.INI
  • TTSSEQ.INI
  • AUD.INI

To view and edit the cakewalk.ini file, choose Options-Initialization File.

To edit the other two files, or the cakewalk.ini file, use the Windows Notepad.

There are several other .ini files in the Pro Tracks folder, but you should not attempt to edit or modify these files in any way. Changes to these other files could cause Pro Tracks to stop operating properly.

Before making any changes to any of the .ini files, you should make a backup copy in case you make a mistake. After you have made your changes, save the file and close Notepad. Pro Tracks reads the settings in these files only when it first starts up. Therefore, if you change any settings while is running, you should exit and restart Pro Tracks in order for the changes to take effect.

The Initialization File Settings dialog box has the following fields:

Variable list

The large window in the Initialization File Settings dialog box lists variables that are already assigned to values. Next to the variables, after the equal sign, are the values that each variable is currently assigned to.

Option

Type the variable into this field that you want to set a value for, for example, DrawPlayingAudio. Spelling is critical, but case doesn't matter.

Value

Type the number or value that you want to assign to the variable that is in the Option field.

Set button

Click this button to finish assigning the number in the Value field to the variable in the Option field.

Delete button

Click this button to delete the variable assignment that's highlighted in the Variable list.


Insert Pitch Change dialog

Right-clicking in the time ruler and choosing Insert Pitch Change from the popup menu opens the Insert Pitch Change dialog box.

This command changes the pitch of a Groove clip at the Now time at which you insert the command.


Insert Time/Measures dialog

Select Insert-Time/Measures to open the Insert Time Measures dialog box.

This dialog lets you insert the amount of time you specify at the point you indicate in the music. You can specify what events to slide over to make room for the new amount of time.

At Time:

The time at which you want to insert time, seconds, ticks or frames.

Insert:

Set the number of one of the following to insert at the At Time:

  • Measures
  • Seconds
  • Ticks
  • Frames

Slide:

Select whether you want to slide (move down the track by exactly the amount of time you are adding) any of the following:

  • Events in Tracks
  • Markers
  • Meter/Key Changes
  • Tempo Changes

This dialog appears when you use the Insert-DXi Synth-(name of the synth you want to insert) command, the Insert-ReWire Device-(name of the synth you want to insert) command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu.

This dialog inserts the soft synth whose name you clicked into your project. Inserting it means that the synth's name is added to the audio tracks' In menus and the MIDI tracks' Out and Ch menus. Besides inserting the synth, the dialog has some options:

Create These Tracks:

  • MIDI Source Track--if you choose this option, a new MIDI track appears that lists the particular soft synth you chose in the MIDI track's Out field. You still need to choose values in the MIDI track's Pch and possibly Ch menus.
  • First Synth Output (Audio)--if you check this option, a new audio track appears that uses the synth's first output as an audio input.
  • All Synth Outputs (Audio)--if you check this option, new audio tracks appear for each output that the synth you chose has. Each of the new tracks uses a different one of the synth's outputs as an audio input.

Open These Windows:

  • Synth Property Page--if you choose this option, the interface (property page) of the synth you're inserting appears when you insert it.
  • Synth Rack view--if you choose this option, the Synth Rack view appears each time you insert another synth (or another instance of a DXi you've already inserted).

Ask This Every Time

If you check this option, this dialog appears every time you use the Insert-DXi Synth-(name of the synth you want to insert) command, the Insert-ReWire Device-(name of the synth you want to insert) command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu. If you always insert soft synths in the same way, you can uncheck this option so you don't have to deal with the dialog box each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button in the Synth Rack view toolbar.

For step-by-step instructions, see:

Inserting a DXi

Working with Software Synthesizers

ReWire Instruments


Key Bindings dialog

Key bindings let you associate Pro Tracks commands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

The Options-Key Bindings command opens the Key Bindings dialog box, which lets you specify which keys and key combinations to use for specific Pro Tracks commands.

The Key Bindings dialog box has the following fields:

Type of Keys

Use these options to choose what kind of keys will trigger selected commands:

  • Computer--links computer keyboard commands to specific Pro Trackscommands.
  • MIDI--links MIDI keyboard commands to specific Pro Tracks commands. The Enabled checkbox must be checked for MIDI keys to function.

MIDI `Shift' Options

You can designate a MIDI Key or Controller (usually a pedal) to act as the Shift key. That way you can require that the Shift key be depressed before any command is triggered, so you only lose one note or pedal from its regular function.

Use these options to choose what acts as the Shift key:

  • Key--Clicking this option makes a key on your MIDI keyboard act as the Shift key. Choose which key by clicking the + or - buttons in the window that's just to the right of the Key button.
  • Controller--Clicking this option makes a controller on your MIDI keyboard act as the Shift key. Choose which controller (usually the sustain pedal) by choosing one from the dropdown list that's just to the right of the Controller button.

Bindings

The Bindings field has two windows in it:

  • Key--Use this window to highlight a key that you want to bind to a command in the Function window.
  • Function--Use this window to choose a command to bind to a highlighted key in the Key window.

Save Changes for Next Session

Check this checkbox to save any changes.

Bind button

Click this button to bind a highlighted key to a highlighted function.

Unbind

Click this button to unbind a highlighted key from a highlighted function.

Zap All

Click this button to remove all key bindings.

See Also:

Key Bindings


Kind of Event dialog

In the Event List view, double-clicking the name of any event that's listed in the Kind column opens the Kind of Event dialog box.

After you double-click the name of an event, you can change that event into another kind of event by choosing the new kind of event in the Kind of Event dialog box.


Length dialog

The Process-Length command, which opens the Length dialog box, can be used to stretch or shrink MIDI and/or audio clips, and/or to move their start times. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

This command offers the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio. Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

You can also use the Process-Length command to alter only the start times or the durations of notes. For example, changing the durations of notes to 50 percent of their original length can create a staccato effect.

The Length dialog box has the following fields:

Change

Use the fields in this section to tell Pro Tracks what to change, including:

  • Start Times--Choose this option if you want the start times of the selected events to shift by a percentage of their distance from the beginning of the selection. For example, if a note starts on beat 3 of a selection and you enter a value of 50 percent, Pro Tracks shifts the start of the note one beat to the left, or half of 2 beats.
  • Durations--Choose this option if you want the durations of the selected events to shrink by a percentage.
    • Stretch Audio--Choose this option if you want duration of any selected audio to change.

By "N" Percent

Fill in the percentage number that you want the selected events to change by, which can be positive or negative.


Loop/Auto Shuttle dialog

The Transport-Loop and Auto Shuttle command opens the Loop/Auto Shuttle dialog box. This dialog box lets you specify start and stop times for looping and whether you want the loop to start over again.

The Loop/Auto Shuttle dialog box has the following fields:

Start Time

Enter a time where you want the loop to start.

End Time

Enter a time where you want the loop to end

Rewind to Start Time on Stop

If you check this option, whenever you stop playback, Pro Tracks rewinds immediately to start of the loop (this option is off by default).

Stop at the End Time

Playback does not proceed beyond the end of the loop.

Loop Continuously

When playback reaches the end of the loop and rewinds to the start, playback continues automatically.


Map Properties dialog

The Map Properties dialog lets you change all the settings for an individual mapped note in your drum map.

You can edit the following settings in the Map Properties dialog:

Name

A descriptive, user-assigned name for the current drum sound.

In Note

The recorded pitch as it appears in the Event List view. The range is from C0 to G10 or 0 to 127. Raise or lower values one half-step at a time using the +/- keys or by an octave at a time by using the open and close braket keys ([ and ]).

Out Note

The specific note to which the In Note is mapped. The range is from C0 to G10 or 0 to 127. Raise or lower values one half-step at a time using the +/- keys or by an octave at a time by using the open and close braket keys ([ and ]).

Output Port

The output port to which the Out Note is sent. You can assign a note to any port selected in the MIDI Devices dialog. Also, any DXi synths in your project show up as an option. You can use the +/- keys to scroll up or down in the Output Port list.

Channel

Sets the channel in which the mapped drum note plays. You can choose to follow the track's channel setting or set the note to a specific channel (1 through 16).

Vel+

Set a velocity offset to a mapped drum note. Values range from -127 through 127. Use the +/- keys to increase or decrease the value.

V el%

Bank

The bank number on which the mapped note is transmitted.

BSM

Set the how Bank changes are transmitted. The Bank setting has the following options:

  • Normal
  • Controller 0
  • Controller 32
  • Patch 100...

Patch

Set the Patch number the mapped drum note is transmitted on. You can either use the dropdown arrow to select an option or enter a patch number (0 through 127). You can use the +/- keys to change the patch number.

Map Manager button

Opens the Map Manager dialog.


Marker dialog

Use the Insert-Marker command to open the Marker dialog box.

This dialog lets you add a marker where you specify in the music.

Name:

Enter the name you want to give the marker.

Lock to SMPTE time

Check this if you want to use SMPTE time code.

Time:

Enter the time at which you want to place the marker.


Markers dialog

This dialog box lets you choose any marker. Closing the box and the associated Go dialog box moves the Now time to the specified marker.


Meter/Key Signature dialog

Select Insert-Meter/Key Change to open the Meter/Key Signature dialog box.

This dialog box lets you set the meter and key signature of a project or any part of a project.

At Measure:

Select the measure you from where you want the changes to take effect.

Beats per Measure:

Select the number of beats per measure.

Beat Value:

Select the value of each beat (i.e. 1 = whole note, 2 = half note, etc.)

Key Signature:

Select the key signature.


Microsoft Audio Encode Options dialog

You can create settings and a description for your Windows Media Advanced Streaming Format file in the Microsoft Audio Encode Options dialog box.

Title:

Enter the title of the file.

Author:

Enter the name of the author responsible for creating the file.

Copyright:

Enter any copyright information for the file.

Description:

Enter a note about the file.

Stereo:

Check the Stereo checkbox if you want to create a stereo file. To create a mono file, uncheck the Stereo checkbox.

Sample Rate:

Set the sample rate. CD quality is 44 kHz. Higher sample rates create larger files.

Bit Rate:

This field tells the encoder to optimize the encoded file to be downloaded (streamed) at a certain bit rate. Choose your data transmission speed in units of thousands of bits per second (Kbps). Radio quality is 32 Kbps, audiophile quality is 128 or higher. Files optimized for faster downloads (128 and higher) sound better, but take up more storage space and take longer to download.


MIDI Devices dialog

The Options-MIDI Devices command opens the MIDI Devices dialog box, which lets you choose the MIDI outputs you want to use. The input setting for a track determines which piece of hardware will be used to produce the sound stored in your project.

The MIDI Devices dialog box has the following fields:

Inputs

Select devices from the list (you may have only one). Pro Tracks accepts input from these devices for recording MIDI data.

Outputs

Select devices from the list. If your computer or MIDI interface has several MIDI outputs, you choose the ones you want to use and put them in a particular order. From then on, MIDI output 1 refers to the first selected MIDI output, MIDI output 2 to the second selected MIDI output, and so on. The output number is based solely on the order in which the selected outputs appear in the MIDI Devices dialog box. As a result, the output numbers used in Pro Tracks may not match the output numbers that appear on your external multiport MIDI interface.

Move Selected Devices to Top button

Click this button to move a highlighted device farther up in the list, directly behind any other highlighted devices. If you want a particular device to become MIDI output 1, deselect all other devices, select the device you want to be number 1, and click the Move Selected Devices to Top button.


MIDI Envelope dialog

When you use the Envelopes-Create-MIDI command from the Clips pane right-click menu, the MIDI Envelope dialog box appears.

  • In the Type field, choose what kind of MIDI event you want to control with your envelope.
  • In the Value field, choose the name of the controller you want to edit.
  • In the Channel field, choose the MIDI channel that you want the envelope to send data on, and click OK.

Pro Tracks creates the envelope you chose.


Migrate Cakewalk Preferences dialog

This dialog box lets you transfer a variety of configuration preferences from earlier Cakewalk installations.

The first time you run Pro Tracks, it asks if you want it to search for an older version of Cakewalk and transfer (or "migrate") the preferences you established in that version to Cakewalk. Pro Tracks searches all hard disks in your system for older versions, and if you have more than one older version of Cakewalk installed, Pro Tracks presents a list of them, in the Retain Cakewalk Preferences dialog dialog box.


Missing Plug-ins dialog

This dialog appears if you open a project that references plug-ins that are not installed on your machine. If you save the project after you have opened it with missing plug-ins, all references to missing plug-ins are lost. To retain the missing plug-ins in your project, exit Pro Tracks without saving, reinstall the missing plug-ins and then re-open the project.


New Global Layout dialog

The View-Layouts command opens the Window Layouts dialog box, which contains the Add button. Clicking the Add button opens the New Global Layout dialog box, which allows you to name and save the current layout


New Project File dialog

Open the New Project File dialog by selecting File-New from the menu.

In the New Project File dialog you choose the name of your project, where the project's data is stored and which template you want to use to create the file.

Name

Enter a file name for your project. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Location

Select a folder in which your project file is saved. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Audio Path

Select a folder in which your project's audio data is stored. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Template

Select the template you want to use for your new project. Select a template from the list and click OK to create a new project.


No MIDI Inputs--Pro Tracks dialog

The No MIDI Inputs - Pro Tracks dialog box appears the first time you run Pro Tracks, or when Options-MIDI Devices MIDI Devices dialog box has nothing selected on the Inputs side, or when another program is using your system's MIDI outputs. This dialog box lets you choose, or decide not to choose, an input.


No MIDI Outputs--Pro Tracks dialog

The No MIDI Outputs - Pro Tracks dialog box appears the first time you run Pro Tracks, or when Options-MIDI Devices MIDI Devices dialog box has nothing selected on the Outputs side, or when another program is using your system's MIDI outputs. This dialog box lets you choose, or decide not to choose, an output.


Note Properties dialog

In the Piano Roll view, when you right-click on a note, the Note Properties dialog box appears.

This dialog box lets you edit the note's time, pitch, velocity, and other MIDI properties.


Online Registration dialog

The Online Registration dialog appears when you start Pro Tracks. You have three options in this dialog:

  • Register Now--This option opens your default Internet browser on Cakewalk's registration page.
  • Please Remind Me Later--This options closes the dialog. The dialog appears again, periodically, to prompt you to register.
  • Don't Ask Me Again--This option closes the dialog permanently.


Open dialog

The File-Open command opens the Open dialog box. Use the Open dialog box to open an existing project.

Look in

Select the directory in which Pro Tracks stores the file that you want to open.

File name

Type or select the filename you want to open.

Files of type

Select the type of file you want to open.

Go to Folder

Go to one of the predefined Pro Tracks folders. See .

See also:

File type...


Paste dialog

The Edit-Paste command opens the Paste dialog box, which lets you put the contents of the clipboard into any appropriate place in your project. To put data on the clipboard, see .

The Paste dialog box has the following fields:

Starting at Time

Fill in the Now time where you want the beginning of the pasted data to go.

Repetitions

Fill in how many copies of the pasted data you want to paste into the track end to end.

Starting at Track

Fill in the number of the track where you want Pro Tracks to begin pasting the data.

Paste to One Track

This option is greyed out unless you copy data from more than one track at a time. Checking this checkbox causes Pro Tracks to paste multiple tracks' data into a single track.

Advanced button

Clicking this button expands the Paste dialog box to include the following fields:

Align to Measures

This option is greyed out unless you choose at least two repetitions in the Repetitions field. Choosing this option tells Pro Tracks to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

The Align to Measures field has two options;

  • Filling in the Interval checkbox with a certain number of measures causes Pro Tracks to paste each repetition of the new data at the interval in this field. Usually, you choose an interval at least as long as the object you copied.
  • Checking the Link Repetitions checkbox causes all the new clips to be linked clips with the clip you copied.

What to do with existing material

The fields in this section deal with the situation that occurs when you try to paste some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells Pro Tracks to mix the new data with the old, with the following options:
  • Replace Old with New--Choosing this option tells Pro Tracks to delete the old data.
  • Slide Over Old to Make Room--Choosing this option tells Pro Tracks to slide the old data either forward or backward in the track to make room for the new data, with the following option:

What to Paste

The fields in this section tell Pro Tracks what elements of the copied data to paste into the track, including:

  • Events/Clips--Check this option if you want Pro Tracks to paste MIDI events or audio data from the copied data, with these two options:
    • Paste as New Clips--Check this option if you want the new data to become separate, discrete. clips.
    • Paste into Existing Clips--Check this option if you want to include the new data inside any clips that already exist in the area you want to paste into.
  • Tempo Changes--If you check this checkbox, Pro Tracks pastes all tempo changes from the copied data.
  • Meter/Key Changes--If you check this checkbox, Pro Tracks pastes all meter and key changes from the copied data.
  • Markers--If you check this checkbox, Pro Tracks pastes all markers from the copied data.


Patch Browser dialog

Right-clicking a MIDI track and choosing Track Properties from the popup menu opens the Track Properties dialog box. Inside the Track Properties dialog box is the Patch Browser button, which opens the Patch Browser dialog box. The Patch Browser button is also available from the Insert-Bank/Patch Change dialog box.

The Patch Browser dialog box has the following fields:

Show Patches Containing the Text

Use this field to search for patches by filling in pieces of the patch name. You can select previous search patterns from the drop-down list. Pressing the Delete key redisplays the whole list, but doesn't actually delete the search text.

Name column

This column lists all the patch names of all the Instruments you have assigned to MIDI outputs. Clicking the heading of the Name column sorts the list in alphabetical order.

Bank column

This column lists the bank of the patch that's next to it in the Name column.

Patch column

This column lists the patch number of each patch in the Name column. Sorting the lists--You can sort your patch names by name, bank, or patch number simply by clicking the appropriate column heading in the Patch Browser dialog box.


Percent Done dialog

Pro Tracks has done the indicated percent of the task you requested. Be patient.


Pick Track(s) dialog

Clicking the Pick Tracks button in the Piano Roll or Event ListStaff views opens the Pick Tracks dialog box, which allows you to choose which tracks' data you want to display in any of the above views. To choose tracks to display, simply highlight the names of the ones you want to display. You can select nonadjacent track names by Ctrl-clicking, and you can select adjacent track names by Shift-clicking or dragging.


Project Files dialog

Open the Project Files dialog by selecting File-Project Audio Files from the menu.

File Name

File name of the individual wave file your project file references.

Path

The directory in which the file is stored.

File Size

The size of the wave file.

Status

The following status entries are possible in the Status column of the Project Files dialog:

  • Global--The file is stored in the Global Audio Data directory. The Global Audio Data directory can be changed in the Audio Data tab of the Global Options dialog.
  • Local--The file is stored in the local wave data directory, a per-project data directory which is a subdirectory in the directory where the project file is stored.
  • External--The file is stored in a directory other than the Global Audio Data directory or in a Local audio data directory.
  • Missing--The file is not to be found.

Sorting Files

You can quickly sort files by clicking on the column headers, for instance, to see all Missing audio files, click on the Status column header and the missing files appear at the top of the column.

For more information, see:

Locating Missing Audio


Project Options dialog--Clock tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The Clock tab controls the number of subdivisions of the beat (parts per quarter note).

Ticks per quarter-note

This section lets you choose the number of subdivisions of the beat (parts per quarter note), from fifteen choices.


Project Options dialog--Metronome tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The Metronome tab lets you set the following metronome options:

General

  • Playback--Choosing this option cause the metronome to sound during playback.
  • Recording--Choosing this option cause the metronome to sound during recording.
  • Accent First Beat--Choosing this option causes the metronome to accent the first beat of each measure.
  • Use PC Speaker--Choosing this option causes the metronome to sound through the PC speaker.
  • Use MIDI Note--Choosing this option causes the metronome to sound by playing a MIDI note.
  • Count In--Specifies the number of count-in in measures or beats.
    • Measures--Choosing this option sets the Count-In units to measures.
    • Beats--Choosing this option sets the Count-In units to beats.

MIDI Note

If you checked Use MIDI Note in the above section, then choose options for these three parameters:

  • Output--Choose the output that the MIDI note plays through.
  • Channel--Choose the MIDI channel your metronome plays on.
  • Duration--Choose how many ticks you want the metronome sound to last.

First Beat

Choose a Key (a note) and a Velocity for the first metronome attack in the measure.

Other Beats

Choose a Key (a note) and a Velocity for the other metronome attacks in the measure.

For more information, see:

To Change Your Metronome Settings


Project Options dialog--MIDI Input tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The MIDI Input tab lets you control which MIDI instrument sounds when you play your master keyboard or controller. This is called Play Through, or MIDI Echo--the echo (or routing) of MIDI data from your MIDI inputs back out to your MIDI sound modules.

Pro Tracks's default behavior is to send incoming MIDI notes to the output of the track that has the focus--the current track. You can change this behavior by choosing from the following options:

Record and Echo MIDI Channels

This section lets you choose which MIDI channels are sent to output devices for playback and recording. Normally, you choose all of them.

Echo Mode

This section lets you control how Pro Tracks routes MIDI data from your input device(s) to your output modules, and also whether Pro Tracks sends the data at all.

Choose from the following options:

  • None--Clicking this option stops MIDI echo completely.
  • Manual--Clicking this option allows you to force all MIDI input back out to the same instrument (see the Echo Mapping section, below).
  • Auto--Clicking this option, which is the default, causes Pro Tracks to route incoming MIDI data to whatever the output in the current track is. This option allows you to use the Track view as a list of selectable MIDI echo deatinations.

Echo Mapping

If you choose the Manual option in the Echo Mode section, choose what instrument you want to sound when you play your master controller:

  • Output--Choose what Output your preferred instrument is on.
  • Channel--Choose the MIDI channel that you want your preferred instrument to play on.
  • Key+--If you want your preferred instrument to transpose the MIDI notes it receives, enter the number of half-steps. positive or negative (raise the pitch or lower it), that you want to transpose by.
  • Velocity+--If you want your preferred instrument to play back louder or softer than it currently does, enter a positive or negative velocity number.
  • Local On Port--If you can't turn off the Local On setting on your master keyboard, and you keep getting doubled notes every time you press a key on it, then enter the port number of your master keyboard into this field, and Pro Tracks will stop echoing MIDI data back to it. If you don't have this problem, leave this field set to zero.

For more information, see:


Project Options dialog--MIDI Out tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. This tab lets you configure two global controller options.

Options:

  • Zero Controllers When Play Stops--If you choose this option, Pro Tracks sets the controller values of the pitch wheel, the sustain pedal, and the modulation wheel on all 16 MIDI channels to zero. It also sends a "zero all continuous controllers" MIDI message which turns off other continuous controllers on newer synthesizers. If you experience frequent stuck notes when playback stops, try checking this option.
  • Patch/Controller Searchback Before Play Starts--If you choose this option, Pro Tracks finds and sends the most recent patch changes, wheel events, and pedal events before starting playback. This way, all settings are correct even if you start playback at an arbitrary point in the project.


Quantize dialog

When you use the Process-Quantize command, the Quantize dialog box appears. Edit-Quantize adjusts the start time and duration of selected notes so that they line up with a fixed size grid.

Use the following fields in the Quantize dialog box to control standard quantizing:

Preset menu

Save or select settings that you use often in the drop-down menu. To save a new group of settings, type a name into the menu, and click the Save button. To delete a group, select it and click the Delete button.

Resolution

Set the note resolution. The smaller the note value, the more precise the quantization. See Resolution.

Change

  • Start Times--Select this option if you want the start times of the selected data to move.
  • Note Durations--Select this option if you want the length of notes to be edited to fit into the size you chose in the Resolution field.
  • Only Notes, Lyrics, and Audio--If you select this option, Pro Tracks will not modify other events, like controllers.

Options:

  • Strength--This value determines how closely Pro Tracks moves the selected notes to the resolution value, or "grid." See Strength.
  • Swing--Use this value to make groups of even eighth notes (or whatever note you want to enter in the Resolution field) "swing," instead of playing with exact eighth note rhythm. A value of 50 percent, or "50-50," produces equal durations for both notes--no swing. A larger value makes the first note longer, and vice versa. See Swing.
  • Window--This value determines whether Pro Tracks quantizes notes that are far from the quantization points, or leaves them alone. A value of 100 percent quantizes every note. See Window.
  • Offset--This value moves the quantization grid forward or backward in the track, away from the beat boundaries. See Offset.

Audition button

Click this button to hear your edit before you actually apply it to the selected data.


RealAudio Settings dialog--Settings tab

The Settings tab has the following parameters for RealAudioTM encoding:

File Name--The directory and file name of the file being created.

Title--The name of the song or project.

Author--The name of the person who created the file.

Copyright--Copyright information.

Options:

Enable Perfect Play--Lets people with low-bandwidth connections download a higher resolution version of the audio, at the expense of download time.

Enable Mobile Play--Lets people download your project to a stand-alone RealAudio player.

Enable Selective Record--Lets people save the file to their hard drive for later lis tening off-line.


RealAudio Settings dialog--Formats tab

Target Connection Rate(s)

Choose as many different connection rates as your listeners might need. Then your listeners can choose the rate that's best for them when they play your project.

Include a RA 5.0 Compatible Stream

Check this option if you want users of RealAudio's older 5.0 format to be able to play your project.

Content Type

Choose the type of content your file contains. Pro Tracks defaults to the Stereo Music choice, but your project's content is the deciding factor.


Reassign Envelopes dialog

When you use the Envelope Editing menu's Assign Envelope command on an automatable effect's envelope, the Reassign Envelopes dialog box appears.

Click the parameter in the list of parameters that you want to reassign the envelope to, and click OK. Pro Tracks changes the envelope to control the parameter you clicked.


Record Options dialog

The Transport-Record Options command opens the Record Options dialog box. This command specifies how Pro Tracks records clips into tracks already holding other clips. If you use loop recording, the command also lets you specify whether to record takes in sequential tracks or stacked in a single track.

Note: Pro Tracks saves the recording options you choose with each project, so you can save a different recording mode with each of your projects.

The Record Options dialog box has the following fields;

Recording Mode

Choose one of the following options:

  • Sound on Sound (Blend)--Choose this option to add sound to any pre-existing sound in the track.
  • Overwrite (Replace)--Choose this option to overwrite any pre-exixting sound in the part of the track you are recording into.
  • Auto Punch (Replace)--Choose this option to punch record, and then set the following options:
    • Punch In Time--Enter the time where you want the new recording activity to begin.
    • Punch Out Time--Enter the time where you want the new recording activity to end.

Loop Recording

Choose one of the following loop recording options:

  • Store Takes in a Single Track--Choosing this option causes Pro Tracks to merge every new take with the previous takes, unless you choose Overwrite mode, which causes each new take to erase the previous one.
  • Store Takes in Separate Tracks--Choosing this option causes Pro Tracks to place each new take in the next available track. This method can quickly overwhelm your computer if you are recording audio data.


Rename Existing Layout dialog

The View-Layouts command opens the Window Layouts dialog box, which contains the Rename button. Clicking the Rename button opens the Rename Existing Layout dialog box, which allows you to rename whatever layout is highlighted in the Global window.


Retain Cakewalk Preferences dialog

If you choose to retain or migrate your preferences from a previous version of Cakewalk, the Pro Tracks installer finds the existing cakewalk.ini files on your system. The list of cakewalk.ini files appears in the Retain Cakewalk Preferences dialog box. You may choose one from this list. The preferences and settings stored in the older version's cakewalk.ini and ttsseq.ini files are then transferred to the identically named configuration files for Cakewalk. Cakewalk migrates certain preferences to the Windows Registry rather than to the cakewalk.ini file.

When you migrate your preferences, Pro Tracks will:

  1. Locate the Data directory (WaveData folder) used by your previous Cakewalk installations and direct Pro Tracks to use that folder for its audio storage and retrieval as well.
NOTE: Migrating Prefrences will leave the Data directory in its current location - it does not move your audio recordings to a new location. It simply points Pro Tracks to the audio you have saved during previous recording sessions. This means that your previously recorded songs that contain audio tracks should continue to open and playback as expected. It will also write new audio data to this same location. You are free to manually change your Data directory at a later time in Pro Tracks's Options, Audio, Advanced tab. Advanced users may want to manually adjust this Data directory location.
  2. Automatically import other custom settings you have made in various Cakewalk menus and INI files.


Save As dialog

The File-Save As command opens the Save As dialog box, which lets you save a project with the name, directory, and format you specify. The Save As dialog can also be used to save Groove clips as Riff Wave files from the Loop Construction view. Use the following fields to control your options:

Save in

Select the directory in which you want to store the file.

File name

Type or select the filename you want to open.

Save as type

Select the type of file you want to save your project as. If you are saving a project, you have the following options:

  • Normal--Saving as type Normal saves your MIDI data, all project settings, and references to your audio data, with the extension .cwp. Pro Tracks saves no audio data in a .cwp file, only references to where the data is on the hard disk. Saving your project as a bundle file (see below) saves all your project data in one place, including a new copy of your audio data; this method uses a lot more disk space than saving as a .cwp file.
  • Template--Template file with the extension .cwt. Use Template files to save commonly used project settings for quickly setting up a new project.
  • Cakewalk Bundle--Bundle file with the extension .cwb. Bundle files contain everything that a Normal file type contains with the addition of all your project's audio. Bundle files are great for backing up projects, and are also useful for moving Pro Tracks projects from one computer to another.
  • MIDI Format 0--Save in this format to create a Standard MIDI File that has all channels merged into one track.
  • MIDI Format 1--Save in this format to create a Standard MIDI File that keeps each channel on a separate track.
  • Riff MIDI Format 0--Save in this format if you need a Riff MIDI File of Format 0.
  • Riff MIDI Format 1--Save in this format if you need a Riff MIDI File of Format 1.

Riff Wave files--If you are saving in the Loop Construction view, you must save the wave file as a Riff Wave file. Riff Wave files are ACID-compatible files which can be used in Pro Tracks or any application that supports ACIDized files.

The Go to folder dropdown lets you quickly go to the default save location for different types of projects.

Copy all audio with project

When selected, this checkbox creates a copy of every audio file your project references, regardless of where they are located, and stores them in a folder called Audio Data. The Audio Data folder is created in the folder where you save your project. For example, if you save your project to the following folder:

C:\My Project

Your project's audio is saved in the following folder:

C:\My Project\Audio Data

If you want to give the Audio Data folder a different name, you can do so using the Audio path option. See below.

Create one file per clip

This option is only available if the Copy all audio with project option is selected. When selected, the Create one file per clip option forces Pro Tracks to create a new wave file for each unique clip. To conserve disk space, Pro Tracks does not duplicate audio referenced by multiple copies of a clip, unless you have checked the Export Broadcast Waves By Default option in the Audio Data tab of the Global Options dialog.

Audio path

If you want to customize the name of the folder in which you store your audio files, specify it in this field. You can use the Browse button to specify where the folder is saved.


Search for Missing Audio dialog

Open the Search for Missing Audio dialog by clicking the Search button in the Find Missing Audio dialog.

The Search for Missing Audio dialog searches your entire computer for a file that has the same name as the missing file in your project. If the file is found, select it and click OK. If multiple copies of the same file name are found, you may select only one. If no files are found, manually search your Recycle Bin. If you find the missing file in the Recycle Bin, right-click on it and select Restore to return the file to your project's audio data directory.


Select By Time dialog

The Edit-Select-By Time command opens the Select by Time dialog box.

Choose the starting and ending times for the time selection you want to make by entering numbers into the following fields:

  • From--Enter the number of the measure, beat, and tick of the location where you want the selection to start.
Note: You can enter a whole number with no punctuation if your selection boundary is the beginning of a measure. You can separate measure, beat, and tick numbers with spaces, periods, or colons.
  • Thru--Enter the number of the measure, beat, and tick of the location where you want the selection to end.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.

For more information, see:

To Select Partial Clips Using Time Ranges and Tracks


Slide dialog

The Process-Slide command opens the Slide dialog box, which allows you to move track data forward or backward in the track.

The Slide dialog box has the following fields;

Slide

Choose what kinds of track data you want to move:

    • Events in Tracks--Events include notes and controller data but not markers.
    • Markers--If you select any locked markers, Pro Tracks asks whether you want to slide them too.

By

Enter a number in the By field to control how many units (see below) your selected data moves. Negative numbers move the data to earlier positions in the track, but data can not move earlier than beat 1 of the first measure. Choose from the following units:

    • Measures--If you choose Measures, the selected data moves by a number of whole measures.
    • Ticks--If you choose Ticks, the selected data moves by a number of ticks, which are portions of a beat.
    • Seconds--If you choose Seconds, the selected data moves by a number of whole seconds.
    • Frames--If you choose Frames, the selected data moves by a number of frames, which are the smallest units of SMPTE time.

See also:

Shifting Events in Time


Snap to Grid dialog

To open the Snap to Grid dialog box, right-click the Snap To Grid button.

This dialog box lets you specify the resolution of the snap to grid feature and specify the resolution you want to "snap to."

The resolution determines how precisely event selections, movements, and changes to the Now Time can be. For example, when the Snap to Grid resolution is set to Musical Time with a duration of Whole, a mouse click in the Time Ruler automatically "snaps" the Now Time to the nearest whole measure.

The following actions can be affected by the Snap to Grid dialog:

  • Selecting the Now Time
  • Making a time selection in the Time Ruler
  • Dragging and dropping a clip
  • Selecting partial clips
  • Slip editing

The snap grid in each view is independent. For example, you can enable the snap grid in the Track view without enabling it in the Piano Roll view. You can also enable the grid in several different views, with different grid intervals in each one.

Musical Time

The Musical Time option sets the Snap to Grid dialog to a note duration. If the Mode is set to Move To, all commands that use the Snap to Grid resolution snap to the nearest selected duration.

In addition to choosing a standard note duration for the snap interval, you can also enter a number of clock ticks. For example, at the default timebase of 960 ticks per quarter note, a sixteenth note snap interval represents 240 ticks. If you change the timebase, the grid interval is updated automatically. In the preceding example, if you update the timebase to 480 PPQ, the snap interval becomes 120.

If the Mode is set to Move By, you move all events in time by the selected duration.

This option also applies to the Now Time and time selections in the Time Ruler.

Events

The Events option sets the Snap to Grid dialog to the events.

Markers

The Markers option sets the Snap to Grid to markers. All edits and time selections that use the Snap to Grid resolution snap to the nearest marker.

This option also applies to the Now Time and time selections in the Time Ruler.

Clip Boundaries

The Clip Boundaries option sets the Snap to Grid to Clip Boundaries. All edits that use the Snap to Grid resolution snap to the nearest start or end of a clip.

Absolute Time

The Absolute Time option sets the Snap to Grid to an exact number of frames, seconds or samples.

If the Mode is set to Move To, all edits that use the Snap to Grid resolution snap to the nearest selected time, number of frames, or number of samples. If the Mode is set to Move By, you move in time all events by the selected time, number of frames, or number of samples.

Snap to Audio Zero Crossings

This option automatically snaps edited audio clips to the nearest zero crossing of the waveform, the point at which there is no volume, to minimize the glitches that can happen when waveforms are spliced together.

Mode:

The two modes apply to the Musical Time and Absolute Time options.

The following is a description of the two Snap to Grid modes:

  • Move To--Snaps an event to the nearest selected note, number of frames, number of seconds or number of samples, depending on which option is currently selected.
  • Move By--Moves an event by a note duration, number of frames, number of seconds or number of samples, depending on which option is currently selected.

Defining and Using the Snap Grid


Pro Tracks Quick Start dialog

The Pro Tracks Quick Start dialog box appears when you launch Pro Tracks (unless you disable this option, see below). It allows you to open any of a long list of templates, and open recent projects and introductory help topics. You can open this dialog box whenever you want by using the Help-Quick Start command.

The Pro Tracks Quick Start dialog box has the following fields:

Open a Project button

Clicking this button is the same as using the File-Open command. The Open dialog box appears, displaying the contents of your Pro Tracks project folder. Select the project you want to open, and click OK.

Open a Recent Project button and dropdown menu

Click the arrow at the end of the dropdown menu to display a list of projects you opened recently. Choose the one you want to open, and click the button (it has a folder icon on it) to open it.

Create a New Project button

Clicking this button opens the New Project File dialog box, which displays a list of templates for new projects. Select the one you want to open, and click OK.

Getting Started button

Clicking this button opens the Getting Started help topic, which contains links that open tutorials and introductory help topics.

Show this at Startup checkbox

If you uncheck this checkbox, the Pro Tracks Quick Start dialog box appears only when you use the Help-Quick Start command.

For more information, see:

Creating a New Project File


Sort Tracks dialog

The Track-Sort command opens the Sort Tracks dialog box. This command lets you arrange tracks in order according to any of several criteria. You can sort in ascending or descending order.

There are several ways you can change the order of tracks in the Track view:

  • Drag a track to a new position in the Track view (see below).
  • Insert new, blank tracks between existing tracks (see below).
  • Use the Track-Sort command to rearrange the tracks in order based on the track name, status, or other setting.

The Sort Tracks dialog box has the following fields:

Sort by

This field lets you choose what characteristic of the tracks you want to use to sort them by. Choose from these options:

  • Name--Choosing this option causes Pro Tracks to sort the tracks in alphabetical order, either A to Z, or Z to A, depending on whether you choose Ascending or Descending in the Order field.
  • Muted--Choosing this option causes Pro Tracks to put the muted tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Archived--Choosing this option causes Pro Tracks to put the archived tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Selected--Choosing this option causes Pro Tracks to put the selected tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Size--Choosing this option causes Pro Tracks to put the biggest tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Output--Choosing this option causes Pro Tracks sort the tracks by output.
  • Channel--Choosing this option causes Pro Tracks to sort the tracks by their MIDI channels, in either Ascending or Descending order.

Order

This field determines whether Pro Tracks sorts the tracks by putting the tracks with higher numbered characteristics at the top or bottom of the Track window.

See:

To Sort the Tracks

See also:

To Drag a Track to a New Position

To Insert a Blank Track


SoundFont Banks dialog

The Options-SoundFonts command opens the SoundFont Banks dialog box, which you use to load banks of SoundFonts patches into a Pro Tracks project. SoundFonts are banks of sounds produced by Creative Labs that you can load into Pro Tracks or other SoundFont-compatible sequencers, and control by using MIDI program change commands. To use SoundFonts in Pro Tracks, you must have three things:

  1. A Creative Labs SoundFont-compatible soundcard installed, such as the AWE 32 or 64, or SB Live
  2. The SoundFont Manager software and sounds
  3. Your SoundFont-compatible soundcard chosen as an Output in Pro Tracks's MIDI Devices dialog box (Options-MIDI Devices)
OR
  • You can use SoundFonts without a SoundFont-compatible soundcard if you install the LiveSynth Pro software synthesizer that comes with Pro Tracks.

When Pro Tracks opens a .cwp or .MID file, it looks in the same folder for a .SF2 file with the same base name (the base name is the same as the project name. but without the extension on the end). If one exists, Pro Tracks loads that .SF2 file into the project, and the sounds in that .SF2 file become available in that project as MIDI patches. Saving the project as a .cwp file (but not as a .MID file) also saves the attachments you make between the project and .SF2 files.

You can also manually attach a .SF2 file to a project by clicking the Attach button in the SoundFont Banks dialog box, and browsing to the .SF2 file you want to attach to the project. Manual attachment overrides base name attachment.

Note that bank 0 is reserved for the Standard GM bank and cannot be assigned.

The SoundFonts Banks dialog box has these fields

Banks window

This window lists all the SoundFont banks that are currently loaded into this project.

Attach button

Clicking this button opens the Soundfont File dialog box. Use this dialog box to browse to a .SF2 file that you want to attach to this project.

Warning: After you attach a .SF2 file to a project, do not move that file without detaching it from the project first.

Detach button

Use this button to detach a highlighted .SF2 file from a project.

Locations button

Use this button to tell Pro Tracks where to look for a base name .SF2 file, if there isn't one in the project folder. This dialog box lets you type in one or more directories (multiple directories separated by semicolons).


Split Clips dialog

When you right-click one or more selected clips and choose Split from the popup menu, the Split Clips dialog box appears. Use this command to split one or more clips into smaller clips.

The Split Clips dialog box has the following fields:

Split At Time

Choosing this option splits the clip(s) at the location you fill in. By default, this filed lists the Now time, but you can choose any time you want.

Time Format--If you choose Split At Time, you can also select a time format for the Split At Time field from the four choices.

Split Repeatedly/Starting at Measure/And Again Every "N" Measures

Choosing this option creates split boundaries in the selected clip(s) starting at the location you choose in the Starting at Measure field, and again at every interval of measures that you choose in the And Again Every "N" Measures field.

Split at Each Marker Time

Choosing this option creates split boundaries in the selected clip(s) at each marker time.

Split When Silent For At Least "N" Measures

Choosing this option separates the selected clip(s) and removes empty space whenever the clips contain empty space that lasts a certain number of measures, the number of which you specify in the "N" field.

Use Nondestructive Cropping When Splitting MIDI Clips

If you check this option, Pro Tracks hides any MIDI data (such as note durations) that overlap the clip boundary, without deleting any data. If you slip edit the new clip to expand the original boundary, Pro Tracks uncovers the original data. If you don't check this option, Pro Tracks deletes overlapping data when you split clips.

Note that the Undo and Redo commands work with all of these editing commands.

See also:

Splitting and Combining Clips

For step by step instructions:

To Split Clips into Smaller Clips

To Combine Clips


Step Record dialog

The Transport-Step Record command opens the Step Record dialog box. Step recording lets you specify step size and note duration so you can record difficult passages a step at a time. Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

The Step Record dialog box the following fields:

Track

The track number and name of the selected track appear in the top left corner

Step Size

  • Choose a step size for the next note or rest you want to enter.
  • Choose Other to create a new step size.
  • Click the (Dotted) checkbox to add a dot to any step size.

Duration

  • Choose a duration for the step size you entered; the duration value controls how much of a note's step size the note actually lasts.
  • Click Other to create a new duration.
  • Click Follow Step Size to keep the duration values the same as the step size.

Delete

Click the Delete button to delete a note right after you enter it.

Advance

Click the Advance button to advance the Now Time after you enter a note or chord, or to create a rest the length of the current Step Size.

Auto Advance

Click the Auto Advance checkbox to automatically advance the Now Time after you enter a note or chord.

Scroll Bar

The scroll bar provides a visual representation of the Now Time's location. Click the arrows at either end to move forward or back one beat at a time.

Now Time field

Enter a time in the Now Time field to move the Now Time to a precise bar or beat.

Pattern

See Step Pattern Recording.

Keep button

If you are satisfied with the notes you entered, click the Keep button to add them to the selected track. Otherwise, click the Close button to throw away the notes.

See Also:

To Use Step Recording

Step Recording


Step Size dialog

When you use the Transport-Step Record command, the Step Record dialog box appears, which contains two Other buttons. Clicking the one on the Step Size side of the dialog box opens the Step Size dialog box. In the Step Size field, enter the size of the note you want to enter in ticks.

See also:

Step Recording


Sysx Bank Name

This dialog box lets you specify the the name of the bank you want.


Tempo dialog

The Insert-Tempo Change command opens the Tempo dialog box. In the Tempo dialog box you can set a new tempo at a specified point.

Use the following fields to insert a tempo change:

Tempo--Type a new tempo or use the Click here to tap tempo button to tap out a tempo. The Tempo field changes as the tapped tempo varies.

Change the Most Recent Tempo--Applies the tempo changes in the Tempo field to the most recent tempo.

Insert a New Tempo Starting at Time--This option applies the tempo from the Tempo field to a specific starting time

See also:

Using the Tempo Commands

Changing Tempos


Tip of the Day dialog

The Tip of the Day dialog box appears when you launch Pro Tracks, unless you disable this option (see below). This dialog box displays a different tip for getting the most out of Pro Tracks each time you launch Pro Tracks.

The Tip of the Day dialog box has the following fields;

Tip window

The tip window displays the tip of the day; each time you open Pro Tracks, the tip window displays a different tip.

Next Tip button

Click this button (or press Enter if the button is highlighted) as many times as you like to display the next tip.

Show Tips on Startup

If you uncheck this checkbox, the Tip of the Day dialog box appears only when you use the Help-Tip of the Day command.


Toolbars dialog

The Views-Toolbars command lets you select which toolbars are displayed and also the style of display for the toolbars.

To display a toolbar, click the checkbox next to its name.

To display toolbars with an upraised appearance similar to a button in the up position, make sure the Flat Style box is unchecked.


Track Bank dialog

The Track-Property-Bank command opens the Track Bank dialog box, which allows you to choose a bank of MIDI patches for the highlighted track. The Track Bank dialog box has only the following field:

Bank

Fill in the number of the bank that you want Pro Tracks to assign to the highlighted track.

See also:

Choosing the Instrument Sound (Bank and Patch)


Track Channel dialog

The Track-Property-Channel command opens the Track Channel dialog box. This command lets you specify a MIDI channel for the highlighted track. The Track Channel dialog box has only the following field:

Channel

Fill in the number of the MIDI channel you want the highlighted track to play back on.

See also:

Assigning a MIDI Channel (Chn)


Track Inputs dialog

The Track-Property-Inputs command opens the Track Inputs dialog box. This command lets you specify inputs for all of your project's tracks for recording purposes. Use these fields in the dialog box to choose inputs for your tracks:

Inputs Control

Use the Track column to choose which track or tracks you want to choose an input for. Click the name of a track to select it or Control-click to select several at once. The Input control lists the currently assigned inputs for each track.

Inputs field

Choose from the following options in the Inputs field to assign the input for the track that is currently selected in the Track Inputs dialog box:

  • None--Choosing None removes the input assignment for the selected track from the list. The track input then defaults to MIDI Omni.
  • MIDI Omni--When you choose MIDI Omni as the input for a track, Pro Tracks merges together material from all MIDI outputs and instruments.
  • Audio--When you choose Audio as the input, you must also choose which sound card driver to use as the audio input. Choose the sound card driver from the drop-down menu that is next to the Audio checkbox.
  • MIDI Channels--Choose a MIDI Channel if you want your selected track(s) to record only a specific MIDI channel.

When you finish choosing inputs for all your tracks, click OK to close the dialog box and change the inputs you specified.

See also:

Choosing an Input

Changing Track Settings


Track Key+ dialog

The Track-Property-Key+ command opens the Track Key+ dialog box, which allows you to set the transposition value for the highlighted track. The Track Key+ dialog box has only the following field:

Amount

Fill in the number of half-steps that you want Pro Tracks to transpose the track. Positive numbers transpose the track up; negative numbers do the opposite.

See also:

Adjusting the Key/Transposing a Track (Key+)


Track Manager dialog

Clicking the Track Manager button or pressing m in the Track view or Console view opens the Track Manager dialog box. Use this dialog box to hide or display the various track modules and buses in the view that you opened it from.

The Track Manager dialog box has the following fields and buttons:

  • Display window--This window lists all the track modules, aux buses, and main buses. A checkmark next to a module means it is visible.
  • Toggle buttons--These buttons select all of the type of module that is listed on the button. You can check or uncheck all selected modules by pressing the Spacebar.

See also:

To Choose the Tracks that are Displayed Using the Track Manager


Track Name dialog

The Track-Property-Name command opens the Track Name dialog box, which you use to give a highlighted track a name.

The Track Name dialog box has only the following field:

Name

Type the name that you want to give to the highlighted track, and click OK.


Track Outputs dialog

The Track-Property-Outputs command opens the Track Output dialog box, which you use to assign a highlighted track to a MIDI or audio output.

The Track Output dialog box has only the following fields:

MIDI Outputs

Choose the MIDI output that you want this track's data to be sent to. The MIDI Outputs field is grayed out if the selected track is an audio track.

Audio Outputs

Choose the audio output that you want this track's data to be sent to. The Audio Outputs field is grayed out if the selected track is a MIDI track.

See also:

Setting Up Output Devices


Track Pan dialog

The Track-Property-Pan command opens the Track Pan dialog box.

Use this command to set the pan for the highlighted track(s).

Note: Panning a stereo track away from the center has the effect of progressively cutting the volume of events in the track whose initial pan position is opposite of the direction the stereo track is being panned.

The Track Pan dialog box has only the following field:

Pan

Enter a number between 0 (hard left) and 127 (hard right).

See also:

Adjusting Volume and Pan


Track Patch dialog

The Track-Property-Patch command opens the Track Patch dialog box, which allows you to choose a MIDI patch for the highlighted track. The Track Patch dialog box has only the following field:

Patch

Fill in the number of the patch that you want Pro Tracks to assign to the highlighted track.

See also:

Choosing the Instrument Sound (Bank and Patch)

To Choose Patches with the Patch Browser


Track Properties dialog

Right-clicking a track and choosing Track Properties from the popup menu opens the Track Properties dialog box. The Track Properties dialog box has the following fields:

Input

The Input for the track, used in recording

Output

This field lists the output device through which this track is played.

Channel (MIDI tracks only)

This field lists the MIDI channel through which the notes will be played.

Bank (MIDI tracks only)

This field lists the bank that the track's patch belongs to.

Bank Select Method (MIDI tracks only)

This field lists what controller format the bank change method for this track uses.

Patch (MIDI tracks only)

This field lists what patch this track uses.

Patch Browser button (MIDI tracks only)

This button opens the Patch Browser dialog dialog box.

Key +

This field lists the number of half-steps (up or down) that Pro Tracks transposes the track as it plays.

Time +

This field lists the number of ticks that the track's playback timing is offset from the other tracks.

Pan

This field lists the stereo placement of the track--64 is center, 0 is hard left, 127 is hard right.

Volume

This field lists the initial volume of the track, on a scale of -1 to 127.

Description

This field provides a place that you can enter a text descripton of the track, for future reference.

Instruments button

This button opens the Assign Instruments dialog dialog box.

See also:

Changing Track Settings

Choosing an Input


Track Time+ dialog

The Track-Property-Time+ command opens the Track Time+ dialog box, which allows you to set the amount that Pro Tracks advances or delays the start time for all events in the highlighted track. The Track Time+ dialog box has only the following field:Amount

Fill in the number of ticks you want Pro Tracks to add to or subtract from the start time of all events in the highlighted track.

See also:

Adjusting the Time Alignment of a MIDI Track (Time+)


Track Vel+ dialog

The Track-Property-Vel+ command opens the Track Vel+ dialog box, which allows you to set the amount that Pro Tracksadjusts the velocity for all events in the highlighted track. The Track Vel+ dialog box has only the following field:

Amount

Fill in the number of velocity units that you want Pro Tracks to add to or subtract from all events in the highlighted track. Use numbers between -127 and 127.

See also:

Adjusting the Note Velocity (Vel+)


Track View Options dialog

If you right-click in the Clips pane and choose View Options from the popup menu, the Track View Options dialog box appears, which you use to control the appearance and behavior of the Clips pane.

The Track View Options dialog box has the following fields:

Display Vertical Rules

Enabling this option causes Pro Tracks to display vertical lines in the Clips pane that are one measure apart.

Display Clip Names

If you name any of your clips, enabling this option causes Pro Tracks to display the names.

Display Clip Contents

Enabling this option causes Pro Tracks to display a graphical depiction of the audio or MIDI data that the track contains, including automation data.

Left Clik Sets Now

Enabling this option allows you to set the Now Time by left-clicking a location in the Clips pane.

Right Click Sets Now

Enabling this option allows you to set the Now Time by right-clicking a location in the Clips pane.

Double-click to Open View

Double-clicking a clip in the Clips pane automatically opens another view to edit the clip in, You can choose what view you want to open for both MIDI and audio clips in these two menus:

  • MIDI Clips--Choose what view opens when you double-click a MIDI clip.
  • Audio Clips--Choose what view opens when you double-click an audio clip.

Use Minimum Width "N" Ticks

Checking the Use Minimum Clip Width option and specifying a Minimum Clip Width in ticks makes sure that even the very smallest clips are visible enough for editing.

Show Audio Scale

Check this option to display the Audio Scale Ruler in the splitter bar between the Clips pane and the Track pane.

See Also:

Displaying Clips


Track Volume dialog

The Track-Property-Volume command opens the Track Volume dialog box. This command lets you specify the starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume). For more information, see To Display Clip Names and Contents

The Volume setting controls the initial volume of a track during playback. Every time you start playback, Pro Tracks sets the volume to this initial level.

In some projects you want the volume of a track to change while playback is in progress. You can accomplish this using the Console, Piano Roll, or Event List views.

Note: Not all keyboards and synthesizers respond to volume change messages. Check the manual that came with your keyboard or synthesizer for more information.

See Also:

Adjusting Volume and Pan


Transpose dialog

The Process-Transpose command opens the Transpose dialog box, which allows you to transpose the pitches of MIDI and audio clips up or down by a fixed number of half-steps. It does so by changing the MIDI key numbers of note events and by pitch-shifting audio clips. Simply enter the number of half-steps in the Amount field of the Transpose dialog box--a negative number to transpose down, a positive number to transpose up. See To Transpose Selected Events.

Pro Tracks can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. Pro Tracks uses pitch-shifting to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.

The Transpose dialog box contains the following fields:

Amount

The number in this field tells Pro Tracks how many half-steps, up or down (depending on whether you enter a positive or negative number), to transpose the selected data, unless you check the Diatonic Math checkbox (see below). If you check Diatonic Math, the number in this field tells Pro Tracks how many scale steps to transpose the selected data.

Diatonic Math

If you check this checkbox. Pro Tracks transposes the selected data up or down, but only within the current key signature.

Transpose Audio

If you check this checkbox. Pro Tracks transposes any selected audio data up or down, but only by half-steps, not diatonically.

See also:

To Transpose Selected Events

  • Pro TracksMix Options button--clicking this button opens the Audio Mixdown Options dialog, which allows you to choose mono or stereo export, what sound card driver you're using to export, and all the audio components from your project that you want to include in the exported mix.


Undo History dialog

The Edit-History command opens the Undo History dialog box, which displays a history of your editing actions (the command is greyed-out if you made no edits). You can set how many editing actions you want the Undo History dialog box to store by changing the number in the Maximum Undo Steps field. The default value is 128.

Use the Undo History dialog box to jump to a previous time in the history of the project. Then you can continue from that point, causing all the edits you did after that action to disappear.

The Undo History dialog box has the following fields:

History list

The History list displays a list of all the editing actions you did to this project, up to the number of actions in the Maximum Undo Steps field.

To revert to an earlier version of a project, highlight the entry in the History list that represents the point to which you'd like to return, and click OK. Pro Tracks performs the necessary undo or redo actions to take you to that point. Once you make any new edits, Pro Tracks clears the History list of all the edits you made after the edit you jumped back to. Then, as you do further work, the History list grows again. Any edits that happened after the edit you jumped back to remain on the list.

Clear button

You can click the Clear button in the History dialog box to erase the undo history for the current project and free up some memory. If Pro Tracks is low on memory, it may offer to erase the History list.

Maximum Undo Levels

This field lists the number of previous edits that Pro Tracks stores. The default value is 128. You can enter a smaller number to reduce the memory required.

See also:

Undo, Redo, and the Undo History


Unlink Clips dialog

When you right-click a selected group of two or more linked clips and choose Unlink from the popup menu, the Unlink Clips dialog box appears.

This command lets you specify when unlinking selected linked clips whether to form a new, different linked group or to make the clips completely independent.

See also:

Splitting and Combining Clips

Moving and Copying Clips


Unpack Bundle dialog

The Unpack Bundle dialog allows you specify the folder where you want to store the unpacked project and the folder where you want to store the project's audio data. This dialog only appears if you have the Use per-project audio folders option selected in the Global Options dialog.

Project Name

Enter a file name for your project. The default name is the same as the bundle filename but with the .cwp extension.

Location

Select a folder in which your project file is saved.

Audio Path

Select a folder in which your project's audio data is stored.

Store Project Audio in its own Folder

Check this option to use per-project audio. If you uncheck this option, the project audio is stored in the default audio data folder.

Create One File per Clip

Check this option to create a separate wave file for each clip in your project. If you uncheck this option, all audio is stored in two wave files, a mono file with all the project's mono audio, and a stereo file with all the projects stereo audio.


Unpack OMF dialog

The Unpack OMF dialog appears when you open an OMF file. Select from the following unpack options:

Sample Rate

This is a non-editable file attribute.

Bit Depth

This is a non-editable file attribute.

Initial Tempo

Set the initial tempo of the file.

Store Project Audio in its own Folder

If you want to use a unique folder for this project's audio data, check this option and fill out the Project Name, Location and Audio Path fields. If you deselect this option, the project is saved with the same file name to the default directory using the default audio directory. The file's new extension is .cwp.

Project Name

The Project filename. This field is only active if you have checked the Store Project Audio in its own Folder option. This field is only active if you have checked the Store Project Audio in its own Folder option.

Location

The directory where you want to save the project. This field is only active if you have checked the Store Project Audio in its own Folder option.

Audio Path

The audio directory where you want to store the audio for the project. This field is only active if you have checked the Store Project Audio in its own Folder option.


Unreadable Files dialog

This dialog may appear when using the Clean Audio Folder command. This dialog lists any files on your system which have a Cakewalk file extension (.cwp, .cwt, .wrk, and .tpl), but cannot be read by Pro Tracks. These files may be corrupt or they may not be Pro Tracks files at all, if for instance you have another application on your system which saves files with the same extension.

Important: If any of your projects appears in this dialog, do not proceed to delete any audio in the Clean Audio Folder dialog without first restoring these projects from a backup source such as a Bundle file (.cwb). If Pro Tracks cannot read a project file, any audio associated with it will be listed in the Clean Audio Folder dialog.


Video Properties--Render Quality tab

The Render Quality tab lets you control how your video looks in . It doesn't affect the video that you eventually export, although you can experiment with different settings to get an idea of how your video looks at different sizes and with different frame rates.

The Render Quality tab has the following controls:

  • Preview checkbox--check this checkbox to cause the video in to display at a slightly lower quality: "preview" quality. This can cause slightly smoother playback.
  • Frame Rate (FPS)--use this field to change the frame rate. Lower frame rates free some of your computer's resources for playing back music and other tasks.
  • Video Size, X and Y--the X field sets the video's width, in pixels; the Y field sets height.
  • Restore Defaults--click this button to set the three previous fields (including Preview) back to their default values.


Window Layouts dialog

Pro Tracks stores the the layout of all of a project's views in the project file when you save the project. By default, Pro Tracks restores the layout of all the views when you open the file.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.

The View-Layouts command opens the Window Layouts dialog box. Use the following fields to control your layouts:

Global window

This large window lists all your saved layouts.

Close Old Windows Before Loading New Ones

If you check this option, Pro Tracks closes all the views of the current project before applying the layout. If you leave this option unchecked, existing views remain open, and additional views appear according to the settings in the layout.

Per-Song-File--When Opening a File, Load its Layout

In additon to global layouts, Pro Tracks stores each project's layout. If you check the When Opening a File, Load its Layout option, Pro Tracks arranges the project's views according to the stored layout when the project file opens. If you don't check this option, only the Track view (and File Info view, if applicable) appear when the project file opens.

Load button

Click this button to apply whatever layout is highlighted in the Global window to the current project.

Add button

Click this button to name and save the current layout.

Delete button

Click this button to delete whatever layout is highlighted in the Global window.

Rename button

Click this button to rename whatever layout is highlighted in the Global window.

See also:

Layouts


Glossary

aftertouch

AIFF

archive

arm

digital audio

audio clip

audio track

audition

automation

bank

bundle file

channel

channel aftertouch (ChanAft)

clip

clone

controls

crossfade

controllers

dB

decibel

DMA

duration

DXi

echo

effects (audio effects)

envelopes

event

fade

fade-in

fade-out

frame rate

from time

full-duplex

global layout

Groove clip

group

H:M:S:F

input

input monitoring

inspector menu (same as context menu)

key aftertouch (KeyAft)

key offset

key signature

kill

latency

layout

linked clips

looping

loops

marker

MBT

MCI command (Media Control Interface command)

meter

MIDI

mixdown

MME

mute

normal template

Now time

NRPN

offline

offset

overload

PPQ

pan

patch

pitch bend

pitch marker

pitch wheel

phase

port

project pitch

property

quantize

record

resolution

RPN

sampling rate

scrub

sensitivity (window)

size

slip editing

shape

SMPTE

snapshot

solo

submix

swing

take

template

tempo

thru time

ticks

time

timebase

TPQ

track

transients

vector

velocity

velocity offset

virtual main bus

volume

WDM

wipe

xRPN

aftertouch

MIDI property controlling how much pressure is applied. See key aftertouch (KeyAft), channel aftertouch (ChanAft).

AIFF

Short for Audio Interchange File Format, the audio file format on the Macintosh platform. Files in this format have the extension .aif or .aiff.

archive

Silence and suppress the processing of a track. Archived tracks are not loaded into RAM, so they can't be unmuted in real time. Use the archive command to reduce the demand on your CPU. See mute.

arm

Enable a track for recording.

See Choosing an Input.

audio clip

Clip containing digital audio.

audio track

Track recorded digitally.

audition

Listen to audio effects to determine if they are acceptable.

See Basic Audio Processing.

automation

Cakewalk snapshot or dynamic recording of the positions of all the controls through a portion of sound or music.

See Quick Automation Guide.

bank

Up to 128 patches. Storage for sounds.

bit depth

Size of memory locations used to store particular kinds of data.

bundle file

A file that incorporates all project information and audio data. Bundle files are useful for creating backups of your work or for moving projects from on computer to another.

channel

Path through which MIDI transmits information.

channel aftertouch (ChanAft)

MIDI property regulating the pressure applied to all the notes of the instrument on the specified channel.

clip

Piece of sound and music. Your project consists of clips. You can link clips.

clone

A command that allows you to copy a track along with its properties, the clips or events or both. You can choose the destination track for the copy.

controls

Sliders, faders, knobs, and buttons on the console or your on-line equivalent of controllers.

See Mixing and Effects Patching.

crossfade

One clip fading in while another fades out. You can create destructive or non-destructive crossfades. For more information, see Fades and Crossfades.

controllers

Pedals, knobs, and wheels on your electronic instrument that you can use to change the sound while you're playing.

See Controllers, RPNs, NRPNs, and Automation Data .

dB

Measure of loudness; abbreviation for decibel.

See The Decibel Scale.

decibel

Measure of loudness; abbreviated dB.

See The Decibel Scale.

digital audio

Music or sound recorded digitally, as on a compact disk, and not recorded by means of MIDI.

DMA

Direct Memory Access. DMA settings determine how your computer's sound card communicates with Cakewalk.

See The Wave Profiler for information about how to change DMA settings.

duration

In Pro Tracks's Step Record dialog box, duration means the actual length of time that a note sounds, as opposed to the notated value of the note, which could be different. If you check the Follow Step Size option in the dialog box, the notated value and the duration are the same.

DXi

A plug-in software synthesizer that supports the DirectX audio format.

echo

Sending a MIDI input signal back out to a particular device during real-time recording. Sometimes referred to as through, or play-through, echoing determines what instrument sounds while you play a MIDI instrument and record it.

effects (audio effects)

Systematic changes you can make to parts or all of the music, like reverb, chorus, and delay.

See Audio Effects (Audio Plug-ins), Using Real-Time Effects.

envelopes

Reflects the changes in value for a parameter (volume, for example) over a period of time. Also refers to the graph of the change--same as vector.

event

Note, MIDI action, or audio clip.

fade

Gradual increase (crescendo) or decrease (decrescendo) in volume.

See Fades and Crossfades and Using Automation.

fade-in

Gradual increase (crescendo) in volume.

See Fades and Crossfades and Using Automation.

fade-out

Gradual decrease (decrescendo) in volume.

See Fades and Crossfades and Using Automation.

frame

Smallest units for SMPTE synchronization. Frame rate indicates the number of frames per second.

frame rate

Speed of playback.

from time

The beginning of a selection. Set it in theSelect toolbar.

See Now time.

full-duplex

A type of soundcard which allows simulaneous recording and playback of audio.

See Recording Audio.

global layout

The arrangement of your views as the appear in Cakewalk. You can save layouts to use with other projects.

See Layouts.

Groove clip

Audio clip that contains pitch and tempo information that allows Pro Tracks to automatically adjust the pitch and tempo of the clip to that of the project you insert it into.

group

An entity consisting of multiple controls or buttons and specifying relationships between or among them.

H:M:S:F

Short for Hours, Minutes, Seconds, and Frames, which is the time format used for SMPTE time.

input

Input for music or sound to be recorded into a track.

See Choosing an Input

input monitoring

A series of settings which allows you to hear real-time DirectX effect plug-ins during recording or when a track is armed. You can activate drivers for input monitoring in the Input Monitoring tab of the Audio Options dialog. For more information about input monitoring, see Input Monitoring.

inspector menu (same as context menu)

Menu appropriate for a particular location or item. Display a context menu by right-clicking on the location or item.

key aftertouch (KeyAft)

MIDI property regulating the pressure applied to an individual note.

key offset

The number of half-steps by which to transpose the track. A value of 12 raises the notes an octave. You can transpose all note in a track on playback by setting this value (Key+) in the Tracks pane.

key signature

Key of the piece, how many sharps or flats it has, and how the music displays in the various views.

kill

Delete an entire track, including all its properties, clips, and events. You can undo a kill, but not paste it.

latency

How fast a piece of audio hardware or software responds to real-time commands, such as to mute a track, to add an effect, or to play some audio data.

layout

Current arrangement of all views in a particular project.

See Layouts and Templates and Key Bindings.

linked clips

Clips so specified that any change made to one applies to all.

See Splitting and Combining Clips.

looping

Repetition of a part or of the whole of a piece of music, especially multiple repetitions.

loops

Small pieces of audio data, suitable for being repeated back to back, such as a single drum beat or measure.

marker

Flag marking a specific time in the music.

MBT

Measure, Beat and Tick number.

9:04:0060 is the 60th tick of the fourth beat of the ninth measure.

MCI command (Media Control Interface command)

Special event in the Event List view that lets you control other multimedia hardware and software.

meter

The meter, or time signature, divides time into rhythmic pulses. Specifies the number of beats per measure and the note value of each beat.

See Setting the Meter and Key Signatures.

MIDI

Musical Instrument Digital Interface. The means by which computers communicate with most sound cards, keyboards, and other electronic instruments.

mixdown

Combination of two or more audio tracks into a stereo submix. See Mixing Down and Distributing Audio.

MME

Multi Media Extensions--the name of Windows' built-in audio and multmedia software that was originally developed for Windows 3.0, and is still used by many sound card drivers. WDM drivers offer much better performance.

mute

Set a track to be silent during play.

normal template

Project template for all projects.

Now time

The current time in a project. Where you are in the music.

See The Now Time and How to Use It

NRPN

Non-Registered Parameter Numbers.

See Controllers, RPNs, NRPNs, and Automation Data.

offline

Not in real time. When you apply an effect to a track offline, you permanently alter the data in that track; then you play the track to hear the effect. When you add an effect to a track in real time, you start the track playing, and you add the effect while the track plays. The data in the track does not change, but the sound of it coming through the effect does.

offset

Shift (time, key, velocity) by a specified number of units. For example, you could offset the start of a track by two measures.

overload

Loss of audio information caused by the audio level exceeding 0 db.

PPQ

Abbreviation for Parts per Quarter Note. MIDI sequencers divide each beat into fractions of a beat (called ticks) for timing and editing purposes. You can place events in precise timing locations, up to the sequencer's current PPQ. PPQ is adjustable on most sequencers, up to about 960 PPQ. PPQ's of 96, 120. and 480 are common.

pan

Degree to which a sound or piece of music comes from the left or right speaker.

patch

Particular sound in an electronic device. Patches are stored in banks, in groups of 128.

pitch bend

Controller that changes the pitch of a MIDI note.

pitch marker

A marker in the Time Ruler which transposes the root note pitch of all Groove clips and ACIDized loops in a project.

pitch wheel

Controller that changes the pitch of a MIDI note.

phase

The relative timing or polarity of two identical sounds. If their identical amplitudes are 180 degrees apart, they cancel each other, and are perfectly out of phase.

port

Computer connector for sending or receiving data.

project pitch

Also known as the default project pitch. The project pitch is the pitch that all Groove clips and ACIDized loops in your project follow if there are no pitch markers in the project. You can set the project pitch in the Markers toolbar.

property

Any attribute or value belonging to an object. Often you can see these by right-clicking on the object. For example, right-clicking on a clip and choosing Properties from the resulting menu, displays the Clip Properties dialog box, which lists its properties as its name, start time, length, and color.

quantize

Correct human imperfection in start and duration of selected notes so they line up with a specified time grid.

record

Capture audio or MIDI sound in a reproducible fashion.

resolution

Smallest note or number of ticks you want effective in a piece for quantizing purposes.

RPN

Registered Parameter Numbers.

See Controllers, RPNs, NRPNs, and Automation Data.

ruler

Bar showing evenly-spaced measure intervals. It appears in the Track, and Piano Roll views.

sampling rate

Level of accuracy with which audio data is stored. The higher the better the sound quality, but the more costly in computer time and memory.

scrub

Drag a vertical bar over the view, so you can hear the notes in the track. You can scrub forward or backward at any speed.

sensitivity (window)

Distance from a timing grid a note has to be to be unaffected, or affected less, by quantizing.

size

The number of events in a track, listed in the Size column of the Tracks window. This number changes every time you add or delete events to or from that track.

slip editing

Non-destructive editing process that allows the start and/or end time of an audio or MIDI clip to be trimmed by simply dragging the front or back end of the clip.

shape

An automation envelope created in the Track view or Console view.

SMPTE

Society of Motion Picture and Television Engineers. SMPTE format measures time in hours, minutes, seconds, and frames.

snapshot

Collection of automation settings that become active at a specific time. When the Now Time reaches that time, all of those particular settings take effect.

solo

Set a track to be audible during play.

submix

A stereo air track containing the stereo mixture of the original tracks, preserving the volume, pan and effects for each track.

See Mixing Down and Distributing Audio.

swing

Systematic uneven spacing of notes on a timing grid, to give music a swing feel.

take

Single instance of recording the same thing. You might want to record several takes, then choose the best to keep.

template

Special file used as a pattern to creat other, similar projects.

See Layouts and Templates and Key Bindings.

tempo

Number of beats per minute.

thru time

Time up to which the music is to be played back or recorded. Set it in the Select toolbar.

ticks

Subdivisions of quarter notes. MIDI projects often use a resoution of 480 parts per quarter note (PPQ); each part is also called a tick.

time

In Cakewalk, Now time, from time, or thru time. When an event takes place in the music.

Time Ruler

Bar showing evenly-spaced measure intervals. It appears in the Track and Piano Roll views. You can use the Time Ruler to change the Now Time, make a time selection, and insert markers. For more about the Time Ruler, see Time Ruler.

timebase

Same as PPQ. Timing resolution, measured in pulses (ticks) per quarter note. Determines how finely you can specify notes.

TPQ

Same as timebase or PPQ. Short for Ticks Per Quarter note.

track

Cakewalk's representation of one or more lines of music with shared properties, for example, music played by one instrument.

transients

Peaks of loudness in an audio clip. Used to determine where the beats lie in audio clips.

vector

The graph of the change of a parameter's value. In audio programs, some parameters can be changed by drawing vectors; means the same as drawing envelopes.

velocity

How fast or how hard a key is struck when a track is recorded.

velocity offset

Adjustment of all track events by a specified amount of time.

See Adjusting the Time Alignment of a MIDI Track (Time+).

virtual main bus

The output point of Pro Tracks that passes the processed audio data to your audio interface's driver. Analogous to a hardware mixer's main output, but only has one volume fader and a balance control.

volume

Loudness of a sound or piece of music.

WDM

Windows Driver Model--low-latency audio driver that bypasses the operating system's audio streaming software so that the driver can communicate directly with the sound card and the audio application.

wipe

Deletes a track'sclips and events, but leaves its properties. You can undo a wipe, but not paste it.

xRPN

RPN and NRPN.


Arranging.html


AudioPerformance.html


Automation.html


Dialogs.html


DrumEditor.html


EditingAudio.html


EditingMIDI.html


FileManagement.html


Glossary.html


HardwareSetup.html


INI_Files.html


Instrument_Defs.html


Introduction.html


Layouts_Templates.html


Looping.html


Menus.html


MIDI_Files.html


Mixing.html


Playback.html


Recording.html


SoftSynths.html


Toolbars.html


Troubleshooting.html


Views.html